Welcome to Corel Paint Shop Pro Photo

Corel Paint Shop Pro Photo XI sets the standard for affordable, professional image editing. You can edit photos, create graphics, draw, and paint — all within a highly customizable workspace.

In this section, you’ll learn about

• what’s new in Corel Paint Shop Pro Photo XI
• installing and uninstalling Corel Paint Shop Pro Photo
• starting and exiting Corel Paint Shop Pro Photo
• registering Corel products
• updating Corel Paint Shop Pro Photo
• Corel Support Services
• Corel Corporation

Next Document Back to Top

Copyright 2006 Corel Corporation. All rights reserved.


What’s new in Corel Paint Shop Pro Photo XI

Corel Paint Shop Pro Photo XI carries on where the last version of Corel Paint Shop Pro left off by offering affordable, powerful, professional-grade tools and features. Photo enthusiasts — ranging from professional photographers to digital camera newcomers — can take their projects to a higher level with a toolset that yields astonishing results yet is easy to learn.

Integrated photo management

There’s much more to Corel Paint Shop Pro Photo than powerful image-editing tools and features. It’s a multifaceted digital photography suite that lets you effortlessly import, organize, and share photos with the built-in Organizer.

• New! Organizer — This one-stop photo-management center takes the guesswork out of finding photos stored on a computer. You can search for images by filename, date, file type, or folder location. Thumbnail zooming makes finding a particular image even easier and faster. The ability to assign keywords, ratings, and other information to an image gives you even more ways to search for photos. The Organizer is customizable, so you have several options for integrating it into their workflow. In addition, EXIF-data editing and the ability to play and extract frames from video files make the Organizer an essential, time-saving tool for hobbyists and professionals alike.
• New! Quick Review — You can review photos and videos in a full-screen slide show format. Not only can you preview photos in a slide show, you can use Quick Review to apply a quick fix to a slide, set a rating for a slide, add captions, and rotate images in a slide show. You can then share your images by saving or e-mailing your images as a slide show file.
• New! Photo Trays — You can gather photos from various folders and then e-mail, print, or upload the gathered photos.
• New! Image Information panel — You can access key information about your photos quickly and easily in the Image Information panel. You can also rate your photos, as well as add keywords and dates, to facilitate image searching.
Essential photo tools

Corel Paint Shop Pro Photo is renowned for being user-friendly because your feedback has always played such a major role in the program’s development. From requesting one-click automatic fixes that take the guesswork out of image correction to demanding advanced tools that meet the exacting standards in digital photography, you the user have spoken, and Corel Paint Shop Pro Photo has responded.

• Enhanced! Crop tool — In response to your feedback, the Crop tool has been enhanced to give you the exact dimensions you want in a snap. When you select an area of an image with the Crop tool, a floating toolbar appears below the selected area, allowing you to choose a predefined crop size or to rotate the selected crop area. For more information, see "Cropping images."
• Enhanced! One Step Photo Fix — This feature automatically adjusts the color balance, contrast, clarity, and saturation of an image. For more information, see "Making basic photo corrections automatically."
• Enhanced! Curves and Levels dialog boxes — The Curves and Levels dialog boxes have been overhauled to give you control over some of the most critical imaging adjustments. These dialog boxes now have histograms and improved rendering, so you can easily and intuitively fine-tune your work. If you are a less experienced user, you can try the three new automatic settings to optimize the contrast and color levels in your images with just a few clicks. For more information, see "Adjusting brightness and contrast."
• Enhanced! Raw camera file support — You can open and edit raw files from leading digital cameras.
• New! Video file compatibility — You can now make the most of video clips. Corel Paint Shop Pro Photo XI lets you view video clips and extract frames from a clip.
• Enhanced! E-mail — Sharing images and photo projects has never been easier. You can e-mail photos, slide shows, and video clips as embedded files or attachments. A preview allows you to double-check images before they’re sent, and the program keeps a running count on the size of the selected files. For more information, see "E-mailing photos, videos, and slide shows."
Ingenious editing tools

Corel Paint Shop Pro Photo has a powerful toolset that can fix virtually any digital photo imperfection. If the problem stems from the quality of the image produced by the camera, you will find a series of tools that offer easy, quick corrections. Or, if photo subjects don’t look their best in the photo, Corel Paint Shop Pro Photo can spruce up their appearance.

• New! Color Changer tool — You can easily change colors in digital images to achieve more realistic colors. Rather than simply replacing a color, the Color Changer tool detects and analyzes variations in brightness caused by real-world illumination and reapplies the illumination to the new color to produce a realistic effect. For more information, see "Recoloring image areas for a realistic effect."
• New! Skin Smoothing — You can quickly and easily even out the skin tone of people in their photos with the new Skin Smoothing feature. A preview of the change lets you choose how much smoothing to apply. For more information, see "Applying cosmetic corrections."
• New! Compatibility with Corel Painter Essentials and Corel Painter — Renowned among digital artists, photo hobbyists, and professional photographers, Corel Painter and Corel Painter Essentials can simulate a wide range of traditional art tools. Corel Paint Shop Pro Photo XI now supports RIFF, the native file format for both of these programs.
Unique special effects

Corel Paint Shop Pro Photo offers an array of graphics tools and creative effects that help you transform a photo into a truly unique image. Whether you are inspired by a photographic process from a bygone era or want to add stunning artistic effects to your images, you’ll find the tools that let you unleash your creativity.

• New! Time Machine — Now you can see what your photos would look like if they had been taken in another era. The Time Machine offers a range of settings based on photo styles from the 1830s to the 1980s, so you can easily send your photos back in time. For more information, see "Creating vintage-style photos with the Time Machine."
• New! Film and Filters — Corel Paint Shop Pro Photo XI provides a range of effects inspired by classic film and filter types. You can combine different effects with different film or filter types to produce interesting, eye-catching results. For more information, see "Applying film and filter effects to photos."
• New! Depth of Field — You can now easily draw attention to a specific area of an image. The new Depth of Field effect lets you apply focus to a region of a photo while applying an out-of-focus blur to the rest of the image. This new feature lets you easily replicate the look of the depth-of-field feature found in high-end cameras. For more information, see "Creating an area of focus by controlling depth of field."
Corel Snapfire Plus SE

Corel Snapfire Plus SE is a preview product that offers you a series of great image-editing and photo-management tools that work in tandem with Corel Paint Shop Pro Photo. These tools can help you import, edit, and share your images. After the limited preview period, you can continue to use the more basic features, which are found in Corel Snapfire.

• Photo Doctor — The Photo Doctor removes the guesswork from photo correction by analyzing a digital photo and recommending when Quick Fix should be applied. With a single click, you can then adjust the color balance, contrast, clarity, and saturation to optimal levels.
• Corel Photo Downloader — When you plug devices such as cameras or card readers into your computer, Corel Photo Downloader can automatically download the photos and let you edit them with Corel Paint Shop Pro Photo or Corel Snapfire. Corel Photo Downloader has a memory function that keeps track of which photos have already been downloaded, and you can easily view the most recent downloads. What’s more, you can instruct the Corel Photo Downloader to perform the download automatically when a camera or memory card is inserted.
• Simple photo projects — Corel Snapfire Plus SE includes many creative templates designed to inspire you to do more with your photos. With drag-and-drop simplicity, you can easily create stunning album pages, greeting cards, calendars, and collages.
See Also

Previous Document Next Document Back to Top


A quick reference for users of previous versions of Paint Shop Pro

If you have used previous versions of Paint Shop Pro, you will notice that some of the commands and tools have changed to accommodate new and enhanced features. The table below is designed as a quick reference to help you find the recommended features.

For more information about accessing tools and commands from previous versions of Paint Shop Pro, see "Accessing tools and commands from previous versions of Paint Shop Pro."

Feature from previous versions | How to find the currently recommended feature
One Step Photo Fix | Choose Adjust [image] One Step Photo Fix. (This feature has been enhanced.)
Automatic Color Balance | Choose Adjust [image] Color Balance.
Automatic Contrast Enhancement | Choose Adjust [image] Smart Photo Fix. (Use the Brightness sliders.)
Automatic Saturation Enhancement | Choose Adjust [image] Smart Photo Fix. (Use the Saturation slider.)
Black and White Points | Choose Adjust [image] Smart Photo Fix. (Use the Advanced Options controls to click black, white, and gray points in the photo.)
Gamma Correction | Choose Adjust [image] Brightness and Contrast [image] Histogram Adjustment. (Use the Gamma setting in the Histogram Adjustment dialog box)
Color Balance | Choose Adjust [image] Color Balance.
Manual Color Correction | Choose Adjust [image] Hue and Saturation [image] Hue Map. (Use the Hue, Saturation, and Lightness controls.)
Defringe | Use the Background Eraser tool.
Remove Black Matte | Use the Background Eraser tool.
Remove White Matte | Use the Background Eraser tool.
Raster Deform tool | Use the Pick tool.
Object Selection tool | Use the Pick tool.


Installing and uninstalling Corel Paint Shop Pro Photo

The Installer makes it easy to install Corel applications and components. It lets you

• install and uninstall any Corel applications included in your software package
• add components to a currently installed application
• refresh files and configurations of currently installed applications

To install Corel Paint Shop Pro Photo

1. Close any open applications.
2. Insert the CD in the CD drive.
If the Installer does not start automatically, click Start [image] Run on the Windows taskbar. Type D:\Setup, where D is the letter that corresponds to the CD drive.
3. Follow the instructions on your screen.
• When you perform a custom installation, you can choose to associate specific file formats, such as JPEG and TIFF, with Corel Paint Shop Pro Photo. For more information about setting file format associations, see "Setting file format associations."

To uninstall Corel Paint Shop Pro Photo

1. On the Windows taskbar, click Start [image] Control Panel.
If your operating system is Windows 2000, click Start [image] Settings [image] Control Panel.
2. Click the Add or Remove Programs icon.
The Add or Remove Programs dialog box appears.
3. From the Currently installed programs list, choose Corel Paint Shop Pro Photo XI, and click Remove.
4. Follow the InstallShield wizard instructions.
• You can remove user-created files such as presets, user-created fills, and customized files during the uninstall process. Click Change in the Add or Remove Programs dialog box, click the Remove Corel Paint Shop Pro Photo XI from your computer button, mark the Remove Corel Paint Shop Pro Photo XI settings check box, and click Remove.


Starting and exiting Corel Paint Shop Pro Photo

You can start Corel Paint Shop Pro Photo from the Windows taskbar and exit the program from the File menu.

The first time you start Corel Paint Shop Pro Photo, you are prompted to assign file formats to the program so that your computer always uses Corel Paint Shop Pro Photo to open files in those formats. For more information, see "Setting file format associations".

To start Corel Paint Shop Pro Photo

• On the Windows taskbar, click Start [image] All Programs [image] Corel Paint Shop Pro Photo XI [image] Corel Paint Shop Pro Photo XI.
• If you associate specific file formats, such as JPEG and TIFF, with Corel Paint Shop Pro Photo, you can double-click the associated file to start the program. For information about setting file format associations, see "Setting file format associations."

To exit Corel Paint Shop Pro Photo

• Choose File [image] Exit.


Registering Corel products

Registering Corel products is important to ensure that you receive timely access to the latest product updates, as well as valuable information about product releases. Registration also gives you access to free downloads, articles, tips and tricks, and special offers.

You can register the program when you install it, or you can register at a later date.

You can register the program in one of the following ways:

• online — If you are connected to the Internet when you install the Corel graphics application, you can launch the online registration. If no Internet connection is detected, you are presented with a list of options.
• by phone — You can call the Corel Customer Service Center nearest you.

For more information about registering a Corel product, visit www.corel.com/support/register.


Updating Corel Paint Shop Pro Photo

You can check for product updates. Updates notify you of important new information about your program.

To update Corel Paint Shop Pro Photo

• Choose Help [image] Check for Updates.
• You can turn automatic program updates on or off by clicking Help [image] Message Settings, and choosing an option from the Message Preferences dialog box.


Corel Support Services

Corel Support Services can provide you with prompt and accurate information about product features, specifications, pricing, availability, services, and technical support. For the most current information on available support and professional services for your Corel product, please visit www.corel.com/support.

Warranty support

Corel’s warranty support is designed to help customers with technical issues related to installation and product defects, including crashes and errors caused by Corel software.

Personal telephone support

Many customers choose to speak directly to a Corel support technician over the telephone. Live person-to-person support on a toll-free line is available as a paid service and is designed for individual, small business, academic, trial version, and OEM users.

A support incident is the resolution of one technical question, problem, or issue, regardless of the number of telephone calls required to resolve it. Support includes assistance with understanding how features work and how they are applied to a sample document; troubleshooting technical issues and documents; installation, configuration, and setup on standalone computers; and migration from one software version to another. Please note that support does not include how to implement features within your files.


About Corel Corporation

Corel is a leading global packaged software company with an estimated installed base of more than 40 million users. The company provides high-quality, affordable, and easy-to-use productivity, graphics, and digital imaging software and enjoys a favorable market position among value-conscious consumers and small businesses. Corel’s product portfolio features well-established, globally recognized brands, including CorelDRAW Graphics Suite, Corel WordPerfect Office, WinZip, Corel Paint Shop Pro, and Corel Painter. Headquartered in Ottawa, Canada, Corel Corporation is traded on The NASDAQ Stock Market under the symbol CREL and on the Toronto Stock Exchange under the symbol CRE. For more information, please visit www.corel.com.


Learning how to use Corel Paint Shop Pro Photo

Previous Document Next Document

Learning how to use
Corel Paint Shop Pro Photo

You can learn Corel Paint Shop Pro Photo in various ways: by reading the user guide, by accessing the Help, by using the Learning Center palette, or by exploring the resources on the Corel Web site (www.corel.com), where you can access tips, tutorials, and information about training from lynda.com.

You can also check the readme.html file installed with the program to learn the latest information about the software.

In this section, you’ll learn about

• documentation conventions
• using the Learning Center palette
• using the Help system
• using Web-based resources
• getting in touch with other Corel Paint Shop Pro Photo users


Documentation conventions

The following table describes important conventions used in the user guide and Help.

Convention | Description | Example
Menu [image] Menu command | A menu item followed by a menu command | Choose File [image] Open.
drop-list | A list of options that drops down when a user clicks a down arrow button | Choose an option from the Selection Type drop-list on the Tool Options palette.
palette | A window containing available commands and settings relevant to a specific tool or task | Double-click the name of the group on the Layers palette.
mark and unmark | Terms that refer to enabling or disabling check boxes by clicking them | To preserve the current print size, mark the Maintain original print size check box.
Enter | The Enter key on your keyboard | To save this gradient as a swatch that you can access later, click the Add to swatches button, type a name, and press Enter.
 | A note containing information that is important to the preceding steps. It may describe conditions under which the procedure can be performed. | The Background Eraser tool cannot be applied directly to the background layer, which does not support transparency.
 | A tip containing suggestions for performing the preceding steps. It may present alternatives to the steps, or other benefits and uses of the procedure. | You can also right-click in the image to set the source point for the Clone tool.


Using the Learning Center palette

The Learning Center palette contains helpful information about Corel Paint Shop Pro Photo tasks, commands, and tools to help first-time users as well as experienced users get their work done faster. The Home page of the Learning Center palette provides a task-based workflow, which begins with getting your photos into the program. From there, the workflow takes you through tasks such as finding and organizing your image files, adjusting and retouching photos, creating collages, adding text, graphics, and effects, and printing and sharing your creations.

Each task appearing on the Home page has its own topics with instructions that describe its related tools or commands. You can click a given topic to access a related tool or command. In this way, you can perform a task as you learn about it. You can also access the Help from the Learning Center palette to obtain additional information about a task.

From the Learning Center Home page, click Adjust, and then click Resize.

To display or hide the Learning Center palette

• Choose View [image] Palettes [image] Learning Center.
• When the palette is displayed, the Learning Center palette icon in the menu is highlighted in blue. When the palette is hidden, the icon is not highlighted.
• The Learning Center palette is displayed by default. It appears along the left side of the main window.

To use the Learning Center palette

1. From the Home page, click a task.
The topics related to the task appear.
2. Click a topic.
The procedure related to the topic appears.
• For topics describing a tool, the tool becomes active. The Tool Options palette and any other relevant palette appear.
• For topics describing a command associated with a dialog box, the dialog box appears.
3. Read the procedure for using the tool or command.
• Some tasks and commands are not available unless an image is open.


Using the Help system

The Help that is available from within the program is the most comprehensive source of information for Corel Paint Shop Pro Photo. The Help topics dialog box provides three ways to find information. You can choose a topic from the Contents page, use the Index page to search for a specific subject, or use the Search page to search for specific words and phrases. You can also print topics from the Help and change the size of the text displayed in the Help window.

To use the Help system

1. Click Help [image] Help topics.
2. Click one of the following tabs:
• Contents — lets you browse through topics in the Help
• Index — lets you use the keywords from the index to find a topic. For example, if you want to add a caption to a photo, but are not sure which feature to use, type caption.
• Search — lets you search the full text of the Help for a particular word or phrase. For example, if you are looking for information about a specific tool or command, you can type the name of the tool or command, such as Backlighting, to display a list of relevant topics. To search for a phrase, type the phrase and enclose it with quotation marks (for example, type “Smart photo fix”).
• Favorites — lets you create a list of Help topics that you can easily access. You can remove and add Help topics at any time.

You can also |
Print a specific Help topic | Open a Help topic, click the frame you want to print, and click Print.
View Help for a dialog box | Click Help in the bottom of the dialog box.
Access information and troubleshooting tips on the Corel Web site | On the Help window toolbar, click Support.

To change the size of the text in the Help window

• In Internet Explorer, choose View [image] Text Size, and choose a size.


Using Web-based resources

From the Corel Paint Shop Pro Photo Help menu, you can access a number of Web pages dedicated to customer support.

To access Web-based resources

• From the Help menu, select one of the following Web site links:
• Contact Information — this link takes you to a Customer Support page listing customer service and technical support contact information, as well as mailing addresses for US English and the other supported languages.
• Online Support and Resources — lets you access the Corel Support Services page to search for answers in our Knowledge Base and newsgroups, submit questions to Technical Support, give us feedback, or look for software updates
• Check for Updates — checks the Corel Update Service to see if there are updates to your copy of Corel Paint Shop Pro Photo
• You can also use your Internet browser to go to www.corel.com, and click the Support link to access the Support Services page, or the Community link to access creative downloads, tutorials, tips, newsletters, newsgroups, and other online resources.


Getting in touch with other Corel Paint Shop Pro Photo users

Millions of people use and love Corel Paint Shop Pro Photo. In addition to the Corel newsgroups, there are many independent Corel Paint Shop Pro Photo communities where users share tips and tricks, ask questions, and get answers about Corel Paint Shop Pro Photo. There are Web sites, newsgroups, and chatrooms devoted to Corel Paint Shop Pro Photo. As a starting point, you can search online for “Paint Shop Pro.”

To access Corel newsgroups

• Use your Internet browser to go to www.corel.com, click the Community link, and click the Newsgroups link.


Workspace tour

The Corel Paint Shop Pro Photo workspace includes menus, tools, and palettes that you can use to create and edit images. By navigating this workspace, you can accomplish your photo-editing, painting, and drawing tasks.

In this section, you’ll learn about

• the workspace
• using palettes
• using toolbars
• using tools
• customizing toolbars and palettes
• using dialog boxes
• viewing images
• using shortcut keys
• using context menus
• using rulers, grids, and guides
• opening Corel Snapfire


Exploring the workspace

When you open Corel Paint Shop Pro Photo, the main program window appears. This window is your work area. It contains the commands and tools you need to create, edit, print, and export your images.

You can save the entire workspace, including all open images and their magnifications and screen positions, as well as positions and preferences of palettes, toolbars, dialog boxes, and windows. For information about using custom workspaces, see "Using custom workspaces".

The Corel Paint Shop Pro Photo workspace includes the following components:

• Menu bar — displays commands for performing tasks. For example, the Effects menu contains commands for applying effects to images.
• Toolbars — display buttons for common commands. For more information, see "Using toolbars".
• Palettes — display image information and help you select tools, modify options, browse through images, manage layers, select colors, and perform other editing tasks. For more information, see "Using palettes".
• Status bar — displays information about the selected tool or menu command, as well as information about image dimensions, color depth, and cursor position. The status bar appears at the bottom of the main program window, and unlike other toolbars, it cannot be customized or moved. For more information about viewing image information, see "Viewing images".

Shown below is the workspace that appears when you start Corel Paint Shop Pro Photo for the first time.

The workspace in Corel Paint Shop Pro Photo


Using palettes

Corel Paint Shop Pro Photo contains many palettes that organize information and commands to help you edit your images. Some palettes appear automatically when you start the application for the first time, others appear when you activate certain tools, and some palettes appear only when you choose to open them. You can easily turn a palette on and off by using the Palettes drop-list on the Standard toolbar, or by choosing View [image] Palettes.

Palettes display information and may contain both controls and command buttons. Like toolbars, palettes can be moved from their default docked position — you can float a palette or dock it to another side of the main Corel Paint Shop Pro Photo window.

Palette | Description
Learning Center | Displays information about workflow, tools, and commands to help you complete common tasks quickly and efficiently
Organizer | Lets you view thumbnails of all images on your hard drive. Images are cataloged, so you can quickly search by folder, date, keyword, caption, or other image data, which you can view and edit in the Organizer. You can also create slide shows and print contact sheets.
Photo Tray | Lets you gather photos from various folders so that you can edit, e-mail, print, or upload them. You can add, remove, and rename trays within the Photo Tray palette to match your workflow.
Tool Options | Displays settings and controls for the active tool
Materials | Lets you choose colors and materials for painting, drawing, filling, and retouching
Layers | Lets you view, organize, and adjust settings for image layers
Overview | Displays a thumbnail of the active image, lets you set a zoom level, and displays image information
History | Lists the actions taken on the active image, allows you to undo and redo adjacent or nonadjacent actions, and allows you to create a Quickscript that can be instantly applied to other open images
Histogram | Displays a graph of the distribution of red, green, blue, grayscale, hue, saturation, and lightness values in an image. You can analyze the distribution of detail in the shadows, midtones, and highlights to help you decide how to make corrections.
Brush Variance | Lets you set additional brush options when you use a paint brush or any other raster painting tool. This palette is particularly useful when you use a pressure-sensitive tablet or a four-dimensional mouse. For example, you can vary the opacity of a brush stroke by applying pressure with the stylus. Some options also work well with a mouse.
Mixer | Lets you place and mix pigments to use with the Oil Brush tool and the Palette Knife tool, allowing you to create realistic strokes with oil paints on Art Media layers
Script Output | Displays a list of your actions and results when you run scripts

To display or hide a palette

• Choose View [image] Palettes, and then click the desired palette check box.
Palettes that are currently displayed are denoted with a check mark [image].

To float a docked palette

• Place the pointer in the palette’s title bar, and drag the palette to the desired position.
• As the pointer approaches a side of the main program window, the palette docks on that side. To avoid docking, you can hold down Ctrl as you drag the palette toward a side.

To dock a floating palette

• Place the pointer in the palette’s title bar, and drag the palette to a side of the main program window.
As the pointer approaches the side, the palette snaps into place.
• If the palette is not set to allow docking, choose View [image] Docking Options to display the General Program Preferences dialog box. In the Allow Docking Of group box, mark the palette’s check box.

To set palette docking preferences

1. Choose View [image] Docking Options to display the General Program Preferences dialog box.
2. In the Allow Docking Of group box, mark any of the check boxes.

To resize a palette

• Drag the corner or edge of a palette.
• You can also resize a docked palette by clicking the Minimize palette [image] or Maximize palette button [image] in the upper-right corner of the palette’s title bar.


Using toolbars

The toolbars display buttons that are useful for performing common tasks. When you position your cursor over a button, its name appears on a ToolTip. The status bar displays additional information about the command, and the Learning Center provides advice on using the tool.

You can add and remove buttons from toolbars and create custom toolbars. Corel Paint Shop Pro Photo contains the following toolbars:

• Effects — displays commands for applying effects to your images
• Photo — displays commands for enhancing photos
• Script — displays commands for creating and running scripts
• Standard — appears by default toward the top of the workspace and displays the most common commands, such as saving images, undoing a command, and cutting and pasting items
• Tools — contains tools for painting, drawing, cropping, typing text, and performing other image-editing tasks
• Web — displays commands for creating and saving images for the Web

For information about the menu bar and the status bar, see "Exploring the workspace".

To display or hide a toolbar

• Choose View [image] Toolbars, and choose the toolbar that you want to display or hide.
A check mark beside the toolbar name in the menu indicates that the toolbar is displayed.
• You can also display a toolbar by right-clicking any toolbar or palette, choosing Toolbars, and choosing the toolbar.
• To hide a specific toolbar, click the Close button [image] on its title bar.


Using tools

You can use the Corel Paint Shop Pro Photo tools to paint, draw, crop images, add text, and perform other image editing and creative tasks. Some tools, such as the Crop, Move, and Text tools, reside in their own space on the Tools toolbar. Most tools, however, are grouped with other tools that perform similar tasks. A group of tools is denoted by a small flyout arrow on the right side of the active tool.

Some tools are grouped together in flyouts. You can access all tools in a flyout by clicking the flyout arrow beside the active tool.

When you hold the pointer over a tool, a ToolTip displays the tool name and shortcut key, and the status bar displays hints for using the tool.

For information about moving, hiding, and displaying the Tools toolbar, see "Using toolbars".

Depending on the type of layer you are working on, some tools may not be available. For example, the Paint Brush and Clone Brush tools work only on raster layers, the Pen tool works only on vector layers. For more information about raster and vector layers, see "Working with layers".

The following table briefly describes each tool on the Tools toolbar.

Tool | Description
Pan | Moves the viewable portion of the image window when part of the image extends beyond the image window
Zoom | Zooms in when you click, or zooms out when you right-click. You can drag to define an area for zooming. If your pointing device has a scroll wheel, you can use it to quickly zoom in and out quickly.
Pick | Moves, rotates, and reshapes raster layers, and selects and modifies vector objects
Move | Moves a raster layer or a vector layer on the canvas
Selection | Creates a geometrically shaped selection, such as a rectangle, ellipse, or triangle
Freehand Selection | Creates an irregularly shaped selection
Magic Wand | Makes a selection based on pixel values within a specified tolerance level
Dropper | Lets you choose the foreground/stroke color by clicking, or the background/fill color by right-clicking
Crop | Trims or eliminates unwanted edges of an image
Straighten | Rotates a crooked photo to straighten it
Perspective Correction | Squares the perspective of buildings or other objects that appear to be leaning or unnaturally angled
Red Eye | Quickly corrects the red-eye effect commonly seen in photos
Makeover | Provides three modes — Blemish Fixer, Toothbrush, and Suntan — which let you apply cosmetic fixes to subjects in your photos
Clone | Removes flaws and objects by painting over them with another part of the image
Scratch Remover | Removes wrinkles, wires, and similar linear flaws from digital photos, and removes scratches from scanned photos
Object Remover | Covers unwanted elements of a photo with a neighboring texture in the same photo
Paint Brush | Lets you paint on your image with colors, textures, or gradients
Airbrush | Simulates painting with an airbrush or spray can
Lighten/Darken | Lightens areas as you drag, or darkens areas as you drag with the right mouse button. This effect is stronger than the effects produced by the Dodge and Burn tools.
Dodge | Lets you lighten areas of a photo by clicking, or darken areas by right-clicking. This tool and the Burn tool produce opposite effects.
Burn | Lets you darken areas of a photo by clicking, or lighten areas by right-clicking. This tool and the Dodge tool produce opposite effects.
Smudge | Smears pixels by picking up new colors as you drag, or pushes pixels by not picking up new colors as you drag with the right mouse button
Push | Pushes pixels by not picking up new colors as you drag, or smears pixels by picking up new colors as you drag with the right mouse button
Soften | Softens pixels as you drag, or sharpens pixels as you drag with the right mouse button
Sharpen | Sharpens pixels as you drag, or softens pixels as you drag with the right mouse button
Emboss | Creates an embossed effect by suppressing color and tracing edges as you drag
Saturation Up/Down | Makes colors more vivid as you drag, or less vivid as you drag with the right mouse button
Hue Up/Down | Shifts pixel hue values up as you drag, or shifts them down as you drag with the right mouse button
Change to Target | Recolors pixels while retaining photographic detail
Color Replacer | Replaces the background/fill color with the foreground/stroke color when you click or drag, or replaces the foreground/stroke color with the background/fill color when you right-click or drag
Eraser | Erases raster layer pixels to transparency
Background Eraser | Erases around the edges of the areas you want to keep in a photo
Flood Fill | Fills pixels of a similar tolerance level with the current foreground/stroke material when you click, or with the current background/fill material when you right-click
Color Changer | Changes the color of an element in a photo while preserving the shading and luminosity of the original color
Picture Tube | Places Picture Tubes, theme-based artistic elements, in your image
Text | Places text on your image
Preset Shape | Adds predefined shapes (such as callouts, arrows, and starbursts) to your image
Rectangle | Creates a rectangle or square
Ellipse | Creates an ellipse or circle
Symmetric Shape | Creates symmetric or star-shaped objects
Pen | Creates connected or unconnected lines, freehand curves, and Bézier curve segments
Warp Brush | Shrinks, grows, twists, or distorts pixels in your photo
Mesh Warp | Distorts a photo by dragging points along an overlay grid
Oil Brush | Simulates oil brush strokes on an Art Media layer
Chalk | Simulates drawing with chalk on an Art Media layer
Pastel | Simulates drawing with pastels on an Art Media layer
Crayon | Simulates drawing with crayon on an Art Media layer
Colored Pencil | Simulates drawing with colored pencil on an Art Media layer
Marker | Simulates drawing with an ink marker on an Art Media layer
Palette Knife | Simulates applying oil paint with a knife (instead of a brush) on an Art Media layer
Smear | Smears whatever pigment you’ve applied to an Art Media layer
Art Eraser | Erases whatever pigment you’ve applied to an Art Media layer


Customizing toolbars and palettes

You can dock, float, resize, and move the toolbars and palettes to customize your workspace. When docking is enabled, toolbars and palettes can be automatically integrated into the workspace. When docking is disabled, toolbars and palettes can float anywhere on the screen without being integrated into the workspace.

You can keep the open palettes and toolbars fully displayed or roll them up when you’re not using them. You can also customize the way in which floating palettes roll up.

To set docking preferences

1. Choose View [image] Docking Options.
The Palettes tab of the Preferences dialog box appears.
2. In the Allow Docking Of group box, mark the palettes you want to be able to dock.
• Even if a palette is set for docking, you can still place it anywhere in the workspace without docking it by dragging it while holding down Ctrl.

To dock a toolbar or palette

• Drag the toolbar or palette’s title bar to one edge of the workspace.
The toolbar or palette snaps into place.
• You can also dock a toolbar or palette by double-clicking its title bar.

To float a toolbar

1. Place the pointer over the toolbar’s handle.
The pointer becomes a four-sided mover icon.
2. Drag the handle to move the toolbar away from the workspace edge.
• The handle size and position vary, depending on the size of the toolbar and whether it is vertical or horizontal.
• You can also double-click the toolbar’s handle.

To move a toolbar or palette

• Drag its title bar to a new position.

To resize a toolbar or palette

• Drag a side or a corner of the toolbar or palette.

To display all toolbars and palettes

• Press Ctrl + Shift + T.

To roll up a toolbar or palette

• Click the Auto Hide pushpin button [image] in the toolbar or palette’s title bar.
When the Auto Hide pushpin is pointing down, the toolbar or palette remains fully displayed when you click away from it.
When the Auto Hide pushpin is pointing to the left [image], the toolbar or palette rolls up when you click from it, so that only the title bar is visible.
• If you perform an action in which the toolbar or palette remains in focus, the toolbar or palette remains displayed even after the pointer moves away. When you click anywhere else or perform another action, the toolbar or palette rolls up.
• When you click away from the palette or toolbar with the Auto Hide button activated, it rolls up in one of two ways: If it’s floating, only the title bar is visible; if it’s docked, a label appears with the palette or toolbar name.
• Re-clicking the Auto Hide button prevents the palette from rolling up.
• To display the palette again, point over the tab.

To customize the Animate Auto Hide and Quadrant Rollup options

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Options tab.
3. Perform a task from the following table.

To | Do the following
Set the speed at which palettes roll up | Mark the Animate Auto Hide check box, and adjust the Speed slider.
Move floating rolled-up palettes into the nearest workspace quadrant | Mark the Quadrant Rollup check box.


Using dialog boxes

Dialog boxes are windows that open when you choose certain Corel Paint Shop Pro Photo commands. You can use them to select and preview command options. All dialog boxes remember where you last positioned them on the screen and re-open in the same location.

Common features found in many dialog boxes include the following:

• Before and After Preview windows — let you see the effect of the dialog settings on your image
• Zooming and Panning controls — let you zoom in and out on the preview windows, and change the current viewing area
• Presets — display saved settings, or scripts, that you can use to make quick changes to images. For more information, see "Using and creating presets".
• Reset button [image] — lets you reset dialog box settings to their initial values
• Numeric edit controls — let you select or enter numeric values
• Color boxes — let you select colors for a command setting
• Randomize parameters button [image] — lets you preview random settings. Note that this button is not available in all dialogs.
• Resize handle — lets you resize the dialog box
Using preview windows

Most dialog boxes that you use to correct images, apply effects, or modify selections contain Before and After preview windows that show the image with changes applied.

You can show or hide the preview windows by clicking the Show/Hide Previews button:

When you hide the preview windows, you can still see the current dialog box settings effects on the image by marking the Preview on Image check box in the dialog box’s upper right corner.

Editing numeric values

To edit values in Corel Paint Shop Pro Photo dialog boxes, you can use the numeric edit control to enter values and change settings.

Using color boxes

In some dialog boxes, a color box displays the currently selected color for a given control. When you move the pointer over the color box, the pointer changes to a dropper and displays the RGB values.

Randomizing parameters

Many correction and effect dialog boxes contain a Randomize Parameters button [image] that lets you update all settings with random values.

To resize a dialog box

• Drag the Resize handle [image].
• You can also double-click the title bar to maximize the dialog box.

To zoom the image preview

• Set the desired value in the Zoom control.

• You can also expand the dialog box to create more room for the Before and After preview windows. For more information about resizing dialog boxes, see "To resize a dialog box".

To pan the image previews

1. Move the pointer into the After preview window.
The pointer changes to a hand.
2. Drag the image.
• You can also hold down the Navigate button [image], and then center the selection rectangle over the part of the image you want to display.

To proof changes in the main image window

• Mark the Preview on Image check box.
Any change to a dialog box setting will be applied to the main image window.

To edit numeric values

• Perform a task from the following table.

To | Do the following
Enter a specific value | Click in the control, press Delete or Backspace, and type a new value.
Increase or decrease the number by one | Click the up or down arrow.
Choose an approximate value | Click the slider.
Choose from the range of available settings | Drag the slider.

• If you enter a value that is out of range for the control, it turns red.
• You can also double-click the number to highlight it, and type a new value.

To choose a color from a dialog box

• Perform a task from the following table.

To | Do the following
Select a color | Click the color box, and select a color from the Color dialog box.
Select from recently used colors | Right-click the color box, and select a color in the Recent Colors dialog box.

To randomize settings within a dialog box

• Click the Randomize parameters button [image].
• You can try a variety of settings by continuing to click the Randomize parameters button until you get the effect you want.


Viewing images

You can move, resize, or close the image window. You can also open the same image in multiple image windows. This allows you to see the image at different magnification levels. You can also choose to view images in a tabbed format, where a tab appears at the top of the image window. When you click an image’s tab, it becomes the active image.

If you have multiple images open, you can arrange the image windows to view them side by side or stacked in cascading order. You can also see a list of all open images.

If the image is larger than the image window, you can pan to view different parts of the image, or you can fit the window to the image. You can also see a thumbnail of the entire image in the Overview palette. For more information, see "Using palettes". For more information about viewing images, see “Viewing images” in the Help.

The title bar at the top of the image window shows the file name and the magnification percentage. An asterisk after the filename indicates that the image has been modified and that those changes have not been saved.

If the image has an embedded watermark, a copyright symbol is displayed in front of its name. For more information, see "Using digital watermarks".

To move an image window

• Drag the title bar.

To resize an image window

• Drag a corner of the image window.
• When you resize an image window, you are not changing the size of the image.

To minimize or maximize an image window

• Perform a task from the following table.

To | Do the following
Minimize the image window to display only the title bar | Click the Minimize button [image] .
Maximize the image window to fill the workspace | Click the Maximize button [image] .
Restore the image window to its previous size | Click the Restore button [image] .

To close an image window

• Choose File [image] Close.
If you have made unsaved changes to your image, you are prompted to save.
• You can also click the Close button [image] on the title bar of the image.
• To close all windows, choose Window [image] Close All.

To make a copy of the active image

• Choose Window [image] Duplicate.
A copy of the active image opens. You can edit the copy independently of the original image.
• You can also duplicate the active image by pressing Shift + D.

To open multiple views of the same image

• Choose Window [image] New Window.
A new window opens with another view of the active image. When you make changes in one window, both windows are updated.

To arrange multiple windows

• Perform a task from the following table.

To | Do the following
Display cascading windows | Choose Window [image] Cascade. The windows cascade from the upper left to the lower right of the workspace.
Display windows side by side vertically | Choose Window [image] Tile Vertically. Windows are resized to fit within the workspace.
Display windows side by side horizontally. | Choose Window [image] Tile Horizontally. Windows are resized to fit within the workspace.

To see a list of all open images

• Click the Window menu.
The names of all open images appear at the bottom of the Window menu. The file names are listed in the order they were opened.

To view another area of the image

• Perform a task from the following table.

To | Do the following
Display cascading windows | Choose Window [image] Cascade. The windows cascade from the upper left to the lower right of the workspace.
Pan the image | On the Tools toolbar, choose the Pan tool [image] , and then drag in the image. If any other tool is active, hold down Spacebar and then drag in the image.
Change the view horizontally or vertically | Drag the horizontal or vertical scroll bar.
Change the view by small increments | Press the arrow keys.
Pan in the Overview palette | Press F9 to display the Overview palette, click the Preview tab, place the pointer inside the panning rectangle, and then drag to the desired view. You can also set the zoom level in the Overview palette’s Preview tab.

To fit the image in the image window

• Perform a task from the following table.

To | Do the following
Fit the window to the image | Choose Window [image] Fit to Image.
Fit the image to the window | Choose Window [image] Fit to Window.
Fit the image and the window to the screen | Choose Window [image] Fit to Screen.

To enable or disable the tabbed image window option

• Choose Window [image] Tabbed Documents.
• To view another image, click its tab. If an image tab is not in the current view, click the arrows in the upper-right corner of the image window to scroll left or right.
• To close a tabbed-format image, click the Close button [image].


Using shortcut keys

Corel Paint Shop Pro Photo lets you use shortcut keys to execute menu commands, select tools, display palettes, edit nodes on vector objects, and execute Organizer commands. All of the menu commands, including those for opening palettes, list their shortcut keys. Shortcut keys for tools display when you move the pointer over a tool.

You can customize the shortcut keys. For more information, see "Customizing keyboard shortcuts".

To access menu commands by using shortcut keys

• Hold down Alt, and press the underlined letter in the menu item.
For example, press Alt + F to open the File menu.
• You can also scroll through the menus by using the arrow keys.

To view all shortcut keys

• Choose Help [image] Keyboard Map.


Using context menus

Context menus provide quick access to commands that are specific to the active tool, selection, or palette.

To view a complete list of context menus

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Menu tab.
3. Click the Select context menu drop-list.
All of the context menu names display in the drop-list. If you want to open a specific context menu, select it.

To use a context menu

1. Right-click an image, an empty area of a palette, a layer on the Layers palette, a thumbnail in the Organizer, or a toolbar.
2. Choose a command from the context menu.


Using rulers, grids, and guides

You can hide or display rulers. You can display rulers in pixels, inches, or centimeters. You can also change the color of the rulers.

What are grids?

Grids are horizontal and vertical lines overlaying your image. Grid lines can help you position image elements. You can display or hide grids and set grid preferences for spacing and appearance. When you display grids, they appear in all open image windows.

What are guides?

Guides are horizontal or vertical lines you position to overlay your image. With the rulers displayed, you drag guides onto your image to help with precision work, such as cropping, moving image elements, selections, as well as text and brush stroke placement. While grids place a series of horizontal and vertical lines at certain intervals, you place guides at the locations you want.

Setting snapping

You can use snapping to align your brush strokes and image elements precisely to the nearest grid line or guide. The snap influence controls the distance, in pixels, that an element must be, in order for it to snap to a guide or grid. An item’s center point snaps to a guide or grid if the center point is the closest part of the item to a grid or guide.

To display the ruler, grid, or guides

• Choose the View menu, and select one of the following:
• Rulers
• Grid
• Guides
• You must first display rulers before you can drag guidelines onto your image.

To set ruler properties

1. Choose File [image] Preferences [image] General Program Preferences.
The General Program Preferences dialog box appears.
2. Choose Units from the list.
3. In the Rulers group box, choose an option from the Display Units drop-list.
4. Choose the ruler color by selecting one of the following options:
• Black on white — displays black hash marks and numbers on a white background
• Toolbar colors — displays black hash marks and numbers on the same background color for other toolbars and palettes.
5. Click OK.
• You can use the Windows color scheme for your rulers by clicking View [image] Customize and marking the Use System Colors check box on the Options tab.

To set default or current grid properties

1. Choose View [image] Change Grid, Guide & Snap Properties.
The Grid, Guide & Snap Properties dialog box appears.
2. Click the Grid tab.
The Default Settings group box shows the default settings for the guides. The Current Image Settings group box shows settings for the guides in the current image.
3. Type or set a value in the Horizontal grids control to set the distance between horizontal grid lines (starting from the top of the image).
4. Type or set a value in the Vertical grids control to set the distance between vertical grid lines (starting from the left side of the image).
5. Choose a unit of measurement option from the Units drop-list.
6. Click OK.

You can also |
Choose a grid color | Click the Color box, and choose a color from the color palette.
Set the snap influence level | Type or set a value in the Snap influence control.

To place a horizontal or vertical guide

1. If the rulers are not displayed, display them by choosing View [image] Rulers.
2. Do one of the following:
• To place a horizontal guide, click the top ruler, and drag a guide to the desired position.
• To place a vertical guide, click the left ruler, and drag a guide to the desired position.
As you drag, the Status bar displays the guide’s position (in pixels).
3. For further placement position, on a ruler, double-click a guide handle.
The Guide Properties dialog box appears.
4. Type or set a value in the Guide position control.
5. Click OK.

To change the color of a guide

1. On a ruler, double-click a guide handle.
The Grid, Guide & Snap Properties dialog box appears.
2. On the Guides tab, click the Color box, and choose a color from the color palette.
3. Click OK.

To set the default properties for guides

1. Choose View [image] Change Grid, Guide, and Snap Properties.
The Grid, Guide & Snap Properties dialog box appears.
2. Click the Guides tab.
The Default Settings group box shows the default settings for guides. The Current Image Settings group box shows settings for the guides in the current image.
3. In the Default Settings group box, click the Color box, and choose a color from the color palette.
If you want to choose a recently-used color, right-click the Color box, and choose a color from the Recent Colors dialog box.
4. Type or set a value in the Snap influence control to specify the distance (in pixels) that an item must be away from the grid or guide in order for it to snap.
You must choose the Snap to Grid command in the View menu.
5. Click OK.

To delete guides from an image

1. Choose View [image] Change Grid, Guide, and Snap Properties.
2. Click the Guides tab.
3. Mark the Delete guides check box.
4. Choose one of the following options:
• From current image only
• From all open images
5. Click OK.
• You can also drag a guide’s handle until the guide is off the image area, or right-click a guide handle and click Delete from the Guide Properties dialog box.

To snap to the nearest guide or gridline

• From the View menu, choose one of the following:
• Snap to Guides
• Snap to Grid


Opening Corel Snapfire

If you have Corel Snapfire installed on your computer, you can open it directly from Corel Paint Shop Pro Photo.

To open Corel Snapfire

• Choose File [image] Launch Corel Snapfire.


Getting started with Corel Paint Shop Pro Photo

You can bring your images into Corel Paint Shop Pro Photo in various ways: you can import images from a digital camera, card reader, or scanner; you can capture images from the computer screen; you can duplicate an existing image or layer; or you can create an image.

In this section, you’ll learn about

• getting photos into Corel Paint Shop Pro Photo
• opening and closing images
• saving images
• creating images
• viewing images and image information
• capturing images from the computer screen
• zooming and panning
• cutting, copying, and pasting
• undoing and redoing actions
• repeating commands
• deleting images
• files supported by Corel Paint Shop Pro Photo


Getting photos into Corel Paint Shop Pro Photo

You can download and scan images into Corel Paint Shop Pro Photo.

Using the Corel Photo Downloader

You can easily download images by using the Corel Photo Downloader, which is installed along with Corel Snapfire Plus SE during the Corel Paint Shop Pro Photo installation. The Corel Photo Downloader offers the quickest and easiest way to transfer photos from your digital camera to your computer. Just plug in your camera, or insert a memory card into your card reader, and perform a quick one-time setup. Afterwards, the Corel Photo Downloader starts automatically whenever you plug in your camera or insert a memory card into your card reader.

You can set the Corel Photo Downloader to rotate photos. You can also choose to clear space on your camera’s memory card by automatically deleting photos on the camera after downloading them. Corel Snapfire Plus SE is launched automatically after downloading. The Corel Photo Downloader also detects and lets you view photos stored on photo CDs. For more information, see the Corel Snapfire Plus SE Help.

Using WIA

Corel Paint Shop Pro Photo supports digital cameras that use Microsoft Windows Image Acquisition (WIA), which provides a standard interface for loading photos from digital cameras and scanners. However, the WIA interface is available only for the Windows Me and Windows XP operating systems.

If your computer does not support WIA, you can open photos by installing and using a card reader. Some cameras, and most card readers, serve as additional disk drives when they are connected to the USB port of your computer. For example, the path for your camera may appear as G:DCMS.

Using scanners

Your scanning software may allow you to choose an application for scanning images. To set up your scanner so that you can scan images into Corel Paint Shop Pro Photo, please refer to the manufacturer’s documentation provided with your scanner.

After you download or scan your images, you can review them with Quick Review in a full-screen slide show.

To use the Corel Photo Downloader with a camera or card reader

1. Connect the camera or card reader to the computer by using a USB cable.
The Corel Photo Downloader opens.
You can verify that the Corel Photo Downloader is active by checking for its icon [image] in your system tray.
2. Mark the Use Corel Photo Downloader to transfer photos check box.
3. Choose one of the following options:
• Always start downloading automatically
• Display this prompt each time
4. Click OK.
When the download is complete, Corel Snapfire Plus SE starts. You can choose to view the photos with Corel Snapfire Plus SE or with the Organizer in Corel Paint Shop Pro Photo.
• You can set download options by clicking Options in the Corel Photo Downloader dialog box and choosing the options you want.
• You can also set download options by clicking the Corel Photo Downloader icon [image] in your system tray and choosing Options. For more information about setting options, see the Corel Snapfire Plus SE Help.

To get photos from a WIA scanner

1. After installing the software that came with your Windows Image Acquisition (WIA) scanner, connect your scanner to your computer.
2. In Corel Paint Shop Pro Photo, choose File [image] Import [image] From Scanner or Camera.
The scanner’s interface appears.
3. Use the scanner’s software to perform the scan.
If you have set up your scanner to scan into Corel Paint Shop Pro Photo, the image is displayed in an image window in Corel Paint Shop Pro Photo after it is processed. The scanner’s software may remain open, so you can either exit the software or continue to acquire images.

To get photos from a TWAIN scanner

1. After installing the software that came with your scanner, connect your scanner to your computer.
2. In Corel Paint Shop Pro Photo, choose File [image] Import [image] TWAIN Acquire.
The scanner’s interface appears.
3. Use the scanner’s software to perform the scan.
If you have set up your scanner to scan into Corel Paint Shop Pro Photo, when the device and software have processed the image, the image is sent to Corel Paint Shop Pro Photo and placed in an image window. The scanner’s software may remain open, so you can either continue to acquire images or exit the software.
• You must install the software that came with your scanner before you connect the device to your computer. Installing this software correctly allows the computer and Corel Paint Shop Pro Photo to recognize your scanner.


Opening and closing images

You can open most image formats in Corel Paint Shop Pro Photo. You can open the images by using the menu bar in the main program window or by using the Organizer. For information about using the Organizer, see "Finding, organizing, and reviewing images."

You can associate specific file formats with Corel Paint Shop Pro Photo, such as JPEG, TIF, or PNG, so that these files will open in Corel Paint Shop Pro Photo when you double-click them. For more information about setting file format associations, see "Setting file format associations." For a list of the file formats that you can open in Corel Paint Shop Pro Photo, see "Files supported by Corel Paint Shop Pro Photo".

To open an image

1. Choose File [image] Open.
2. In the Look in drop-list, choose the folder where the file is stored.
3. Click the name of the file that you want to open.
If you want to open multiple files, hold down Ctrl, and click the filenames.
4. Click Open.

You can also |
View information about an image | In the Open dialog box, click the filename, and click Details.
View a thumbnail in the preview area | In the Open dialog box, mark the Show preview check box.
Run a script on the files as they open | In the Open dialog box, mark the Enable Pre-processing check box, and choose a script from the drop-list.

To open a recently viewed file

• Choose File [image] Recent Files, and choose the filename.
• By default, the Recent Files menu lists four recently viewed files. You can choose to list up to 10 files. For more information, see "To set the number of files that appear in the Recent Files list."

To open an image from the Organizer

1. If the Organizer is not displayed, display it by choosing View [image] Palettes [image] Organizer, or click the Toggle Organizer button [image] on the Standard toolbar.
To view thumbnails from another folder, click Add More Folders from the left side of the Organizer, and from the Browse for Folder dialog box that appears, choose the folder containing the desired images. The folder you choose now appears in the Folders list.
2. Double-click the thumbnail to open the image in the workspace.

To close an image

• Choose File [image] Close, or click the Close button [image] in the title bar of the image window.


Saving images

Before you save an image, you need to consider the file format in which you want to save it, and you must ensure that you don’t overwrite an original image that you may need in the future.

The PspImage file format of Corel Paint Shop Pro Photo supports layers, alpha channels, and other features used in creating images. It is recommended that you save and edit your images as PspImage files. You can then save the file to a standard file format if you want to e-mail the image, use it on a Web page, or send it to a printing service.

The list below provides you with some basic information about common file formats.

• JPEG — a standard file format for digital photos that is suitable for e-mail and the Web. It uses lossy compression, which ensures a small file size but entails a loss of image data each time you save. For this reason, this format is not recommended for editing photos unless a high quality setting is used. This file format supports EXIF and IPTC data, which can be used to provide information about the photo, such as when a photo was taken.
• TIFF — a standard file format for printing and sharing images between programs. It uses non-lossy compression. Although you do not lose image data when you save the file, the larger file size is less suitable for e-mail and the Web. TIFF can save data in the CMYK color mode for printing, and it supports EXIF and IPTC data.
• PNG — a file format widely used for Web images. It uses non-lossy compression to reduce the file size without losing image data.
• raw camera formats — typically used by professional photographers. Raw camera formats provide uncompressed, unprocessed image data and gives you the most control over how an image is processed. You must have a camera that captures digital image in a raw format, and you need software that lets you open and edit the file, such as Corel Paint Shop Pro Photo.

You can save a PspImage file with or without compression. Both compression methods that Corel Paint Shop Pro Photo uses are lossless and reduce the file size without losing any image information. Uncompressed files require more disk space.

Corel Paint Shop Pro Photo uses the following compression methods:

• Run length encoding (RLE) — a fast compression method, which compresses most multilayered images to about 75 percent of their original size. It works well with images that contain large areas of the same color.
• LZ77 compression — a slower compression method that compresses most images to smaller sizes than with the RLE method. This method works well with photorealistic images.

When you save a new image, Corel Paint Shop Pro Photo lets you select its location, name, and file format. When you save an image and then edit it, the image title bar displays an asterisk, or modifier tag, after the filename to indicate that the file has been modified. This tag disappears each time you save your work.

You can also automatically save your files at specific intervals to avoid losing your work if your computer shuts down unexpectedly. For more information, see "Setting autosave preferences."

If you want to save a version of a file, you can save a copy of an image. This is useful when you want to apply effects to an image but keep the original file.

If you do not change the file format of the file you open and you want to preserve the original image, you must use the Save As command, rather than the Save command, to avoid overwriting the original file.

To save a new image

1. Choose File [image] Save.
The Save As dialog box appears.
2. From the Save in drop-list, choose the folder in which you want to save the file.
3. In the Filename field, type a name for the file.
4. In the Save as type drop-list, choose a file format.
5. Click Save.

You can also |
Save EXIF data with the image | Click Options. In the Save Options dialog box, mark the Save EXIF information check box.
Compress an image file | Click Options. In the Save Options dialog box, choose a compression option from the Compression group box. The option is unavailable if the file format does not support compression.
Save in the last-used file format | Choose File [image] Preferences [image] General Program Preferences, and click Display and Caching from the list on the left side. In the Presentation group box, mark the Re-use last type in the file save-as dialog check box.

• You can also save your work by clicking the Save As button [image] on the Standard toolbar to avoid overwriting your current file.

To save your work

• Choose File [image] Save.
The original image is overwritten by the modified image. If you do not want to overwrite the original file, use the Save As command.
• When you use the Save command, Corel Paint Shop Pro Photo automatically uses the current filename and location to save the image. This action overwrites your current file.
• You can also save your work by clicking the Save button [image] on the Standard toolbar.

To save a copy of an image

1. Choose the File [image] Save Copy As.
The Save Copy As dialog box appears.
2. From the Save in drop-list, choose a folder in which to save the image.
If you want to create a new folder for the image, click the Create New Folder button.
3. In the File name box, type a name for the file.
If you want to save the file in a different format, select the format from the Save as type drop-list.
4. Click Save.

You can also |
Save EXIF information with the image | Click Options. In the Save Options dialog box, mark the Save EXIF information check box.
Compress the image | Click Options. In the Save Options dialog box, move the Compression slider in the Compression group box. The option is grayed if the file does not support compression.


Creating images

There are two types of computer graphics: raster and vector. With Corel Paint Shop Pro Photo, you can create both types of images. You can also create an image with both raster and vector layers. It is important to understand the differences between these two data types before you begin working with them.

Raster graphics

Raster images are composed of individual elements, called pixels, which are arranged in a grid. Each pixel has a specific location and color. If you magnify raster data, you can see the individual pixels as squares of colors. Raster images contain a fixed number of pixels, so when you magnify the image you are magnifying the display size of the pixels. As a result, raster images may display jagged rather than smooth edges when magnified on screen or when printed at a large magnification.

An object in a raster image is defined by its pixels. For example, the front door in an image of a house is made up of a mosaic of pixels at certain locations in the image. In bitmap images, you edit pixels rather than objects or shapes.

Raster images can display subtle changes in tones and colors, so they are most often used for images like photographs and digital artwork.

Vector graphics

Vector graphics use geometric characteristics — lines, curves, and their locations — to define objects. For example, a door in a graphic of a house is made up of a rectangle that has a certain width and height, is placed at a specific location, and is filled with a certain color. In vector images, you edit objects or shapes rather than pixels.

Vector graphics do not lose clarity or detail when they are scaled or printed, regardless of the change in size or resolution. For this reason, vector graphics are suited to technical illustrations or corporate logos.

Choosing to work with raster or vector data

With Corel Paint Shop Pro Photo, you create and edit raster and vector data on separate layers. With some tools you create raster data (like brush strokes with the Paint tool), and with other tools (like the Text and Preset Shapes tools) you can choose whether you want to create raster or vector data.

In general, it is best to use a vector object if you need to edit it as an element separate from other parts of the image. For example, if you add a star to an image, you may want to change its size, color, or location. You can make these changes more easily if the star is a vector object. You can create raster data on separate layers, which can be easily edited or moved.

To apply tools or commands to vector objects that work only on raster data (such as the painting tools or the Effects commands), you can create a raster selection of a vector object and then paste the selection to a new raster layer.

Understanding image size, resolution, and color depth

Before you create a new image, you need to consider how you will use it. For example, will you display the image on a Web site, send it as an e-mail attachment, or print it? How you use the image helps you determine its size, resolution, and color depth.

Image size is represented by the physical dimensions of the image. With Corel Paint Shop Pro Photo, when you create a new image or resize an existing image, you define image height and width in pixels, inches, millimeters, or centimeters.

• For printed images, inches or centimeters are the recommended units of measure. By starting with the final image dimensions, you can produce an image that fits the page.
• For images that you want to import into another application (such as a word-processing application) and then resize and print, any of the options can be used.
• For images to be displayed on the screen, pixels is the recommended unit of measure.

You can resize an image after creating it, but doing so may result in loss of image data. For more information about resizing images, see "Retouching and restoring images".

Image Resolution is measured in pixels per inch (ppi) or pixels per centimeter. Low resolution can cause pixelation, a problem in which large pixels produce coarse output. High resolution can increase an image’s memory requirements without producing a proportional increase in its quality.

Color Depth is measured according to the number of colors that a pixel can display. Each pixel’s color information is stored in bits — from 1 to 48 bits. In a 1-bit image, each pixel can display only one of two colors (black or white). In a 24-bit image, each pixel can display one of 16 million colors. Images with a color depth of 16 million colors look best, but they also require the most memory to store and edit. Not all computer monitors can display 16 million colors, so some file formats limit the number of supported colors. For example, GIF images, a popular format for the Web, contain up to 256 colors (8-bit depth).

Many of the commands in Corel Paint Shop Pro Photo for applying effects and correcting images work on 16 million–color images only. Therefore, it’s best to create most images in 16 million colors. When you have finished working on the image, you can decrease its color depth and save it in another format.

You can create an image by using the New command in the File menu, or by copying aspects of an existing image. When you use an existing image as the source of your new image, you can copy the entire image or an individual layer. You can also create an image from any graphic data copied to the Clipboard from Corel Paint Shop Pro Photo.

When you create a new image in Corel Paint Shop Pro Photo, you can specify its dimensions, resolution, and type. The options available depend on the type of graphic you want to create. If you’re uncertain as to what type of graphic you need for your project, or which settings to choose, review the information in the following procedure. For more information about creating Art Media graphics, see "Painting and drawing with the Art Media tools".

To create an image

1. Choose File [image] New.
The New Image dialog box appears.
2. In the Image Dimensions group box, set the following options:
• Units — specifies the unit of measure
• Width — specifies the width of the new image
• Height — specifies the height of the new image
• Resolution — specifies number of pixels contained in the chosen unit of measure
If you want to choose preset dimensions, choose an option from the Presets drop-list.
3. In the Image Characteristics group box, choose one of the following options:
• Raster Background — suitable for most graphics and painting tasks
• Vector Background — suitable for vector graphics
• Art Media Background — lets you use the Art Media tools
4. Choose an option from the Color depth drop list.
If you chose the Raster Background option, you can choose a background color for the image by clicking the color box and choosing a color from the Material Properties palette. To choose a transparent background (for 8-bit or 16-bit images only), mark the Transparent check box.
If you chose the Art Media Background option, you can choose a canvas texture from the Select a canvas texture drop-list. If you want to choose a color for the canvas, mark the Enable fill color check box, click the color box, and choose a color from the Color dialog box.
5. Click OK.
• The Memory Required field displays the amount of memory required for the image. Your computer’s available memory should be at least two to three times the value displayed in the Memory Required field. To reduce the memory requirement, you can reduce the resolution or the dimensions of the image.
• For more information on choosing colors or materials, see "Using the Materials palette".

To duplicate an image

1. Open the image you want to duplicate.
2. Choose Window [image] Duplicate.
A new window containing a copy of the image appears in the workspace.

To create an image from a layer

1. On the Layers palette, click the layer you want to copy.
2. Choose Edit, and click one of the following:
• Copy
• Cut
The current layer is placed on the Clipboard.
3. Choose Edit [image] Paste As New Image.
A new window containing the layer appears in the workspace.

To create a new image from a layered image

1. On the Layers palette, click the layer you want to copy.
2. Choose Edit [image] Copy Merged.
All layers are copied to the Clipboard.
3. Choose Edit [image] Paste As New Image.
A new image window appears in the workspace. The new image contains all layers merged into one raster layer.

To create an image from the Clipboard contents

1. Copy a selection or layer of an image, or an item from another program.
2. Choose Edit [image] Paste As New Image.
The Clipboard contents are pasted as a new image.
• If the Paste As New Image command is grayed out, then the data you have copied to the Clipboard cannot be pasted as a Corel Paint Shop Pro Photo image.
• A dialog box may appear and request additional information, such as the width and height of the new image window. You can change your preferences so that Corel Paint Shop Pro Photo does not prompt you for size and options when you paste data. For more information about setting file format preferences, see "Setting file format preferences".


Viewing images and image information

When you open an image in Corel Paint Shop Pro Photo, it appears in an image window. The title bar of the image window displays the image filename and the level of magnification applied to the image. An asterisk after the filename indicates that the image has been modified and that the changes have not been saved.

You can view basic image information, such the height and width of an image (in pixels) and its color depth. You can also view detailed information for the image, such as its resolution, color depth, layers and alpha channels, and EXIF data. You can also view the number of unique colors in an image.

The Organizer lets you preview thumbnails and image information before you open images. For information about using the Organizer, see "Finding, organizing, and reviewing images."

The EXIF Information tab of the Image Information dialog box lets you view EXIF data for digital camera photos. When you take a photo with a digital camera, the camera attaches information to the image, such as the date and time that it was captured, the exposure, and the flash settings. When you load a photo from a digital camera into Corel Paint Shop Pro Photo, you can view this extra information.

You can expand the workspace to preview an image without the menus, toolbars, or palettes visible.

The Status bar, which is located at the bottom of the application window, displays the cursor position, height and width in pixels, and color depth for the current image.

The Status bar

To view digital photo information

1. Open an image.
2. Choose Image [image] Image information.
• Click the Image Information tab to view the filename, file format, image dimensions, resolution, color depth, modification status, number of layers and alpha channels, and the amount of RAM and disk space used for the image. This page also displays the image’s selections, masks, alpha channels, and Undo storage.
• Click the Creator Information tab to view or edit the image’s title, artist’s name, copyright, description, date of creation, and date of modification.
• Click the Watermark Information tab to view and add information about Digimarc watermarking.
• Click the EXIF Information tab to view information for images taken with digital cameras. In the Section group box, mark the check boxes for the information you want to display: Input Device, Artist, Date, Image, Shot Conditions, GPS, or Makernote. Some items are editable (as denoted by an asterisk). To add customized text for an editable item, click in the Value column, and then type your custom information.
• You can also enter IPTC data via the Advanced Creator Information dialog box. This can be useful for photojournalists, for example, who may need to enter IPTC data about when and where a photo was shot, and the urgency for which it needs to be looked at. To access this dialog box, from the Creator Information tab, click the Advanced button located toward the bottom.

To view image color information

• Choose Image [image] Count Image Colors to display the number of unique colors in the image.

To view layer color information

• Choose Layer [image] Count Layer Colors to display the number of unique colors in the current layer.

To view an image on the full screen

• Choose View [image] Full Screen Preview.
The workspace disappears, and the image appears at its current magnification.
• To return to the Corel Paint Shop Pro Photo workspace, press any key.


Capturing images from the computer screen

Corel Paint Shop Pro Photo lets you capture images from your computer screen. Captured screens can then be embedded in documents such as reports, training guides, presentations, and Web pages.

To initiate the capture process, you must choose settings and then press a hot key, right-click, or set a delay timer. You can define your own hot key. You can also specify the delay period, so that you can set up elements such as menu lists or flyouts before completing the capture.

You can specify the window elements you want to capture. For example, you can capture the active window, a menu, an image, or a part of an image. However, hot keys and right-clicking cannot be used for capturing user-defined areas.

You can also capture a series of images. Each image is assigned a value and placed in order in the series. You can open the series of images in a graphics or word-processing application.

If you frequently capture screens, you may want to create a new, customized toolbar containing the icons for the screen capture command. For more information, see "Customizing toolbars".

To specify a method for capturing screens

1. Choose File [image] Import [image] Screen Capture [image] Setup.
2. In the Activate capture using area, choose one of the following options:
• Right mouse click — lets you capture screen contents by right-clicking
• Hot key — lets you use a keyboard shortcut to capture screen contents. Choose a key or key combination from the drop-list.
• Delay timer — lets you capture screen contents after a specified delay. Type a number in the seconds box.

To specify capture settings

1. Choose File [image] Import [image] Screen Capture [image] Setup.
2. In the Capture area, choose one of the following options:
• Area — captures the area of the screen that you select
• Full screen — captures the entire screen
• Client area — captures the contents of the active program
• Window — captures the active window
• Object — captures an object within the program that you select, such as a menu bar, toolbar, icon, or document window
3. Click OK.

To capture an image or series of images

1. Choose File [image] Import [image] Screen Capture [image] Setup.
If you want to capture multiple images, mark the Multiple Captures check box.
If you want to include the cursor in the capture, mark the Include cursor check box in the Options group box.
2. Click Capture now.
3. Set up the image you want to capture.
If you want to capture an area of the screen, marquee select that area. If you want to capture an object, click the object.
4. Press the hot key or right-click.
• If you marked the Multiple captures check box, you can now capture another image. Press the hot key, or right-click, for each capture. When you are finished, click the Corel Paint Shop Pro Photo button in the Windows task bar. The images appear in the workspace.
• To capture screens from the Corel Paint Shop Pro Photo workspace, start Corel Paint Shop Pro Photo in a second application window, and use it to capture screens from the first.
• If you frequently capture screens, you may want to create a new toolbar containing the icons for the screen capture command. For more information, see "Creating custom toolbars".


Zooming and panning

By default, images that you open in Corel Paint Shop Pro Photo appear at a magnification level that allows the full image to appear in the workspace. You can zoom in to get a closer look at image detail or zoom out to view a larger portion of the image. You can also magnify a specific area of an image.

You can view image areas that fall outside the current image window. For example, when you are working at a high magnification level, you can pan or jump to a different image area without having to adjust the magnification level. When an image is too large to fit within its window, scroll bars appear on the bottom and right sides of the image.

You can use the Zoom tool to magnify your image (left) or you can use the Magnifier command to view a specific area without changing the magnification of the image (right).

To zoom

1. On the Tools toolbar, choose the Zoom tool [image].
2. Click to magnify the area, or right-click to reduce the area.
The magnification changes to a preset percentage that appears in the Zoom (%) control on the Tool Options palette.

You can also |
Magnify the image by a specified percentage | On the Tool Options palette, type a value in the Zoom (%) control.
View the image at 100% | Choose View [image] Zoom to 100%, or click the Actual Size button [image] on the Tool Options palette.

• By default, when you zoom in or out, the image window automatically resizes to fit the image.
• You can also change the magnification when the Zoom tool is active by using the scroll-wheel if one is included on your mouse or stylus.
• You can also change the magnification of an image by choosing View [image] Zoom in and View [image] Zoom out.

To magnify an image area

1. Choose View [image] Magnifier to place the cursor in magnifier mode.
2. Position the cursor over the image area that you want to magnify.
The area under the cursor is displayed at 500%.
• To turn off the magnifier mode, choose View [image] Magnifier again.

To pan around an image

1. On the Tools toolbar, choose the Pan tool [image].
2. Drag within the image.

You can also |
Pan while using another tool | Hold down the Spacebar, and drag with the other tool.
Pan around an image by using the Overview palette | Drag the preview rectangle on the Overview palette to a new position.

To fit the window to the image

• Choose Window [image] Fit to Image.
• You can also fit the window to the image by clicking the Fit Window to Image button [image] on the Tool Options palette when the Pan tool [image] or Zoom tool [image] is active.


Cutting, copying, and pasting

You can cut or copy an entire image, a selection, or an entire layer to the Clipboard, and then paste the Clipboard contents into the same image or another image. The basic commands for cutting, copying, and pasting areas as follows:

• Cut — removes the selected content to the Clipboard and replaces it with the image background color or transparency
• Copy — copies the selected content to the Clipboard
• Copy Merged — copies a flattened (merged) version of all the layers in a selection to the Clipboard
• Paste — pastes cut or copied content from the Clipboard into the same image or another image
• Clear — deletes the selected content
• Empty Clipboard — erases the data from the Clipboard. Placing data on the Clipboard for cutting and pasting can slow your computer’s performance. Emptying the Clipboard can restore the performance speed of your computer. Once applied, this command cannot be undone.

You can cut or copy a selection, layer, or vector object. You can paste the selected content as a new image, a new layer, or a selection.

You can also copy one image into another by using the Organizer. For information about using the Organizer, see "Finding, organizing, and reviewing images."

You can also copy a Corel Paint Shop Pro Photo image into other applications, such as word-processing or desktop-publishing applications. For information about exporting Corel Paint Shop Pro Photo files to other formats, see "Saving images."

Why does the pasted image look out of proportion?
When you paste data into another image, the data keeps its original pixel dimensions. If one image is much larger or smaller than the other, the pasted content may look out of proportion. After you paste the selection, you can use the Pick tool to scale the pasted content. For more information about using the Pick tool to correct perspective, see "To correct perspective in an image layer."
You can also resize the two images to make them a similar size before copying and pasting. For more information about resizing images, see "Resizing images."

To cut a selection, layer, or vector object

1. Select the area, layer, or object you want to cut.
2. Choose Edit [image] Cut.
• You can also cut by pressing Ctrl + X.

To copy a selection, layer, or vector object

1. Select the area, layer, or object you want to copy.
2. Do one of the following:
• To copy only the selection or the active layer, choose Edit [image] Copy.
• To copy all layers of the selected area, choose Edit [image] Copy Merged.
• You can also press Ctrl + C to copy the active layer, or Ctrl + Shift + C to copy merged layers.

To paste as a new image

• Choose Edit [image] Paste As New Image.
• You can also paste as a new image by pressing Ctrl + V.

To paste as a new layer

1. Select the image in which you want to paste the selection.
2. Choose Edit [image] Paste As New Layer.
• You can also paste a new layer by pressing Ctrl + L.

To paste as a selection

1. Select the image in which you want to paste a selection.
2. On the Layers palette, click the layer in which you want to paste the selection.
3. From the Edit menu, choose one of the following commands:
• Paste As New Selection — pastes the contents of the Clipboard as a floating selection above the current layer. If the image already contains a floating selection, that selection is defloated.
• Paste As Transparent Selection — lets you remove a specific color from the selection you are pasting. Any pixels in the Clipboard data that exactly match the current background color become transparent. The Clipboard contents are then pasted as a floating selection above the current layer.
• Paste Into Selection — resizes the Clipboard contents and pastes them into the current selection
• Select the background color on the Materials palette before you paste.
• To paste a vector object, choose Edit [image] Paste As New Vector Selection.

To paste a Corel Paint Shop Pro Photo image into another application

1. Choose Edit [image] Copy to copy the current image, selection, or layer.
If you want to copy all layers, choose Edit [image] Copy Merged.
2. Open the other application, and paste the image.
• The second application must support graphics Clipboard data.
• If the other application is not open, drag the image to the application’s icon on the Windows task bar, wait for the application to open, move the cursor over the document, and then release the mouse button.

To empty the Clipboard

• Choose Edit [image] Empty Clipboard.


Undoing and redoing actions

You can undo single or multiple actions as you edit an image. For example, you can undo brush strokes, color adjustments, or effects that you have applied to the image. You can also redo single or multiple actions to reapply commands that you have undone.

You can also revert to the last saved version of the image.

The Undo control does not undo the following actions: renaming files, saving files, opening and closing files, emptying the Clipboard, making changes that are program-wide and not specific to the current image (such as changes to color settings and preferences), or using commands that do not change the image pixels (such as zooming or scrolling).
Undo and redo controls on the History palette

You can undo multiple actions, as well as specific actions, by using the History palette. The History palette lists all actions performed on the active image. The most recent action is at the top of the list, and the first action performed is at the bottom of the list. Unlike the Undo and Redo commands, the History palette lets you undo or redo actions selectively, regardless of their sequence.

By default, the History palette lists the 250 most recently executed commands on the active image. You can set the Undo preferences and specify a higher or lower number of commands.

The table below lists the Undo/Redo controls on the History palette.

Undo to here | Undoes the selected action and all subsequent actions. Clicking this button is equivalent to clicking an item’s eye icon. The undone actions are denoted by a yellow X [image] .
Redo to here | Redoes the selected action and all undone actions preceding it. Clicking this button is equivalent to clicking an item’s yellow-X eye icon.
Undo selected | Undoes a selected action. Clicking this button is equivalent to holding down Ctrl and clicking an item’s eye icon. Note: Undoing a selected action may interfere with subsequent actions and produce unintended results.
Redo selected | Redoes a selected action. Clicking this button is equivalent to holding down Ctrl and clicking an item’s red-X eye icon.
Clear selectively undone commands | Converts all selectively undone actions into commands that can no longer be undone or redone. You are prompted to confirm the performance of this action.
Show non-undoable commands | Shows or hides the non-undoable commands. When shown, non-undoable items are grayed out.
Empty history | Converts all History palette items into non-undoable commands. You are prompted to confirm the performance of this action.

For more information about the History palette, "To undo and redo actions by using the History palette."

To undo an action

• Choose Edit [image] Undo.
If you want to undo multiple actions, repeat the Edit [image] Undo command.
• The Undo command undoes multiple actions in the order in which they were performed. To undo actions selectively, you can use the History palette.
• If the action cannot be undone, the Undo command is unavailable.
• You can also undo an action by clicking the Undo button [image] on the Standard toolbar, or by pressing Ctrl + Z.

To redo an action

• Choose Edit [image] Redo.
• The Redo command redoes multiple actions in the order in which they were undone. To redo actions selectively, you can use the History palette.
• Only actions that have been undone can be redone.
• You can also redo an action by clicking the Redo button [image] on the Standard toolbar, or by pressing Ctrl + Alt + Z.

To revert to the last saved version of an image

• Choose File [image] Revert.

To undo and redo actions by using the History palette

• Choose an action on the History palette, and then perform one of the following actions.

To | Do the following
Undo an action | Click the Undo/Redo button [image] for the selected action, or click the Undo to here button [image] . The undone actions are denoted by a yellow X [image] .
Redo an undone action | Click the Undo/Redo button for the selected action, or click the Redo to here button [image] . The selected action and all preceding actions are redone and no longer have X’s over their eye icons. Note that selectively undone actions (denoted with a red X) that precede the action you clicked are not redone. These actions can be redone only with the Redo Selected command.
Selectively undo an action | Hold down Ctrl, and click the Undo/Redo button for the selected action, or click the Undo selected button [image] . Selectively undone actions are denoted by a red X [image] .
Redo a selectively undone action | Hold down Ctrl, and click the Undo/Redo button for the selected action, or click the Redo selected button [image] .

To set Undo preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, click Undo.
3. Make sure that the Enable the undo system check box is marked.
This check box must be marked if you want to undo actions in images that are currently open. If the check box is not marked, you cannot undo any actions in an open image after you click OK in the Preferences dialog box.
4. Mark or unmark the following check boxes:
• Limit undo/redo to n MBytes of storage per open image — lets you specify the amount of hard disk storage available for Undo/Redo operations by typing or setting a value in the control. The storage space needed depends on the current image size and the type of operations you’re performing. If you have a large amount of unused disk space, you don’t need to mark this option.
• Limit undo/redo to n steps per open image — lets you modify the default value of 250 steps. Decrease the value in the control if your unused disk space is less than 500 Mbytes.
• Enable Fast Redo — lets you set the Redo command to work at optimal speed. Do not mark this option if you want the Undo command to work at optimal speed.
5. Type or set a value in the Non-undoable steps in the History Palette control.
This value specifies the number of non-undoable steps (steps that cannot be undone or redone) that are retained after the Undo/Redo limit has been reached. The default value is 10.
• Non-undoable steps cannot be undone or redone. However, they can be reapplied to the current image or to other open images, saved to a Quickscript or to a regular PspScript file, or copied to the Clipboard.


Repeating commands

The Repeat command lets you reapply the previously applied effect or correction without having to re-access the corresponding dialog box.

The last command that can be repeated is always displayed in the Edit menu. If the previous command cannot be repeated, the Repeat command is unavailable.

To repeat a command

• Choose Edit [image] Repeat.
• You can repeat multiple commands by recording a script and running it on each image. For information on using scripts, see "Scripting basics."
• You can also repeat a command by holding down Shift while selecting any toolbar button or menu item. The last used settings are applied with the repeated command.


Deleting images

You can delete image files from the main workspace, or you can delete images by using the Organizer. For information about using the Organizer, see "Finding, organizing, and reviewing images."

To delete the current image in the workspace

• Choose File [image] Delete.


Files supported by Corel Paint Shop Pro Photo

Corel Paint Shop Pro Photo supports the file formats listed in the following table.

Format | Description | Support
AFX | AutoFX | Read only
BMP | Windows Bitmap | Read/Write
BRK | Brooktrout Fax | Read/Write
CAL | CALS Raster | Read/Write
CDR | CorelDraw Drawing | Read only
CGM | Computer Graphics Metafile | Read only
CLP | Windows Clipboard | Read/Write
CMX | Corel Clipart | Read only
CRW | Canon Raw | Read only
CUR | Windows Cursor | Read only
CUT | Dr. Halo | Read/Write
DCR | Kodak Raw | Read only
DCX | Zsoft Multipage Paintbrush | Read only
DGN | MicroStation Drawing | Read only
DIB | Windows DIB | Read/Write
DNG | Adobe Digital Negative | Read only
DRW | Micrografx Draw | Read only
DWG | AutoCAD Drawing | Read only
DXF | Autodesk Drawing Interchange | Read only
EMF | Windows Enhanced Metafile | Read/Write
EPS | Encapsulated PostScript | Read/Write
FPX | Flashpix | Read/Write
GEM | Ventura/GEM Drawing | Read only
GIF | Compuserve Graphics Interchange | Read/Write
HPGL | HP Graphics Language | Read only
IFF | Amiga | Read/Write
IMG | GEM Paint | Read/Write
JP2 | JPEG 2000 | Read/Write
JPG | JPEG – JFIF Compliant | Read/Write
KDC | Kodak Digital Camera File | Read only
KFX | Kofax | Read only
LBM | Deluxe Paint | Read/Write
LV | Lazer View | Read only
MAC | MacPaint | Read/Write
MRW | Minolta Raw | Read only
MSP | Microsoft Paint | Read/Write
NCR | NCR G4 | Read/Write
NEF | Nikon Raw | Read only
ORF | Olympus Raw | Read only
PBM | Portable Bitmap | Read/Write
PCD | Kodak Photo CD | Read only
PCT (PICT) | Macintosh PICT | Read/Write
PCX | Zsoft Paintbrush | Read/Write
PDF | Adobe Portable Document File | Read only
PGM | Portable Graymap | Read/Write
PIC (Lotus) | Lotus PIC | Read only
PIC (PC Paint) | PC Paint | Read/Write
PNG | Portable Network Graphics | Read/Write
PPM | Portable Pixelmap | Read/Write
PSD | Photoshop | Read/Write
PSP | Corel Paint Shop Pro Photo Image | Read/Write
RAF | Fuji Raw | Read only
RAS | Sun Raster Image | Read/Write
RAW | RAW Graphics File Format | Read/Write
Raw camera | Raw camera data | Read only
RIFF | Corel Painter | Read/Write
RLE | Windows or CompuServe RLE | Read/Write
SCT | SciTex Continous Tone | Read/Write
SGI/RGB | SGI Image File | Read/Write
SVG | Scalable vector Graphics | Read only
TGA | Truevision Targa | Read/Write
TIF | Tagged Image File Format | Read/Write
WBMP | Wireless Bitmap | Read/Write
WMF | Windows Meta File | Read/Write
XBM | X Windows Bitmap | Read/Write
XPM | X Windows Pixmap | Read/Write
XWD | X Windows Dump | Read/Write
WPG | WordPerfect Bitmap/Vector | Read/Write


Finding, organizing, and reviewing images

The Organizer is a multifaceted digital image management feature that lets you effortlessly collect, organize, and review images.

This one-stop image-management center simplifies the task of finding photos on your computer. You can search for images by filename, date, file type, or folder location. You can also find images based on a keyword tag that you’ve associated with them (such as “kids,” “vacation,” or “birthday”). Thumbnail zooming makes recognizing a particular image even easier and faster. In addition, features that allow you to edit EXIF data and to play and extract frames from video files make the Organizer an essential, time-saving tool for hobbyists and professionals alike.

In this section, you’ll learn about

• setting up the Organizer
• finding images on your computer
• working with saved searches
• adding keyword tags to images
• finding tagged images
• using the calendar to find images
• browsing folders for images
• working with thumbnails in the Organizer
• displaying and editing image information
• printing, e-mailing, and uploading photos from the Organizer
• setting Organizer preferences
• using Quick Review
• working with photo trays


Setting up the Organizer

When you start up Corel Paint Shop Pro Photo for the first time, the Organizer appears as a palette docked to the bottom of the main window. Unlike other palettes, however, the Organizer can also appear in document mode. You can choose whichever mode better suits your workflow.

To display or hide the Organizer

• Choose View [image] Palettes [image] Organizer.
• You can also display or hide the Organizer by clicking the Toggle Organizer button [image] on the Standard toolbar, or by choosing Organizer from the Palettes drop-list on the Standard toolbar.

To choose a mode for the Organizer

1. Choose View [image] Organizer Mode.
2. Choose one of the following options:
• Document Mode — displays the Organizer in an image window that you can move and resize within the workspace. In this mode, the Organizer can hide behind other open image windows. When the Document Mode window is active, the menu system and toolbars are inactive.
• Palette Mode — displays the Organizer as a palette, which can either float or be docked at the bottom of the main window.


Finding images on your computer

The Organizer provides several powerful methods of finding images on your computer. Whether you do a simple text-based search, use more advanced search options, or use a calendar to search for images associated with a particular date or date range, the Organizer simplifies the task of finding the images that you want to work on in Corel Paint Shop Pro Photo.

For simple searches, the Organizer performs real-time filtering as you type in the text field. For example, if you’re looking for an image file named “boat.jpg” and you type “b” in the text field, all images not containing “b” are removed from the Organizer thumbnail area. When you type “o” in the text field, all images not containing “bo” are removed.

To search for images quickly

• On the right side of the Organizer toolbar, enter a search term in the Find Photos text field.
Thumbnails matching the search term appear in the Organizer.
Search terms may be filenames (including extensions), names of folders in which images reside (including letters designating drives), tags, caption text, or image metadata (EXIF or IPTC data).
• For more information on tags that you can assign to images, see "Adding keyword tags to images". For more information on caption text and image metadata, see "Working with thumbnails in the Organizer."

To use the advanced search feature

1. On the Organizer toolbar, click the Find Photos button [image].
The Search dialog box appears.
2. In the Find photos that match drop-list, select one of the following options:
• All — searches for images that match all of the specified rules
• Any — searches for images that match any of the specified rules
3. From the first drop-list on the left, select one of the following search options:
• Image name
• Image date
• Size in bytes
• File type
• Tag
• Rating
4. From the next drop-list, select an option to refine the search further.
The options appearing in the drop-list depend on the search option chosen in the previous drop-list.
5. In the text field type an alphanumeric search term.
The search term you type must correspond with the search option chosen in the first drop-list of the search rule. (For example, if you chose Image name in the first drop-list, type the name of the image file that you want to find. If you chose Image date, modify the month, date, and year displayed, or press the down arrow button and click a date on the calendar that appears. If you chose Rating, click the number of stars matching the rating previously assigned to the image.)
6. Click Search to view the matching thumbnails.

You can also |
Access the Search dialog box | Click the Add button [image] nested under Saved Search in the left panel of the Organizer.
Add an additional search rule | Click the Add Rule button [image] in the upper right of the dialog box.
Remove the last search rule | Click the Remove Rule button [image] .
Save the search criteria | Click the Save button in the Search dialog box. In the Save Search dialog box, type a name for the search, and click Save.


Working with saved searches

After you save a custom set of search criteria, you can run that search again simply by clicking it from the left panel of the Organizer. A context menu also lets you edit, rename, and delete your saved searches.

To run a saved search

• From the left panel of the Organizer, click the search you want to run from the list of custom searches appearing under Saved Search.

To edit a saved search

1. From the left panel of the Organizer, right-click the search you want to edit, and choose Edit from the context menu.
The Search dialog box appears with the search criteria.
2. Change the search parameters, and click Save.
The Save Search dialog box appears, with the search name highlighted in the text field.
3. Click Save.
The previous search is overwritten.
• To avoid overwriting the previous search, type a new name for the edited search in the text field, and click Save.

To rename a saved search

1. From the left panel of the Organizer, right-click the search you want to rename, and choose Rename from the context menu.
The Rename Search dialog box appears with the search name highlighted.
2. Type the new name for the search, and click Save.

To delete a saved search

• From the left panel of the Organizer, right-click the search you want to delete, and click Delete from the context menu.


Adding keyword tags to images

Keyword tags let you assign descriptive, natural-language terms to JPEG and TIFF images. By creating tags such as “family,” “children,” or “birthday,” you can readily identify specific images, and then simply click the tag from the list to view each thumbnail image assigned with the tag. You can create and assign as many tags as you like to an image. The Organizer provides several ways to create and assign tags.

To create a keyword tag

1. From the left panel of the Organizer, click the Add Tags button [image].
The Add Tag dialog box appears.
2. Enter the tag text, and click OK.
The new tag appears nested under Tags in the left panel of the Organizer.
• You can also create a tag from the General Info panel by clicking the Image Information button [image] on the Organizer toolbar, typing the tag text in the Tags section of the General Info panel, and clicking the Add Tags button [image] to the right of the text field.

To assign a keyword tag to one or more images

1. Select the thumbnail, or thumbnails, that you want to tag.
2. From the left side of the Organizer, drag the tag onto the selected thumbnail or thumbnails.
• You can also assign a tag to one or more images by dragging the selected thumbnail or thumbnails onto the tag. In addition, you can assign tags to selected thumbnails by clicking the Image Information button [image] on the Organizer toolbar and clicking the Apply button [image].

To delete a keyword tag

• On the left side of the Organizer, right-click the tag from the Tags list, and choose Delete from the context menu.


Finding tagged images

After you assign a tag to an image, you can find the image simply by clicking on the tag.

To display tagged thumbnails

• On the left side of the Organizer, click the tag from the Tags list. Thumbnails for images assigned with that tag appear in the Organizer.
• You can also type a tag into the Find Photos field on the right side of the Organizer toolbar. As you type the tag text, the Organizer instantly filters the Search results and displays matching thumbnail images.

To display all nontagged thumbnails

• On the left side of the Organizer, click the No Tags button [image]. Thumbnail images without an assigned tag appear in the Organizer.


Using the calendar to find images

Sometimes you may want to search for images you know were created on or around a certain date. The Calendar Search feature makes this a simple task. You can search by a specific date or select a date range. The image creation dates are highlighted on the calendar.

To find images by using the calendar

1. From the left side of the Organizer, click the Calendar button [image].
The Calendar Search dialog box appears. Dates shown in red indicate images created on that date.
2. Choose one of the following options:
• For photos taken today, click the Today button [image].
• For a specific date and month, click the Previous (Year/Month) [image] [image] and Next (Month/Year) [image] [image] buttons, and select a date.
• For a date range, use the Previous and Next buttons to select the month and year, hold down Shift, click the first date in the range, and then click the last date in the range.
• For multiple dates not in sequence, use the Previous and Next buttons to select the month and year, hold down Ctrl, and click the dates.
When you click a date or a range, the Organizer is updated to display images created on that date or range.
3. Click Close to close the Calendar Search dialog box.


Browsing folders for images

When you start up Corel Paint Shop Pro Photo for the first time, the Organizer displays thumbnails of all images in your My Pictures folder, including all subfolders within My Pictures. You can also view thumbnails in any other folder on your computer by using the Add More Folders button. The folders you browse appear under Folders in the left panel of the Organizer whenever you use the application.

To view the thumbnails in a folder

• Under Folders on the left panel of the Organizer, click the name of the folder that contains the thumbnails you want to view.

To add a folder for viewing thumbnails

1. From the left side of the Organizer, click the Add More Folders button [image].
The Browse for Folder dialog box appears.
2. Navigate to the folder containing the thumbnail images you want to view, and then click OK.
That folder is now listed under Folders on the left panel of the Organizer.
• You can also display the Browse for Folder dialog box by clicking the Organizer menu button [image], and then choosing Add Folders.
• You can also make a new folder on your computer by clicking the Make New Folder button in the Browse for Folder dialog box.

To view all cataloged folders

• From the left panel of the Organizer, click the All Photos folder.


Working with thumbnails in the Organizer

The Organizer provides several common controls that let you specify how thumbnails are displayed as well as controls for sorting and rotating thumbnails.

To open an image from the Organizer

• Double-click the thumbnail.
The image appears in the workspace.

You can also |
Open an image by dragging | Drag the thumbnail into an open area of the workspace.
Open multiple images simultaneously | Hold down Shift (to select adjacent thumbnails) or Ctrl (to select nonadjacent thumbnails), click the desired images, and press Enter.

To delete an image from the Organizer

1. Select the thumbnail, and press Delete.
The Confirm File Delete dialog box appears.
2. Click Yes to send the image to the Recycle Bin.
• You can also delete an image from the Organizer by selecting the image thumbnail, right-clicking, and choosing Delete from the context menu.

To zoom in or out on thumbnails

• On the Organizer toolbar, drag the Zoom slider to the left to zoom out, or to the right to zoom in.

To sort thumbnails

1. On the Organizer toolbar, click the Sort by drop-list.
2. Choose one of the following options:
• Date Taken - Newest — sorts thumbnails, from newest to oldest, by the date on which the photo was taken
• Date Taken - Oldest — sorts thumbnails, from oldest to newest, by the date on which the photo was taken
• Date Modified — sorts thumbnails by the date on which the image was last modified
• Folder & Filename — sorts thumbnails alphabetically by folder name and filename
• Filename — sorts thumbnails alphabetically by filename (image name)
• Rating — sorts thumbnails by image rating
• File Format — sorts thumbnails alphabetically by filename extension (for example, .pspimage, .jpg, or .tif)
• File Size — sorts thumbnails by the file size (in kilobytes) from smallest to largest

To rotate one or more thumbnails

1. Select the thumbnail or thumbnails you want to rotate.
2. On the Organizer toolbar, choose one of the following options:
• Rotate Right [image] — rotates thumbnails 90 degrees clockwise.
• Rotate Left [image] — rotates thumbnails 90 degrees counterclockwise.
• You can also right-click a thumbnail and choose Rotate Right or Rotate Left from the context menu.

To rename a file via the Organizer

1. Right-click the thumbnail you want to rename.
The Rename File dialog box appears.
2. Enter the new file name, and then click OK.

To play a video from a thumbnail

• In the Organizer, select the thumbnail of the video file, and press the Play [image] button on the thumbnail.

Example of a video thumbnail

You can also |
Choose a frame to use as the video thumbnail | Click the Pause [image] button on the thumbnail to stop the video at the frame you want to use, and click the Set as Thumbnail [image] button on the thumbnail.
Extract a frame from a video and save it as an image | Click the Pause [image] button on the thumbnail to stop the video on the frame that you want to use as the video thumbnail, and click the Save Frame as Photo [image] button on the thumbnail.


Displaying and editing image information

From the General Info panel in the Organizer, you can view, add, and edit information about your image, such as the filename, size, and creation date, as well as EXIF and IPTC digital photo metadata. You can also add captions and apply photo ratings. Adding and updating image information makes it easier to subsequently organize and locate your images. For example, adding a descriptive caption to an image from the General Info panel lets you subsequently search for that image by entering text from the caption. In addition, you can view caption text by clicking the Information button during a Quick Review slide show.

The General Info panel lets you view and edit image information.

Toward the bottom of the General Info panel are the Apply and Cancel buttons. You can click the Apply button to apply any changes you make in the General Info panel, or the Cancel button to revert to the image’s initial information settings. If you make a change and do not click Apply, you are prompted to apply the changes.

To display the General Info panel

• On the Organizer toolbar, click the Image Information button [image]. The General Info panel appears on the right side of the Organizer.
• You can also right-click a thumbnail and choose View Photo Info from the context menu.

To adjust the image creation date

1. Select the thumbnail.
2. On the Organizer toolbar, click the Image Information button [image].
The General Info panel appears on the right side of the Organizer.
3. Near the top of the General Info panel, locate the Date Taken field, and then click the Edit Date button [image].
The Adjust Date Taken dialog box appears.
4. In the New date taken group box, do the following:
• In the Date control, click the month, day, or year, and type a new value. To choose a date from a calendar, click the down arrow button, and then click a new date.
• In the Time control, click the hour, minute, second, or AM/PM, and type a new value, or click the up or down arrow to change the value.
5. Click OK.
• You can also access the Adjust Date Taken dialog box by right-clicking a thumbnail and choosing Adjust Date Taken. Alternatively, you can choose Image [image] Image Information, click the EXIF Information tab, and then scroll down and click the Adjust Date Taken button.

To assign a rating to one or more images

1. Select the thumbnail or thumbnails.
2. On the Organizer toolbar, click the Image Information button [image].
The General Info panel appears on the right side of the Organizer.
3. In the Rating field of the General Info panel, click the number of stars you want to assign.

To add a caption to one or more images

1. Select the thumbnail or thumbnails.
2. On the Organizer toolbar, click the Image Information button [image].
The General Info panel appears on the right side of the Organizer.
3. In the Caption field of the General Info panel, click inside the text box, and type the caption you want to apply.
• To delete a caption, select the thumbnail, click the Image Information button, highlight the caption text in the General Info panel, and press Delete.

To view advanced information

1. Select the thumbnail.
2. On the Organizer toolbar, click the Image Information button [image].
The General Info panel appears on the right side of the Organizer.
3. Scroll toward the bottom of the General Info panel, and click the Toggle Advance button [image] to the left of the Advanced Info label.
The EXIF and IPTC data for the image appears.
You can edit any of the EXIF or IPTC data fields that appear with an asterisk by clicking the field and changing the data.


Printing, e-mailing, and uploading photos from the Organizer

You can print, e-mail, and upload your images to a photo-sharing service from the Organizer.

Printing photos

You can print one or more images from the Organizer by selecting the thumbnails and choosing File [image] Print Layout. For information about creating print layouts, see "Creating layouts." For information about printing thumbnails as a contact sheet, see "To print a contact sheet."

E-mailing photos

You can e-mail photos from the Organizer by selecting the photos, and clicking the Share as E-mail button [image] on the Organizer toolbar. For more information about e-mailing images, see "E-mailing photos, videos, and slide shows."

Uploading photos

By uploading your photos to a photo-sharing service, you can share them on the Web. In addition, you can order prints by selecting the photos and clicking the Order Prints button [image] on the Organizer toolbar. For more information, see "Sending images to a photo-sharing service."


Setting Organizer preferences

The General Program Preference settings for the Organizer let you control how thumbnails appear and let you select file formats and folders to exclude from viewing within the Organizer.

To set Organizer preferences

1. Right-click anywhere inside the thumbnail viewing area, and choose Preferences from the context menu.
The General Program Preferences dialog box appears.
2. Perform one or more of the following tasks, and click OK.

To | Do the following
Display thumbnails in a column | In the Thumbnail Images group box, mark the Display variable width thumbnail images check box.
Show photo ratings on thumbnails | In the Thumbnail Images group box, mark the Show ratings with thumbnail images check box.
Show the image filename on thumbnails | In the Thumbnail Images group box, mark the Show file name with thumbnail images check box.
Exclude specific file formats from appearing in the Organizer | In the Excluded Items group box, click the File Format Exclusions button. From the left side of the File Format Exclusions dialog box, mark the check boxes of the file formats that you want to exclude. To mark all formats simultaneously, click Select All. To remove the check marks from all selected formats, click Remove All.
Specify folders to exclude from cataloging | In the Excluded Items group box, click the Folder Exclusions button. The Ignore Folders dialog box lists the folders currently excluded from being cataloged in the Organizer. To add a folder to this list, click Add and then use the Browse for Folder dialog box to select the folder. To allow a currently ignored folder to be cataloged, select the folder from the list, and click Delete. To reset the list of ignored folders to the default list, click the Reset to Default button.


Using Quick Review

You can use Quick Review to review images in full-screen mode and create slide shows. For example, after downloading photos from your camera, you can use Quick Review to review your photos and apply basic corrections to them. You can also add captions to your photos. When you have finished editing your photos, you can save them and then e-mail them as a slide show.

Reviewing images

You can review images in full-screen mode by using Quick Review. Playback controls make it easy to review your images one at a time in pause mode or to play all photos in a series. While reviewing your images in pause mode, you can rotate the images, add captions and ratings to them, or apply Quick Fix. You can also add images to a photo tray, or delete images.

Creating slide shows

With Quick Review, you can create multimedia slide shows that you can save or e-mail as Snapfire Shows. Your slide shows can include images, videos, and music. When you create slide shows, you can choose the duration and transition for the slides, include captions, and add preset zooming and panning effects.

You can also add a soundtrack to your slide show and synchronize the slides to the music, so that the duration of the slide show matches the duration of the music. If you add a soundtrack to a slide show, the audio associated with a video file does not play.

To review images

1. In the Organizer, select the photos that you want to review, and click the Quick Review button [image].
If the Organizer is not displayed, choose View [image] Palettes [image] Organizer.
2. In pause mode, use the buttons on the toolbar, and perform one or more tasks from the following table.
You can activate pause mode by clicking the Pause button [image].

To | Do the following
View the first photo in the series | Click the Rewind to Start button [image] .
View the previous photo | Click the Back one slide button [image] .
Play all photos (exit Pause mode). | Click the Play button
View the next photo | Click the Forward One Slide button [image] .
Turn off audio | Click the Toggle Sound button [image] .
Add photo information | Click the Show Slide Information button [image] . Click the stars to rate the image or type caption text in the Caption box.
Delete a photo | Click the Delete button [image] .
Rotate a photo | Click the Rotate Right button [image] or Rotate Left button [image] .
Apply photo corrections | Click the Quick Fix button [image] . You can undo the changes by clicking the button a second time.
Add a photo to a photo tray | Click the Place In Photo Tray button [image] .
Exit review | Click the Exit Fullscreen Mode button [image] , or press Esc.

• You can also review video files, such as AVI and WMV files, by using Quick Review.

To choose slide show settings

1. In the Organizer, select the photos that you want to include in your slide show, and click the Quick Review button [image].
2. In pause mode, click the View Show Settings button [image] to open the Show Settings dialog box.
You can activate pause mode by clicking the Pause button [image].
3. In the Slide Settings group box, choose one or more of the following:
• Duration — sets the number of seconds to display each image
• Transitions — determines the transition style between images
• Include captions — displays the image caption below the image in the slide show
• Include motion effects — applies a zooming and panning effect to images
4. In the Soundtrack group box, choose one or more of the following options:
• Include Soundtrack — plays the selected soundtrack
• Browse — lets you select a soundtrack
• Synchronize — calculates the per-image display time so that the slide show ends when the audio is done playing. The updated slide duration is displayed in the Duration box.
5. Click OK.

To save a slide show

1. From the pause mode in Quick Review, click the Save Show button [image] to open the Save As dialog box.
You can activate pause mode by clicking the Pause button [image].
2. From the Save in drop-list, select the folder where you want to save the show.
3. In the File Name field, enter a name for the slide show, and click Save.
Your slide show is saved as a Snapfire Show (.SnapfireShow).

To e-mail a slide show

1. From the pause mode in Quick Review, click the Share As Email button [image] to automatically open your e-mail application and attach the slide show.
Your slide show is e-mailed as a Snapfire Show (.SnapfireShow).


Working with photo trays

You can use photo trays to gather images from various folders. The images remain in their original location, but are referenced in the photo tray and can be accessed by clicking a thumbnail.

You can add, remove, and rename photo trays to suit your workflow. For example, you can create a photo tray for images you want to edit, use in a collage, print, e-mail, or upload to a photo-sharing service. Photo trays are shared between Corel Paint Shop Pro Photo and Corel Snapfire, so you can access the images quickly in both programs. In Corel Paint Shop Pro Photo, photo trays are created on the Photo Tray palette.

The first photo tray is automatically created. It contains images from the folder that you are currently viewing in the Organizer. The name of this photo tray matches the name of the currently viewed folder (or search result). As you view other folders, or search for other images, the automated photo tray is updated.

To open the Photo Tray palette

• Choose View [image] Palettes [image] Photo Tray.
• You can also open the Photo Tray palette by pressing Ctrl + W.

To add a photo tray

1. Click the Add Photo Tray button [image] on the Photo Tray toolbar to open the Add Photo Tray dialog box.
2. Type a name for the new tray in the Name field, and click OK.
• You can also add a new tray by clicking the Photo Tray Menu button [image] and selecting Add Photo Tray.

To remove a photo tray

1. Select the photo tray that you want to remove.
Removing a photo tray does not delete the photos in the tray.
2. Click the Remove Photo Tray button [image] on the Photo Tray toolbar.
• The default photo tray, which is automatically created, cannot be removed.
• You can also remove a tray by clicking the Photo Tray Menu button [image] and selecting Remove Photo Tray.

To add photos to a photo tray

1. Select the photo tray to which you want to add photos.
2. From the Organizer, drag the photos to the photo tray.

To remove photos from a photo tray

1. Click the name of the photo tray from which you want to remove photos.
2. Select the photos that you want to remove.
3. Click the Photo Tray Menu button [image], and choose Remove from Photo Tray.
• You can also remove photos from a photo tray by right-clicking a selected photo and choosing Remove from Photo Tray.


Adjusting images

When you view your photos in Corel Paint Shop Pro Photo, you may notice problems that you want to correct. In some photos, the problems are obvious, such as when the subject is too dark. In other photos, you may sense the need for improvement but not know what to fix. With Corel Paint Shop Pro Photo, you can correct specific aspects of a photo or allow the program to make basic photo adjustments.

In this section, you’ll learn about

• fixing common problems
• rotating images
• cropping images
• straightening images
• correcting photographic perspective
• making basic photo corrections automatically
• brightening images
• darkening images
• removing purple fringe
• removing digital camera noise
• removing chromatic aberrations
• correcting lens distortions
• adjusting color balance
• adjusting brightness and contrast
• adjusting hue and saturation
• adding or removing noise
• creating an area of focus by controlling depth of field
• blurring images
• sharpening images
• softening images
• resizing images


Fixing common problems

Corel Paint Shop Pro Photo provides many fast and powerful commands and tools to help you correct some common photographic problems. You can use the table below as a starting point for making your photos as good as they can be. Some correction commands open a dialog box in which you can choose options and modify the correction.

If you intend to crop or resize the photo, you should perform this action first and then apply a correction from the following table.

Problem
How to solve it
The overall photo should look better.
To apply a set of basic photo corrections automatically, choose Adjust [image] One Step Photo Fix. To fine-tune and apply a set of basic photo corrections, choose Adjust [image] Smart Photo Fix.
Part of the photo is too dark (underexposed).
To apply a quick adjustment to a photo’s dark regions, choose Adjust [image] Fill Flash. To apply a comprehensive set of adjustments, choose Adjust [image] Smart Photo Fix. To access commands for correcting brightness and contrast, choose Adjust [image] Brightness and Contrast. In particular, try the Levels and Curves commands.
Part of the photo is too light (overexposed).
To apply a quick adjustment to a photo’s light regions, choose Adjust [image] Backlighting. To apply a comprehensive set of adjustments, choose Adjust [image] Smart Photo Fix. To access commands for correcting brightness and contrast, choose Adjust [image] Brightness and Contrast. In particular, try the Levels and Curves commands.
A specific part of the photo is too dark or too light.
Carefully using a selection tool, select only the overexposed or underexposed part of the photo. Then, apply one of the adjustments previously described in this table.
Note: The One Step Photo Fix and Smart Photo Fix commands work on the entire image, even if you’ve made a selection. For more information, see "Working with selections."
The photo’s contrast is too low or too high.
To adjust the contrast and optionally adjust other settings, choose Adjust [image] Smart Photo Fix. Or, choose Adjust [image] Brightness and Contrast [image] Brightness/Contrast.
The photo has a color cast or other unnatural colors resulting from its being taken indoors without a flash.
To remove a color cast, choose Adjust [image] Brightness and Contrast [image] Curves. To apply a comprehensive set of adjustments, choose Adjust [image] Smart Photo Fix. To access commands for making various brightness and contrast corrections, choose Adjust [image] Brightness and Contrast.
Someone in the photo has unnatural-looking skin tones.
To adjust the photo’s tonal balance, choose Adjust [image] Color Balance.
A scanned photo has scratches or tears.
On the Tools toolbar, choose the Scratch Remover tool [image], the Object Remover tool [image], or the Clone Brush tool [image]. For more information, see "Retouching and restoring images."
Tiny specks (noise) of unnatural color can be seen, especially on a magnified view.
To apply noise correction automatically, choose Adjust [image] One Step Noise Removal. To use advanced options for noise correction, choose Adjust [image] Digital Camera Noise Removal. To remove other types of image artifacts, choose Adjust [image] Add/Remove Noise, and then choose an appropriate command.
Purplish fringe and other color aberrations can be seen on edges in the photo.
To remove purple fringe automatically, choose Adjust [image] One Step Purple Fringe Fix. To used advanced options for correcting chromatic aberrations, choose Adjust [image] Chromatic Aberration Removal.
Someone in the photo has red eyes.
To remove red-eye quickly, choose the Red Eye tool [image]. To use advanced options for red-eye removal, choose Adjust [image] Red Eye Removal.
Someone in the photo has skin blemishes, unpolished teeth, or exceptionally pale skin.
On the Tools toolbar, choose the Makeover tool [image]. On the Tool Options palette, set the mode to Blemish Fixer [image], Toothbrush [image], or Suntan [image].
The photo appears foggy or hazy.
To improved a poorly exposed image, choose Adjust [image] Brightness and Contrast [image] Levels. To improve overall clarity, choose Adjust [image] Brightness and Contrast [image] Clarify.
The photo doesn’t appear sharp.
To apply high-frequency sharpening, choose Adjust [image] Sharpness [image] High Pass Sharpen. To apply other forms of sharpening, choose Adjust [image] Sharpness and choose a command.
The photo needs to be straightened.
On the Tools toolbar, choose the Straighten tool [image]. For more information, see "Retouching and restoring images."
The perspective of objects in the photo appears incorrect.
On the Tools toolbar, choose the Perspective Correction tool [image]. For more information, see "Retouching and restoring images."
The photo quality is affected by a lens distortion.
Choose Adjust [image] Barrel Distortion Correction, Adjust [image] Fisheye Distortion Correction, or Adjust [image] Pincushion Distortion Correction. For more information about lens distortions, see "Correcting lens distortions."
An unwanted pattern appears on a scanned image.
Choose Adjust [image] Add/Remove Noise [image] Moiré Pattern Removal.
A scanned photo appears old and faded.
Choose Adjust [image] Color [image] Fade Correction.


Rotating images

You can rotate an image by 90 degrees to change its orientation to landscape (horizontal) or portrait (vertical). If your camera contains sensors that tag photos taken in portrait orientation, your photos are automatically rotated to the correct orientation.

You can also rotate an image to any angle by specifying a degree of rotation or by rotating it interactively on the canvas. For information about rotating an image to straighten it according to reference points within the image, such as the horizon, see "Straightening images".

You can also use the Organizer to apply lossless rotation to JPEG images while retaining all of the original image data.

You can rotate an image in Corel Paint Shop Pro Photo.

To rotate an image

• Select an image, and perform a task from the following table.

To | Do the following
Rotate an image 90 degrees clockwise or counterclockwise | Choose Image [image] Rotate Right, or choose Image [image] Rotate Left.
Rotate an image to a specified angle | Choose Image [image] Free Rotate. In the Free Rotate dialog box, choose either the Right option or the Left option to set the direction of rotation. In the Degrees group box, choose the Free option, and type or set a value in the control.
Rotate an image interactively | On the Tools toolbar, choose the Pick tool [image] . Rotate the image by dragging the rotation handle (the square connected by a line to the rotation pivot point). The cursor changes to two curved arrows when it is positioned over the rotation handle.

• You can also rotate an image by clicking the Rotate Right [image] or Rotate Left [image] button on the Standard toolbar.
• If you want to change the center of rotation before you interactively rotate the image, hold down Ctrl, and drag the rotation pivot point (the circle at the center of the image) to a new position.


Cropping images

You can remove unwanted portions of an image to create stronger compositions or to draw attention to another area of the image. Corel Paint Shop Pro Photo helps you crop by providing presets to common image sizes, such as 4 × 6 inches or 10 × 15 centimeters. Cropping reduces the amount of hard drive memory required for storing the image. Also, cropping can improve color corrections by eliminating extraneous areas of color. If a photograph requires both cropping and color correction, you should crop the image first and then apply the color correction.

You can crop an image for printing, or you can make a selection and then crop the image to the selection borders.

You can crop an image based on opaque (nontransparent) areas. Cropping in this way is useful when you want to eliminate transparent areas at the edges of an image. You can also set the crop area to cover the opaque area of a single layer or an entire image.

Cropping permanently removes the image area outside the crop rectangle. To preserve the original photo, use the Save As command, and save the cropped version of your image with a new filename.

To crop an image

1. On the Tools toolbar, choose the Crop tool [image].
By default, the crop rectangle appears on the image, and the area outside the crop rectangle is shaded.
2. Adjust the crop area size by dragging any of the handles or edges. To reposition the crop rectangle, place the cursor inside and drag.
You can use a preset crop size by choosing an option from the Presets drop-list on the floating toolbar for the Crop tool, or from the drop-list on the Tool Options palette.
3. When you’re ready to crop the image, click the Apply button [image] on the Tool Options palette or on the floating toolbar for the Crop tool.

You can also |
Apply the crop by using your mouse or keyboard | Double-click inside the crop rectangle, or press Enter.
Set the size and position of the crop rectangle on the Tool Options palette | Specify the desired values in the Width, Height, and Units controls, and specify the desired positioning coordinates in the Left, Top, Right, and Bottom controls.
Constrain the crop area to its current proportions | Mark the Maintain aspect ratio check box on the Tool Options palette. This option is available only for custom-defined crop rectangles.
Rotate the crop rectangle by 90 degrees | Click the Rotate Crop Rectangle button [image] on the floating toolbar.
Modify the crop shading area | Choose File [image] Preferences [image] General Program Preferences, choose Transparency and Shading from the list, and specify the desired settings for Color and Opacity in the Shading group box.
Turn off the shading option | Choose File [image] Preferences [image] General Program Preferences, choose Transparency and Shading from the list, and unmark the Enable crop shade area check box in the Shading group box.
Turn off the floating toolbar for the Crop tool | Choose File [image] Preferences [image] General Program Preferences, choose Transparency and Shading from the list, and unmark the Enable floating crop toolbar check box in the Shading group box.
Choose not to display the crop rectangle when the tool is selected | Choose File [image] Preferences [image] General Program Preferences, choose Transparency and Shading from the list, and unmark the Automatically display crop rectangle check box in the Shading group box.
Clear the crop area | Click the Clear button [image] on the floating toolbar for the Crop tool.

• After cropping an image, you may notice that the Width and Height values on the Tool Options palette are each set at 0.100. These settings do not reflect the cropped image size. To see the image size dimensions after cropping, choose Image [image] Image Information.

To crop an image for printing

1. On the Tools toolbar, click the Crop tool [image].
2. Define the crop area.
3. On the Tool Options palette, mark the Specify Print Size check box.
If the Specify Print Size check box is marked, the image resolution changes when you change values in the Height and Width controls. The current resolution appears to the right of the Units drop-list.
4. In the Units drop-list, select Inches or Centimeters.
The Pixels option is unavailable for this method of cropping.
5. Type or set position values in the Top, Bottom, Left, and Right controls.
6. Type or set the dimension values in the Height and Width controls.
The final crop area is sized as specified, and the image resolution is reduced or increased as needed.
7. Click the Apply button [image] on the Tool Options palette, or on the floating toolbar for the Crop tool.

To crop to a selection in an image

1. Make a selection in the image.
2. Choose Image [image] Crop to Selection.
• The selection can be any shape. Corel Paint Shop Pro Photo positions a crop area rectangle around irregularly shaped selections.
• If you crop to a selection that is feathered, the current background color fills in the feathered region of the selection.
• You can also crop to the selection by choosing the Crop tool [image] and clicking Current Selection [image] in the Snap crop rectangle to group box on the Tool Options palette. Adjust the crop area, and click Apply [image].

To crop to an opaque area in a layer or an image

1. Click the Crop tool [image].
2. On the Tool Options palette, select one of these options from the Snap Crop Rectangle To group box:
• Layer Opaque [image] — selects opaque areas in the current layer
• Merged Opaque [image] — selects opaque areas in all layers
3. Adjust the crop area.
4. Click the Apply button [image] on the Tool Options palette, or on the floating toolbar of the Crop tool.
• If any layer has a solid-color (nontransparent) background, the entire layer or image is selected as the crop area.
• Opaque areas that are not rectangular may have transparent areas remaining after cropping.


Straightening images

You can easily straighten crooked images by aligning a straightening bar with an image feature. Corel Paint Shop Pro Photo rotates the image so that this straightening bar is perfectly horizontal and vertical. This feature is especially useful when an image has a strong vertical or horizontal feature, such as a building or horizon.

The Straighten tool lets you position a straightening bar within an image.

To straighten an image

1. On the Tools toolbar, click the Straighten tool [image].
A straightening bar with end handles appears on the image.
2. Drag each handle of the straightening bar to align it with the part of the image that you want to straighten.
3. On the Tool Options palette, choose one of the following options from the Mode drop-list:
• Auto — automatically straightens the image based on the position of the straightening bar
• Make vertical — rotates the image to make the straightening bar vertical
• Make horizontal — rotates the image to make the straightening bar horizontal
4. Click the Apply button [image].

You can also |
Straighten a single layer | Before clicking the Straighten tool, click the layer name on the Layers palette.
Straighten all layers in the image | Mark the Rotate all layers check box on the Tools Options palette.
Choose a specific angle for the straightening bar | Type or set a value in the Angle control on the Tools Options palette.
Crop the edges of the image to make it rectangular after straightening | Mark the Crop image check box on the Tools Options palette.
Fill the edge areas of your image with the background color | Unmark the Crop image check box on the Tools Options palette.

• You can also double-click the image to apply the command.


Correcting photographic perspective

When you take pictures of tall or wide objects, the resulting photographs may have perspective distortion — that is, the objects may seem to be leaning or angled. This distortion occurs when the camera is at an angle to the subject.

By using the Perspective Correction tool, you can fix perspective distortion, such as the angled sides of a building. You can also fix photographic perspective in an entire layer by using the Pick tool.

Using the Perspective Correction tool changes the angle of the building.

To correct perspective in a photo

1. On the Tools toolbar, select the Perspective Correction tool [image].
A bounding box with corner handles appears on the image.
2. On the Tool Options palette, choose settings for the following controls:
• Grid lines — lets you enter the number of gridlines to display
• Crop image — recrops the image to a rectangular shape after the perspective is applied
Marking the Crop image check box deletes the areas of the image that fall outside the rectangle.
3. Drag each handle to the corner of the object that should be rectangular.
4. Click the Apply button [image].
• You can also apply the command by double-clicking the image.
• To reset the perspective correction box to the original rectangle, click Cancel [image] on the Tool Options palette.

To correct perspective in an image layer

1. On the Layers palette, select the layer to correct.
2. Choose View [image] Grid to display the gridlines.
The gridlines help you correct lines in your photograph that should be vertical or horizontal.
To adjust the grid settings, choose View [image] Change Grid, Guide & Snap Properties, and then use the controls on the Grid page of the dialog box.
3. On the Tools toolbar, select the Pick tool [image].
A bounding box appears around the entire layer.
It may be helpful to expand the image window so that you can see all of the corner handles of the current layer. To expand the image window, drag from a corner or side.
4. Hold down Ctrl, and drag a corner handle on the selected layer.
The image is updated when you finish dragging. Continue adjusting the perspective until the image looks correct.
• If the correction causes some image data to fall outside the image canvas, you can restore that data by increasing the size of the canvas. For more information about changing the canvas size, see "Resizing the canvas."


Making basic photo corrections automatically

If you are not sure what adjustments to make to a photo, you can apply either the One Step Photo Fix command or the Smart Photo Fix command and see if you like the results. The One Step Photo Fix command automatically applies a predetermined set of color balancing and sharpening corrections to your photo — all you need to do is select the command. If you want the option of fine-tuning these same corrections before applying them, you can use the Smart Photo Fix command.

You can use the One Step Photo Fix command to improve the exposure and color balance of images quickly and easily.

The Smart Photo Fix feature gives you control over the amount and type of corrections applied to an image.

The advanced options of the Smart Photo Fix feature let you adjust color balance by identifying the neutral areas in the photo (black, gray, and white), which are used as sampling points. The advanced options also let you modify the darkest and lightest pixels of the photo without affecting the photo's color balance.

Neutral sampling points identified by using the advanced options of the Smart Photo Fix command

To apply basic corrections with One Step Photo Fix

• Choose Adjust [image] One Step Photo Fix.
After a brief pause, several basic corrections are applied to your photo.
• The corrections applied are identical to what would be applied by accepting the suggested settings of the Smart Photo Fix feature.
• If you are not satisfied with the changes made to your photo, choose Edit [image] Undo. Then, choose Adjust [image] Smart Photo Fix, and adjust the available settings. You can also try using other Adjust menu commands, such as Brightness and Contrast [image] Curves or Brightness and Contrast [image] Levels.

To fine-tune basic corrections with Smart Photo Fix

1. Choose Adjust [image] Smart Photo Fix.
The Smart Photo Fix dialog box appears. In the upper portion of the dialog box, the Before pane shows the original photo. The After pane shows how the photo would appear after applying the suggested set of basic adjustments.
2. Perform one or more tasks from the following table, and click OK.

To | Do the following
Brighten or darken the photo | In the Brightness group box, type or set a value in the Overall, Shadows, and Highlights controls, or adjust their corresponding sliders. Note: Positive settings brighten the photo, and negative settings darken the photo.
Increase or decrease saturation | Type or set a value in the Saturation control, or adjust the slider. Note: Positive settings make colors more vibrant; negative settings make colors less vibrant.
Sharpen the edges of the photo | Type or set a value in the Focus control, or adjust the slider.

• You can reset all settings to their initial values by clicking Suggest Settings, or to null settings by clicking the Reset to Default button [image].
• To use advanced settings of the Smart Photo Fix feature, mark the Advanced Options check box.

To use the advanced options of Smart Photo Fix

1. In the Smart Photo Fix feature dialog box, mark the Advanced Options check box.
Additional controls appear in the dialog box.
2. Perform one or more tasks from the following table, and click OK.

To | Do the following
Use sampling points for color balancing | Mark the Color Balance check box. The photo’s neutral areas (black, gray, and white) are identified in the Before pane. Note: Some photos have no black, gray, or white areas, so no sampling points are identified.
Ignore the photo’s sampling points | Unmark the Color Balance check box. Re-marking the check box restores the sampling points.
Add sampling points | Click additional black, gray, or white areas in the photo. Both the Before and After panes are updated.
Delete a sampling point | Click the sampling point in the Before pane. Both the Before and After panes are updated.
Darken the darkest pixels in the photo | Drag the Black slider to the right, or specify a value in the control beside the slider.
Lighten the lightest pixels in the photo | Drag the White slider to the right, or specify a value in the control beside the slider.

• To avoid introducing errors in color balance, do not click on colors other than black, gray, or white.
• Sampling points cannot be dragged or moved.
• The histogram is for display only — you cannot drag or adjust any part it. It represents the original (Before) photo. The black triangle moves in tandem with the Black slider, and the white triangle moves in tandem with the White slider. For more information about the Histogram, see "Adjusting brightness and contrast."


Brightening images

Lighting problems are common in photography. Photos taken in bright light often lack detail in the shadow areas. If your photo’s background is too dark, or if the difference between the photo’s light and dark areas is too great, you can lighten the darker, underexposed areas. You can adjust saturation, which is the purity or vividness of a color.

To brighten a photo

1. Choose Adjust [image] Fill Flash.
2. Type or set a value from 1 to 100 in the Strength control to determine how much to lighten the darker areas.
3. Type or set a value in the Saturation control to determine the overall saturation of the photo’s colors.
Values less than 0 reduce saturation; values greater than 0 increase saturation.
4. Click OK.
• If a photo has areas that are too light as well areas that are too dark, choose Adjust [image] Fill Flash, and then choose Adjust [image] Backlighting.


Darkening images

Sometimes photos have too much lighting from the background, which essentially washes out the entire image. A similar problem involves photos with too much flash on the subject. You can darken the bright, overexposed areas of a photo.

To darken a photo

1. Choose Adjust [image] Backlighting.
2. Type or set a value from 1 to 100 in the Strength control to determine how much to darken the lighter areas.
3. Type or set a value in the Saturation control to determine the overall saturation of the photo’s colors.
Values less than 0 reduce saturation; values greater than 0 increase saturation.
4. Click OK.
• If a photo has areas that are too light as well areas that are too dark, choose Adjust [image] Fill Flash, and then choose Adjust [image] Backlighting.


Removing purple fringe

A common problem of digital photos is the presence of purple halos surrounding overexposed areas of a color photo. This problem, which is called fringing, is often quite evident when a bright sky appears in the background of a photo and faint purple halos appear on the edges of the photo subject. With Corel Paint Shop Pro Photo, you can quickly identify this problem and remove it from your photo.

To remove purple fringe from a photo

• Choose Adjust [image] One Step Purple Fringe Fix.
After a brief pause, your photo is automatically adjusted.


Removing digital camera noise

The term “noise” as it relates to photos refers to small specks of color that interfere with image clarity. These specks are usually caused by sources such as poor lighting conditions or the limitations of the sensor in your digital camera. For example, when you zoom in on a photo of a clear blue sky, you may see tiny specks of orange, red, purple, green, or other colors.

The image on the left looks grainy because of digital camera noise. The image on the right appears smoother and less grainy after the noise has been removed.

Corel Paint Shop Pro Photo gives you two fast, powerful commands for removing noise from your photos: One Step Noise Removal and Digital Camera Noise Removal. When you use a noise removal command, the program analyzes your photo, identifies the noise artifacts, and applies corrections based on these identified areas, while preserving the important edge details of your photo.

You can automatically apply noise correction to your photo with the One Step Noise Removal command. You can also control more precisely how these same corrections are applied by using the more comprehensive Digital Camera Noise Removal command.

Digital Camera Noise Removal command

The Digital Camera Noise Removal command gives you more control over the removal of digital camera noise in your photos.

Photos taken with the same camera tend to have noise in the same areas. You can create a preset to apply the same corrections to all of these photos.

This command could be an ideal solution in the following scenarios:

• For photos that will most likely contain excessive noise (such as a video whiteboard capture), use the command with low settings to help make the overall image clearer without excessive blurring.
• For photos taken with normal settings, use this command only on key areas needing correction, such as image artifacts surrounding the subject area.
• For photos containing areas that you want to exclude from the noise correction, you can specify the color ranges to preserve or discard. For example, you may want to protect skin tones in a photo from having any correction applied to them. You can define as many of these protected regions as you like.

To remove digital camera noise quickly

• Choose Adjust [image] One Step Noise Removal.
After a brief pause, the noise is automatically removed.

To use advanced options for removing digital camera noise

1. Choose Adjust [image] Digital Camera Noise Removal.
The Digital Camera Noise Removal dialog box appears.
The three crosshairs appear on the image preview in the Remove Noise tabbed area. The crosshairs represent noise samples located in the image’s light, midtone, and dark areas. You can move a crosshair by dragging the bounding box in the before pane, which moves the sampling region accordingly.
2. In the Remove Noise tabbed area, mark the Link detail sizes check box to adjust the Small, Medium, and Large settings in proportion to each other.
3. Type or set values in the Small, Medium, and Large controls.
These controls define the amount of correction to apply to small, medium, and large noise patterns.
4. Type or set a value in the Correction blend control to determine the percentage of the corrected image to blend in with the original.
Values range from 0 percent (no noise reduction) to 100 percent (full processing of the entire image). The default is 70 percent.
5. Type or set a value in the Sharpening control to determine the percentage of sharpening, if any, to apply to the image after the noise reduction is applied.
The default is 0 percent.
6. Click OK.

You can also |
Set corrections for light, midtone, and dark areas independently | Unmark the Link detail sizes check box, and type or set values in the Small, Medium, and Large controls.
View close-ups of sampling regions | Click a crosshair to see the area close up in the Before and After panes.
Add a sampling region crosshair | Drag in the Before pane.
Delete a sampling region crosshair | In the Before pane, drag a corner of the correction box to its diagonally opposite corner.

• You can have a maximum of 10 sampling regions.
• You should avoid sampling an image edge, or pure black or pure white regions of the image, which can result in excessive smoothing.
• The Digital Camera Noise Removal command is not designed to remove moiré patterns. For information about removing moiré patterns, see "To remove moiré patterns."
• To save settings as a preset specific to an image and camera, mark the Camera preset check box and click the Save Preset button [image]. When the Camera preset check box is marked, the Presets drop-list displays only previously saved camera presets, not the standard presets. To save settings as a standard preset, unmark the Camera preset check box, and click the Save Preset button.
• For best results when working with JPEG images, choose Adjust [image] Add/Remove Noise [image] JPEG Artifact Removal before using the Adjust [image] Digital Camera Noise Removal command.

To protect image areas from noise corrections

1. Choose Adjust [image] Digital Camera Noise Removal.
The Digital Camera Noise Removal dialog box appears.
2. Click the Protect Image tab.
3. In the Before pane, pan and zoom as necessary so that you can view the region you want to protect.
4. Hold down Ctrl, and drag over the region you want to protect.
Holding down Ctrl does not create a corresponding crosshair in the image window of the Remove Noise tabbed area.
5. In the Selected Hue Range group box, type or set values in the Hue and Range controls.
The existing settings reflect the area sampled. You can manually adjust the hue knob by dragging it inside the ring.
6. In the Protect Selected Hue Range group box, drag any of the seven graph handles downward to apply less correction and smoothing to the corresponding segment of the hue range.
For example, dragging just the middle graph handle to the bottom of the graph completely suppresses the midtone of that hue range.
The graph handles cannot be dragged laterally.
7. Click OK.
• You can remove color adjustments for a selected color range by clicking Reset Current. To remove all color adjustments, click Reset All.


Removing chromatic aberrations

Chromatic aberration occurs when the camera records incorrect colors within the image. In conventional film cameras, chromatic aberration is usually caused by a lens defect. In digital cameras, several factors can contribute to chromatic aberration, including the following:

• The inherent lens aberration in the camera may cause fuzziness at image edges. Photos taken with telephoto and zoom lenses are more prone to contain chromatic aberrations because of the way in which digital cameras capture light rays far from the optical axis.
• The auto-exposure feature of the camera, which estimates the correct exposure setting, may cause sensor blooming.
• Different colors may be caught by different camera sensor elements, and they may combine to make one pixel. This process is called demosaicing.
• Activities such as artifact removal, noise removal, and sharpening may occur inside the camera after processing.

In your own digital photos, you may notice chromatic aberrations in photos with the following content:

• the sky seen through tree branches or leaves
• the edges of interior doors or windows through which bright light enters
• fireworks or city lights
• fluorescent light fixtures or bare lightbulbs
• sun or light reflections on water
• reflections on chrome
• the edges of backlit objects
• sunlit white shirts against a dark background

After identifying these types of color defects, you can reduce or eliminate them.

To remove chromatic aberrations from a photo

1. Choose Adjust [image] Chromatic Aberration Removal.
The Chromatic Aberration Correction dialog box appears.
2. Ensure that the Before and After panes are visible at the top of the dialog box.
3. Set the zoom control in the dialog box to at least 200%.
The zoom control is located below the Before and After panes. Zooming to 200% helps target the problem areas in the photo.
4. Click the Pan button [image], and pan the image to set a viewable image area in the Before pane.
5. In the Before pane, drag to define the area needing correction.
The area needing correction is called the sample box. You can create up to 10 sample boxes. Each sample box is represented as “Sample n” (where n is a number from 1 to 10) in the List of Samples area in the center of the dialog box. Each sample listing has a color swatch to the left, indicating a color average for the sampled area.
6. Choose a sample entry from the List of Samples area.
7. Type or set a value in the Range control to determine the color range of the active sample, which affects the pixel range to be corrected.
The range you specify is represented in the color box directly above the Range control.
8. Type or set a value in the Radius control to determine the size of the sample’s aberration.
The default value is 10. Values from 4 to 20 usually produce the most acceptable results. Values greater than 10 are useful on sampling areas that enclose sensor blooming aberrations. Values less than 10 are useful when you are removing 1- or 2-pixel aberrations caused by demosaicing, as well as when you are working on images of less than one megapixel. Set the Radius control to the smallest setting that effectively removes the aberration.
9. Click OK.

You can also |
Resize a sample box | Drag a sample box handle.
Delete a sample box button in the dialog box | Click a sample box, and click Remove.
Delete a sample box | Drag a corner onto its diagonally opposite corner, and stop dragging when the corners meet.
Display the affected image areas | Mark the Show Differences check box. The affected areas appear in the After pane as white areas on black. Brighter areas represent greater degrees of correction.
Preview the results on the image | Mark the Show Differences check box, and make sure the Preview on Image check box is marked.

• To create more than 10 sample boxes, you can apply the corrections and then restart the effect.
• You can automatically create a new layer on which the corrected image resides by marking the Result on New Layer check box. This option protects your original image on its own layer. If you do not mark this check box, the corrections are applied on the same layer as the original image.
• You can limit the number of “false corrections” by making a selection and then marking the Result on New Layer check box. You can also use this command on separate layers of an image.


Correcting lens distortions

Camera lenses can create distortions in photos. These distortions appear most often in wide-angle photos, in close-up photos taken with cameras with fixed focal ranges, and in photos taken with cameras that have low-quality lenses (such as disposable cameras).

It is strongly recommended that you correct the lens distortion in a photo before cropping it.
Types of lens distortion

Corel Paint Shop Pro Photo can correct three common types of lens distortion, all of which make straight lines appear curved:

• Barrel distortion — Photo looks pushed out at the center. For distortion corrections to work properly, the axis of the camera lens must coincide with the center of the image.
• Fisheye distortion — Photo looks as though it has been pasted onto a sphere or blown up like a balloon. The edges of the photo look compressed.
• Pincushion distortion — Photo looks pushed in at the center

To correct barrel distortion

1. Choose Adjust [image] Barrel Distortion Correction.
The Barrel Distortion Correction dialog box appears.
2. Look for curved lines in the image, and straighten them by typing or setting an appropriate value in the Strength control.
3. Click OK.
• By marking the Preserve central scale check box, you can add or remove pixels from the image, which changes the scale at the center of the picture. Changes to the width and height of the original image are displayed in the Result Size group box.

To correct fisheye distortion

1. Choose Adjust [image] Fisheye Distortion Correction.
The Fisheye Distortion Correction dialog box appears.
2. Remove the distortion by typing or setting an appropriate value in the Field of View control.
3. Click OK.
• By marking the Preserve central scale check box, you can add or remove pixels from the image, which changes the scale at the center of the picture. Changes to the width and height of the original image are displayed in the Result Size group box.

To correct pincushion distortion

1. Choose Adjust [image] Pincushion Distortion Correction.
The Pincushion Distortion Correction dialog box appears.
2. Look for lines in the image that are curved, and type or set a value in the Strength control until they become straight.
3. Click OK.
• By marking the Preserve central scale check box, you can add or remove pixels from the image, which changes the scale at the center of the picture. Changes to the width and height of the original image are displayed in the Result Size group box.


Adjusting color balance

You can often improve a photo dramatically by adjusting the colors. Different types of lighting, cameras, and the processing that occurs inside the camera can cause incorrect coloring in photos. Scanned images may have unnatural color casts.

To create natural-looking colors and remove any color cast in your image, you can use the various color-balancing commands in Corel Paint Shop Pro Photo. By applying the commands to a selection or an entire image, you can do the following:

• tonally balance a photo’s colors without affecting the luminance of the photo
• increase or decrease the red, blue, or green color channel by a percentage of the given channel
• restore color and contrast to faded photos
• create a photographic negative by replacing each pixel color with its opposite (for example, replace blue with yellow, black with white, yellow with blue, white with black, and so on)
• adjust the amount of red, green, and blue in your image as a way to make color corrections by changing the overall color cast

To adjust color balance

1. Choose Adjust [image] Color Balance.
The Color Balance dialog box appears.
2. Mark the Smart White Balance check box.
This allows Corel Paint Shop Pro Photo to evaluate and make minor corrections to the image automatically.
3. Drag the temperature slider to the left for cooler colors (more blue), or to the right for warmer colors (more orange).
4. Click OK.
• If you know what color temperature the photo should be, you can set precise tonal balance values by marking the Advanced Options check box and entering the temperature values in the Temperature and Tint controls in the White Balance group box. You can tweak the colors by adjusting values in the Temperature and Tint controls in the Enhance Color Balance group box.

To mix color channels

1. Choose Adjust [image] Color [image] Channel Mixer.
The Channel Mixer dialog box appears.
2. Do one of the following:
• To maintain a color image, select a color channel to edit from the Output channel drop-list.
• To change the image to monochrome (which looks like grayscale but has a color depth of 16 million colors), mark the Monochrome check box.
Grey appears in the Output channel drop-list.
3. In the Source Channels group box, type or set values in the Red, Green, and Blue controls, or adjust the corresponding sliders, to change the percentage of that color in the channel.
For example, if you are editing the Red channel and set the Red control to 50%, the amount of red in the image is reduced to 50% of its original amount.
4. Adjust the Constant slider.
The slider is originally set at zero. If you want to darken the color channel, drag the slider to the left. If you want to brighten the color channel, drag the slider to the right.
5. Click OK.

To correct faded colors

1. Choose Adjust [image] Color [image] Fade Correction.
Drag in the Before pane to center an important part of the image (such as a face).
2. Adjust the value in the Amount of correction control until the image looks the most natural.
The default value is 45.
Use the minimum value that produces a good correction. If you apply too much correction, highlight and shadow areas may lose detail, and objects may blend together.
3. Click OK.

To create a photographic negative

• Choose Image [image] Negative Image.

To change color cast

1. Choose Adjust [image] Color [image] Red/Green/Blue.
The Red/Green/Blue dialog box appears.
2. In the Red, Green, and Blue controls, type or set a value to change the percentage for each color.
A value of 0% preserves the original value. To add more of a color, use a positive number. To remove some of a color, use a negative number.
Reducing the amount of blue adds a yellow cast to the image, reducing the amount of green adds a magenta cast to the image, and reducing the amount of red adds a cyan cast to the image.
3. Click OK.


Adjusting brightness and contrast

Corel Paint Shop Pro Photo lets you adjust both the brightness and the contrast in your photos. Contrast is the difference between the photo’s lightest and darkest pixels. By applying the commands to a selection or an entire image, you can do the following:

• manually adjust the brightness and contrast
• give your photo a crisp, focused look to make the subject more prominent
• adjust the individual brightness values in your image
• adjust the highlights, midtones, and shadows to provide smooth tonal transitions
• correct the exposure
• distribute the lightness values of pixels more evenly across the lightness spectrum from black to white
• increase the overall contrast when the histogram does not cover the entire lightness spectrum
• make adjustments to the brightness, contrast, and gamma in the image
• create a purely black-and-white image
Histograms

A histogram lets you display the tonal range of an image and redistribute the balance of highlights, midtones, and shadows. In other words, the histogram can reveal whether your photo is underexposed, overexposed, or exposed properly.

Many digital cameras offer a histogram display on the camera’s LCD, and some cameras even let you adjust the scene’s histogram before you take the photo.

Corel Paint Shop Pro Photo has various commands that display the histogram in the dialog box. These commands include Curves, Levels, the advanced mode of Smart Photo Fix, and Histogram Adjustment.

Note the following when you look at a histogram:

• The left portion of the histogram reveals how much of the photo is black or nearly black.
• The right portion of the histogram reveals how much of the photo is white or nearly white.

The graph in the Histogram Adjustment dialog box displays the number of pixels for each value of the selected channel. The vertical axis represents the number of pixels and ranges from zero to the highest number of pixels in the graph. The horizontal axis represents the value of the selected channel, from 0 to 255.

Color channels are graphed individually in the Histogram Adjustment dialog box, but they are represented as a group on the Histogram palette. You can first display the Histogram window by choosing View [image] Palettes [image] Histogram and then use Preview on Image check box on the Histogram Adjustment dialog box to see your changes graphed in the Histogram window.

To change brightness or contrast

1. Choose Adjust [image] Brightness and Contrast [image] Brightness/Contrast.
The Brightness/Contrast dialog box appears.
2. Type or set a value in the Brightness control.
A positive number lightens the photo; a negative number darkens the photo. A value of zero preserves the original setting.
3. Type or set a value in the Contrast control.
A positive number increases contrast; a negative number decreases contrast. A value of zero preserves the original setting.
4. Click OK.
• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.

To enhance depth and clarity

1. Choose Adjust [image] Brightness and Contrast [image] Clarify.
The Clarify dialog box appears.
2. Type or set a value in the Strength of effect control.
Use the smallest value that produces a satisfying result. Values that are too high cause unwanted artifacts to appear in the photo.
3. Click OK.
• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.

To change color channel brightness

1. Choose Adjust [image] Brightness and Contrast [image] Curves.
The Curves dialog box appears.
2. In the Channel drop-list, select one of the following color channel options:
• RGB — lets you edit the red, green, and blue channels in a combined histogram.
• Red — lets you edit the red channel only.
• Green — lets you edit the green channel only.
• Blue — lets you edit the blue channel only.
3. Drag points on the graph to adjust the relationship between the input levels (the brightness of the original pixels) and the output levels (the brightness of the corrected pixels).
As you drag a curve point, the point’s original and modified values for pixel lightness are displayed in the upper-left corner of the histogram graph. The original or input value appears on the left), and the modified or output value appears on the right.
4. Click OK.

You can also
Add a point to the curve
Click where you want to add the point to the curve.
Note: Adding more points to the curve allows you to adjust its shape more precisely.
Remove a curve point
Drag the point to the left or right off the graph.
Move the active curve point more precisely
Press or hold down the Arrow keys.
Automatically adjust the photo’s contrast
Click the Contrast button in the Auto group box.
Note: You can use this button when you’re satisfied with the photo’s colors but want to improve the contrast.
Automatically adjust the photo’s color balance
Click the Color button in the Auto group box.
Note: You can use this button to find a black point and a white point in the photo automatically.
Automatically adjust both the contrast and the color
Click the Levels button in the Auto group box.
Set your own black, gray, or white point
Click the black, gray, or white dropper in the Colors group box to activate the dropper color. Then, move the cursor into the Before pane and click what you know to be a black, gray, or white point.
The After pane (and the image window if the Preview on Image check box is marked) is updated.
Automatically determine the appropriate black, gray, or white point
Hold down Alt, and position the cursor in the Before pane (or in the image window). As you move the cursor over dark, medium, and light areas, the appropriate color dropper becomes active. Click to set that point.
Specify histogram clipping limits for the Auto Contrast, Color, and Levels buttons
Click the Options button. In the Auto Color Options dialog box, set percentage values for the Lower Limit and Upper Limit controls, and for the Strength control.
Note: For the Lower Limit and Upper Limit controls, higher values result in stronger automatic settings, and lower values result in weaker automatic settings. Lower Strength values result in less clipping.
Reset all modified values to the original values
Click the Reset button located near the Colors droppers.
You can also click the Reset to Default button located next to the Save Preset button.

• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.

To adjust a photo’s highlights, midtones, and shadows

1. Choose Adjust [image] Brightness and Contrast [image] Highlight/Midtone/Shadow.
The Highlight/Midtone/Shadow dialog box appears.
2. Choose one of the following options:
• Absolute adjustment method — sets the absolute positions of the 25% histogram point (Shadows), the 50% histogram point (Midtones) and the 75% histogram point (Highlights). Typical values are about 35 for Shadow, 50 for Midtone, and 65 for Highlight, but they vary, depending on the photo. Increasing the value lightens the region, and decreasing the value darkens the region.
• Relative adjustment method — adjusts the lightness levels relative to their original states. Positive values lighten the region, and negative values darken it.
3. Type or set values in the Shadow, Midtone, and Highlight controls.
4. Click OK.
• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.

To correct exposure by using the histogram

1. Choose Adjust [image] Brightness and Contrast [image] Histogram Adjustment.
The Histogram Adjustment dialog box appears.
Click [image] to magnify the histogram, or click [image] to reduce the histogram display. Click 1:1 to display the histogram at its original size.
2. In the Edit group box, choose one of the following options:
• Luminance — lets you set the lightness values of the image to correct contrast
• Colors — lets you choose a color channel to edit
If you choose the Colors option, you must choose a color from the drop-list.
3. In the Presets drop-list, choose Default.
The default values represent no adjustment to the image.
4. Adjust the Low slider.
On the left side of the histogram, look for a gap between the left edge and the point where the graph starts to rise. A gap shows that the darkest pixels in the image are not completely black. Drag the Low slider (the black triangle) to the point where the graph rises. The Low control displays the low position (from 0 to 255). The bottom control displays the percentage of pixels that are between zero and the low value; contrast for these pixels will be lost. As a general rule, keep the Low value lower than 0.1%.
5. Adjust the High slider.
On the right side of the histogram, look for a gap between the right edge of the window and the point where the graph decreases to zero pixels. If there is a gap, drag the High slider (the white triangle) to that point on the graph. This action changes the lightest pixels in the image to white. As a general rule, keep the High value lower than 0.1%.
6. Adjust the Gamma slider.
If the overall image is too dark or too light, adjust the gamma, which is a standard measure of change in an image’s contrast. To lighten the image, increase the gamma by dragging the Gamma slider (the gray triangle) to the right. To darken the image, decrease the gamma by dragging the Gamma slider to the left.
7. Adjust the Midtones slider.
If the graph has peaks on the left and right sides and contains low points in the center, the midtones need to be compressed. Shadows and highlights must be expanded to reveal the information they contain. Photography subjects that are too close to the camera appear brightly illuminated against a dark background. To compress the midtones, drag the Midtones slider up.
If the graph peaks in the center and has a low number of pixels at the left and right sides, expand the midtones by dragging the Midtones slider down.
8. Click OK.
• You can create artistic effects by using the Output Max and Output Min controls on the left side of the histogram. The Max slider is the white circle within a gray square; the Min slider is the black circle within a gray square. To darken the image’s lightest pixels, drag the Max slider down. To lighten the image’s darkest pixels, drag the Min slider up. Even though you are dragging sliders along the vertical axis, the Max and Min values (from 0 to 255) affect the horizontal axis. All pixels outside the range are converted so that they fall within the range. You can choose another color component from the Edit drop-list and make similar adjustments.

To distribute lightness across the photo

• Choose Adjust [image] Brightness and Contrast [image] Histogram Equalize.

To increase contrast by stretching the histogram

• Choose Adjust [image] Brightness and Contrast [image] Histogram Stretch.
• The Histogram Stretch command pulls the darkest pixel down to black and the lightest pixel up to white. This command does not affect images that already span from pure black to pure white. If the original image has pixels that are very close to black and white, using this command will have a very small effect. If the original image is very flat (nothing close to black or white), using this command will have a strong effect.

To adjust brightness, contrast, and gamma simultaneously

1. Choose Adjust [image] Brightness and Contrast [image] Levels.
The Levels dialog box appears.
2. In the Levels group box, choose the desired color channel to adjust from the Channel drop-list:
• RGB — lets you edit the red, green, and blue channels in a combined histogram.
• Red — lets you edit the red channel only.
• Green — lets you edit the green channel only.
• Blue — lets you edit the blue channel only.
3. Adjust the black, gray, or white diamond sliders, or set values in the controls beneath them.
• To darken the darkest pixels in the photo, drag the black diamond slider to the right (or set a value in the numeric control).
• To adjust the photo’s midtones, drag the gray (middle) diamond to the left or right (or set a value in the numeric control).
• To lighten the lightest pixels in the photo, drag the white diamond slider to the left (or set a value in the numeric control).
To see which pixels are being clipped as you drag either the black or white diamond slider, hold down Ctrl as you drag. The After pane displays the clipped colors.
4. Click OK.

You can also
Automatically adjust the photo’s contrast
Click the Contrast button in the Auto group box.
Note: You can use this button when you’re satisfied with the photo’s colors but want to improve the contrast.
Automatically adjust the photo’s color balance
Click the Color button in the Auto group box.
Note: You can use this button to find a black point and a white point in the photo automatically.
Automatically adjust both the contrast and the color
Click the Levels button in the Auto group box.
Set your own black, gray, or white point
Click the black, gray, or white dropper in the Colors group box to activate that dropper color. Then, move the cursor into the Before pane (or into the image window), and click what you know to be a black, gray, or white point.
The After pane (and the image window if the Preview on Image check box is marked) is updated.
Automatically determine the appropriate black, gray, or white point
Hold down Alt, and position the cursor in the Before pane (or in the image window). As you move the cursor over dark, medium, and light areas, the appropriate color dropper becomes active. Click to set that point.
Specify histogram clipping limits for the Auto Contrast, Color, and Levels buttons
Click the Options button. In the Auto Color Options dialog box, set percentage values for the Lower Limit and Upper Limit controls and for the Strength control.
Note: For the Lower Limit and Upper Limit controls, higher values result in stronger automatic settings, and lower values result in weaker automatic settings. Lower Strength values result in less clipping.
Reset all modified values to the original values
Click the Reset button located near the Colors droppers.
You can also click the Reset to Default button located next to the Save Preset button.

• Changes you make in the Auto Color Options dialog box are applied when you use the Contrast, Curves, and Levels buttons in the Auto group box of the Curves dialog box.
• You can use the Levels command to spread out the histogram for a photo taken with an improper exposure. You may find it helpful to use this command before using the Curves command.
• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.

To convert a photo’s pixels to black and white

1. Choose Adjust [image] Brightness and Contrast [image] Threshold.
The Threshold dialog box appears.
2. Type or set a value for pixel lightness in the Threshold control to specify which pixels to change to white (those above the threshold) and which pixels to change to black (those below the threshold).
Values range from 1 to 255. Lower values produce more white pixels; higher values produce more black pixels.
3. Click OK.
• You can use the zoom control in the dialog box to set your view of the image in the Before and After panes.


Adjusting hue and saturation

Saturation is the purity or vividness of a color, expressed as the absence of white. A color with 100% saturation contains no white. A color with 0% saturation corresponds to a shade of gray. A hue is the property that defines a particular color. For example, blue, green, and red are all hues.

Hue refers to the actual color (such as red or yellow). Saturation is the vividness of the color. Imagine bright orange, which is a highly saturated color. As the saturation is reduced (keeping the hue and lightness unchanged), the orange color becomes brownish, then taupe, and finally a middle neutral gray (after the saturation has been reduced to zero). Reducing the saturation drains the color away, leaving just the grayscale component. Taupe and mauve are low-saturation colors because they are quite neutral, with just a touch of color. Apple red and banana yellow are high-saturation colors. Saturation is a measure of how different a color is from a neutral gray of the same brightness.

In digital images, increasing the saturation can give the image brilliant color and “punch,” but too much saturation distorts colors and causes problems such as unnatural-looking skin tones.

Corel Paint Shop Pro Photo gives you three ways to alter the hue and saturation of a selection or of an entire image:

• You can replace all colors with a single color and saturation while leaving the lightness values unchanged. You can create sepia tones, like the brownish tones seen in old photographs, and other single-color effects.
• You can shift all colors and change their strength and lightness. Changing the hue shifts all pixels in an image to a different point on the color wheel. For example, if you change the red pixels to green, the green pixels turn to blue, and the yellow pixels turn to cyan. Adjusting the saturation changes the amount of gray in a color. (The level of gray increases as the saturation decreases.) Adjusting the lightness changes color brightness.
• You can replace one or more colors. For example, you can shift all greens to blues. You can also change the saturation or the lightness. When you adjust these values, all colors (both original and shifted colors) are adjusted.

To create a duotone photo

1. Choose Adjust [image] Hue and Saturation [image] Colorize.
The Colorize dialog box appears.
To create a duotone with more subtle color changes, do the following before choosing the Colorize command: Choose Image [image] Greyscale, and then choose Image [image] Increase Color Depth [image] 16 Million Colors (24-bit).
2. Type or set values in the following controls:
• Hue — specifies the hue to which all current colors are changed
• Saturation — specifies the saturation of the selected hue
3. Click OK.

To adjust hue, saturation, and lightness

1. Choose Adjust [image] Hue and Saturation [image] Hue/Saturation/Lightness.
• The Hue/Saturation/Lightness dialog box appears. The outer color ring in the dialog box represents the original values of colors in the image. The adjusted values will appear on the inner color ring.
2. In the Edit drop-list, do one of the following:
• To edit all colors simultaneously, choose Master.
• To edit a specific color range, choose Reds, Yellows, Greens, Cyans, Blues, or Magentas.
If you choose to edit a color range, you can use the control ring that appears between the inner and outer color rings to modify the range to be edited. To change the range width, drag the two outer points on the control ring. To change the area in which the adjustment builds to full effect, drag the two inner bars (the full effect will be applied between the bars). To move the adjustment area, drag the white circles.
3. Adjust the Hue slider.
The Hue value represents the change from the original pixel color as the number of degrees of rotation around the 360-degree color wheel. A positive value indicates a clockwise rotation, and a negative value indicates a counterclockwise rotation. For example, when the Hue value is 180, blue becomes yellow, and green becomes magenta.
4. Adjust the Saturation slider.
Dragging the slider up increases the saturation; dragging it down decreases the saturation. Values range from –100 to 100. A value of 0 preserves the original setting.
5. Adjust the Lightness slider.
Dragging the slider up increases the lightness; dragging it down decreases the lightness. Values range from –100 to 100. A value of 0 preserves the original setting.
6. Click OK.
• You can turn an image into a duotone (two-color) image by marking the Colorize check box, which converts the image to grayscale. To colorize the image, you can select a hue and adjust the saturation and lightness values.

To shift colors

1. Choose Adjust [image] Hue and Saturation [image] Hue Map.
The Hue Map dialog box appears.
In the Hue Shift group box, the top row of color boxes shows 10 original colors, and the bottom row of color boxes shows the shifted colors. Each color is represented as degrees of rotation around the 360-degree color wheel.
2. Adjust the slider for each color that you want to shift.
3. Click OK.

You can also |
Change the saturation of all colors | Type or set a value from –100 to 100 in the Saturation shift control.
Change the lightness of all colors | Type or set a value from –100 to 100 in the Lightness shift control.
Reset the colors to their default settings | In the Presets drop-list, choose Default.


Adding or removing noise

The term “noise” in photography refers to unwanted single pixels or groups of pixels that do not belong in the photo. The noise can be caused various factors. Usually, the problems are either introduced electronically by the camera itself or caused by file formats such as JPEG. Noise appears as colored specks within the photo. You can display the noise best by zooming in. For example, you might see specks of red, pink, green, and yellow in a photo of a clear blue sky.

Corel Paint Shop Pro Photo gives you many ways to remove various types of noise, and it even lets you add noise to an otherwise “clean” photo. You can make the following corrections by applying them to a selection or an entire image:

• You can reduce the detail in an image and add a grainy texture. By adding a small percentage of noise to an image, you can reduce the appearance of small imperfections and scratches that cannot be removed with other tools.
• You can find and eliminate small scratches that are either lighter or darker than the surrounding area.
• You can remedy a common problem seen in video capture images in which even- and odd-numbered scan lines are recorded at different rates. The problem is usually noticed if the subject was moving when the image was captured. Note that removing scan lines may make noise more visible.
• You can restore a JPEG image to its original appearance. When you save a file to the JPEG format from any software package (such as scanning software), the file information is compressed to create a smaller file. The compression may produce any of the following artifacts: halos or color leakage beyond the edges of objects, checkerboard patterns on smooth backgrounds, or blocky areas.
• You can remove undesirable patterns from scanned images. This problem sometimes occurs in scanned photographs printed on textured paper.
• You can remove single-pixel specks that are mostly white or black. The brightness of each pixel is analyzed and then compared to the surrounding pixels to determine whether it should be removed.
• You can remove noise in a photo without losing details in edges within the photo. For example, you can preserve the edges of facial features while correcting a blotchy complexion.
• You can remove small random specks or areas of noise that are distinctly different from the surrounding area. The intensity of each pixel is adjusted to the median intensity of surrounding pixels. (The median intensity is the middle value, not the average,) in the range of values.) To preserve object edges, you can use the Median Filter command. With this command, you can apply more adjustment to a pixel that differs greatly from surrounding pixels than to a pixel that is similar to surrounding pixels. You can specify the number of surrounding pixels to use in the calculation. If you choose a large number of pixels, more noise is removed, so more detail is lost.
• You can remove multipixel black or white specks, such as those caused by dust on film or video.
• You can remove noise or specks in an image while preserving details in textures. For example, you can preserve textures in clothing while removing noise from another area (such as a person’s face).

In addition, you can use the One Step Noise Removal and the Digital Camera Noise Removal commands. For more information, see "To remove digital camera noise quickly" and "To use advanced options for removing digital camera noise."

To add noise

1. Choose Adjust [image] Add/Remove Noise [image] Add Noise.
The Add Noise dialog box appears.
2. Choose a noise pattern option:
• Random — creates a granular effect that adds texture
• Uniform — changes the color of the noise to resemble the original pixels
• Gaussian — makes most of the noise resemble the original pixels more than the Uniform option
3. Type or set a value in the Noise control to set the percentage of noise to add.
4. Click OK.
• You can use black-and-white noise pixels by marking the Monochrome check box. To use colored pixels, unmark the check box.

To remove scratches from a selection automatically

1. Choose Adjust [image] Add/Remove Noise [image] Automatic Small Scratch Removal.
The Automatic Small Scratch Removal dialog box appears.
2. Mark one or both of the following check boxes:
• Remove dark scratches — removes scratches that are darker than the background
• Remove light scratches — removes scratches that are lighter than the background
3. In the Local Contrast Limits group boxes, type or set values in the Lower and Upper controls to set the contrast between a scratch and its background.
Increase the Lower control setting to just below where scratches reappear. Decrease the Upper control setting to just above where the scratches reappear.
4. In the Strength group box, choose an option to set the strength of the scratch removal:
• Mild
• Normal
• Aggressive
Select the lowest setting that removes scratches. Examine all areas of the image to make sure that important details are not lost.
5. Click OK.
• To limit the correction to a specific area, make a selection. The command works better when applied to a selection than when applied to an entire image.

To sharpen video capture images

1. Choose Adjust [image] Add/Remove Noise [image] Deinterlace.
The Deinterlace dialog box appears.
2. In either the Before or After pane at the top of the dialog box, drag to pan to the image area where the scan lines are most apparent.
3. In the Scanlines to retain group box, choose an option to specify whether to retain the odd-numbered or even-numbered scan lines.
4. Click OK.
• You should apply the Deinterlace command before you resize the image. Resizing adds or removes pixels from the image, which makes it more difficult to identify scan lines. If your image has already been resized, you must return it to the original size as closely as possible so that each scan line is 1 pixel high. Using the zoom control in the dialog box, you can zoom until you can see how many pixels make up one scan line, and then you can resize the image so that each scan line is 1 pixel high. For example, if the enlarged image has scan lines that are 2 pixels high, you would resize it by 50 percent. Note that resizing the image causes it to lose clarity.

To remove artifacts from JPEG images

1. Choose Adjust [image] Add/Remove Noise [image] JPEG Artifact Removal.
The JPEG Artifact Removal dialog box appears.
2. In either the Before pane or the After pane at the top of the dialog box, drag to pan to the image area where the scan lines are most apparent.
3. In the Strength group box, choose an option to determine the strength of correction.
For best results, try each option, and examine all areas of the image, to see which one works best.
4. Type or set a value in the Crispness control to specify the amount of detail to restore.
Values range from 0 (the least) to 100 (the most).
Excessive crispness may produce fine dots in the image.
5. Click OK.
• You can apply the JPEG Artifact Removal command to a file in any format. For example, if you have saved a JPEG file to the Corel Paint Shop Pro Photo (PspImage) format, you can still apply the command.
• Because JPEG compression discards image information, the ability to restore JPEG images is limited.

To remove moiré patterns

1. Choose Adjust [image] Add/Remove Noise [image] Moiré Pattern Removal.
The Moiré Pattern Removal dialog box appears.
2. Click the Zoom In button [image], and magnify the image until you can see the fine patterns clearly.
3. Type or set a value in the Fine details control to set the level of pattern removal.
Change the value one number at a time until the pattern disappears. Higher values may blur the image, so use the lowest value that removes the pattern.
4. Use the zoom control in the dialog box to reduce the image magnification until you can see bands or color blotches clearly in the After pane.
Although bands or blotches may be visible when the image is displayed at a setting of 100%, they may be easier to see at lower settings.
5. Change the value one number at a time in the Remove bands control until any color bands or blotches become less visible (they may not disappear completely). To avoid desaturation of small objects, use the lowest value possible.
6. Click OK.
• After you have removed the moiré pattern, you may be able to use the Sharpness commands in the Adjust menu to restore detail and remove blurriness without reintroducing the pattern. The Sharpness commands work best when you choose a Fine details setting in the Moiré Pattern Removal dialog box that is slightly higher than needed to remove the pattern.

To remove single-pixel specks

1. Select the area in the photo that contains the specks.
2. Choose Adjust [image] Add/Remove Noise [image] Despeckle.
The selection is despeckled.

To remove noise while preserving edges

1. Select the area that contains the noise you want to remove.
2. Choose Adjust [image] Add/Remove Noise [image] Edge Preserving Smooth.
The Edge Preserving Smooth dialog box appears.
3. Type or set a value in the Amount of smoothing control.
Choose the smallest amount of smoothing that removes the specks while retaining image detail.
4. Click OK.
• Although you can apply the Edge Preserving Smooth command to the entire image, the command works best when you select the problem area.

To remove distinct areas of noise

1. Select the area that contains the noise you want to remove.
2. Choose Adjust [image] Add/Remove Noise [image] Median Filter.
The Median Filter dialog box appears.
3. Type or set a value in the Filter Aperture control to choose the number of surrounding pixels to include in determining the median pixel intensity.
Values range from 3 to 31 in odd-numbered increments.
To preserve image details, choose the smallest filter that removes the noise. For single-pixel colored specks, set the filter to 3.
4. Click OK.
• Although you can apply the Median Filter command to the entire image, the command works best when you select the problem area.

To remove multipixel specks

1. Select the area that contains the specks.
2. Choose Adjust [image] Add/Remove Noise [image] Salt and Pepper Filter.
The Salt and Pepper Filter dialog box appears.
3. Type or set a value in the Speck size control to set the minimum size, in pixels, of the largest speck that can be completely removed. The value is always an odd number.
4. Type or set a value in the Sensitivity to specks control to set how different an area must be from its surrounding pixels to be considered a speck.
5. Click OK.
• Although you can apply the Pepper Filter command to the entire image, the command works best when you select the problem area.
• You can remove all specks that are smaller than the Speck size value by marking the Include all lower speck sizes check box.
• You can intensify the strength of the correction by marking the Aggressive action check box.

To remove noise while preserving textures

1. Select the area that contains the noise you want to remove.
2. Choose Adjust [image] Add/ Remove Noise [image] Texture Preserving Smooth.
The Texture Preserving Smooth dialog box appears.
3. Type or set a value in the Amount of correction control to set a value for the strength of the correction.
At lower values, a small amount of noise is removed, but textured areas are preserved. At higher values, more noise is removed, but textured areas may not be fully preserved.
4. Click OK.
• Although you can apply the Texture Preserving Smooth command to the entire image, the command works best when you select the problem area.


Creating an area of focus by controlling depth of field

You can create an area of focus to draw attention to the subject in your photo. For example, in a photo of a person surrounded by a field of flowers, you can defocus (blur) the surrounding flowers while retaining a clear focus on the person. In photography, this effect is achieved by controlling the depth of field.

You can apply the Depth of Field effect to draw attention to the subject in your photo.

Depth of field refers to the area that appears to be in focus. Different factors affect the depth of field, including the distance between the camera and your subject, the lens speed, and your camera’s aperture setting. Most automatic cameras use the smallest aperture setting possible to ensure that most of the image is in focus. You can draw attention to your subject, however, by using a larger aperture setting, which creates a shorter depth of field.

Selecting an area of focus

In Corel Paint Shop Pro Photo, you can quickly choose an area of focus by creating a circular or rectangular selection, or you can trace around an area to create an irregularly shaped selection. You can also invert a selection. For more information about selections, see "Creating selections."

Adjusting the blurred area

You can control the amount of blur applied to the area outside the selection, and you can adjust the transition between the area in focus and the blurred areas. Corel Paint Shop Pro Photo also lets you choose between circular or hexagonal aperture shapes. The aperture shape can affect light patterns that appear in the out-of-focus areas. This effect is called bokeh, and it is most noticeable in small pinpoints of light on a dark background.

To create an area of focus by using the Depth of Field effect

1. Choose Adjust [image] Depth of Field.
2. In the Depth of Field dialog box, choose one of the following Area of focus selection tools, and drag in the Before pane to enclose the area you want to keep in focus:
• Circular [image] — lets you create a round selection
• Freehand [image] — lets you create an irregularly shaped selection by dragging around an area to create a closed shape
• Rectangular [image] — lets you create a rectangular selection
3. Move the Blur slider to adjust the amount of blur applied to the out-of-focus area.

You can also |
Invert the selected area | Mark the Invert check box.
Control the aperture shape for the blurred area | Click the Circular [image] or Hexagonal [image] Aperture Shape button.
Adjust the transition between the area in focus and the blurred area | Move the Feather edge slider. Moving the slider to the right increases the feathering; moving the slider to the left decreases the feathering.
Fine-tune the size of the area in focus | Move the Focus range slider to the left to shrink the area in focus. Move the slider to the right to expand the area in focus to the edge of the selection.

• If you have a preexisting selection, it does not appear in the Depth of Field dialog box — you must create a selection within the Depth of Field dialog box to create an area of focus. When you exit the Depth of Field dialog box, the preexisting selection appears in the image window.
• Make your selection slightly larger than the area you want to keep in focus, and then fine-tune the edge of the selection by using the Focus range slider.


Blurring images

Corel Paint Shop Pro Photo provides several commands that let you apply a blurring effect to your images. You can apply the following corrections to a selection, a layer, or an entire image:

• You can remove noise that occurs throughout an image by adjusting the intensity of each pixel to the average intensity of its surrounding pixels. You can also remove color dithering that results from increasing the color depth of a paletted image to 24-bit.
• You can remove noise by applying smooth transitions and decreasing the contrast in your image.
• You can adjust the strength of the blurring effect by blending a specific number of pixels incrementally, following a bell-shaped curve. The blurring is dense in the center and feathers at the edges.
• You can use a fixed exposure time to simulate taking a picture of a moving object.
• You can simulate a photo taken while spinning a camera in circles, or while zooming in quickly at a very slow shutter speed.
Why would I blur an image on purpose?
You can use blurring commands to soften a selection or an image, to retouch a photo, or to remove noise in an image. The Blur commands smooth transitions and decrease contrast by averaging the pixels near the edges and near areas of significant color transitions. You can apply any of the Blur commands multiple times to the same image to increase the blurring effect.

To apply blurring based on nearby pixel intensity

1. Choose Adjust [image] Blur [image] Average.
The Average dialog box appears.
2. Type or set a value in the Filter aperture control.
Values range from 3 to 31 in odd-numbered increments. The higher the value, the greater the blur.
3. Click OK.

To apply minimal blurring

• Choose Adjust [image] Blur [image] Blur.
• To double the effect, choose the command again.

To apply moderate blurring

• Choose Adjust [image] Blur [image] Blur More.
• To double the effect, choose the command again.

To apply Gaussian blurring

1. Choose Adjust [image] Blur [image] Gaussian Blur.
The Gaussian Blur dialog box appears.
2. Type or set a value in the Radius control to specify the distance (radius) within which dissimilar pixels are blurred.
Values range from 0.00 to 100.00.
3. Click OK.

To apply motion blurring

1. Choose Adjust [image] Blur [image] Motion Blur.
The Motion Blur dialog box appears.
2. In the Angle group box, drag the angle dial to the desired position, or type or set a value in the control, to set an angle from which the blurring is applied.
3. Type or set a value in the Strength control.
Values range from 1.00 to 100.0. Lower values lessen the effect; higher values intensify the effect.
4. Click OK.

To apply radial blurring

1. Choose Adjust [image] Blur [image] Radial Blur.
The Radial Blur dialog box appears.
2. In the Blur Type group box, choose one of the following options:
• Spin — blurs pixels circularly around the image center
• Zoom — blurs pixels away from the center
• Twirl — blurs pixels in a spiraling manner. You can set the degree of the twirl by typing or setting a value in the Twirl degrees control.
3. In the Blur group box, type or set a value in the Strength control.
Lower values lessen the effect; higher values intensify the effect.
If you need to squeeze the radius to fit the image, mark the Elliptical check box. This option produces elliptical blurring on rectangular images and has no effect on square images. Circular blurring is produced when the check box is unmarked.
4. In the Center group box, type or set a value in the following controls to affect the center of the image:
• Horizontal offset % — allows you to set the horizontal center point of the blur
• Vertical offset % — allows you to set the vertical center point of the blur
• Protect center % — allows you to determine how much to diminish blurring at the image center. Higher values increase the radius of the unblurred center area.
5. Click OK.


Sharpening images

Most digital photos need some level of sharpening because of the softness introduced in the capturing process of digital cameras. Camera movement at the moment of capture can also produce photos in need of sharpening, and digital cameras are more prone than film cameras to producing slightly out-of-focus photos. In most cases, this problem is easy to fix.

Color, tonal, and resizing corrections tend to soften your photo, so it is best to apply any necessary sharpening before you print, share, or archive your photos.

Corel Paint Shop Pro Photo provides sharpening commands that improve blurry photos by increasing the contrast of adjacent pixels. The following sharpening commands can be applied to a selection, a layer, or the entire photo:

• You can sharpen high-frequency details, such as edges, while ignoring low-frequency details, such as large structures, gradients, and background colors.
• You can improve image focus and clarity by increasing the contrast between adjacent pixels, particularly along edges in the photo.
• You can sharpen the mid- to high-contrast edges in the image without enhancing noise, as is often done with professional color correction.

To apply high-frequency sharpening

1. Choose Adjust [image] Sharpness [image] High Pass Sharpen.
The High Pass Sharpen dialog box appears.
2. Type or set a value from 0.01 to 100.00 in the Radius control to specify the distance (radius) within which dissimilar pixels are sharpened.
Photos with close-up subjects and softer details usually require higher Radius settings; photos with lots of fine detail usually require lower Radius settings.
3. Type or set a value from 1 to 100 in the Strength control to specify the overall strength of the command.
4. In the Blend mode drop-list, choose one of the following options to determine how the high-frequency sharpened areas are blended into the original image area:
• Overlay — removes the neutral tones in the image and makes edge details stand out
• Hard Light — produces greater contrast than the Overlay option
• Soft Light — produces a softer-looking photo
5. Click OK.

To apply minimal sharpening

• Choose Adjust [image] Sharpness [image] Sharpen.
• To double the effect, choose the command again.

To apply moderate sharpening

• Choose Adjust [image] Sharpness [image] Sharpen More.
• To double the effect, choose the command again.

To apply low-frequency and high-frequency sharpening

1. Choose Adjust [image] Sharpness [image] Unsharp Mask.
The Unsharp Mask dialog box appears.
2. Type or set a value from 0.01 to 100.00 in the Radius control to specify the distance (radius) within which dissimilar pixels are sharpened.
Photos with close-up subjects and softer details usually require higher Radius settings; photos with lots of fine detail usually require lower Radius settings.
3. Type or set a value from 1 to 100 in the Strength control to specify the overall strength of the command.
4. Type or set a value from 1 to 100 in the Clipping control to specify the lightness values that adjacent pixels must have in order to be sharpened.
5. Click OK.


Softening images

Softening a photo creates a dreamy, glossy effect that mimics the effect produced by a high-quality soft-focus lens. This effect is often used for magazine covers and glamour photos. Crisp, sharp photos appear warmer when you add a soft focus.

Corel Paint Shop Pro Photo provides the following softening methods:

• You can apply a soft-focus camera lens effect to the photo or selection.
• You can apply a uniform, soft blur to the photo or selection.

To apply a soft focus to a selection or image

1. Choose Adjust [image] Softness [image] Soft Focus.
The Soft Focus dialog box appears.
2. In the Focus group box, type or set a value in the following controls:
• Softness — determines the strength of the adjustment. At lower percentages, the photo is softened by only a small amount. At higher percentages, the photo appears blurred.
• Edge importance — determines how much softening to apply to edge details within the photo. At lower percentages, the edges are softened. At higher percentages, the edge details are retained, so less softening is applied to them.
3. In the Halo group box, type or set a value in the following controls:
• Amount — determines the strength of the halo effect. At lower values, the halo is added only to very bright areas in the photo. At higher values, a halo effect is created around all bright areas.
• Halo size — determines the size of the halo. At lower values, the halo is small. At higher values, the halo effect is large.
• Halo visibility — determines the strength of the halo visibility. At lower values, the halo effect is subtle. At higher values, the halo effect is more obvious.
4. Click OK.
• You can soften bright areas in the photo’s background by marking the Include scattered light check box.

To apply minimal softening

• Choose Adjust [image] Softness [image] Soften.

To apply moderate softening

• Choose Adjust [image] Softness [image] Soften More.


Resizing images

After you adjust your image, you can resize it. It’s important to understand how resizing affects image pixels.

Effect of resizing on image resolution

Pixels have no set physical size. Each pixel represents one sample of a single color. When an image is resized, the number of pixels in the image may be reduced or increased, which causes the image to be resampled. Resampling changes the file size.

Print resolution is defined as the number of pixels per inch (ppi). A higher print resolution creates smaller printed pixels and therefore a smaller printed image. A lower print resolution creates larger printed pixels and a larger printed image. Resizing can be used to:

• Change the print resolution and print size while preserving the number of pixels and file size (no resampling)
• Change the number of pixels and file size while preserving the print resolution and print size (resampling)
• Do both (resampling)

Here are some recommendations to help you resize your images:

• Avoid increasing the image size by more than 125%. Doing so may cause a loss of detail and sharpness.
• Resize an image only once. If you resize the image incorrectly, undo it and try again.
• Correct and retouch images before resizing.
Resampling methods

Choosing a resampling type lets you choose how the image is resampled. In most cases, it is best to use Smart Size, the default setting.

The resampling types available in Corel Paint Shop Pro Photo are described in the following table.

Resampling type | Description
Smart Size | Chooses the best algorithm based on the new pixel dimensions you set
Bicubic | Minimizes the jaggedness that often results from expanded, irregular, or complex images
Bilinear | Uses the two nearest pixels around each existing pixel to determine the appearance of newly created pixels
Pixel Resize | Duplicates or removes pixels to achieve the selected width and height of the image (recommended for hard-edged images and simple graphics)
Weighted Average | Uses a weighted-average color value of neighboring pixels to determine the appearance of newly created pixels (useful for reducing photorealistic, irregular, or complex images)

Are there other ways to resize an image?
In addition to using the Resize command, you can also change the image size by changing the canvas size, cropping the image, or printing at a different size.
Resizing the image makes the image smaller by removing pixels or makes the image larger by adding pixels.
Increasing the canvas size adds pixels at the edge of the image. Decreasing the canvas size hides pixels at the edges of the image (full layer information is kept). For more information, see "Resizing the canvas."
Cropping an image deletes the pixels outside the selected crop area. For more information, see "Cropping images."
When you print from the Print Layout workspace, the image is resized for printing, but the image file remains unchanged. This method of resizing an image is best if you want to print the image at various sizes. For more information, see "To resize an image in print layout."

To resize an image

1. Choose Image [image] Resize.
2. In the Resize dialog box, mark the Resample using check box, and select a resampling type from the drop-list. (Bicubic is recommended.)
If you want to resize the current layer only, unmark the Resize all layers check box.
3. In the Pixel Dimensions group box, type or set new values in the Width and Height controls. From the drop-list, choose whether to enter values in pixels or as a percentage of the original size.
4. Click OK.
• It is recommended that you constrain the new image dimensions to the image’s current proportions by marking the Lock aspect ratio check box. Changing the aspect ratio distorts the image by stretching or contracting it in one dimension more than the other.
• You can keep the image’s current print size by marking the Maintain original print size check box.

To change the image resolution and print size

1. Choose Image [image] Resize.
The Resize dialog box appears.
2. Unmark the Resample using check box.
3. In the Print Size group box, do one of the following:
• Type or set values in the Width and Height controls.
• Type or set a value in the Resolution control.
You can choose units of measurement from the drop-lists next to the Width, Height, and Resolution controls.
4. Click OK.


Retouching and restoring images

Corel Paint Shop Pro Photo provides you with many ways to retouch your images. Whether you want to remove a small scratch, erase the entire background, or simply correct red-eye, you’ll find the tools you need.

In this section, you’ll learn about

• removing red-eye
• applying cosmetic corrections
• removing scratches
• removing flaws and objects
• erasing image areas
• retouching image areas by using brushes
• recoloring image areas for a realistic effect
• replacing colors, gradients, or patterns
• filling areas with colors or materials
• flipping and mirroring images
• adding borders
• scaling and transforming images
• resizing the canvas


Removing red-eye

Red-eye in photos is a common problem. When light from the camera’s flash reflects off the retina of a photo subject, a red-eye effect is captured in the photo. Corel Paint Shop Pro Photo has two methods of removing red-eye from a color photo.

The Red Eye tool replaces the red color in the subject’s pupil with a dark gray color, restoring a natural look.

The fastest method of removal is to use the Red Eye tool. A more powerful method is to use the advanced Red Eye Removal command, which lets you change the eye color.

To remove red-eye quickly

1. On the Tools toolbar, choose the Red Eye tool [image].
2. On the Tool Options palette, adjust the Size control so that the cursor is about twice the size of the red area needing correction.
3. Position the cursor directly over the eye, and click.
• You can zoom in on the photo, if necessary, for better control of the Red Eye tool.
• You can size the cursor interactively by holding down Alt while dragging the Red Eye tool over the eye area.

To use advanced options for red-eye removal

1. Choose Adjust [image] Red Eye Removal.
2. In the After preview window, drag to center the red eyes of the subject. If necessary, use the Zoom control to see the eyes in more detail.
3. Choose a color variation option from the Hue and Color drop-lists.
4. From the Method drop-list, choose one of the following correction methods:
• Auto Human Eye — automatically selects the correction area and chooses settings appropriate for a human eye
• Auto Animal Eye — automatically selects the correction area and chooses settings appropriate for an animal eye. This method lets you rotate the selection.
• Freehand Pupil Outline — lets you use the Freehand Selection tool to select the correction area for human or animal eyes
• Point-to-Point Pupil Outline — lets you use the Point-to-Point Selection tool to select the correction area for human or animal eyes
When more careful correction is needed, such as for a partially obscured pupil, it is best to use the Freehand Pupil Outline method or the Point-to-Point Pupil Outline method.
5. In the Before preview window, perform one of the following tasks:
• For the Auto Human Eye or Auto Animal Eye method, click inside the red area of the eye to select the eye automatically, or drag from the center of the eye to the outside edge of the red area.
• For the Freehand Pupil Outline method, drag around the edge of the red area of the pupil until you reach the beginning point of the selection.
• For the Point-to-Point Pupil Outline method, click around the edge of the red area of the pupil, and double-click when you reach the beginning point. You can reverse a click by right-clicking.
After you select the eye, a circle appears around the selected area, and a control box for making adjustments encloses the circle. The After preview window displays the corrected eye.
If you choose the Freehand Pupil Outline method or the Point-to-Point Outline method, confine the selection area to the pupil of the eye (the small dark circle at the eye’s center). These methods are designed to correct the pupil area, where red-eye occurs, without changing the surrounding iris.
6. Set the following controls to fine-tune the red-eye correction:
• Pupil lightness — specifies the amount of lightness in the pupil so that the corrected eye matches the natural eye color
• Iris size — specifies the size of the iris. Increasing the iris size decreases the pupil size.
• Glint lightness — specifies the lightness of the glint. Lower values darken the glint; higher values lighten it.
• Glint size — specifies the size of the glint
• Feather — adjusts the edges of the corrected eye so that they appear to blend into the surrounding image areas or appear more defined. Lower values make the edges more defined; higher values blend the edges into the surrounding image areas.
• Blur — blends the eye with surrounding pixels when the photo has a grainy appearance. You can increase the setting one unit at a time until the eye blends naturally with the rest of the image.
7. Click OK.

You can also |
Move the glint to the center of the pupil | Mark the Center glint check box.
Rotate a selection for an animal eye | Drag the center rotation handle.
Change the color of human or animal eyes | Choose the Auto Human Eye or the Auto Animal Eye option, and select an iris color from the Hue drop-list.
Reshape a selection | Drag the side handles of the selection.
Delete a selection | Click Delete.

• The Refine slider helps you correct red-eye when the eye is partially obscured in the original photo. For example, if the eyelid covers part of the eye in the original photo, it should also cover that part of the eye in the corrected photo. Dragging the slider to the left reduces the correction and minimizes its overlap with the surrounding skin.


Applying cosmetic corrections

You can quickly improve the appearance of the subjects in your photos by performing the following cosmetic corrections:

• removing blemishes — by using the Blemish Fixer mode of the Makeover tool
• whitening teeth — by using the Toothbrush mode of the Makeover tool
• adding a suntan — by using the Suntan mode of the Makeover tool
• removing wrinkles — by using the Scratch Remover tool
• smoothing skin tone quickly — by using the Skin Smoothing command in the Adjust menu

You can remove blemishes, whiten teeth, and apply a suntan.

To remove facial blemishes

1. On the Tools toolbar, choose the Makeover tool [image].
2. On the Tool Options palette, choose the Blemish Fixer [image] mode.
The cursor changes to concentric circles.
3. On the Tool Options palette, adjust the Size control to the smallest size that allows the inner circle to enclose the blemish.
The outer circle is for the material used to cover the blemish.
4. On the Tool Options palette, adjust the Strength control.
Values range from 1 to 100. Higher values apply more of the source material (enclosed in the outer circle) to the blemish area (enclosed in the inner circle).
5. Click directly over the blemish.
• You can zoom in on the photo for better control of the Makeover tool.

To whiten teeth

1. On the Tools toolbar, choose the Makeover tool [image].
2. On the Tool Options palette, choose the Toothbrush [image] mode.
3. Click directly over the teeth.
If the teeth are separated or partially obscured, you may need to apply this tool to each tooth individually.
• The Toothbrush mode of the Makeover tool works only on color photos.
• You can zoom in on the photo for better control of the Makeover tool.
• You can adjust the amount of whitening by setting or typing a value in the Strength control on the Tool Options palette.

To apply a suntan

1. On the Tools toolbar, choose the Makeover tool [image].
2. On the Tool Options palette, choose the Suntan [image] mode.
3. Type or set a value in the Size control.
4. Carefully drag over the skin you want to tan.

To remove facial wrinkles

1. On the Tools toolbar, choose the Scratch Remover tool [image].
2. On the Tool Options palette, choose either the square edge [image] or the beveled edge [image] selection box.
3. Type or set a value in the Width control so that the wrinkle fits inside the inner portion of the selection box you drag.
4. Position the cursor just outside the wrinkle, and carefully drag over the wrinkle so that the wrinkle is enclosed in the inner rectangle.
The wrinkle is covered by the surrounding skin texture.
• If you need to start again, you can undo the correction, adjust the Width control, and redrag.
• For wrinkle lines that are not straight, correct just one portion at a time.

To smooth skin tone

1. Choose Adjust [image] Skin Smoothing.
2. In the Skin Smoothing dialog box, adjust the Amount slider.
Moving the slider to the right applies more smoothing; moving the slider to the left applies less smoothing.
• The Skin Smoothing command automatically detects and smooths skin tones without affecting eyes or lips. However, if other areas in your photo are affected because they are similar in color to the skin tone, you can use a selection to isolate the area you want to smooth. For more information about selections, see "Creating selections."

The Skin Smoothing command smooths skin tones and diminishes the appearance of wrinkles and blemishes quickly.


Removing scratches

The Scratch Remover tool lets you remove scratches and cracks from images. You can use the tool to enclose the area and erase the scratch. The Scratch Remover tool uses the background image details to create new information for replacing the selected area. If the background is relatively smooth, the result is usually satisfying. Scratches on a textured background may be more effectively removed with the Clone Brush tool. For information about the Clone Brush tool, see "Removing flaws and objects."

You can repair individual scratches by using the Scratch Remover tool.

For images containing many small scratches, you can use the Automatic Small Scratch Remover command. For more information, see "Adjusting images."

To remove scratches

1. On the Layers palette, click the background layer.
2. On the Tools toolbar, choose the Scratch Remover tool [image].
3. On the Tool Options palette, choose one of the following options to define the shape of the Scratch Remover tool:
• square edge [image] — corrects scratches that are perpendicular to object edges, in an open area, or of uniform color
• beveled edge [image] — corrects scratches that are at an angle to object edges
4. Position the cursor just outside the scratch on one end, and drag to set a selection box over the scratch.
The edges of the selection box should surround the area without touching the scratch. Try to leave a small area on either side of the scratch.

You can also |
Move the starting point of the bounding box in 1-pixel increments | Continue to hold down the mouse button, and press an Arrow key.
Increase or decrease the width of the bounding box by 1 pixel | Continue to hold down the mouse button, and press Page up or Page down.

• To avoid removing important details from areas surrounding the scratch, you can limit the correction by creating a selection. For information about creating selections, see "Creating selections."
• If you are not satisfied with the result, click the Undo button [image], reselect the scratch, and try varying the width of the tool.
• If the scratch extends over several different backgrounds, you can try removing it one section at a time.


Removing flaws and objects

You can remove flaws and objects in your images by using the Clone Brush tool or the Object Remover tool. The Clone Brush tool lets you remove flaws and objects by painting over them with another part of the image. The paint source can be a part of the same layer, another layer in the image, a merged image, or a layer from another image.

The Clone Brush tool was used to remove the garbage bag from the photo on the left.

The Object Remover tool lets you remove objects when the surrounding area is fairly uniform in color and texture. This tool is similar to the Clone Brush tool in that it lets you identify the area to remove and then choose a background for covering that area.

The Object Remover tool was used to remove one boat from the water.

To clone a part of an image

1. On the Tools toolbar, choose the Clone Brush tool [image].
2. On the Tool Options palette, choose the brush tip, size, opacity, and other settings.
If you want the Clone Brush tool to reset the source point each time you resume painting, mark the Aligned mode check box. You can continue dragging over the target area to fill in the source image. Unmark the check box if you want every stroke to copy the same data from the original source point.
If you want to clone data from all layers merged together, mark the Use all layers check box. If you want to clone data from the current layer only, unmark the check box.
3. On the source image, right-click the center point of the source area.
If the image has more than one layer, click the name of the layer on the Layers palette before you define the source area.
4. Drag in the image where you want to paint the cloned area.
• When you clone an image area, you must select a source area with data.
• If your image contains a selection, you must right-click within the selection to set your clone source. If you are using a pen tablet, you can achieve the same result by holding down Shift.
• You can also hold down Shift and click the image to set the source point.
• You can resize the brush interactively by pressing Alt while dragging in the image window.

To remove objects from a photo

1. On the Tools toolbar, choose the Object Remover tool [image].
2. On the Tool Options palette, choose the Selection Mode [image] button.
3. Drag around the object that you want to remove.
4. On the Tool Options palette, choose the Source Mode [image] button.
A rectangle is displayed in the image window.
5. Position the rectangle over the area that will replace the previous selection.
6. Drag the handles on the rectangle to resize it, or drag the rotation handle on the rectangle to rotate it.
It is recommended that you make the rectangle as large as, or slightly larger than, the area you are removing.
7. On the Tool Options palette, click the Apply button [image].
8. Choose Selections [image] Select None to deselect the selection.

You can also |
Feather a selection made with the Freehand Selection tool | Before making the selection, adjust the Feather control on the Tool Options palette.
Adjust the opacity of the source material | Before clicking the Apply button, adjust the Opacity control on the Tool Options palette.
Choose source material from all layers or from the current layer | Mark the Use all layers check box to choose source material from all layers as though they were merged. Do not mark this check box if you want to choose source material from the current layer only.
Blend edges and use the object’s tonal ranges when applying the source material | Choose the Smart Blending option on the Tool Options palette.

• You can also create a selection by using any of the selection tools before you activate the Object Remover tool.
• You can also deselect the selection by clicking Ctrl + D.


Erasing image areas

You can use the Eraser tool to erase areas of a layer to transparency. When you use the Eraser tool on a raster layer, all pixels in the tool’s path become transparent. A gray-and-white checkerboard pattern indicates transparent areas.

You can use the Background Eraser tool to erase pixels selectively. For example, in a photo of a mountain range, you can erase the sky, or you can isolate an object from the surrounding image area.

You can quickly remove the background from an image by using the Background Eraser tool.

The difference between undoing and erasing

When you undo an action in Corel Paint Shop Pro Photo, the detail from the original image is restored. To understand the difference between undoing and erasing, consider the example of paint strokes. If you make a mistake with a paint stroke and erase it, the image detail under the stroke is lost. You can erase paint when you want to make certain pixels transparent. You can also erase to create an effect, such as when you want one layer to show through another layer.

Settings for the Background Eraser tool

You can set the following controls when you use the Background Eraser tool:

• Opacity — specifies the level of opacity. A setting of 100% erases pixels to complete transparency, and a lower setting erases pixels to partial transparency.
• Tolerance — determines how closely the selected pixels match the sampled pixel. The range of values is 0 to 512. At lower settings, only pixels with very similar colors are erased. At higher settings, more pixels are erased. (This option is unavailable if the Auto Tolerance check box is marked.)
• Sharpness —specifies how much the softness of the erased edge depends on the color difference between the object and the background. The range of values is 0 to 100. You can use lower settings when the edges that you are erasing form a gradient (a more gradual color transition); you can use higher settings when the edges that you are erasing have a more abrupt color transition.
• Sampling — specifies the basis on which pixels are erased. This control has the following options:
• Once — samples the point at which you first click and then erases all matching pixels for the duration of the stroke. This setting erases similar colors and preserves the areas you want to keep.
• Continuous — samples continuously and erases all matching pixels. If the area to erase is quite variable, you can use this option and set the Step value low, so that the area is sampled frequently as you erase. The tool can erase any color it encounters, including foreground colors if the sampled pixel falls into the foreground area.
• BackSwatch — erases all pixels that match the current background color on the Materials palette
• ForeSwatch — erases all pixels that match the current foreground color on the Materials palette
• Limits — specifies whether erased pixels are adjacent to each other. This control has the following options:
• Discontiguous — erases all pixels in the tool’s path that match the sampled pixels, even if they are nonadjacent. You can use this mode to correct areas in which the background shows through holes in the image.
• Contiguous — erases only contiguous pixels that match sampled pixels. You can use this mode when the background pixels are of a color that is similar to that of the edges of the object you want to isolate.
• FindEdges — uses the edge information to restrict the erasing
• Auto Tolerance — determines the tolerance based on the pixels in the tool’s path. The tolerance may change continuously as the tool moves over different parts of the layer. You can unmark this check box to specify a Tolerance setting.
• Use all layers — samples data from all layers merged together. Only pixels in the current layer are erased. To sample data from the current layer only, you can unmark the check box.
• Ignore Lightness — ignores sharp differences in color lightness and saturation. You can mark this check box when the colors in the object that you want to isolate are strongly saturated and the background is unsaturated, or vice versa.
Should I use automatic or manual tolerance?
You should start by marking the Auto Tolerance check box. If you find that too much or too little is erased from the image, you can unmark the Auto Tolerance check box and increase or decrease the value in the Tolerance box.

To erase an image area

1. On the Tools toolbar, choose the Eraser tool [image].
2. On the Tool Options palette, choose the brush options.
For more information about setting brush options, see "Choosing brush options."
3. Drag in the image to erase.

You can also |
Restore erased pixels | Hold down the right mouse button, and drag over the erased area.
Erase a straight line | Click at the beginning of the line, hold down Shift, and click the end of the line. To continue erasing the line, move to the next point, hold down Shift, and click again.

• If you erase the background layer, the Eraser tool erases to transparency, and the layer is automatically promoted to a raster layer.

To erase the background area of an image

1. On the Layers palette, click the layer that contains the image element that you want to isolate.
2. On the Tools toolbar, choose the Background Eraser tool [image].
3. On the Tool Options palette, choose the brush options.
For more information about setting brush options, see "Choosing brush options."
4. Drag around the edges of the image area that you want to isolate.
Slow, careful strokes give you the best results. Keep the center of the brush on regions you want to erase, while keeping the edges of the brush on regions you want to preserve.

You can also |
Restore erased pixels | Right-click and drag.
Erase a straight line | Click once at the beginning point, hold down Shift, and click the endpoint. To continue erasing the line, move to the next point, hold down Shift, and click again.
Switch to the Eraser tool | Hold down the Backspace key while you drag the mouse.

• The background layer is automatically promoted to a raster layer when you work on it with the Background Eraser tool.


Retouching image areas by using brushes

You can retouch images by applying brush strokes. Some retouch brushes mimic photographic effects, while others change pixels based on their lightness, saturation, hue, or color values. Some retouch brushes create effects that are similar to those produced with the color-correction commands. The retouch brushes are described in the following table.

Brush
Effect
Dodge
Lightens and brings out details of areas that are in shadow (mimics the traditional photographic darkroom technique of holding back light to produce lighter areas in printed photos)
Burn
Darkens areas of the image that are too light
Smudge
Spreads color and image details from the starting point and picks up new color and image details as it moves, as though smearing paint
Push
Spreads color and image details from the starting point but does not pick up any new color or image details
Soften
Smooths edges and reduces contrast
Sharpen
Heightens edges and accentuates contrast
Emboss
Causes the foreground to appear raised from the background by suppressing color and tracing edges in black
Lighten/Darken
Increases or decreases brightness; affects the RGB or Lightness value of pixels
Saturation Up/Down
Increases or decreases saturation; affects the HSL value of pixels
Hue Up/Down
Increases or decreases hue; affects the HSL value of pixels
Change to Target
Changes pixels based on a characteristic of the current foreground color on the Materials palette: color, hue, saturation, or lightness
• If you choose the color as the target, the brush applies the foreground color without affecting the luminance.
• If you choose the hue, saturation, or lightness as the target, the brush applies the hue, saturation, or lightness value of the foreground color without changing the other values.

To use a retouch brush

1. On the Tools toolbar, choose a retouch brush.
2. On the Tool Options palette, set the brush controls.
3. Drag in the image to apply the tool.

You can also | On the Tool Options palette
Reverse the tool behavior | Mark the Swap mouse button check box when using the Lighten/Darken [image] , Saturation Up/Down [image] , or Hue Up/Down [image] tools.
Retouch data from all layers | Mark the Use all layers check box when using the Smudge [image] , Push [image] , Soften [image] , Sharpen [image] , or Emboss [image] tools
Lighten or darken an image with the Lighten/Darken [image] tool based on the lightness or RGB values | Choose RGB or Lightness from the Mode drop-list.
Choose a characteristic of the foreground color to target with the Change to Target tool | Choose an option from the Mode drop-list.
Limit the changes to shadows, midtones, or highlights with the Dodge [image] and Burn [image] tools | Choose an option from the Limit drop-list.

• For more information about setting brush options, see "Choosing brush options."
• You can apply the opposite effect of a retouch brush by right-clicking as you apply the brush to the image.


Recoloring image areas for a realistic effect

You can use the Color Changer tool to realistically recolor an object or a region in an image. What sets the Color Changer tool apart from other tools and commands (such as the Flood Fill tool, some of the retouching brushes, or the Colorize, Hue/Saturation/Lightness, or Hue Map commands) is that it takes into account the shading of the specified color. The Color Changer tool detects and analyzes variations in image brightness and applies the recoloring based on that illumination.

One click can change the color of the girl’s dress.

It lets you adjust Tool Options palette settings for Tolerance and Edge Softness, and it updates the current recoloring as you modify settings on the Tool Options palette or modify the color in the Materials palette.

The Color Changer tool works best on matte objects such as clothing, carpet, and painted objects that are a solid color. It may not work as well on shiny or reflective objects and is not designed to work with gradients or patterns.

To recolor with the Color Changer tool

1. On the Tools toolbar, choose the Color Changer tool [image]. It is grouped with the Flood Fill tool.
2. On the Materials palette, click the Color button [image] on the Style drop-list, and then choose the solid color you want to use.
If the Materials palette is not displayed, choose View [image] Palettes [image] Materials.
You can use a color from the current image by choosing the Dropper tool [image], clicking the desired color, and then clicking the Color Changer tool to reactivate it.
3. Position the Color Changer cursor over the color you wish to change, and then click to recolor with the Foreground/Stroke color, or right-click to recolor with the current Background/Fill color.
4. To adjust the application of the current color, use the Tolerance and Edge Softness settings in the Tool Options palette, or adjust the Materials palette setting:
• Tolerance determines how closely the current color needs to match similar colors in order for the recoloring to be applied. Higher settings result in more pixels being recolored.
• Edge Softness determines how pixels bordering the recolored pixels are affected. Higher settings cause more “bleeding” of the recoloring.
• If desired, change the current color on the Materials palette.
5. Click Apply.
While using the Color Changer tool, you can undo and redo actions such as adjusting colors or adjusting settings on the Tool Options palette.
• You can create a selection to isolate the area you want to recolor from other areas of the image. For more information about creating selections, see "Creating selections."
• To prevent the Color Changer from affecting areas of the photo that you do not want to change, duplicate the layer on which the photo resides, apply the Color Changer to the new layer, and use the Eraser tool to erase the areas of changed color that you want to restore. You can then merge the layers.


Replacing colors, gradients, or patterns

You can use the Color Replacer tool to replace one color in a selection or layer with another color. You can use brush strokes to replace only those pixels that the brush touches, or you can replace all pixels of a certain color in a selection or layer.

You can set a tolerance value so that the Color Replacer tool changes within a given color value range. The Color Replacer tool also works with gradients and patterns.

You can also use the Flood Fill tool to replace all pixels of a certain color in a selection or a layer. For information about the differences between the Color Replacer tool and the Flood Fill tool, see "Filling areas with colors, gradients, or patterns."

Why does nothing happen when I apply the Color Replacer tool?
You must select a foreground or background color that appears in the image. If there are no pixels that match your selected color, then no pixel colors are replaced.
For more information about picking a foreground or background color directly from the image, see "Choosing colors from an image or the desktop."

To replace a color, gradient, or pattern

1. On the Tools toolbar, choose the Color Replacer tool [image].
2. Choose the material (color, gradient, or pattern) that you want to replace. Click the material to apply it as the Foreground/Stroke, or right-click the material to apply it as the Background/Fill.
3. Choose a material to use as a replacement material. The replacement material can be any material in the current image, or you can choose one from the Materials palette.
• If the material you want to replace is the current Foreground/Stroke material, right-click the replacement material to set it as the Background/Fill.
• If the material you want to replace is the current Background/Fill material, click the replacement material to set it as the Foreground/Stroke.
4. In the Tolerance box, set a value from 0 to 200 to specify how closely the replacement material should match the material you are replacing.
At lower Tolerance settings, only pixels with very similar colors are replaced; at higher settings, more pixels are replaced.
5. Position the cursor over the area of a selection or layer that contains the material you want to replace, and perform a task from the following table.

To | Do the following
Swap all occurrences of a background or foreground material | Double-click to swap the Background/Fill material with the Foreground/Stroke material; double-click the right mouse button to swap the Foreground/Stroke material with the Background/Fill material.
Replace all matching pixels with the current Foreground/Stroke material | On the Tool Options palette, click the Replace all pixels button [image] .
Replace materials by using brush strokes rather than replacing all pixels in the layer | On the Tool Options palette, choose the brush tip, size, opacity, and other options. Drag in the image to replace the Background/Fill material with the Foreground/Stroke material; drag with the right mouse button to replace the Foreground/Stroke material with the Background/Fill material.

• To limit changes to a specific area, make a selection in the image before using the Color Replacer tool.


Filling areas with colors, gradients, or patterns

You can fill a selection or a layer with the foreground or background color, gradient, or pattern. You can fill all pixels or fill only those pixels that match the options you specify. When you click in the image, the Flood Fill tool finds and fills all contiguous pixels that match the pixel you select.

Contiguous pixels are like continuous chains of matching pixels radiating from the initial pixel you click. When the Flood Fill tool finds a pixel that does not match the selected pixels, the chain breaks. Even if a pixel is only one pixel away from a matching pixel, it is treated as discontiguous.

What is the difference between the Flood Fill tool and the Color Replacer tool?
The Flood Fill tool can fill pixels that match certain criteria (such as RGB value); in this way, it is similar to the Color Replacer tool.
The Flood Fill tool fills matching pixels that are contiguous to the initial pixel you click, whereas the Color Replacer tool changes pixels either within its brush stroke or in the entire layer.
The Color Replacer tool changes the color of pixels based on RGB value. The Flood Fill tool changes pixels based on RGB, hue, brightness, or opacity values.

To fill an area with a color, gradient, or pattern

1. On the Tools toolbar, choose the Flood Fill tool [image].
2. Choose the foreground or background color, gradient, or pattern with which to fill the area.
3. From the Match Mode drop-list on the Tool Options palette, choose one of the following options:
• None — fills all pixels
• RGB Value — fills pixels that match the red, green, and blue values of the pixel you click
• Color — fills pixels that match the shading variations of the pixel you click
• Brightness — fills pixels that match the perceptual lightness value of the pixel you click
• Perceptual — fills pixels that match the perceptual shading variation and lightness of the pixel you click
• Traditional — fills pixels that match red, green, and blue values, with a bias toward lightness variations. This match mode is therefore more discriminating than the RGB Value match mode.
• All Opaque — fills all pixels that are not completely invisible (that is, having an opacity value of 1 or greater). Choosing this option disables the Tolerance control.
• Opacity — fills pixels that match the opacity value of the pixel you click
4. Type or set a value from 0 to 200 in the Tolerance control to specify how closely the selected pixels match the initial pixel you click.
At lower settings, only pixels with very similar colors are filled; at higher settings, more pixels are filled.
5. Choose an option from the Blend Mode drop-list to specify how filled pixels are blended with pixels of underlying layers.
The blend modes are the same as the layer blend modes.
6. Type or set a value in the Opacity control to specify the opacity of the fill.
At 100 percent opacity, the paint covers everything; at 1 percent opacity, the paint is almost completely transparent.
7. Position the cursor over the area of the selection or image that you want to fill, and either click to fill with the foreground material or right-click to fill with the background material.
• For more information about using blend modes, see "Blending layers."
• For more information about choosing brush options, see "Choosing brush options."
• To limit changes to a specific area, make a selection in the image before you apply the Flood Fill tool. For information about selections, see "Working with selections."
• You can limit the flood fill to matching pixels of the current layer only by unmarking the Use all layers check box.


Flipping and mirroring images

You can flip an image to reverse it along its horizontal axis, so that the top becomes the bottom. You can also mirror an image to reverse it along its vertical axis, so that the left side becomes the right side. You can flip a selection, layer, or image.

To flip a selection, layer, or image

• Choose Image [image] Flip.
• Flipping a selection converts it into a floating selection, leaving the original layer unchanged.
• To flip all layers in an image, make them all part of the same layer group. For information about grouping layers, see "To create a layer group."

To mirror a selection, layer, or image

• Choose Image [image] Mirror.
• Mirroring a selection converts it into a floating selection, leaving the original layer unchanged.
• To mirror all layers in an image, make them all part of the same layer group.


Adding borders

You can add a colored frame or border around an image. When you add a border to an image, the dimensions of the image are expanded to the border.

For multilayer images, Corel Paint Shop Pro Photo prompts you to flatten the image before adding the border; however, you can also add a border without flattening the image by changing the canvas size. For more information, see "Resizing the canvas".

It’s easy to add a border around your image.

To add a border to an image

1. Choose Image [image] Add Borders.
The Add Borders dialog box appears.
2. Do one of the following:
• To create an equal-width border on all sides, mark the Symmetric check box.
• To create borders of varying widths, unmark the Symmetric check box, and set border width values in the controls in the Size In Pixels group box.
3. Click the Color box to choose the color for the border.
4. Click OK.
• You can change the units of measurement for the border by choosing an option from the drop-list in the Original Dimensions group box.


Scaling and transforming images

The Pick tool lets you transform images interactively in the following ways:

• Scaling resizes an image horizontally, vertically, or proportionally.
• Shearing skews an image vertically or horizontally.
• Distorting an image stretches or contracts it in any direction.
• Applying perspective to an image corrects the perspective of or applies a false perspective. For information about correcting image perspective, see "Correcting photographic perspective."
• Rotating an image moves it around a pivot point. For information about rotating images, see "Rotating images."

When you transform an image, the transformations are applied to the layer on which the image resides. You can apply transformations to any raster layer or selection.

Setting scaling and transformation options

You can precisely control many of the deform settings. The following options appear on the Tool Options palette when the Pick tool is active.

• Pivot X, Pivot Y — sets the X and Y coordinates of the rotation pivot point
• Position X, Position Y — sets the X and Y coordinates of the top left corner handle
• Scale X(%), Scale Y(%) — sets the percentage of change for the horizontal (X) and vertical (Y) resizing.
• Shear — sets the offset of a side. Positive values shear to the right, and negative values shear to the left.
• Angle — sets the rotation around the pivot point. The image is rotated clockwise, from 0 to 360 degrees.
• Reset button [image] — resets the deformation rectangle to its original shape but keeps any current deformations
• Perspective X, Perspective Y — adjusts the perspective of the deformation
The best way to create and adjust perspective is by dragging the control handles. When you create a perspective effect with the control handles, you manipulate many variables. Changing the values in the Perspective X and Perspective Y controls may affect the scale, shear, and position values.
The Pick tool works on grayscale and 16 million– color images only. For more information about increasing the color depth of an image, see "Increasing the color depth of an image." For more information about deforming vector objects or text, see "Sizing, shaping, and rotating vector objects" or "Sizing and transforming text."

To scale or transform a selection, layer, or image

1. Choose a selection, layer, or image by clicking its name on the Layers palette.
2. On the Tools toolbar, choose the Pick tool [image].
A bounding box with handles appears.
3. Perform one or more tasks from the following table.

To | Do the following
Resize while keeping the current proportions | Drag a corner handle.
Resize while changing the current proportions | Right-click and drag one of the corner or edge handles.
Change the center of rotation | Drag the rotation pivot point.
Rotate the image | Drag the rotation handle.
Change perspective symmetrically | Hold down Ctrl, and drag a corner handle horizontally or vertically.
Change perspective asymmetrically | Hold down Ctrl + Shift, and drag a corner handle horizontally or vertically.
Shear the image | Hold down Shift, and drag a side handle.
Distort the image | Hold down Ctrl + Shift, and drag a side handle.

• By default, you must hold down Ctrl + Shift to distort an image. To distort an image without holding down keys, choose a different Mode setting on the Tool Options palette. The Scale mode is the default setting, so you must hold down a key or keys. The Shear mode allows you to shear without holding down Shift. The Perspective mode allows you to change perspective without holding down Ctrl. The Free mode allows you to distort without holding down Ctrl + Shift.
• When the Pick tool is active, you can scale and transform precisely by setting values in any of the boxes on the Tool Options palette.


Resizing the canvas

The image canvas is the work area of the image and defines the image dimensions — for example, 200 × 300 pixels. If you need more space to add elements to an image, you can increase the canvas size, or you can resize the canvas to make it smaller.

You can also change the image size by resizing or cropping, or by printing at a different size. For more information, see "Resizing images."

What is the difference between reducing the canvas size and cropping an image?
Reducing the canvas size is not always the same as cropping an image. For images with layers, reducing the canvas size does not delete the pixels outside the new canvas area — it just shows less of the layer. Background layer information is always deleted, even when there are other layers in the image.

To change the canvas size

1. Choose Image [image] Canvas Size.
The Canvas Size dialog box appears.
2. In the New Dimensions group box, mark the Lock aspect ratio check box.
3. Set or type values in the Width and Height controls.
4. In the Placement group box, click a button to set the placement of the image in the new canvas, or set values in the Top, Bottom, Left, and Right controls.
The values show the amount of canvas added or subtracted from each edge.
5. Click OK.
• If you increase the canvas size, you can choose a color for the added canvas area by clicking the Background box and choosing a color.
• You can resize the height and width independently by unmarking the Lock aspect ratio check box, and setting values in the Height and Width controls.
• You can change the units of measurement for the border by choosing an option from the drop-list in the New Dimensions group box.


Working with selections

Selecting the parts of images to edit is an important step in your workflow. By creating a selection, you can edit an area while leaving the rest of the image unchanged. You can use drawing or painting tools to modify selected areas of your image. You can also apply commands to flip, copy, crop, or perform other actions on the selected areas.

The border of a selection is identified by a selection marquee, which is a series of black and white dashes that outlines the selection.

In this section, you’ll learn about

• creating selections
• hiding and displaying the selection marquee
• moving, clipping, and rotating selections
• modifying selections
• inverting and clearing selections
• using feathering with selections
• using anti-aliasing with selections
• modifying the edges of selections
• creating custom patterns from selections
• saving and loading selections


Creating selections

You can create a selection when you want to isolate part of an image. For example, you can use a selection to adjust or retouch one area of a photo, or to copy a portion of a photo and paste it into another photo. The way you make a selection depends on whether you are working on a raster layer or a vector layer. For more information about raster and vector layers, see "Understanding layers."

The following selection tools can be used to create raster selections:

• Selection tool [image] — lets you create a selection of a specific shape, such as a rectangle, square, ellipse, circle, or star
• Freehand Selection tool [image] — lets you create a selection around the edges of an object, such as petals of a flower or fingers on a hand. You can make four types of selections with the Freehand tool:
• Freehand — lets you quickly select an area by dragging
• Edge Seeker — finds the edges between two areas with color differences when you click on the edges of irregularly shaped areas
• Point to Point — lets you draw straight lines between points to create a selection with straight edges
• Smart Edge — automatically finds the edges of irregularly shaped areas when you click along the edges
• Magic Wand tool [image] — makes a selection based on the color, hue, brightness, or opacity of an object. This tool is designed to select an area that has distinctly different pixels than those in other areas of an image — for example, a pink rose surrounded by green leaves, or a dark area in an otherwise bright image.

The selection tools can also be used on vector layers to create selections from vector objects. For example, if you copy a selection and paste it as a new image, it is copied to a raster layer as individual pixels rather than as a vector object.

For information about selecting vector objects and vector text, see "Creating selections" and "Applying text."

You can create a selection by using a Selection tool shape (left), by creating a freehand selection (center), or by using the Magic Wand tool to select specific areas of color or opacity (right).

You can make a selection with one tool and then switch to another tool to add to or subtract from the selection. For more information, see "Modifying selections."

You can also use the Paint tool to create a selection. For more information, see "Working with brushes."

You can use text selections to apply effects to text; for example, when you create a text selection on a solid-color layer and then delete the selection, the letters appear transparent and outlined with the layer’s solid color.

By creating a raster selection on a vector object, you can use raster-only tools and commands to edit the vector object.

You can create a selection from a mask, which lets you omit the masked (black) areas and select the non-masked (non-black) areas. The selection is clipped to the canvas. For more information, see "Working with masks."

To create a selection by using the Selection tool

1. On the Tools toolbar, choose the Selection tool [image].
2. Check the settings of the following controls on the Tool Options palette, and modify them if necessary:
• Selection Type — specifies the shape of the selection area
• Mode — specifies whether to replace, add, or remove an existing selection. Replace is the default setting.
• Feather — softens the edges of a selection by specifying a fade width (0 to 200 pixels)
• Anti-alias — applies a smooth edge to a selection by making the pixels along its edges semitransparent
3. Drag to make the selection.
As you drag, a border indicates the selection. When you finish dragging, the selection’s border becomes a selection marquee.

You can also |
Create a selection of a specific size | On the Tool Options palette, click the Custom Selection button [image] . In the Custom Selection dialog box, specify the selection position, in pixels, for the left, top, right, and bottom edges.
Replace an existing selection by placing a rectangular selection around it | Choose the Selection tool, and click the Current selection button [image] .
Create a rectangular selection around all nontransparent areas of the current layer | Click the Layer opaque button [image] .
Create a rectangular selection around all nontransparent areas of all layers within the image | Click the Merged opaque button [image] .

• After you create a selection, changes to the settings on the Tool Options palette apply to the next action, not to the current selection. You can modify the options for the current selection by choosing Selections [image] Modify and choosing a command from the menu.

To create a selection by using the Freehand Selection tool

1. On the Tools toolbar, choose the Freehand Selection tool [image].
2. On the Tool Options palette, choose one of the following from the Selection Type drop-list:
• Edge Seeker
• Freehand
• Point to Point
• Smart Edge
3. Check the settings of the following controls on the Tool Options palette, and modify them if necessary:
• Feather — softens the edges of a selection by specifying a fade width (0 to 200 pixels)
• Smoothing — specifies the amount of smoothing to apply to the selection border
• Anti-alias — applies a smooth edge to a selection by making pixels semitransparent
• Use all layers — searches for an edge in all layers of the selected area. This option is available when you use the Edge Seeker or the Smart Edge selection type on multilayer images.
4. Depending on the selection type you chose, perform a task from the following table.
• When making an Edge Seeker selection, you can set the distance used to search for an edge by typing a value in the Range control on the Tool Options palette.
• You can increase the accuracy of Edge Seeker and Smart Edge selections by clicking more frequently along the edge you are following.
• You can delete a previous point by pressing Delete.

To create a selection by using the Magic Wand tool

1. On the Tools toolbar, choose the Magic Wand tool [image].
2. On the Tool Options palette, choose a Match mode option:
• None — selects all pixels
• RGB Value — selects pixels that match the red, green, and blue values of the pixel you click
• Color — selects pixels that match the shading variations of the pixel you click
• Brightness — selects pixels that match the perceptual lightness value of the pixel you click
• Perceptual — selects pixels that match the perceptual shading variation and lightness of the pixel you click
• Traditional — selects pixels that match red, green, and blue values, with a bias toward lightness variations. This match mode is therefore more discriminating than the RGB Value match mode.
• All Opaque — selects all pixels that are not completely invisible (that is, having an opacity value of 1 or greater). Choosing this option disables the Tolerance control.
• Opacity — selects pixels that match the opacity value of the pixel you click
3. Check the settings of the following controls on the Tool Options palette, and modify them if necessary:
• Tolerance — controls how closely the selected pixels match the pixel you click in the image. At low settings, only similar pixels are chosen; at high settings, a wider range of pixels is selected.
• Feather — softens the edges of a selection by specifying a fade width (0 to 200 pixels)
• Use all layers — searches for matching pixels across all layers in the image
• Contiguous — selects only pixels that connect to the pixel you click
• Anti-alias — produces a smooth-edged selection by partially filling in pixels along the edge, making them semitransparent. You can use this option inside or outside the selection marquee.
4. Click the image area that contains the pixels you want to match.
The selection marquee surrounds all matching pixels.
• You can change the number of pixels you select by undoing the selection, adjusting the Tolerance setting, and making a new selection.

To create a selection by using a Painting tool

1. Choose Selections [image] Edit Selection.
A selection layer is added to the Layers palette.
2. Select a painting tool from the Tools toolbar.
3. Choose settings for the painting tool on the Tool Options palette and the Brush Variance palette.
4. Paint on the image.
A ruby-colored overlay displays the brush strokes. The selection changes according to the following:
• Painting with white adds to the selection.
• Painting with black subtracts from the selection.
• Painting with shades of gray adds to or subtracts from the selection, depending on the level of gray.
5. Choose Selections [image] Edit Selection.
The selection marquee surrounds the selected area.
• You can also click the Edit Selection button [image] on the Layers palette instead of choosing Selections [image] Edit Selection.

To create a selection by using the Text tool

1. On the Tools toolbar, choose the Text tool [image].
2. On the Tool Options palette, choose Selection from the Create as drop-list to create a selection shaped like the text.
3. Click where you want to start the text selection.
The Text Entry dialog box appears.
4. Set the text formatting controls, and type the text.
5. Click Apply.

To create a raster selection from a vector object

1. On the Tools toolbar, choose the Pick tool [image], and select one or more vector objects.
2. Choose Selections [image] From Vector Object.
A selection marquee surrounds each vector object.
• After you create a raster selection from a vector object, you can copy and paste the selection as needed. The original vector objects remain unchanged.

To select all pixels in a layer or an image

• Choose Selections [image] Select All.
A selection marquee appears around the layer on the canvas.
• You can also select all pixels in a layer or an image by pressing Ctrl + A.

To select all non-masked areas

1. On the Layers palette, select the mask layer.
2. Choose Selections [image] From Mask.
The selection marquee surrounds the non-masked areas.
• If you saved a mask to an alpha channel, you can load it as a selection by choosing Selections [image] Load from Alpha Channel.


Hiding and displaying the selection marquee

The selection marquee is visible by default. When you work with a selection, it is sometimes helpful to hide the selection marquee temporarily without disabling the selection. For example, you may want to see the results of pasting a selection or of feathering a selection’s edges.

To hide or display the selection marquee

• Choose Selections [image] Hide Marquee.
• When you hide the selection marquee, it does not deselect or clear the selection. The tools and commands you use while the selection marquee is hidden apply only to the selected area.
• You can also hide or display the selection marquee by pressing Ctrl + Shift + M.


Moving, clipping, and rotating selections

You can move, clip, or rotate a selection. If you want to change the selection area, you can also move the selection marquee.

When you move a selection, you can leave the space empty or you can move a copy of the selection and leave the original unchanged. When you move a selection, it becomes a floating selection. When you perform a new action, Corel Paint Shop Pro Photo automatically promotes the floating selection to a new layer.

You can also float a selection, which creates a copy of the selection that you can move or modify without changing the original image. A floating selection temporarily rests above the image or layer on the Layers palette, and an icon indicates that the layer contains a floating selection. After you edit the floating selection, you can defloat it.

You can also move a selection to a separate layer. When you do this, the original selection contents are unchanged, and a copy of the selection becomes the new layer. You can edit this new layer without changing the original image.

This command works on 16 million–color and grayscale images only. For more information about increasing the color depth of an image, see "Working with colors and materials."

After making a selection, you can move the selection anywhere on the image, or off the canvas. If you expand the image window to show the off-canvas gray area, you can see the selection you moved. You can also clip a selection to remove the portion that is not within the image borders.

To move the selection marquee

• Using the Selection tool, right-click and drag the selection marquee to a new position.
• You can also move the selection marquee by right-clicking and dragging with the Move tool [image].

To move a selected image area

• Perform a task from the following table.

To | Do the following
Move the selection any distance | In the Tool Options palette set Mode to Replace, and then drag the selection with one of the selection tools (Selection, Freehand, or Magic Wand tool).
Move the selection 1 pixel | Press an arrow key.
Move the selection 10 pixels | Hold down Ctrl, and press an arrow key.
Move the selection 50 pixels | Hold down Shift, and press an arrow key.
Move the selection 100 pixels | Hold down Shift and Ctrl, and press an arrow key.

To copy and move a selected image area

• With the Selection tool active, set the Mode control to Replace, hold down Alt, and drag the selection.

You can also |
Copy and move the selection 1 pixel | Hold down Alt, and press an arrow key.
Copy and move the selection 10 pixels | Hold down Alt and Ctrl, and press an arrow key.
Copy and move the selection 50 pixels | Hold down Alt and Shift, and press an arrow key.
Copy and move the selection 100 pixels | Hold down Alt, Shift, and Ctrl, and press an arrow key.

To float a selection

• Choose Selections [image] Float.

To defloat a selection

• Choose Selections [image] Defloat.

To promote a selection to a layer

1. Create a selection in the image.
2. Choose Selections [image] Promote to Layer.
The new Promoted Selection appears above the original layer.
• To place a selection as a layer within another image, copy the selection, open the other image, and choose Edit [image] Paste As New Layer.

To clip a selection to the canvas

1. Move part of the selection off the image canvas.
If necessary, expand the image window to reveal the gray area that appears outside the image borders.
2. Choose Selections [image] Defloat.
The selection is defloated, which makes more edit options available.
3. Choose Selections [image] Clip to Canvas.
The selection area outside the image borders is removed.

To rotate a selection

1. Choose Image [image] Free Rotate.
The Free Rotate dialog box appears.
2. In the Direction group box, choose either Right or Left to specify the rotation direction.
3. In the Degrees group box, set the number of degrees to rotate.
If you want to type a value between 0.01 and 359.99, mark the Free option.
4. Unmark the All layers check box.
5. Click OK.
• When you rotate a selection, the selection becomes a floating selection, and the original image remains unchanged.
• You can also rotate a selection interactively by using the Pick tool [image]. Before the rotation is applied, the selection is promoted to a layer.


Modifying selections

Selections can be modified in various ways. You can modify a selection by adding image content to it or by subtracting image content from it. For example, in a picture of a person carrying a large sign, you can select the sign by using the rectangular Selection tool and then add the person to the selection by using the Freehand Selection tool.

After you create a selection, you can add to it.

You can also expand or contract a selection by a specific number of pixels.

You can add or remove a color from a selection, or from the selection border. When the color is added or removed, the selection border changes.

You can also add pixels to a selection based on color values.

If specks or holes appear in a selection, you can remove them by defining an area in square pixels. For example, if your image is 20 pixels wide by 20 pixels high, you can define an area of 5 pixels multiplied by a scale factor of 100 to cover an area of 500 pixels. Because the image covers an area of only 400 pixels (20 × 20 = 400), all specks and holes will be removed.

You can also modify a selection by using tools and effects.

To add to or subtract from a selection

1. On the Tools toolbar, choose a selection tool (Selection [image], Freehand [image], or Magic Wand [image] tool).
2. Choose settings for the tool on the Tool Options palette.
3. Perform a task from the following table.

To | Do the following
Add to a selection | From the Mode drop-list, choose Add, and select the image areas that you want to add to the selection. The areas do not need to be adjacent.
Subtract from a selection | From the Mode drop-list, choose Remove, and select the image areas that you want to remove from the selection.

• You can also add to a selection by holding down Shift while clicking the image areas that you want to add, or subtract from a selection by holding down Ctrl while clicking the image areas that you want to remove.

To expand a selection by a specific number of pixels

1. Choose Selections [image] Modify [image] Expand.
The Expand Selection dialog box appears.
2. Specify a value (1 to 100) in the Number of pixels control by which to expand the selection.
3. Click OK.
The selection marquee expands while retaining its original shape.

To contract a selection by a specific number of pixels

1. Choose Selections [image] Modify [image] Contract.
The Contract Selection dialog box appears.
2. Specify a value (1 to 100) in the Number of pixels control by which to contract the selection.
3. Click OK.
The selection marquee contracts while retaining its original shape.

To add pixels to a selection according to color values

1. Choose Selections [image] Modify [image] Select Similar.
2. Check the settings of the following controls on the Tool Options palette, and modify them if necessary:
• Tolerance — specifies how closely pixels must match the colors of the initial selection. At lower settings, the values are closer, and more pixels are excluded from the selection. At higher settings, the values do not need to be as close, and more pixels are included in the selection.
• Sample Merged — selects matching pixels in the merged image. If the check box is unmarked, only pixels in the active layer are selected.
• Anti-alias — produces a smooth-edged selection by partially filling in pixels along the edge, making them semitransparent. Mark the Inside or Outside options, depending on whether you want the areas inside or outside the selection marquee to be anti-aliased. To retain the original edges, unmark the Anti-alias check box.
• Contiguous — selects all pixels of a similar color in adjacent areas
• Discontiguous — selects all pixels of a similar color anywhere within the image
3. Click OK.
The selection changes to include similar pixels.
• The Select Similar command produces the best results when the selection is not anti-aliased.

To add or remove a color from a selection

1. Choose Selections [image] Modify [image] Select Color Range.
2. Choose one of the following options:
• Add color range
• Subtract color range
3. Click a color in the image that you want to add or remove from the selection.
4. In the Tolerance box, specify a color tolerance value (1 to 200).
Shades of the color or related colors are added or removed from the selection.
5. In the Softness box, specify the amount of softness for the referenced color.
6. Click OK.
The selection borders change to add or exclude the color you specified.
• You can click the Toggle Selection button [image] in the Select Color Range dialog box to toggle between a preview of only the selection and a preview of the selection with the rest of the image.
• You can also choose a color to add or remove by clicking in the Reference color box in the Select Color Range dialog box.
• To remove a color from a selection, you can also choose Edit [image] Paste As Transparent Selection as you paste a selection. This command removes only the color you specify as the background color.

To remove holes and specks from a selection

1. Choose Selections [image] Modify [image] Remove Specks and Holes.
The Remove Specks and Holes dialog box appears.
2. Choose one of the following options:
• Remove Specks
• Remove Holes
• Remove Specks and Holes
3. In the Square area smaller than boxes, enter the number of pixels and the scale factor. Start at low values, and increase them as necessary until the specks and holes are removed.
4. Click OK.
The holes and specks in the selection are removed.
• You can click the Toggle Selection button [image] in the Remove Specks and Holes dialog box to toggle between a preview of only the selection and a preview of the selection with the rest of the image.

To modify a selection by using tools and effects

1. Choose Selection [image] Edit Selection.
A ruby overlay appears in the selected area.
2. Apply a tool or effect to the selection area.
3. When you are finished editing the selection, choose Selection [image] Edit Selection to display the selection marquee.
• You can also modify a selection by clicking the Edit Selection button [image].


Inverting and clearing selections

Sometimes, the easiest way to make a complicated selection is to select the part of the image that you don’t want and then invert the selection. For example, in a picture of a person against a solid-color background, you can select the background and then invert the selection, so that the person is selected instead of the background.

By selecting a solid background (left) and inverting the selection, you can isolate a complex, multicolored foreground (right).

You can also clear a selection, which removes the selection marquee and integrates the selection back into the image. After clearing the selection, you can resume your editing of the entire image.

To invert a selection

• Choose Selections [image] Invert.
The selection marquee now encloses the previously unselected image area and excludes the previously selected image area.

To clear a selection

• Choose Selections [image] Select None.
• If you deselect a floating selection, the selection is defloated and placed in the underlying layer if the layer is a raster layer. If the underlying layer is a vector layer or an Art Media layer, a new raster layer is created, and the selection is defloated to it.
• You can also clear a selection by right-clicking in the image outside the selection marquee or by pressing Ctrl + D.


Using feathering with selections

Feathering softens the area between a selection and the rest of the image by gradually increasing the transparency of the pixels along the edge of the selection. You can specify the width of the feathered area.

When you copy or move a selection, feathering helps blend the selection into the surrounding area so that the image appears more natural. The higher the feathering value is, the softer the edges are. A feathering value of 0 creates a selection with distinct edges.

An unfeathered selection (left) and a feathered selection (right)

You can apply feathering as you make a selection, or you can apply it after the selection is created. The level of feathering and its position around the selection marquee can be adjusted after the selection is created. For more information about creating selections, see "Creating selections".

To change the amount of feathering in a selection

1. Choose Selections [image] Modify [image] Feather.
2. Type a value in the Number of pixels control.
The feathering is applied both inside and outside the selection.
3. Click OK.

To adjust the position of feathering

1. Choose Selections [image] Modify [image] Inside/Outside Feather.
2. Mark one of the following options to set the position of the feathering:
• Inside
• Outside
• Both
3. Type a value in the Feather amount control to set the feathering width (in pixels).
4. Click OK.
• You can click the Toggle Selection button [image] in the Inside/Outside Feather dialog box to toggle between a preview of only the selection and a preview of the selection and the rest of the image.

To unfeather a selection

1. Choose Selections [image] Modify [image] Unfeather.
2. Type a value in the Threshold control to specify the amount of feathering you want to remove.
3. Click OK.


Using anti-aliasing with selections

Anti-aliasing produces a smooth-edged selection by partially filling in pixels along the edge, making them semitransparent. You can apply anti-aliasing to selections as you create them. For more information about creating selections, see "Creating selections".

After a selection is created, you can apply anti-aliasing based on the selection’s shape. You can also restore the original anti-aliasing of an object that was pasted into an image. Restoring anti-aliasing is useful if you made the selection without anti-aliasing and you want to smooth the edges of the selection.

To apply anti-aliasing based on shape

1. Choose Selections [image] Modify [image] Shape-Based Anti-alias.
The Shape-Based Anti-alias dialog box appears.
2. Mark one of the following options:
• Inside — applies anti-aliasing to the inside of the selection marquee
• Outside — applies anti-aliasing to outside of the selection marquee
3. Click OK.
The selection edges are anti-aliased.

To recover anti-aliasing

1. Choose Selections [image] Modify [image] Recover Anti-alias.
The Recover Anti-alias dialog box appears, with the anti-aliased selection displayed in the After preview window.
2. Mark one of the following options:
• Inside — applies anti-aliasing inside the selection marquee
• Outside — applies anti-aliasing outside the selection marquee
3. Click OK.
• To apply anti-aliasing to all layers in the selection, mark the Sample merged check box.
• To apply anti-aliasing and copy the result to a new layer, mark the Result on new layer check box.


Modifying the edges of selections

You can modify the edges of a selection by smoothing its boundary or by adding a border.

To smooth the boundary of a selection

1. Choose Selections [image] Modify [image] Smooth.
The Smooth Selection dialog box appears.
2. Mark or unmark the following options:
• Anti-alias — smooths the edges of the selection
• Preserve Corners — preserves the shape of the corners. Unmark this check box if you want to smooth the corners.
3. Specify values for one or both of the following controls:
• Smoothing amount — specifies the amount of smoothing to apply around the selection
• Corner scale — specifies the amount of smoothing to apply around the corners of the selection. This control is not available when the Preserve Corners check box is marked.
4. Click OK.
• You can click the Toggle Selection button [image] in the Smooth Selection dialog box to toggle between a preview of the selection and a preview of the selection and the rest of the image.

To add a border to a selection

1. Choose Selections [image] Modify [image] Select Selection Borders.
The Select Selection Borders dialog box appears.
2. Mark one of the following options to set the position of the feathering:
• Inside
• Outside
• Both
3. Type a value in the Border width box.
If you want to smooth the edges of the selection border, mark the Anti-alias check box.
4. Click OK.


Creating custom patterns from selections

You can convert a selection into a seamless custom pattern, which you can use for painting, adding text, or creating Web page backgrounds.

To create a custom pattern

1. Make a selection.
2. Choose Effects [image] Image Effects [image] Seamless Tiling.
The Seamless Tiling dialog box appears.
3. Choose an option from the Tiling Method group box.
4. Choose an option from the Direction group box.
If you choose Bidirectional, you need to choose a setting from the Corner Style group box.
5. Modify any of the settings in the Settings group box.
6. Click OK.


Saving and loading selections

You can save complicated selections that you may want to reuse. You can also save selections as files or as alpha channels.

When you save a selection, it is saved as a separate file with a .PspSelection filename extension. When you load a selection into an image, Corel Paint Shop Pro Photo creates a selection based on luminance, non-black pixels, or opacity.

Alpha channels in images are data storage areas that hold selections and masks. When you save a selection as an alpha channel, the selection is stored as part of the image on which it was originally created, rather than as a separate file. Selections and masks stored in alpha channels have no effect on the look of an image.

When you save the image in a file format other than the PspImage file format, its alpha channels are not saved. Therefore, it is best to keep a master copy of your image in PspImage format.

When you save a selection to an alpha channel within a PspImage image, you can load that selection from the alpha channel into the same image or into any other image.

If you saved selections to alpha channels that you no longer need, you can delete them. Only alpha channels from the current image can be deleted.

To save a selection to a file

1. Choose Selections [image] Load/Save Selection [image] Save Selection to Disk to open the Save Selection to Disk dialog box.
The Selection Files group box displays selection files in My Documents\My PSP File\Selections. To change the default folder, or to add another folder, click the File Locations button [image] in the Selection Files drop-list.
2. In the File name box, type a name for the selection.
3. Click Save.

To load a selection file from disk

1. Choose Selections [image] Load/Save Selections [image] Load Selection from Disk.
The Load Selection from Disk dialog box appears.
The Selection group box shows selection files in all folders. To change the default folder for locating selections, click the File Locations button [image] in the Selection drop-list.
2. Choose a selection from the Selection drop-list.
3. In the Operation group box, choose one of the following options:
• Replace selection
• Add to current selection
• Subtract from current selection
4. In the Create Selection From group box, choose one of the following options:
• Source luminance
• Any non-zero value
• Source opacity
5. Click Load.

To save a selection to an alpha channel

1. Choose Selections [image] Load/Save Selections [image] Save Selection to Alpha Channel.
The Save Selection to Alpha Channel dialog box appears.
2. Choose an image from the Add to document drop-list in the Alpha Channels group box.
Any existing alpha channels in the image are shown in the preview box below the drop-list.
3. Click Save.
The selection is saved to the alpha channel.

You can also |
Save a selection to the alpha channel of another image | Select the image name in the Add to document drop-list, and click Save. Note: The second image must be open in Corel Paint Shop Pro Photo for it to appear in the Add to document drop-list.
Change the default name for the new alpha channel | Type a new name in the Name box.
Move the selection to the upper-left corner of the image canvas | Mark the Move to upper left of canvas check box. Note: This option is useful when a selection does not appear on the canvas because it is larger than the image.

To load a selection from an alpha channel

1. Choose Selections [image] Load/Save Selection [image] Load Selection from Alpha Channel.
The Load Selection from Alpha Channel dialog box appears.
If you want to show the area around the selection as either transparent or black, click the Toggle Transparency Checkerboard button [image] in the Preview group box.
2. From the Load From Document drop-list, choose the filename of the image that contains the alpha channel you want to load.
The image must be open in Corel Paint Shop Pro Photo for it to appear in the Load From Document drop-list.
3. In the Operation group box, choose one of the following options:
• Replace selection
• Add to current selection
• Subtract from current selection
A message in the Operations group box indicates how the alpha channel intersects the canvas of the current image.
If the alpha channel does not intersect the image canvas or intersects it only partially, you can move the selection onto the image canvas by marking the Move to upper left of canvas check box.
4. In the Options group box, choose one or more of the following options:
• Move to upper left of canvas
• Clip to canvas
• Invert image
5. Click Load.

You can also |
Clip the selection wherever it extends beyond the image canvas | In the Options group box, mark the Clip to canvas check box.
Select everything outside the original selection | In the Options group box, mark the Invert image check box.

To delete an alpha channel

1. Choose Image [image] Delete Alpha Channel.
The Delete Alpha Channel dialog box appears.
2. Choose the alpha channel you want to delete from the drop-list in the Alpha Channels group box.
If you want to delete all alpha channels, mark the Delete all alpha channels check box.
3. Click Delete.


Working with layers

When you work with layers in Corel Paint Shop Pro Photo, you can add elements to your images, create artistic effects and illustrations, and edit your images more easily. You can add or delete layers, rearrange the order in which they are stacked, and blend their pixels in various ways. Unless you merge the layers, you can edit each one independently of the others.

In this section, you’ll learn about

• understanding layers
• using layers with photos
• using layers with illustrations
• using the Layers palette
• creating layers
• promoting the background layer
• deleting layers and clearing layer contents
• duplicating layers
• renaming layers
• viewing layers
• organizing layers by color
• changing the order of layers in an image
• moving layers on the canvas
• grouping layers
• linking layers
• blending layers
• setting layer opacity
• protecting transparent areas of raster layers
• merging layers
• using adjustment layers


Understanding layers

When you create or import an image in Corel Paint Shop Pro Photo, the image has a single layer. Depending on the type of image you create or import, the single layer is labeled as Background, Raster, Vector, or Art Media. When you open a photo, scan, or screen capture, the single layer is labeled as Background on the Layers palette.

For most simple corrections and retouching, you do not have to add layers to an image. However, it is a good practice to duplicate the single layer before making image corrections, so that you preserve the original image on its own layer. If you intend to do more complex work — such as adding elements to the image, creating photo compositions, adding text, or applying other effects — the use of layers is highly recommended.

Layers are like separate sheets that you combine to create a final composition.

Each layer you add begins as a transparent sheet over the background. As you add brush strokes, vector objects, or text, you cover up parts of the Background layer. Transparent areas allow you to see the underlying layers. You can stack multiple layers to create artistic compositions, photo collages, or complex illustrations.

There are nine types of layers: Background, Raster, Vector, Art Media, Mask, Adjustment, Group, Selection, and Floating Selection. For information about the last three types, see "Working with selections."

Corel Paint Shop Pro Photo supports up to 500 layers. The actual number of layers allowed in an image may be limited by the available memory in your computer.

You can create layer groups or promote selections to layers. For information about promoting selections to layers, see "Moving, clipping, and rotating selections."

Background layers

The background layer [image] is the bottom layer of an image. When you import JPEG, GIF, or PNG images into Corel Paint Shop Pro Photo, they have only this single layer, which is named “Background” on the Layers palette.

The background layer contains raster data, but it cannot display transparency. You cannot change its blend mode, opacity, or order in the stack until you promote it to a raster layer.

To position a background layer higher in the layer stack, you can promote it to a regular raster layer. For information about promoting the background layer, see "Promoting the background layer."

If you create a new image with a transparent background, it does not have a background layer, and its bottom layer is a raster layer named “Raster Layer 1.” You can move this layer anywhere within the stacking order. You can also change its opacity and blend mode.

Corel Paint Shop Pro Photo supports transparency on layers other than the background. To create an image without transparent areas, you can choose a solid-colored background. The image contains a background layer as the bottom layer.

To create a new image with transparent areas, choose a transparent background. The image contains a raster layer as the bottom layer. For more information, see "Creating images."

Raster layers

Raster layers [image] are layers with raster data only. Raster data is composed of individual elements, called pixels, arranged in a grid. Each pixel has a specific location and color. Photographic images are composed of raster data. If you magnify raster data, you can see the individual pixels as squares of colors.

Raster layers let you display subtle changes in tones and colors. Some tools, options, and commands apply only to raster layers. For example, the painting tools and the commands that are used to add effects can be applied only on raster layers. If you try to use a raster tool while a vector layer is selected, Corel Paint Shop Pro Photo prompts you to convert the vector layer into a raster layer.

Only grayscale and 16 million–color images can have multiple raster layers. When you add a new adjustment layer or raster layer to an image of another color depth, Corel Paint Shop Pro Photo prompts you to convert it to 16 million colors.

For more information about raster and vector data, see "Understanding raster and vector objects."

Vector layers

Vector layers [image] are layers with only vector objects (lines and shapes), vector text, or vector groups. Vector objects and text are composed of geometric characteristics — lines, curves, and their locations. When you edit vector objects and text, you edit these lines and curves, rather than the individual pixels. Vector graphics and vector text maintain their clarity and detail at any size or print resolution.

Objects or text created with vector layers can be easily edited. Images of any color depth can include multiple vector layers. Each vector layer contains a list of all individual vector objects on that layer. You can expand or collapse the group to view the individual objects. For more information, see "To expand or collapse a vector layer or layer group." Vector objects can be moved from their layer group to another vector group.

You cannot move a vector object to a nonvector layer; vector objects must be placed on vector layers. If you create a vector object while a raster layer is selected, Corel Paint Shop Pro Photo creates a vector layer just above the selected layer.

For more information about raster and vector data, see "Understanding raster and vector objects."

Art Media layers

Art Media layers [image] are automatically created when you use any of the Art Media tools.

When creating a new image, you can choose to create the image with an Art Media layer.

Art Media layers can be converted to raster layers, but not to vector layers.

Mask layers

Mask layers [image] show or hide portions of underlying layers. A mask is an adjustment layer that modifies opacity. You can use masks to create sophisticated effects, such as a picture frame that fades away at the center to reveal the subject.

Mask layers cannot be bottom layers. You cannot delete other layers if deleting them would cause a mask layer to become the bottom layer.

For more information about working with masks, see "Working with masks."

Adjustment layers

Adjustment layers are correction layers that adjust the color or tone of underlying layers. Each adjustment layer makes the same correction as an equivalent command on the Adjust menu, but unlike the command, the adjustment layer does not change image pixels.

Adjustment layers cannot be the bottom layer. You cannot delete other layers if deleting them would cause an adjustment layer to become the bottom layer. For more information, see "Using adjustment layers."


Using layers with photos

When you open a digital photo or scanned image, the image appears on the background layer. For most photographic enhancements, such as cropping, correcting colors, or retouching, you do not need to add additional layers. By adding layers as you work, however, you can create interesting effects and make corrections more easily. The following table provides examples.

To
Do the following
Preserve the original image before making changes
Make a duplicate of the background layer by choosing Layers [image] Duplicate. To work on the duplicate layer, make it the active layer by clicking it on the Layers palette.
Make color and tonal corrections
Use adjustment layers instead of changing the image directly. For more information about using adjustment layers, see "Using adjustment layers."
Add text or graphics
Create text and graphics, such as lines and shapes, on vector layers to make them easier to edit. For more information about adding text, see "Working with text." For more information about vector graphics, see "Drawing and editing vector objects."
Create interesting effects
Duplicate the background layer, apply an effect to the duplicate, and then blend the two layers by changing the opacity or blend modes of the layers.
Create a painting
Choose an Art Media tool from the Tools toolbar and mark the Trace check box on the Tool Options palette (an Art Media layer is created automatically). Use the Art Media brushes to create impressionistic effects. For more information about Art Media brushes, see "Working with Art Media tools."
Combine photos to create a photo collage
Open the photos that you want to combine and decide which image to use as your base image. Copy the other images into the base image by clicking an image, choosing Edit [image] Copy, clicking the base image, and choosing Edit [image] Paste As New Layer. Position each layer with the Move tool [image].
Use the opacity setting and blend mode to control how much of each layer shows through. Use a mask layer to hide parts of a layer or to create soft edges around it.
Create a panoramic photo
Take a series of photos with overlapping subject matter.
Create an image with a canvas large enough to display a panorama, and then copy each photo onto a separate layer. Decrease the opacity of one layer so that you can see through it, and use the Move tool to match up the edges of the next layer. After all layers have been positioned, return their settings to 100 percent opacity.


Using layers with illustrations

Using layers is invaluable when you work with illustrations. The following table provides examples.

To
Do the following
Make changes easier
Create individual components on separate layers to make them easier to edit. For example, for an illustration of a car speeding down a highway in the mountains, create the car, the driver, the highway, and the mountains on separate layers.
For more information, see "Creating layers".
Move multiple layers together on the image canvas
Link or group layers that need to move together. For example, link the car and the driver in the previous example so that when you move the car, the driver moves with it.
For more information, see "Linking layers".
Edit graphical elements
Create vector objects on vector layers for objects that you need to fine-tune or edit.
For more information, see "Creating layers".
Apply raster-only commands and effects to vector objects
Create a new layer with raster copies of the vector objects. To do this, duplicate the vector layer, and then convert it to a raster layer. Turn off the visibility of the vector layer to work on the raster layer.
For more information about duplicating layers, see "Duplicating layers". For more information about hiding layers, see "To show or hide all layers".
Experiment with changes
Make a copy of a layer, and make changes to it. Copy other layers, and make changes to them. Turn the visibility of layers off and on to find which layer works best for the overall image.
Save work in progress
Keep a copy of the intermediate steps of transformations, and then turn off the visibility of those layers. Keeping a copy lets you retrace your steps later if you need to.


Using the Layers palette

The Layers palette lists all layers in an image. The order of layers on the palette is the order of layers in the image. The top layer is listed first, and the bottom layer is listed last. You can change the stacking order of layers on the Layers palette, depending on the layer types. For information about layer types, see "Understanding layers."

You can create layer groups to organize the Layers palette. You can also link layers or groups so that they move together when you use the Move tool in the image.

By default, a thumbnail view of the layer’s contents appears to the left of the layer name. You can set the size of the thumbnail or turn the thumbnail off. By default, the settings of the active layer appear above the topmost thumbnail preview, but you can modify the appearance of these settings.For more information about changing the appearance of the Layers palette, see "To modify the look of the Layers palette."

The Layers palette

The Layers palette displays the names of layers and layer groups. You can customize the names of layers in the palette (see examples in the illustration above). It also indicates the types of layers (background, raster, vector, Art Media, mask, adjustment, group, selection, or floating selection) and lets you toggle the layer visibility on or off. If there are too many layers for the palette to display at one time, you can use the scroll bars on the right side to move the list up or down.

The Layers palette toolbar includes a drop-list for command tasks, such as adding a new raster or vector layer.For more information about adding and removing toolbar buttons, see "Customizing toolbars."

Below the Layers palette toolbar are settings that let you change the opacity and blend mode of layers, link layers, or lock their transparency.

You can display or hide the Layers palette or move it anywhere on the screen. For more information about moving, docking, and undocking the Layers palette, see "Using palettes."

If an image has more than one layer, you must select the layer that you want to work on. Changes to the image affect only the selected layer (also called the active layer). You can select only one layer at a time.

The Layers palette displays its components as a “tree” of folders and subfolders. Items with subcomponents have a minus sign (–) in front of them when expanded, and a plus sign in front of them (+) when contracted. You can expand a vector layer or layer group to see the names of its subcomponents, or contract a vector layer or layer group to navigate the Layers palette more easily.

To display or hide the Layers palette

• Choose View [image] Palettes [image] Layers.
This command toggles the display of the Layers palette on and off.

To select a layer

• On the Layers palette, click the name of a layer.

To expand or collapse a vector layer or layer group

• Perform a task from the following table.

To | Do the following
Expand the group | On the Layers palette, click the plus sign [image] in front of the layer or layer group name.
Collapse the group | On the Layers palette, click the minus sign [image] in front of the layer or layer group name.

To modify the look of the Layers palette

1. Choose File [image] Preferences [image] General Program Preferences.
The General Program Preferences dialog box appears.
2. On the left pane of the dialog box, choose Palettes.
3. Perform a task from the following table, and click OK.

To | Do the following
Resize thumbnails | In the Layers palette group box, mark the Palette thumbnails check box, and type or set a value in the Size control. (The default setting is 50 pixels.)
Turn off thumbnails and display the right pane | In the Layers palette group box, unmark the Palette thumbnails check box, and mark the Right Pane check box. (This is how the Layers palette appeared in Paint Shop Pro 9 and earlier versions of the program.)
Resize the right pane | With the right pane of the Layers palette displayed, drag the pane flyout control horizontally.
Display layer settings at the top of the palette | In the Layers palette group box, unmark the Right Pane check box.

• You can hide the right pane by clicking when the arrow on the vertical divider points to the right. When the arrow points to the left, clicking the control restores the right pane to its previous view.


Creating layers

You can create a layer from the Layers palette. When you create a layer, you can specify properties such as the layer type, opacity, or blend mode. These properties can be modified as you work with the layer. You can also create layers from selections, vector objects, or other images.

Layers are created automatically when you use the Text tool, Art Media tools, or vector drawing tools, such the Pen tool or the Preset Shape tool.

To create a layer from the Layers palette

1. On the Layers palette, click the layer above which you want create a layer.
2. From the drop-list on the toolbar of the Layers palette, choose a layer type:
• New Raster Layer
• New Vector Layer
• New Art Media Layer
• New Layer Group
• New Mask Layer
• New Adjustment Layer
3. Adjust the available controls for the layer properties.
4. Click OK.
The new layer is added above the active layer. It is named with the layer type and a number, such as “Vector 1.”

To | Do the following
Create a layer quickly with default layer properties | Hold down Shift, and choose an option from the drop-list on the toolbar of the Layers palette.
Create a layer by right-clicking | Position the cursor over a layer name on the Layers palette, right-click, and choose a layer type.

• For more information about renaming layers, see "Renaming layers".

To create a raster layer from a selection

• Choose Selections [image] Promote to Layer.
The new layer is named “Promoted Selection.”
• When you promote a selection, some pixels surrounding the selection border may be included, especially if the selection is anti-aliased or feathered. For information about cleaning up a selection before you copy or promote it, see "Modifying selections."
• You can also create a raster layer by choosing Edit [image] Copy and then choosing Edit [image] Paste As New Layer. The name of the new layer contains “Raster” plus a number, for example, “Raster 1.”

To create a vector layer from vector objects

1. On the Tools toolbar, choose the Pick tool [image], and select one or more vector objects.
2. Choose Edit [image] Copy.
3. Choose Edit [image] Paste As New Layer.

To create a layer from another image

1. In the image window, click the image you want to copy for the new layer, and choose Edit [image] Copy.
2. Click the image on which you want to paste the new layer, and choose Edit [image] Paste As New Layer.
The layer is pasted on the center of the canvas in the second image.
• You can also drag a layer from the Layers palette and drop it onto an image.


Promoting the background layer

If you want the background to function like other layers, you can promote it to a regular raster layer. Raster layers support transparency and can be moved anywhere within the stacking order. For more information about the background layer, see "Understanding layers."

To promote the background layer to a regular raster layer

• Choose Layers [image] Promote Background Layer.
• You can also right-click on the layer and choose Promote Background Layer.


Deleting layers and clearing layer contents

You can remove a layer from an image or clear the contents of a layer. Clearing a layer’s contents keeps the layer within the image; raster and vector layers become transparent, and the background layer is filled with the current background color and material.

To delete a layer

1. On the Layers palette, select the layer or layer group you want to delete.
2. Click the Delete Layer button [image].

You can also |
Delete a selected layer from the Layers menu | Choose Layers [image] Delete.
Delete a selected layer by right-clicking | Right-click on the Layers palette, and choose Delete.
Delete a selected layer by dragging | Drag the layer to the Delete Layer button.

To clear the contents of a layer

1. On the Layers palette, click the name of the layer you want to clear.
Make sure that nothing is selected outside the layer.
2. Choose Edit [image] Clear.
• You can also clear a layer by pressing Delete.


Duplicating layers

You can duplicate a layer within an image. You can use the duplicated layer as a starting point for a new layer, or you can try out edits and effects on the duplicated layer while keeping the original layer intact. You can also copy a layer to another image.

To duplicate a layer within an image

• Select the layer you want to duplicate, and choose Layers [image] Duplicate.
The duplicated layer is added just above the selected layer.
• You can also right-click the layer name and choose Duplicate.
• You can also choose Edit [image] Copy to copy the layer and then choose Edit [image] Paste As New Layer.

To copy a layer to another image

1. On the Layers palette, select the layer you want to copy.
2. Choose Edit [image] Copy.
3. Open the image in which you want to paste the layer.
If the image has layers, click a layer. When the copied layer is pasted, it will appear above the selected layer.
4. Choose Edit [image] Paste As New Layer.
The layer is pasted on the center of the canvas.
• You can also drag the layer from the Layers palette onto an open image.


Renaming layers

As you add layers to an image, you may find it convenient to rename them so that they are easy to identify on the Layers palette.

To rename a layer

1. On the Layers palette, click the layer you want to rename, pause a moment, and re-click.
The name appears highlighted in a box.
2. Type the new name in the box, and press Enter.
• You can also rename a layer by double-clicking the layer to display the Layer Properties dialog box and entering a new name in the Name box.


Viewing layers

You can make layers, layer groups, or vector objects visible or invisible in the image. The invisible layers remain in the image but are hidden from view. You can also invert visible and hidden layers.

To display or hide a layer

• Click the Visibility Toggle button for the layer that you want to display or hide.
— Visibility Toggle button when the layer is displayed
— Visibility Toggle button when the layer is hidden
• Hiding a layer group hides all layers within that group.
• To show one layer only, right-click the layer, and choose View [image] Current Only.

To show or hide all layers

• Perform a task from the following table.

To | Do the following
View all layers | Choose Layers [image] View [image] All.
Hide all layers | Choose Layers [image] View [image] None.

• You can also show all layers by right-clicking a layer and choosing View [image] All or hide all layers by right-clicking a layer and choosing View [image] None.

To invert visible and hidden layers

• Right-click a layer, and choose View [image] Invert.
All previously visible items are hidden, and all hidden items become visible.


Organizing layers by color

To organize the Layers palette visually, you can specify highlight colors for layers and layer groups. The highlight color appears as the background of the icon to the left of the layer or group name. It has no effect on the image itself.

In a layer group, layers that have not been assigned individual highlight colors inherit the color of the parent layer. You can use the same highlight color for all layers in a layer group and different colors for layers in other layer groups.

To set a highlight color for a layer icon

1. On the Layers palette, double-click the layer to open the Layer Properties dialog box.
2. Mark the Highlight in Layers Palette check box.
3. Click the color box next to the check box.
4. Choose a color, and click OK.
5. In the Layer Properties dialog box, click OK.
The icon appears with the highlight color.
• To choose a highlight color for recently used colors, right-click the color box, and click a color.


Changing the order of layers in an image

The order of layers within an image is critical to the appearance of the image. To rearrange layers in the image, you can easily change the stacking order of layers on the Layers palette. If a layer or a layer group has components, such as vector objects or grouped layers, all of the components move with the layer or layer group when its position in the stacking order is changed. You can move vector objects within their vector group, as well as from one vector layer to another.

To move a layer or layer group

• On the Layers palette, select the layer or layer group, and drag it to a new position in the stack.
A black line shows the layer’s position as you drag.
• When you drag a layer, the cursor changes to a hand. A cursor displaying a null symbol [image] indicates that the selected item cannot be moved to a particular position.
• You can also move a layer or layer group by choosing Layers [image] Arrange and then choosing an option.

To move a vector object between layers

1. On the Layers palette, select the vector object.
If you want to select multiple vector objects, hold down Shift while clicking additional objects.
2. Drag the selected object to another vector layer, or to a new position within the same layer group.
A black line shows the layer’s position as you drag.
• You can also move a layer or layer group by choosing Layers [image] Arrange and then choosing an option.


Moving layers on the canvas

You can move the contents of an entire layer anywhere within the image canvas. If you move part of a layer off the canvas, the layer is not cropped — you can move it back to the canvas or increase the canvas size to display the hidden area. For more information, see "Resizing the canvas."

To move a layer on the canvas

1. On the Layers palette, select the layer that you want to move.
2. On the Tools toolbar, click the Move tool [image].
3. Drag in the image to move the layer to a new position.
• You can also select and move layers with the Pick tool [image].


Grouping layers

You can create layer groups to group multiple layers together. Layer groups let you

• organize the Layers palette
• set layer properties, such as opacity and blend mode, for the whole group
• limit the effect of adjustment and mask layers to the layers underneath the active layer rather than to the entire image
• move all grouped layers together in the stacking order
• move linked layers together on the image canvas
• delete all layers in the group

Layer groups can contain raster, vector, Art Media, mask, and adjustment layers and must contain at least one layer. Layer groups can also contain other layer groups, called nested groups. If you move all of the layers out of a layer group, Corel Paint Shop Pro Photo deletes the layer group.

For information about viewing layer groups, see "To expand or collapse a vector layer or layer group."

To create a layer group

1. On the Layers palette, select the first layer you want to include in the layer group.
2. From the drop-list on the toolbar of the Layers palette, choose New Layer Group.
The layer group is created, and the selected layer becomes part of the layer group. By default, the layer group name contains “Group” plus a number (for example, “Group 1”).

You can also |
Add a layer to a layer group from the Layers palette | On the Layers palette, drag a layer into the layer group. (A black line shows the layer’s position as you drag.)
Add a layer to a layer group from the Layers menu | Choose Layers [image] Arrange [image] Move Into Group.
Position a layer group within another layer group | On the Layers palette, drag a layer group into another layer group. (A black line shows the layer group’s position as you drag.)
Move a layer to the bottom of a layer group | Drag the layer to the second-to-bottom position, and then drag the bottom layer up one level. Note: Dragging a layer directly to the bottom of a layer group positions it below the group rather than within it.
Create a layer group from the Layers menu | Choose Layers [image] New Layer Group, set the necessary controls in the Layer Properties dialog box, and click OK.

To remove a layer from a group

• Drag the layer to a new position outside the layer group.
• You can also remove a layer from a group by choosing Layers [image] Arrange [image] Move Out of Group.

To ungroup layers

• Select the layer group that you want to ungroup, and choose Layers [image] Ungroup Layers.


Linking layers

You can link layers to have them move together on the image canvas when you move one layer with the Move tool. When you link layers, you assign each layer the same link number.

You can link grouped layers, which allows all layers within a layer group to move together on the image canvas. You can also link individual layers from different layer groups and move them together without moving other layers in the layer group.

Does linking affect the stacking order?
Linking does not affect the stacking order; it affects only the movements you make with the Move tool on the image canvas. The only way to move layers together in the stacking order is to group them. When you move a layer group in the stacking order, all layers move, regardless of whether the group is linked or unlinked.

To link layers

1. On the Layers palette, select the layer you want to link, and click the Layer Link Toggle button [image].
2. Click the Layer Link Toggle button to assign a number to the layer.
A number appears on the Layer Link Toggle button. Clicking the button increases the number, and right-clicking the button decreases the number.
3. Select the layer that you want to link with the first layer.
4. Clicking or right-click the Layer Link Toggle button to assign a number to the layer that matches the number of the first layer.
• You can also assign a number to linked layers by double-clicking one of the layers, setting a value in the Link Set control of the Layer Properties dialog box, and clicking OK.

To unlink layers

• On the Layers palette, select the layer you want to unlink, and click the Layer Link Toggle button [image] until a setting of None appears.
• You can also double-click the layer to display the Layer Properties dialog box, set the value in the Link Set control to 0, and then click OK.

To link or unlink a layer group

• On the Layers palette, select the layer group you want to link or unlink, and click the Group Link Toggle button [image].
The button displays a red “X” [image] when the group is not linked.
• You can also link or unlink a group by double-clicking the layer group to display the Layer Properties dialog box, marking or unmarking the Group is linked check box, and clicking OK.


Blending layers

You can create interesting effects by changing the way the pixels on one layer blend with pixels on underlying layers. Corel Paint Shop Pro Photo offers a variety of blend modes. By default, the image displays the blended pixels while the individual layers remain unchanged.

When layers are blended, each layer has a blend mode of Normal, which blends pixels based on the opacity of the selected layer. The selected layer is blended with all underlying layers, not just the layer directly beneath it.

You can set the blend range of a layer in addition to its blend mode. By default, the blend mode applies to all pixels. The blend range limits the pixels that the blend mode affects. Blend ranges set the opacity based on brightness or color channel, so that colors drop out of the selected layer and other colors show through.

Understanding blend modes

The table below describes each of the blend modes.

Blend mode | Result
Normal | Displays pixels of underlying layers based on the opacity of pixels on the selected layer. If the selected layer is fully opaque, no pixels show through. As the opacity decreases, more pixels from underlying layers show through.
Darken | Displays pixels in the selected layer that are darker than the underlying layers. Pixels lighter than the underlying layers disappear.
Lighten | Displays pixels in the selected layer that are lighter than the underlying layers. Pixels darker than the underlying layers disappear.
Hue | Applies the hue of the selected layer to the underlying layers (without changing the saturation or lightness).
Hue (Legacy) | Functions similarly to the Hue blend mode. This blend mode is retained for the sake of compatibility with earlier versions of the program.
Saturation | Applies the saturation of the selected layer to the underlying layers, without affecting the hue or lightness. This blend mode is available for 16 million–color images only.
Saturation (Legacy) | Functions similarly to the Saturation blend mode. This blend mode is retained for the sake of compatibility with earlier versions of the program.
Color | Applies the hue and saturation of the selected layer to the underlying layers (without affecting the lightness). This blend mode is available for 16 million–color images only.
Color (Legacy) | Functions similarly to the Color blend mode. This blend mode, which was first introduced in version 5 of Paint Shop Pro, is retained for the sake of compatibility with earlier versions of the program.
Luminance | Applies the luminance (or lightness) of the selected layer to the underlying layers, without affecting the hue or saturation. This blend mode is available for 16 million–color images only.
Luminance (Legacy) | Functions similarly to the Luminance blend mode. This blend mode is retained for the sake of compatibility with earlier versions of the program.
Multiply | Combines the colors of the selected layer with the underlying layers to produce a darker color. Multiplying any color with black produces black; multiplying any color with white leaves the color unchanged. This blend mode produces the same result regardless of the order in which the layers are stacked on the Layers palette.
Screen | Lightens the colors of underlying layers by multiplying the inverse of the selected layer and of the underlying layers. The result is a color that is the same or a lightened version of the selected layer. This blend mode produces the same result regardless of the order in which the layers are stacked on the Layers palette.
Dissolve | Randomly replaces the colors of some pixels on the selected layer with those of the underlying layers to create a speckled effect. The opacity of the selected layer determines the number of pixels replaced: the lower the opacity, the greater the number of pixels replaced.
Overlay | Combines the Multiply and Screen blend modes. If the color channel value of underlying layers is less than half the maximum value, the Multiply blend mode is used. If the color channel value is greater than or equal to half the value, the Screen blend mode is used. The Overlay blend mode shows patterns or colors of the selected layer while preserving the shadows and highlights of underlying layers.
Hard Light | Combines the Multiply and Screen blend modes. If the color channel value of the selected layer is less than 128, the Multiply blend mode is used. If the color channel value is greater than or equal to 128, the Screen blend mode is used. You can use the Hard Light blend mode to add highlights or shadows.
Soft Light | Combines the Burn and Dodge blend modes. If the color channel value of the selected layer is less than 128, the Burn blend mode is used. If the color channel value is greater than or equal to 128, the Dodge blend mode is used. You can use the Soft Light blend mode to add soft highlights or shadows.
Difference | Subtracts the color of the selected layer from the color of the underlying layers. This blend mode produces the same result regardless of the order in which the layers are stacked on the Layers palette.
Dodge | Lightens the image by using the lightness values of the colors in the selected layer to lighten the colors of underlying layers. Light colors produce the most lightening; black has no effect.
Burn | Darkens the image by using the lightness values of the selected layer to reduce the lightness of underlying layers.
Exclusion | Creates an effect similar to, but softer than, the Difference blend mode. The Exclusion blend mode produces the same result regardless of the order in which the layers are stacked on the Layers palette.

To set the blend range of a layer

1. On the Layers palette, double-click the layer to open the Layer Properties dialog box.
2. Click the Blend Ranges tab.
3. In the Blend Channel drop-list, select a channel to use when blending layers.
Select Grey Channel to base opacity on the lightness values of layers. Select Red Channel, Green Channel, or Blue Channel to base opacity on the respective color values.
4. Drag the upper arrows to set the values at which the opacity is 100 percent.
For example, you can set a layer’s opacity at 100 percent between the lightness values of 43 and 126, with the opacity falling off at the lightest and darkest areas.
5. Drag the lower arrows to set the values at which the opacity is 0 percent.
6. Click OK.


Setting layer opacity

To create interesting effects, you can vary the opacity of a layer from the default of 100 percent (fully opaque) down to 0 percent (fully transparent). When a layer is partially transparent, the underlying layers show through.

You can also change the opacity of a layer group.

The Opacity setting on the Layers palette determines the opacity of each layer. The overall opacity of a layer and the opacity of individual pixels are independent of each other. For example, if a pixel starts at 50 percent opacity and the layer is set to 50 percent opacity, the pixel appears as 25 percent opaque. If the layer is in a layer group that is set to 50 percent opacity, then the pixel appears as 12.5 percent opaque.

To set the opacity of a layer

1. On the Layers palette, select the layer or layer group.
2. Drag the Opacity slider [image] to the desired percentage.
• You can also set layer opacity by double-clicking the layer, changing the Opacity setting in the Layer Properties dialog box, and clicking OK.


Protecting transparent areas of raster layers

To apply tools and effects only to certain areas of a raster layer with data, you can use the Lock Transparency feature. Transparent areas remain protected when you paint, apply effects, paste selections, or make other modifications.

The Lock Transparency feature applies to raster layers only. You cannot lock the transparency of vector, Art Media, adjustment, mask, or group layers. Background layers do not support transparency.

To lock or unlock transparent areas of a raster layer

• On the Layers palette, select the layer, and click the Lock transparency button.
— Lock Transparency button when transparency is locked
— Lock Transparency button when transparency is unlocked
• You can also lock or unlock transparent areas by double-clicking the layer, marking or unmarking the Lock transparency check box in the Layer Properties dialog box, and clicking OK.


Merging layers

Merging layers in an image is also referred to as “flattening” an image. You can choose to merge all layers or only selected layers in an image. Merging layers decreases the memory requirements for the image. Layers are merged according to blend modes, vector data and vector text are converted to raster data, and transparent areas of the background layer are replaced with white.

Many file formats, such as JPEG, GIF, and TIF, do not support multilayered images. When you save images to these formats, Corel Paint Shop Pro Photo merges all layers into a single background layer. When you save to the PSD (Photoshop) format, the image maintains raster and adjustment layers, but vector layers and Art Media layers are converted to raster layers.

The following table describes how layer types are merged.

Top layer | Merged with | Results in
Any layer | Raster layer | Raster layer
Vector layer | Vector layer | Vector layer
Art Media layer | Background | Background
Mask layer | Mask layer | Mask layer
Any layer | Background | Background

You should always make a backup copy of the original PspImage image before you merge layers. After you merge layers, you cannot edit the layers separately.

To merge two layers together

1. Make sure that one layer is located directly above the other on the Layers palette.
2. Select the top layer.
3. Choose Layers [image] Merge [image] Merge Down.
• To merge all layers, choose Layers [image] Merge [image] Merge All (Flatten).

To merge all visible layers

1. On the Layers palette, click the Visibility Toggle button [image] for each layer that you do not want to merge.
When the layer is hidden, the Visibility Toggle button changes to [image].
2. Choose Layers [image] Merge [image] Merge Visible to merge all visible layers into one raster layer.
• Invisible layers are not affected. The merged layer, which maintains the transparency information of the original layers, appears at the position of the active layer.
• If the selected layer is in a group, only the visible layers in that group are merged. If the layer group is marked as invisible (making all layers within the group invisible), then none of the layers within the group are merged.

To merge all layers in a group

1. On the Layers palette, select the layer group, or the layer within the group, that you want to merge.
2. Choose Layers [image] Merge [image] Merge Group to merge all layers in the group into one raster layer.


Using adjustment layers

Adjustment layers are correction layers that adjust the color or tone of underlying layers without modifying their pixels directly. You can choose from these types of adjustment layers: Brightness/Contrast, Channel Mixer, Color Balance, Curves, Hue/Saturation/Lightness, Invert, Levels, Posterize, and Threshold.

The advantage of using adjustment layers is that they do not modify the image layers themselves. You can add adjustment layers to test various color corrections or combinations of corrections.

You can hide, delete, or edit adjustment layers.

An adjustment layer affects all layers below it. If an adjustment layer is in a layer group, it affects only layers within the group that are lower in the stacking order. If you want to apply an adjustment layer to a single layer without affecting the underlying layers, you can create a layer group with one layer and then add the adjustment layer above the layer in the group. Only the layer in the layer group is affected.

To add an adjustment layer

1. On the Layers palette, click a layer.
When the adjustment layer is added, it will appear above the selected layer.
2. From the drop-list on the palette toolbar, choose New Adjustment Layer, and select an adjustment layer type.
In the dialog box that appears, the preview windows show the image before and after you make changes.
If you want to reset the values to default settings, choose Default in the Presets drop-list.
3. Click the Adjustment tab, and set the controls for the adjustment layer.
4. Click OK.
• You can also add an adjustment layer by choosing Layers [image] New Adjustment Layer.
• You can also reset the values to the default by double-clicking the adjustment layer and clicking the Reset to Default button [image] in the Properties dialog box.

To hide or view the adjustment layer overlay

• Choose Layers [image] View Overlay.
• You can also hide or display the adjustment layer overlay by clicking the Mask Overlay Toggle button [image] on the Layers palette.

To edit an adjustment layer

1. On the Layers palette, double-click the name of the adjustment layer that you want to edit.
The Layer Properties dialog box appears.
2. Click the Adjustment tab, and modify the color or tonal correction settings.
3. Click the General tab to modify the general layer properties such as layer name, blend mode, and opacity.
4. On the Overlay tab, adjust the color and opacity of the overlay.
The default overlay is a reddish, mask-like layer with 50 percent opacity.
5. Click OK.
• You can also open the Layer properties dialog box by choosing Layers [image] Properties.


Working with masks

In Corel Paint Shop Pro Photo, you can use masks to hide or show parts of a layer, fade between layers, and create other special effects.

In this section, you’ll learn about

• understanding masks
• displaying masks
• creating masks
• deleting masks
• editing masks
• loading masks
• saving masks


Understanding masks

Masks are grayscale raster layers that cover parts of the layers in your image, either completely or with varying levels of opacity. You can use masks to fade between layers, or to create special effects with precision. For example, you can mask the details around the main subject in a photo, or you can use a mask to create a fading navigation bar for a Web page.

Mask pixels display 256 shades of gray, with each shade corresponding to levels of opacity. White pixels show underlying layers, black pixels hide underlying layers, and gray pixels show varying amounts of underlying layers.

Mask layers cannot be the bottom layer in the image or in a layer group. If the mask layer is at the main level (rather than in a layer group), the mask applies to all layers below it in the stacking order. If a mask layer is in a layer group, it applies only to layers within the group that are lower in the stacking order.


Displaying masks

A mask overlay is displayed over protected areas to make it easy to differentiate between masked and unmasked areas. The mask overlay is a red-tinted, transparent sheet. If you adjust the transparency of a mask in certain areas, the degree of red displayed by the mask overlay in those areas varies accordingly.

When you paint or modify the mask, the mask overlay shows what is painted or changed.

You can hide or show a mask layer while you edit an image.

To display or hide the mask overlay

• On the Layers palette, click the Mask Overlay Toggle button.
— Mask Overlay Toggle button when the mask overlay is displayed
— Mask Overlay Toggle button when the mask overlay is hidden
• You can also display or hide the mask overlay by choosing Layers [image] View Overlay.

To change the mask overlay color and opacity

1. On the Layers palette, right-click the mask layer and choose Properties.
2. Click the Overlay tab.
3. Click the Overlay color area, and choose a color.
4. Drag the Opacity slider to set the level of opacity.
5. Click OK.

To display or hide a mask

• Click the Visibility Toggle button on the Layers palette.
— Visibility Toggle button when the mask is displayed
— Visibility Toggle button when the mask is hidden


Creating masks

You can create a mask from an image by loading the image file from disk. When you use an image as a mask for another image, Corel Paint Shop Pro Photo applies the mask as a grayscale image. The source image is not altered. You can also create a mask by customizing one of the sample masks included with Corel Paint Shop Pro Photo.

An example of an image used as a mask

You can use a selection to create a mask that shows or hides the selection. You can use this mask as a starting point for creating artistic effects.

An example of a selection used as a mask

You can also create a mask from a channel by first splitting an image into its RGB, HSL, or CMYK channels. Corel Paint Shop Pro Photo creates a grayscale image for each channel. You can use one of these channel images to create a mask for the original image or for another image.

An example of the grayscale channel used as a mask

To create a mask layer

1. On the Layers palette, choose the layer that you want to mask.
2. Choose Layers [image] New Mask Layer, and choose one of the following options:
• Show All — shows all underlying pixels
• Hide All — hides all underlying pixels
If you selected a background layer to mask, you are prompted to promote the background to a full layer.

You can also |
Display the mask on the image | On the Layers palette, click the Mask Overlay Toggle button [image] .
View the image as it will appear in print or online (without the transparency grid or the mask overlay) | Choose View [image] Palettes [image] Overview.
Reorder the layers on which the mask is applied | Drag the mask layer on the Layers palette to a new position in the stacking order. To apply the mask layer to all underlying layers, drag it from the layer group to the main level.

• You can paint on the image to show portions of the underlying layer. For information about editing the mask, see "Editing masks".
• For information about stacking layers, see "Changing the order of layers in an image".

To create a mask from an image

1. Open the image that you want to use as a mask.
2. On the Layers palette, choose the layer that you want to mask.
3. Choose Layers [image] New Mask Layer [image] From Image to open the Add Mask From Image dialog box.
4. Open the Source Window drop-list, and choose the image.
5. In the Create Mask From group box, choose one of the following options:
• Source luminance — determines the degree of masking based on the luminance value of the pixel color. Lighter colors produce less masking; darker colors produce more masking. Transparent areas completely mask the layer.
• Any non-zero value — applies masking without gradation. Pixels with an opacity between 1 and 255 pixels become white; transparent pixels become black. Transparent areas completely mask the layer.
• Source opacity — determines the degree of masking based on the opacity of the image. Fully opaque pixels produce no masking; partially transparent pixels create more masking; transparent pixels produce full masking.
If you want to reverse the transparency of the mask, mark the Invert mask data check box.
6. Click OK.
• The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only.
• For information about editing a mask, see "Editing masks".
• To display the mask on the image, click the Mask Overlay Toggle button [image] on the Layers palette.
• To apply the mask layer to all underlying layers, drag it from the layer group to the main level on the Layers palette.

To create a mask from a selection

1. Make a selection on a layer by using the Selection tool [image], the Freehand Selection tool [image], or the Magic Wand tool [image].
2. Do one of the following:
• To mask the selection, choose Layers [image] New Mask Layer [image] Hide Selection.
• To mask everything except the selection, choose Layers [image] New Mask Layer [image] Show Selection.

You can also |
Display the mask on the image | On the Layers palette, click the Mask Overlay Toggle button [image] .
Apply the mask layer to all underlying layers | On the Layers palette, drag the mask layer from the layer group to the main level.

• The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only.
• For information about editing masks, see "Editing masks".

To create a mask from a channel

1. Choose Image [image] Split Channel, and choose one of the following:
• Split to RGB
• Split to HSL
• Split to CMYK
2. Select the grayscale image in which you want to create the mask.
3. Choose Layers [image] New Mask Layer [image] From Image to open the Add Mask From Image dialog box.
4. In the Source Window drop-list, choose the channel that you want to use for the mask.
5. In the Create Mask From group box, choose the Source opacity option.
If you want to reverse the transparency of the mask data, mark the Invert mask data check box.
6. Click OK.
The mask layer and the selected layer are added to a new layer group. The mask layer applies to the selected layer only.

You can also |
Display the mask on the image | On the Layers palette, click the Mask Overlay Toggle button [image] .
Apply the mask layer to all underlying layers | On the Layers palette, drag the mask layer from the layer group to the main level.

• For information about editing the mask, see "Editing masks".
• For information about color channels, see "Working with colors and materials".


Deleting masks

You can delete a mask from an image, or you can merge it with the underlying layer and then delete the mask layer. However, if you merge the mask with the underlying layer, you can no longer edit the mask independently from the layer.

To delete a mask

1. On the Layers palette, right-click the mask layer, and choose Delete.
A message appears asking if you want to merge the mask with the underlying layer.
2. Choose one of the following:
• Yes — merges the layers and deletes the mask layer
• No — deletes the mask layer without affecting the underlying layer
• You can also delete a mask by choosing Layers [image] Delete.


Editing masks

When you edit a mask, you change either its area or the degree of masking. For example, painting over an object to mask it changes the area, whereas applying a gradient fill changes the degree of masking.

You can invert the transparency of a mask, so that black pixels become white, white pixels become black, and shades of gray become their mirror value, which is the maximum value (255) minus the current value.

You can use a gradient, pattern, or texture mask to create interesting effects. A gradient mask varies the opacity of an image from fully hidden to fully transparent by fading the image in or out. A pattern or texture mask varies the image opacity in a repeated pattern throughout the image.

Using a gradient mask

Using a pattern mask

You can edit the layer properties of a mask, such as the name, visibility, or opacity. For more information, see "Working with layers".

To invert a mask

1. On the Layers palette, click a mask layer.
2. Choose Layers [image] Invert Mask/Adjustment.

To create a gradient, pattern, or texture mask

1. Create a new mask.
2. Click the Mask Overlay Toggle button [image] on the Layers palette to display the mask overlay.
3. On the Tool Options palette, click the Flood Fill tool [image].
If you want to fill all pixels in the mask, set the Match Mode control on the Tool Options palette to None.
4. On the Materials palette, choose a gradient, texture, or pattern.
5. Click the mask to apply the foreground material; right-click the mask to apply the background material.
• For information about creating masks, see "Creating masks".
• For information about gradients, patterns, or textures, see "Using gradients", "Using patterns", or "Using textures.".


Loading masks

When you save a mask to an alpha channel within an image that is saved in PspImage format, you can load that mask from the alpha channel into the same image or into any other image.

The Masks folder of the Corel Paint Shop Pro Photo program folder contains sample masks that you can load into images, such as gradients and several types of circles and squares that frame images. Mask files have a .PspMask filename extension.

To load a mask from an alpha channel

1. On the Layers palette, choose the layer that you want to mask.
2. Choose Layers [image] Load/Save Mask [image] Load Mask From Alpha Channel to open the Load Mask from Alpha Channel dialog box.
3. In the Document drop-list, choose the image that contains the alpha channel that you want to load. Choose only open images with existing alpha channels.
4. In the drop-list under the document name, choose the alpha channel that contains the mask.
5. In the Orientation group box, choose one of the following options:
• Fit to canvas
• Fit to layer
• As is
6. In the Options group box, choose one of the following options:
• Hide all mask — hides pixels surrounding a loaded mask that is smaller than the current image canvas
• Show all mask — shows pixels surrounding a loaded mask that is smaller than the current image canvas
If you want to invert the transparency of the mask image, mark the Invert transparency check box.
7. Click Load.
The mask layer and the selected layer are added to a new layer group.
• The mask layer applies to the selected layer only. To apply the mask layer to all underlying layers, drag it from the layer group to the main level.

To load a mask from disk

1. On the Layers palette, click the layer that you want to mask.
2. Choose Layers [image] Load/Save Masks [image] Load Mask From Disk to open the Load Mask From Disk dialog box.
3. In the Mask group box, click the drop-list to choose from mask and image files.
The Preview group box displays the selected mask on the image canvas.
4. In the Orientation group box, choose one of the following options:
• Fit to canvas — adjusts the mask to fit the current image canvas (stretching or contracting as needed)
• Fit to layer — adjusts the mask to fit the current layer data (stretching or contracting as needed). If the layer has not been shifted beyond the edges of the canvas, this option produces the same results as the Fit to Canvas option.
• As is — positions the mask in the upper-left corner of the current layer. This option does not change the mask proportions. If the mask image is smaller than the current layer, Corel Paint Shop Pro Photo masks all pixels outside of the mask image boundaries.
5. In the Options group box, choose an option to specify whether any pixels Corel Paint Shop Pro Photo surrounding the loaded mask data are shown or hidden. These options affect the mask only if the Orientation option is As Is and the loaded mask is smaller than the current image canvas.
• Invert transparency — inverts the transparency of the mask image
• Hide all mask — makes surrounding pixels black to hide underlying pixels
• Show all mask — makes surrounding pixels white to show underlying pixels
• Use image value — makes surrounding pixels white or black, depending on whether the Show All Mask option or the Hide All Mask option was applied to the original mask.
6. Click Load.
• Corel Paint Shop Pro Photo adds the mask layer and the selected layer to a new layer group. The mask layer applies to the selected layer only. To apply the mask layer to all underlying layers, drag it from the layer group to the main level.


Saving masks

Corel Paint Shop Pro Photo saves masks as separate files in PspMask format. You can load a mask into another image without opening the original image. After the mask is loaded, it is automatically saved with the image in PspImage format. If you want to share a mask or use it in another image, you can save the mask to your hard drive or to an alpha channel.

An alpha channel is a data storage area within an image. Masks and selections stored in alpha channels have no effect on the appearance of an image. You can save a mask to an alpha channel within the current image or within another image. For more information on saving or loading selections in alpha channels, see "Saving and loading selections".

When you save the image to a file format other than PspImage format, the alpha channels are not saved. To retain the alpha channels, you should always save a master copy of your image in PspImage format.

To save a mask to disk

1. On the Layers palette, click the mask layer.
2. Choose Layers [image] Load/Save Mask [image] Save Mask to Disk to open the Save Mask To Disk dialog box.
The Mask Files group box displays the filenames of the masks in the default Masks folder. The New Mask group box displays the current mask.
3. Click Save.
• By default, mask files are stored in My Documents\My PSP Files\Masks or in the \Program Files\Corel\Corel Paint Shop Pro Photo\Corel_07. For information about setting file locations, see "Setting file locations".

To save a mask to an alpha channel

1. On the Layers palette, click the mask layer.
2. Choose Layers [image] Load/Save Mask [image] Save Mask To Alpha Channel to open the Save Mask to Alpha Channel dialog box.
3. In the Add To Document drop-list, choose an alpha channel.
If you want to save a mask to an alpha channel in another image, open the other image in Corel Paint Shop Pro Photo, and click it to make it active.
If you want to change the name of the alpha channel, type a new name in the Name group box.
4. Click Save.


Working with colors and materials

Whether you are applying color to an image or adjusting photographic colors, it’s important to understand how Corel Paint Shop Pro Photo works with color. This section describes how to choose colors and materials that you can use in your images for painting, drawing, and filling.

In this section, you’ll learn about

• using the Materials palette
• choosing colors by using the Color Picker
• choosing colors for paletted images
• choosing colors from an image or the desktop
• using gradients
• editing gradients
• exporting and importing gradients
• using patterns
• using textures
• working with swatches


Using the Materials palette

Corel Paint Shop Pro Photo lets you paint, draw, and fill with a variety of styles and materials.

• A style is a color, gradient, or pattern.
• A material is the style plus an optional texture.

Both styles and materials can be selected from the Materials palette.

You can display the Materials palette at any time. You can leave it open while you work, or you can display it only when you need it.

You can also reverse the foreground and background colors or materials.

Main components of the Materials palette
• Frame tab — displays an outer Hue rectangle and an inner Saturation rectangle, as well as a strip containing white, three shades of gray, and black. You can drag the vertical slider to adjust lightness, and drag the horizontal slider to adjust saturation.
• Rainbow tab — displays the Available Colors panel, where you can click to select a color. At the bottom of the tab you can click to select white, black, or three shades of gray.
• Swatches tab — displays swatches, which are materials you can save to use again. For more information about swatches, see "Working with swatches."
• Foreground and Stroke and Background and Fill Properties boxes — display the current foreground and background materials, which consist of the style (color, gradient, or pattern) and optional texture. You can click either box to display the Material Properties dialog box, in which you can set material options. These boxes can be used in the following ways:
• You can use foreground materials for brush strokes and background materials for fills.
• When you apply strokes with a brush (including the fill tools), clicking lets you paint with the foreground material, and right-clicking lets you paint with the background material.
• When you are using the Art Media tools, you can set the foreground color for the pigment that you apply to the canvas.
• For text and vector shapes, you can set the foreground color for the stroke (or outline) of the text or shape, and the background color for the fill of the text or shape. For more information about changing the color of text and vector objects, see "To modify vector object properties."
• Foreground and Background Color boxes — display the current foreground and background color and let you set colors regardless of current material
• Style button [image] — shows which style is currently selected: color [image], gradient [image], or pattern [image]. To change between the most recently selected color, gradient, and pattern, you can click the Style button and select a new style from the drop-list. Note that these options are disabled for the Art Media tools, which use only solid colors.
• Texture button [image] — turns the current texture on or off
• Set to Black and White button [image] — sets the foreground to black and the background to white. This is helpful when you use the Edit Selection command.
• Transparent button [image] — specifies whether the foreground or background material is transparent (in other words, has no style or texture). You use a transparent material primarily with vector objects and text. A transparent foreground has no outline (only the objects or letters are filled), and a transparent background has no fill (only the objects or letters are outlined). This button is unavailable for tools that require a foreground or background material.
• All tools check box — specifies whether the selected foreground and background materials apply to all tools. If the check box is unmarked, the selected materials apply only to the active tool.
Why does the Materials palette have both properties and color boxes?
You can select colors by clicking the Foreground and Background Properties boxes, so you may wonder why the Materials palette also includes color boxes. The color boxes provide a quick way to change colors without changing the other materials. This means that you can select a new color even when the properties box displays a gradient or pattern.
If the properties boxes and the color boxes on the Materials palette are showing different colors, the brush paints with the gradient, texture, or pattern shown in the properties boxes rather than with the color in the color boxes. The colors shown in the color boxes become active when you select Color [image] from the Style buttons for the Foreground and Background Properties boxes.

To display or hide the Materials palette

• Choose View [image] Palettes [image] Materials.
• You can also close the palette by clicking the Close button [image] in the palette’s title bar.

To swap the foreground and background colors or materials

• From the Materials palette, click the Swap Colors button [image] or click the Swap Materials button [image].


Choosing colors by using the Color Picker

When you edit images in Corel Paint Shop Pro Photo, you often need to choose a color before painting, drawing, or filling, making manual color corrections, or choosing a background for a new raster image. The Color Picker is the most versatile tool for choosing colors.

The Color Picker appears when you click the Foreground/Stroke Properties box, the Background/Fill Properties box, or one of the two smaller Color boxes. It also appears when you click a Color box found in other dialog boxes.

The appearance of the Color Picker depends on the color depth of the active image (16 bits/channel, 8 bits/channel, 256 colors, 16 colors, or 2 colors).

The Color Picker offers many ways to select colors:

• The Color (hue) wheel and Saturation and Lightness box let you select and preview a color.
• The Basic Colors panel displays commonly used colors.
• RGB or HSL values let you choose a color based on its red, green, and blue values or its hue, saturation, and lightness values.
• HTML color code lets you enter HTML color values.
• The Color Picker lets you select a color from the active image.

By default, Corel Paint Shop Pro Photo displays decimal (base 10) numbers in the Color Picker. You can also display hexadecimal (base 16) numbers — the format of HTML color codes. For more information about display and caching options, see "Setting display and caching preferences." For more information about color and how it is perceived, displayed, and printed, see "Understanding color and color models."

To choose a color by using the Color Picker

1. On the Materials palette, do one of the following:
• To choose a foreground color, click the Foreground and Stroke Properties box or the Foreground Color box.
• To choose a background color, click the Background and Fill Properties box or the Background Color box.
The Material Properties dialog box or the Color dialog box appears.
If the Materials Property dialog box appears, click the Color tab.
2. Click or drag the hue wheel to select the approximate color.
3. Click or drag inside the Saturation/Lightness box to set saturation and lightness for the color you have selected.
Move from left to right to adjust the saturation; move from top to bottom to adjust the lightness.

You can also |
Choose a basic color by clicking a color swatch | Click a color swatch in the Basic Colors panel that appears under the color wheel.
Choose a color by specifying its Red, Green, and Blue (RGB) values | Type values in the R, G, and B boxes.
Choose a color by specifying its Hue, Saturation, and Lightness (HSL) values | Type values in the H, S, and L boxes.
Specify a color by using its HTML code | Type an HTML color code in the HTML box.
View each individual RGB or HSL color value separately or in combination with the other color values | Unmark the Link Colors check box to display the selected color in the drop-down slider for each RGB or HSL value (for example, the Red slider displays only degrees of red, from 0 to 255). Mark the Link Colors check box to display the current color in combination with the other two colors.

• You can also choose a color directly on the Frames tab or the Rainbow tab of the Materials palette. The Frames tab contains a more compact, rectangular version of the color wheel and its controls. The Rainbow tab presents every available color. Click to choose the foreground color, or right-click to choose the background color.
• You can access recently used colors by right-clicking the Color box on the Materials palette. In the Recent Colors dialog box, click Other to display the Material Properties dialog box.
• To apply the current colors to all tools, mark the All tools check box on the Materials palette. If you unmark this check box, the current materials are applied to the active tool only.


Choosing colors for paletted images

Paletted images are images that have a color depth between 2 and 256 colors. With paletted images, you must choose foreground and background colors from the Materials palette rather than from the Color Picker.

To choose colors for paletted images

1. On the Materials palette, do one of the following:
• To choose the foreground color, click the Foreground and Stroke Color box.
• To choose the background color, click the Background and Fill Color box.
Clicking a color box opens the Color dialog box and displays the palette.
2. In the Sort order drop-list, select the way in which the colors are sorted:
• Palette — sorts by order of colors in the palette
• Hue — sorts by color
• Luminance — sorts by lightness
3. Click a color.
The color’s index number within the palette, the color value (RGB or HSL), and the HTML code are displayed.
4. Click OK.
• To ensure that only the colors available for paletted images are displayed in the Materials palette, the Show document palette option must be enabled. Choose File [image] Preferences [image] General Program Preferences, click Palettes in the list, and choose the Show Document Palette option. For more information, see "Setting display and caching preferences."
• You can also choose a color by clicking the Foreground and Stroke Properties box, the Background and Fill Properties box to open the Material Properties dialog box, then clicking the Color tab to display the palette.


Choosing colors from an image or the desktop

You can choose a foreground or background color from any open image, or from any color within Corel Paint Shop Pro Photo (such as a color on a toolbar). This feature is useful when you want to use the color of a specific icon, or when you want to match the Windows desktop colors. If you have Windows 2000 or a later version of Windows, you can choose a color from other applications (such as a color displayed in a word processor).

To choose a color from the active image

1. On the Tools toolbar, choose the Dropper tool [image].
2. On the Tool Options palette, set the desired options:
• Sample Size drop-list — choose the desired pixel area for sampling
• Use all layers check box — mark this check box to sample from all image layers
3. Click a color in the image to make it the foreground color, or right-click to make it the background color.
• You can also choose a color from the image while using brush tools, such as the Paint Brush or the Eraser tool, by holding down Ctrl and clicking in the image to choose a foreground color or right-clicking to choose a background color.
• When the Color Picker is open, you can choose a color from any open image regardless of the currently selected tool.

To choose a color from the desktop

1. Make sure that the color you want is displayed on the screen.
2. Point over a color or properties box on the Materials palette or in a dialog box.
On the Materials palette, you must assign the foreground and background color separately.
3. Hold down Ctrl, and point to the area of the desktop that has the color you want.
For Windows 2000 or a later version of Windows, the pointer remains a dropper when you move off Corel Paint Shop Pro Photo and onto another application.
4. Continue to hold down Ctrl, and click to select the color.
The selected color appears in the color or properties box.
If you want to change the color selection, continue to hold down Ctrl, and click on different parts of the desktop.
• When positioned over any area that you can choose from, the pointer becomes a dropper [image].


Using gradients

Gradients are gradual blends between two or more colors. You can paint, draw, or fill with gradients to create interesting effects or color transitions. You can use gradients to create Web buttons with shadows and highlights, to make objects look shiny or glowing, or to add dimension to objects. You can also use gradients to fade Web page graphics into other content, and you can use a black-to-white gradient as a mask.

For information about editing, creating, and sharing gradients, see "Editing gradients" and "Exporting and importing gradients."

Gradients are available for grayscale and 16 million color–images only. For more information about increasing the color depth of an image, see "Increasing the color depth of an image."

To apply the current gradient

• On the Materials palette, click the Gradient button [image] on the Style drop-list for the Foreground and Stroke Properties box or the Background and Fill Properties box.
The most recently chosen gradient becomes active.

To choose a gradient

1. On the Materials palette, do one of the following:
• To choose a foreground gradient, click the Foreground and Stroke Properties box.
• To choose a background gradient, click the Background and Fill Properties box.
The Material Properties dialog box appears.
2. Click the Gradient tab.
3. Click the Gradient drop-list to view thumbnails of the available gradients.
If necessary, choose a gradient category from the Category drop-list containing the desired gradients.
4. Click a gradient thumbnail.
The drop-list closes and the gradient name appears above it.
5. Choose one or more of the following options:
• Style — lets you choose a Linear [image], Rectangular [image], Sunburst [image], or Radial [image] gradient
• Angle — specifies the angle or direction of the gradient, from 0 to 359 degrees. This option applies to linear, rectangular, and radial gradients only.
• Repeats — sets the number of times (from 0 to 100) to repeat the gradient pattern
• Invert — inverts the colors of the gradient
• Center Point — determines the horizontal and vertical coordinates of the point from which the gradient disperses or radiates. The distance is measured as a percentage of the fill area’s width. You can change the center point to create fills in circles or other shapes in which the center of the gradient is not at the center of the object. This option applies to rectangular, sunburst, and radial gradients only.
• Focal Point — determines the horizontal and vertical coordinates of the point where the foreground color of the gradient begins. The distance is measured as a percentage of the fill area’s width. You can change the focal point to create fills in circles or other shapes in which the effective light source is not at the center of the object. This option applies to rectangular and sunburst gradients only, and is available only when the Link center and focal points check box is unmarked.
• Link center and focal points — assigns the same values to the center and focal points. Unmark the check box to edit the focal point separately from the center point. This option applies to rectangular and sunburst gradients only.
6. Click OK.

You can also |
Edit the gradient colors, transition points, and opacity | Click Edit to display the Gradient Editor dialog box. For more information about editing gradients, see "Editing gradients".
Save this gradient as a swatch that you can access later | Click Add to swatches, type a name, and press Enter.
Access recently used materials | Right-click in a properties box on the Materials palette to open the Recent Materials dialog box.
Apply the current materials to all tools | On the Materials palette, mark the All tools check box. If you unmark this check box, the current materials are applied to the active tool only.

• You can also move the center point by dragging the control needle or crosshairs shown in the gradient drop-list. If you unmark the Link center and focal points check box, you can move the focal point by dragging the crosshairs on the gradient.

To save an edited gradient

1. In the Gradient Editor, click Save As.
The Save As Gradient dialog box appears.
2. Enter a unique name for the gradient, and then click OK.
When you are prompted to confirm that you want to save the gradient, click Yes.

To create a gradient

1. In the Gradient Editor, click New.
The New Gradient dialog box appears.
2. Type a name for the new gradient, and then click OK.
• The gradient is created with two markers at 0% and 100% that use the custom color.
• For more information about gradients, see "Using gradients."

To rename a gradient

1. In the Gradient Editor, click Rename.
The Rename Gradient dialog box appears.
2. Type the new name, and click OK.

To delete a gradient

1. In the Gradient Editor, click Delete.
2. When you are prompted to confirm the deletion, click Yes.


Editing gradients

You can change the colors, transition points, and transparency of gradients. You can edit default gradients or create your own gradients. You can also rename, delete, and save gradients.

The colors, transition points, and transparency of a gradient are indicated by markers and midpoints in the Gradient Editor:

• Markers [image] — indicate points of solid color
• Midpoints [image] — indicate the positions where two colors are equally blended. Each pair of markers has a midpoint that can be located anywhere between the markers.

You can add and delete markers, as well as change the transparency, color, or position of a marker. You can also change the position of a midpoint.

When you edit and save a default gradient, you permanently change the gradient. To maintain default gradients, save changes to a new gradient file. For more information about saving a gradient, see "To save an edited gradient." For more information about restoring default settings, see "Installing and uninstalling Corel Paint Shop Pro Photo."

To display the Gradient Editor

1. On the Materials palette, click the Foreground and Stroke Properties box or the Background and Fill Properties box.
The Material Properties dialog box appears.
2. Click the Gradient tab.
3. Choose the gradient you want to edit and click Edit.

To change the location of a marker or a midpoint

• Drag the marker or midpoint to a new location in the Gradient Editor.
• You can also click the marker or midpoint to select it, and then enter a value in the Location field.

To add a marker

• In the Gradient Editor, click a position under the gradient bar or the transparency bar.
• The marker is created with the currently highlighted Fore, Back, or Custom color on the gradient bar.

To delete a marker

• In the Gradient Editor, drag the marker away from the gradient bar or the transparency bar.

To change the color for a marker

1. In the Gradient Editor, click the marker below the gradient bar to select it.
The triangle at the top of the marker turns black.
2. Perform one of the following tasks, and click OK.

To | Do the following
To use the foreground color | Click the Fore button [image] .
To use the background color | Click the Back button [image] .
To use the currently defined custom color | Click the Custom button [image] .
To choose a new custom color | Click the Custom color box to select from the Color Picker, or right-click to select from recently used colors.
To select a color from within the gradient itself | Click the gradient bar.

• When you next apply the gradient that contains the foreground or background color, it uses the current foreground and background colors of the image (rather than the colors that you used to define the gradient). To create a gradient that always contains the same colors, use custom colors for all markers.

To change the transparency of a marker

1. In the Gradient Editor, click the marker below the transparency bar to select it.
2. Type or set a value in the Opacity control.
Values range from 0% (completely transparent) to 100% (opaque). At 100%, the underlying pixels are covered completely.


Exporting and importing gradients

After creating a new gradient, you may want to export it to use in another program. The default gradients are stored in the GRD file format, which is commonly used in other applications.

You can also import gradients in the GRD file format.

To export a gradient

1. In the Gradient Editor, select the gradient you want to export, and adjust its settings.
2. Click Export.
The Export dialog box appears.
3. Select the folder in which you want to save the gradient.
The default gradients are stored in the Gradients folder within the Corel Paint Shop Pro Photo program folder.
4. In the File name field, type a name for the new gradient.
5. Click Export.

To import a GRD gradient

1. In the Gradient Editor, click Import.
The Import dialog box appears.
2. Select the folder that contains the gradient you want to import.
All GRD files are listed in the folder.
3. Select the gradient’s filename, and click Import.


Using patterns

You can paint, draw, or fill patterns to create interesting effects. Corel Paint Shop Pro Photo includes many patterns that you can choose from (such as bricks, stained glass, and zebra stripes). You can also create patterns from an image or part of an image.

Patterns add creative flair to your images. You can apply patterned brush strokes, create objects with patterned fills or edges, and create patterned text. You can use patterns to create stationery or to create tiled images for Web pages. Patterns are especially helpful for projects that require interesting backgrounds such as CD covers, calendars, or greeting cards.

Patterns are available for grayscale and 16 million–color images only. For more information about increasing the color depth of an image, see "Increasing the color depth of an image."
What is the difference between patterns and textures?
On the Materials palette you can select both a pattern and a texture as part of a material. What is the difference between the two?
A pattern is an opaque, repeated image with specific colors and details. A pattern is a style, just like a solid color or gradient. Patterns do not use the current foreground or background colors. For example, if you select the Bricks pattern and apply brush strokes with the Paint Brush tool, each brush stroke paints the brick pattern.
A texture gives the effect of having textured canvas or paper. Textures use the current style (such as a solid color). For example, if you select the Crumpled Paper texture and if the foreground color is yellow, each brush stroke paints yellow with the texture of crumpled paper.
Textures can be applied at the same time you apply a solid color, gradient, or pattern. This means that you can have both a pattern and a texture selected at the same time.

To apply the current pattern

• On the Materials palette, click the Pattern button [image] on the Style drop-list for the Foreground and Stroke Properties box or the Background and Fill Properties box.
The most recently chosen pattern becomes active.

To choose a pattern

1. On the Materials palette, do one of the following:
• To choose a foreground pattern, click the Foreground and Stroke Properties box.
• To choose a background pattern, click the Background and Fill Properties box.
The Material Properties dialog box appears.
2. Click the Pattern tab.
3. Click the Pattern drop-list to view thumbnails of the available patterns.
4. Choose a pattern.
The drop-list closes, and the pattern name appears above it.
5. Adjust the following controls:
• Angle — specifies the angle (or direction) of the pattern, from 0 to 359 degrees
• Scale — specifies the scale (from 10% to 250%) of the image’s actual size. At smaller values, the image is repeated more frequently throughout the pattern. At larger values, the image may be cropped, or may lose detail and become blurry.
6. Click OK.

You can also |
Save this pattern as a swatch that you can access later | Click Add to swatches, type a name, and press Enter.
Access recently used materials | Right-click in a properties box on the Materials palette to open the Recent Materials dialog box.
Apply the current materials to all tools | On the Materials palette, mark the All tools check box. If you unmark this check box, the current materials are applied to the active tool only.

• You can also change the angle of the pattern by dragging the control needle on the pattern in the Material Properties dialog box.

To use the active image or a selection as a pattern

1. Open the image you want to use.
2. To select a part of the image as the pattern, make a selection in the image.
The pattern appears in the Pattern drop-list on the Pattern tab of the Material Properties dialog box.

To save an image as a pattern

1. Create an image in Corel Paint Shop Pro Photo or another application.
2. Save the image file in the Patterns folder of the Corel Paint Shop Pro Photo program folder, or in the My Documents/My PSP Files/Patterns folder.
The pattern appears in the Pattern drop-list on the Pattern tab of the Material Properties dialog box.
• To change the default location of pattern files, click the File Locations button [image] in the Pattern drop-list in the Material Properties dialog box. For more information about setting file locations, see "Setting file locations."


Using textures

You can paint, draw, or fill with a texture to create the effect of a textured canvas or paper. You can use textures with the current color, gradient, or pattern for foreground and background strokes or fills. Corel Paint Shop Pro Photo includes many textures you can choose from, such as clouds, cracked cement, and old paper. You can also create your own textures from an image.

For information about the difference between patterns and textures, see "Using patterns."

To apply the current texture

• On the Materials palette, click the Texture button [image] on the Foreground and Stroke Properties box or the Background and Fill Properties box.
The most recently chosen texture becomes active.

To choose a texture

1. On the Materials palette, do one of the following:
• To choose a foreground texture, click the Foreground and Stroke Properties box.
• To choose a background texture, click the Background and Fill Properties box.
The Material Properties dialog box appears.
2. Mark the Texture check box.
3. Click the Texture drop-list to view thumbnails of the available patterns and choose a texture.
4. Adjust the following controls for the texture:
• Angle — specifies the angle (or direction) of the texture, from 0 to 359 degrees
• Scale — specifies the scale (from 10% to 250%) of the image’s actual size. At smaller values, the image is repeated more frequently throughout the texture. At larger values, the image may be cropped or may lose detail and become blurry.
As you adjust these controls, the Current preview box displays the resulting material (the style plus the texture).
5. Click OK.

You can also |
Change the style of the material | Click the Color, Gradient, or Pattern tab and adjust these controls.
Access recently used materials | Right-click in a properties box on the Materials palette to open the Recent Materials dialog box.
Apply the current materials to all tools | On the Materials palette, mark the All tools check box. If you unmark this check box, the current materials are applied to the active tool only.

• You can apply strokes or fills multiple times to gradually darken and fill in the texture.
• You can also change the angle of the texture by dragging the control needle on the texture in the Material Properties dialog box.

To save an image as a texture

1. Create an image in Corel Paint Shop Pro Photo or another application.
2. Save the image as a BMP file in the Textures folder of the Corel Paint Shop Pro Photo program folder or in the My Document/My PSP Files/Textures folder.
The texture appears in the Texture drop-list in the Material Properties dialog box.
• The Texture drop-list displays all the available files in the Textures folder of the Corel Paint Shop Pro Photo program folder. You can also include TEX files from previous versions of Paint Shop Pro in this folder.
• To change the default location of texture files, click the File Locations button [image] in the Texture drop-list in the Material Properties dialog box. For more information about setting file locations, see "Setting file locations."


Working with swatches

Swatches are styles or materials created from colors, gradients, patterns, or textures that you can save to use again. Swatches offer a way to save your favorite colors, styles, and materials so that you can access them quickly when you are working on projects.

You can select, create, edit, delete, and rename swatches. You can also change the way swatches are displayed.

To create a swatch

1. On the Materials palette, click the Swatches tab [image].
2. Click the Create New Swatch button [image].
3. Type a name for the swatch.
This name appears as a ToolTip when you hold the cursor over the swatch on the Materials palette.
4. Press Enter.
The Material Properties dialog box appears.
5. Select the style (color, gradient, or pattern) and the texture for the material.
6. Click OK.
• You can also click the More Options button [image] on the Swatches tab of the Materials palette, and then choose New Swatch.

To select a swatch

1. On the Materials palette, click the Swatches tab [image].
2. Do one of the following:
• To select a swatch as the foreground material, click the swatch.
• To select a swatch as the background material, right-click the swatch.

To edit a swatch

1. On the Materials palette, click the Swatches tab [image].
2. Double-click the swatch you want to edit.
The Material Properties dialog box appears.
3. Edit the style (color, gradient, or pattern) or the texture for the material.
4. Click OK.
• You can also click the swatch, click the More Options button [image], and then choose Edit Swatch.

To delete a swatch

1. On the Materials palette, click the Swatches tab [image].
2. Click the swatch you want to delete.
3. Click the Delete Swatch button [image].
• You can also click the More Options button [image], and choose Delete Swatch.

To rename a swatch

1. On the Materials palette, click the Swatches tab [image].
2. Click the swatch you want to rename.
3. Click the More Options button [image], and choose Rename Swatch.

To change how swatches are displayed

• On the Materials palette, click the Swatches tab [image], and perform a task from the following table.

To | Do the following
Select which swatch types are displayed | Click the All button [image] , and choose Colors [image] , Gradients [image] , or Patterns [image] . You can also click the More Options button [image] , choose View, and then choose the swatch type to display.
Change how swatches are sorted | Click the More Options button [image] , choose Sort By, and then choose Style or Name. By default, the swatches are sorted by style.
Change swatch thumbnail sizes | Click the More Options button [image] , and choose Small Thumbnails, Medium Thumbnails, or Large Thumbnails. Medium thumbnails are displayed by default.


Applying effects

Corel Paint Shop Pro Photo has many special effects that you can apply to your images, including 3D, artistic, illumination, reflection, and photographic effects. You can also add frames to your images, paint with images, or warp image areas to create unique effects.

In this section, you’ll learn about

• choosing effects
• applying 3D effects
• applying Art Media effects
• applying Artistic effects
• applying environment maps and bump maps
• applying Distortion effects
• using the Displacement Map effect
• applying Edge effects
• applying Geometric effects
• applying Illumination effects
• applying Image effects
• applying Photo Effects
• creating vintage-style photos with the Time Machine
• applying film and filter effects to photos
• applying Reflection effects
• applying Texture effects
• adding picture frames to images
• creating your own effects
• combining images
• using the Picture Tube tool
• warping images
• working with deformation maps


Choosing effects

You can choose effects by using the Effects menus or the Effect Browser.

You can customize most effects by adjusting their settings in dialog boxes. The dialog boxes for applying effects contain several common features:

• The Before pane shows the original image, and the After pane lets you preview the image with the current settings applied.
• The Presets drop-list is set by default to Last Used. Presets let you apply the same settings to multiple images.

To save and load your own presets for effects, see "Using and creating presets."

An example of a dialog box for an effect. Note that the preset has been changed from the default preset of Last Used.

Using the Effect Browser

You can use the Effect Browser when you want to preview multiple effects before applying them to your image. The Effect Browser displays the presets that come with Corel Paint Shop Pro Photo as well as any that you create.

To display the thumbnail previews that you see in the Effect Browser, Corel Paint Shop Pro Photo applies an effect’s default preset and any presets that you saved to the image. The preset is saved as a script in the file format for Corel Paint Shop Pro Photo (PspScript).

The Effect Browser

To choose an effect from the Effects menu

1. From the Effects menu, choose an effect category, and choose an effect. (For example, choose Effects [image] Distortion Effects [image] Twirl.)
For most effects, a dialog box appears.
2. Specify the desired settings, or choose a preset from the Presets drop-list.
You can preview the effect in the After pane.
Presets are not available for all effects.
3. Click OK.

You can also |
Save settings for reuse | Click the Save Preset button [image] , type a name in the Preset Name box, and click OK.
Reset settings to default values | From the Presets drop-list, choose Default.
Limit an effect to a specific area | Make a selection before choosing the effect. For information about creating selections, see "Creating selections."

To choose an effect from the Effect Browser

1. Choose Effects [image] Effect Browser.
The Effect Browser appears.
2. From the hierarchical list in the left pane, do one of the following:
• To preview all effects applied to the image, click the Presets folder.
• To preview an effect category, click a subfolder of the Effects folder (for example, 3D Effects, Artistic Effects, or Photo Effects).
Corel Paint Shop Pro Photo scans the selected folder and creates thumbnails of the image with each effect preset applied to it.
3. Click a thumbnail image to choose an effect preset.
4. Click Apply.

You can also |
Modify the selected preset | Click Modify, and adjust the settings in the dialog box for the effect. Note: This button is unavailable for effects that cannot be adjusted.
Resize the thumbnail preview | Choose File [image] Preferences [image] General Program Preferences, and click Display and Caching along the left side. In the Effects browser thumbnails group box, set a value in the Size (Pixels) control.
Limit an effect to a specific area | Make a selection before choosing the effect. For information about creating selections, see "Creating selections."

• The thumbnail previews displayed in the Effect Browser for a given effect include the default preset and any presets that you have saved. Presets are saved as script files (with a .PspScript filename extension) and are located in the Presets folder of the main program folder. You can change the location for storing preset files. For information about changing where preset files for effects are stored, see "To change file locations for a resource."


Applying 3D effects

You can create images or selections that appear to have three dimensions by using the 3D effects. These effects are particularly useful for Web page images.

Buttonize

You can use the Buttonize effect to simulate square or rectangular buttons created from any selection, layer, or flattened image. With this effect, a 3D border is applied to makes the image or selection appear raised. You can access the Buttonize dialog box by choosing Effects [image] 3D Effects [image] Buttonize.

The Buttonize dialog box contains the following controls:

• Height — specifies the height of the button in pixels
• Width — specifies the width of the button in pixels
• Opacity — specifies the opacity of the shading applied to the edges of the button
• Transparent — produces a rounded effect by applying soft shading to the edges of the button
• Solid — produces sharp, distinct edges by applying a solid color to the edges of the button. To create a button with a colored edge, you can select the solid color before choosing the Buttonize command.
• Color — lets you apply a specific color to the edges of the button. You can click the color box to choose a color from the Color dialog box, or right-click the color box to choose a color from the Recent Colors dialog box.

Chisel

The Chisel effect adds a three-dimensional border around a selection or layer to make it appear as though it were cut out of stone. You can make the chiseled area transparent, allowing the underlying colors to show through, or you can create the chiseled area be from the background color. You can access the Chisel dialog box by choosing Effects [image] 3D Effects [image] Chisel.

The Chisel dialog box contains the following controls:

• Size — sets the size of the chiseled area in pixels
• Transparent — allows the underlying colors to show through
• Solid color — makes the chiseled area a solid color
• Color — lets you choose a background color for the chiseled area. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Cutout

The Cutout effect creates the illusion that part of the image has been removed, allowing you to see through the image to a lower level.

Although a selection is not required, you can select part of the image before applying this effect. You can access the Cutout dialog box by choosing Effects [image] 3D Effects [image] Cutout.

The Cutout dialog box contains the following controls:

• Vertical — determines the vertical position of the interior and outline. Increase the setting to move the interior toward the bottom of the image, and decrease the setting to move the interior toward the top.
• Horizontal — determines the horizontal position of the interior and outline. Increase the setting to move the interior toward the right, and decrease the setting to move the interior toward the left.
• Opacity — controls the shadow’s opacity
• Blur — sets the shadow’s blur. As you increase the blur level, the shadow widens and its edges soften.
• Shadow color — lets you choose a shadow color. You can click the color box to choose a color from the Color dialog box, or right-click the color box to choose a color from the Recent Colors dialog box.
• Fill interior with color — fills the interior with the currently selected color. To choose a different color, you can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box. When unmarked, this check box fills the cutout with the image.

Drop Shadow

The Drop Shadow effect adds a shadow behind the current selection. It is most often used to give text a three-dimensional appearance.

To add a drop shadow to the entire image, you must first create white space around the image. You can do this by choosing the Add Borders command or the Canvas Size command from the Image menu. You can access the Drop Shadow dialog box by choosing Effects [image] 3D Effects [image] Drop Shadow.

The Drop Shadow dialog box contains the following controls:

• Vertical — determines the height of the shadow. You can also set the height by dragging the crosshair end of the offset indicator line in the left side of the dialog box.
• Horizontal — determines the width of the shadow. You can also set the width by dragging the crosshair end of the offset indicator line in the left side of the dialog box.
• Opacity — determines the shadow’s opacity. As this value decreases, the drop shadow fades.
• Blur — determines the blur of the shadow
• Color — lets your choose the color of the drop shadow. You can click the color box to choose a color from the Color dialog box, or right-click the color box to choose a color from the Recent Colors dialog box.
• Shadow on new layer — places the drop shadow on a separate raster layer

Inner Bevel

You can apply the Inner Bevel effect to give a 3D appearance to the inside edges of a selection, or to an object surrounded by a transparency. This effect does not increase the size of the object. When you use the Inner Bevel effect, you can set the options yourself, use one of the preset effects included with the program, or start with a preset effect and then modify its settings.

The Inner Bevel command is available when an image has a transparent background, has a colored background that contains a selection, or has a colored background and a layer. If a layer does not contain a selection or transparent area, the effect is applied to the edges of the layer. You can promote a selection, paste a selection as a new layer, or use the Eraser Tool to create a layer with transparency. You can access the Inner Bevel dialog box by choosing Effects [image] 3D Effects [image] Inner Bevel.

The Inner Bevel dialog box contains the following controls:

• Bevel — specifies the bevel shape
• Width — specifies the width in pixels
• Smoothness — controls the slope (sharpness) and thickness of the edge. As this value increases, the edges become more rounded. As it decreases, the edges appear thinner and steeper.
• Depth — controls the height of the edge. As the this value increases, the edge becomes more pronounced.
• Ambience — adjusts the overall brightness of the image
• Shininess — determines how reflective the surface appears. A higher value produces a glossy image and makes the highlights more evident. A lower value makes the highlights diminish.
• Color — determines the color of the light shining on the image. To change the light color, you can click a color in the image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Intensity — adjusts the brightness of the directional light. Note that the Ambience value determines the brightness of the entire image before the Intensity value is applied.
• Elevation — shows the angle of elevation of the light source above the image. At a setting of 90 degrees, the light source is positioned directly overhead. As you lower the value, the light source moves closer to the image, producing longer shadows.

Outer Bevel

The Outer Bevel effect gives a selection a three-dimensional look by creating the appearance of raised edges. It expands the size of the selection by the width of the bevel.

You must first make a selection in the image before choosing the Outer Bevel command from the Effects menu. You can access the Outer Bevel effect dialog box by clicking Effects [image] 3D Effects [image] Outer Bevel.

The Outer Bevel dialog box contains the following controls:

• Bevel — specifies the bevel shape
• Width — specifies the width of the beveled edge in pixels
• Smoothness — controls the slope (sharpness) and thickness of the edge. As this value increases, the edges become more rounded. As it decreases, the edges appear thinner and steeper.
• Depth — controls the height of the edge. As this value increases, the edge becomes more pronounced.
• Ambience — adjusts the overall brightness of the image
• Shininess — determines how reflective the surface appears. A higher value produces a glossy image and makes the highlights more evident. A lower value makes the highlights diminish.
• Color — determines the color of the light shining on the image. To change the light color, you can click a color in the image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Intensity — adjusts the brightness of the directional light. Note that the Ambience value determines the brightness of the entire image before the Intensity value is applied.
• Elevation — shows the angle of elevation of the light source above the image. At a setting of 90 degrees, the light source is positioned directly overhead. As you lower the value, the light source moves closer to the image, producing longer shadows.


Applying Art Media effects

You can apply Art Media effects to make an image look painted or drawn. You can simulate the use of traditional art media, including with pencil, charcoal, and chalk.

Black Pencil

The Black Pencil effect is similar to the Charcoal effect, but it uses thinner strokes and produces a more detailed image. You can access the Black Pencil dialog box by choosing Effects [image] Art Media Effects [image] Black Pencil.

The Black Pencil dialog box contains the following controls:

• Detail — controls the number and darkness of the strokes
• Opacity — controls the strength of the effect. As the value increases, the image displays more of the effect and less of its original appearance.

Brush Strokes

The Brush Strokes effect makes your image look like an oil or watercolor painting. You can access the Brush Strokes dialog box by choosing Effects [image] Art Media Effects [image] Brush Strokes.

The Brush Stroke dialog box contains the following controls:

• Softness — determines the amount of blur in the image
• Bristles — specifies the number of bristles in the brush
• Width — controls the width of the brush
• Opacity — determines the strength of the effect
• Length — specifies the length of the brush strokes
• Density — specifies the number of strokes in the image
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Color — lets you choose a color for the light shining on the edges of the forms. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Charcoal

The Charcoal effect is similar to the Black Pencil effect, but the thicker strokes produce an image containing less detail. You can access the Charcoal dialog box by choosing Effects [image] Art Media Effects [image] Charcoal.

The Charcoal effect dialog box contains the following controls:

• Detail — controls the number and darkness of the strokes
• Opacity — controls the strength of the effect. As the Opacity value increases, the image displays more of the effect and less of its original appearance.

Colored Chalk

The Colored Chalk effect uses the colors in the image to make the image appear drawn in colored chalk. Wider strokes appear with this effect than with the Colored Pencil effect.

Corel Paint Shop Pro Photo contains a Chalk brush in its selection of custom brushes. When you apply paint with the Chalk brush, the effect is similar to the Colored Chalk effect. You can access the Colored Chalk dialog box by choosing Effects [image] Art Media Effects [image] Colored Chalk.

The Colored Chalk dialog box contains the following controls:

• Detail — controls the number and darkness of the strokes
• Opacity — controls the strength of the effect. As the Opacity value increases, the image displays more of the effect and less of its original appearance.

Colored Pencil

The Colored Pencil effect uses the colors in the image to make it appear drawn in colored pencil. The effect is similar to the Colored Chalk effect, but it uses thinner strokes. You can access the Colored Pencil dialog box by choosing Effects [image] Art Media Effects [image] Colored Pencil.

The Colored Pencil dialog box contains the following controls:

• Detail — controls the number and darkness of the strokes
• Opacity — controls the strength of the effect. As the Opacity value increases, the image displays more of the effect and less of its original appearance.

Pencil

The Pencil effect enhances and colors the edges in the image to make the image look like a pencil drawing. You can access the Pencil dialog box by choosing Effects [image] Art Media Effects [image] Pencil.

The Pencil dialog box contains the following controls:

• Luminance — adjusts the overall brightness of the image
• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Color — lets you choose a color for the background, or non-edge area, of the image. To change the light color, you can click a color in the image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Intensity — controls the contrast between the background and the edges. As you increase the contrast, more detail appears.


Applying Artistic effects

You can apply Artistic effects to age a photograph or to create a variety of artistic results. Balls and Bubbles, Colored Foil, and Solarize are among the effects included in this group.

Aged Newspaper

The Aged Newspaper effect applies a warm brown tone and blurs the image so that it resembles a newspaper that has yellowed with age. This effect works best with images that contain text.

For best results, you should convert your image into grayscale and then increase the color depth to 16 million colors before applying this effect. You can access the Aged Newspaper dialog box by clicking Effects [image] Artistic Effects [image] Aged Newspaper.

The Aged Newspaper dialog box contains the following control:

• Amount to Age — lets you select the intensity of the effect by dragging the slider or typing a number in the box. Values range from 10% to 100%.

Balls and Bubbles

The Balls and Bubbles effect lets you create sophisticated multilayered spherical objects. You can user environment maps and bump maps with this effect. For more information, see "Applying environment maps and bump maps." You can access the Balls and Bubbles dialog box by choosing Effects [image] Artistic Effects [image] Balls and Bubbles.

The Balls and Bubbles dialog box has four tabs: Shape, Surface, Maps, and Illumination.

The Shape page contains the following controls:

• Automatic multiple balls or bubbles — applies an assortment of bubbles to your image. This option also lets you specify the coverage, average size, size variation, and type of the bubbles.
• Coverage — determines how much of the canvas is filled with bubbles or balls
• Average size — sets a standard size for the bubbles or balls
• Size variation — determines how dissimilar in size the largest and smallest bubbles can be. A value of 0 forces all the bubbles to be uniform. A value of 100 allows the bubbles be as random as possible.
• Balls or Bubbles type — lets you choose non-intersecting, intersecting, or overlapping balls and bubbles
• Randomize — randomly sets the size and placement of the bubbles
• Seed — determines the strength of the effect
• Single ball or bubble — applies a single ball or bubble instead of multiple ones
• Maximum possible size — makes a single ball or bubble the largest possible size. You can choose another size by dragging a bounding box in the Before pane.

The Surface page contains the following controls:

• Material — lets you choose the color, gradient, and pattern for the surface material of the balls and bubbles. You can combine each of these elements with choices from the Textures panel of the Material Properties dialog box. Note that when you select the Textures option, the material becomes semitransparent.
• Opacity — sets the maximum opacity for the object. The default is 15% for bubbles. A solid object would have a setting of 100%.
• Shininess — determines how the light is absorbed or reflected from the surface. This control interacts with the setting for the Gloss control.
• Gloss — determines how the light is absorbed or reflected from the surface. This control interacts with the setting for the Shininess control.

The Maps page contains the following controls:

• Bump map — lets you add surface texture to your balls and bubbles by activating the bump map controls
• Smoothness — determines the smoothness of the effect
• Depth — determines the depth of the effect. The greater the value, the more recessed the black areas on the map appear and the more raised the white areas appear. Negative values reverse this effect.
• Fit bump map — automatically resizes the map to wrap around the sphere. You can unmark the check box to change the size of the map.
• Size — lets you set the size of the map when the Fit bump map check box is unmarkedEnvironment map check box — lets you add surface details to your balls and bubbles by activating the environment map controls
• Opacity — controls the strength of the effect. As the opacity increases, the image displays more of the effect and less of its original appearance.
• Environment map option and swatch — let you choose an image from the Environment Maps folders or the current image
• Current image — wraps the current image around the spherical objects
• Type — sets randomness of the origins, direction, and paths of the bands

The Illumination page contains the following controls:

• Maximum — sets the maximum value for the overall lighting of the object
• Minimum — sets the minimum value for the overall lighting of the object
• Add and Remove buttons and Lights menu — let you add or remove individual lights. By default, a single light with a highlight appears just above and to the left of the center.
• Position — lets you move the focus of the light by clicking on the highlight and dragging it to a new location
• Back light — redirects the light so that it comes from behind the object. You can drag back lights, but they are visible only around the perimeter of the sphere.
• Bubble light — scatters the illumination as though it were passing through a semitransparent object. This option is available only when the Opacity setting is less than 100%.
• Color — lets you choose the color for each light. The default color is white.
• Highlight size — lets you control the size of each highlight

Chrome

The Chrome effect gives an image a metallic look. It works best with images that have distinct areas of contrast. You can access the Chrome dialog box by choosing Effects [image] Artistic Effects [image] Chrome.

The Chrome dialog box contains the following controls:

• Flaws — sets the number of creases, or folds. Each fold is a transition between light and dark areas.
• Brightness — sets the brightness of the chrome
• Use original color — applies the image’s color for the chrome
• Color — makes the chrome a uniform color. You can choose a color by unmarking the Use original color check box, and then clicking the color box to access the Color dialog box. You can also right-click the color box to access the Recent Color dialog box. The default color is white.

Colored Edges

The Colored Edges effect makes an image look retouched by enhancing and coloring its edges. You can access the Colored Edges dialog box by choosing Effects [image] Artistic Effects [image] Colored Edges.

The Colored Edges dialog box contains the following controls:

• Luminance — adjusts the overall brightness of the image
• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Color — lets you choose a color for the edges. To change the edge color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Intensity — controls the intensity of the effect. As you increase the value, more edges are colored, and more color is applied to the edges.

Colored Foil

The Colored Foil effect adds a sculpted look to the edges and applies several colors to an image. You can access the Colored Foil dialog box by choosing Effects [image] Artistic Effects [image] Colored Foil.

The Colored Foil dialog box contains the following controls:

• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Detail — controls the amount of the effect applied. As you increase the value, color is applied to more areas of contrast.
• Color — lets you choose a color for the light shining on the image. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.

Contours

The Contours effect reproduces the look of a topographical map by covering the image with contour lines. You can access the Contours dialog box by choosing Effects [image] Artistic Effects [image] Contours.

The Contours dialog box contains the following controls:

• Luminance — adjusts the overall brightness of the image
• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Detail — controls where the color is applied. As you increase the value, the color is applied to more areas of contrast.
• Intensity — controls the amount of color applied to each area. As you increase the value, more color is applied.
• Color — lets you choose a color for the contour lines. To change the color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Enamel

The Enamel effect applies the look of a shiny, hard surface to the image. You can access the Enamel dialog box by clicking Effects [image] Artistic Effects [image] Enamel.

The Enamel dialog box contains the following controls:

• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Detail — controls the scale of the relief. Low values produce fewer levels of relief and a softer, less defined effect.
• Density — controls the number of areas of relief. Low values produce fewer larger areas and a softer look. Higher values add relief to smaller areas, producing a denser effect.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Color — lets you choose a color for the light shining on the edges of the forms. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to open the Recent Colors dialog box.

Glowing Edges

The Glowing Edges effect makes the image appear to have been created from neon tubes. The edges in an image become brightly colored, while the remaining portions turn black. You can access the Glowing Edges dialog box by choosing Effects [image] Artistic Effects [image] Glowing Edges.

The Glowing Edges dialog box contains the following controls:

• Intensity — sets the brightness of the edges. As you increase the value, more edges are displayed, and they become brighter.
• Sharpness — controls the tightness of the edges. As you increase the value, the edges narrow and become more defined.

Halftone

The Halftone effect applies a series of dots to the image, rather than a continuous tone. Halftone images can be printed easily and are therefore typically used in newspapers and magazines. Corel Paint Shop Pro Photo lets you choose different sizes, colors, and shapes for the Halftone effect. Larger dots produce darker, more dense areas of the image, whereas smaller dots produce lighter areas. You can access the Halftone dialog box by choosing Effects [image] Artistic Effects [image] Halftone.

The Halftone dialog box contains the following controls:

• Halftone pattern — lets you choose a line, round, or square pattern
• Size — lets you choose a size for the pattern cell
• Screen angles — lets you choose the angles for the screen. In the case of a grayscale image, you can choose only one angle. For an RGB image, you can choose an angle for each color channel.
• Use as overlay — lets you adjust the strength of the effect and apply blending
• Blend mode — lets you choose from a wide variety of blending effects
• Opacity — controls the strength of the effect. As the opacity increases, the image displays more of the effect and less of its original appearance.
• RGB — processes the red, green, and blue channels independently
• Greyscale — lets you choose pattern and background colors
• Ink — lets you choose the color for the pattern
• Background — lets you the choose the color of the background
• Transparent — makes the original image visible in the effect background. Unmark this check box if you want to choose a color for the background.

Hot Wax Coating

The Hot Wax Coating effect makes the image appear coated in a layer of hot wax. The current Foreground/Stroke color is used for the wax. You can access the Hot Wax Coating dialog box by choosing Effects [image] Artistic Effects [image] Hot Wax Coating.

Magnifying Lens

The Magnifying Lens effect lets you bring attention to a portion of your image by placing a magnifying lens over it. You can user environment maps and bump maps with this effect. For more information, see "Applying environment maps and bump maps."

The Magnifying Lens dialog box has four tabs: Shape, Properties, Illumination, and Frame. You can access the Magnifying Lens dialog box by clicking Effects [image] Artistic Effects [image] Magnifying Lens.

The Shape page contains the following controls:

• Magnification — sets the strength of the magnification
• Refraction — controls the degree of refractive distortion
• Defocus — blurs the magnified image
• Darkness — sets the darkness of the image surrounding the magnified frame
• Spherical — uses a round magnifying lens
• Cylindrical vertical — uses a cylindrical lens to produce a magnified image that is wider than it is long
• Cylindrical horizontal — uses a cylindrical lens to produce a magnified image that is longer than it is wide

The Properties page contains the following controls:

• Material swatch — lets you choose the colors, gradients, and patterns for the surface material of the magnified image. You can combine each of these elements with choices from the Textures panel of the Material Properties dialog box. Note that when you select the Textures option, the material becomes semitransparent.
• Opacity box in the Material panel — sets the maximum opacity for the surface material. At higher values, you can see more of the material and less of the original image.
• Shininess — determines how the light is absorbed or reflected from the surface. This control interacts with the setting for the Gloss control.
• Gloss — determines how the light is absorbed or reflected from the surface. This control interacts with the setting for the Shininess control.
• Environment map check box — lets you add surface details to your magnified image by activating the Environment map controls
• Opacity box in the Environment Map panel — sets the opacity of the environment map that covers the magnified image. Higher values let you see more of the environment map.
• Current image — uses the current image as an environment map
• Environment map option and swatch — let you choose an image from the Environment Maps folders

The Illumination page contains the following controls:

• Maximum — sets the maximum value for the overall lighting of the object
• Minimum — sets the minimum value for the overall lighting of the object
• Add and remove buttons and Lights menu — let you add or remove individual lights. By default, a single light with a highlight appears just above and to the left of the center.
• Position — lets you move the focus of the light by clicking on the highlight and dragging it to a new location
• Back light — redirects the light so that it comes from behind the object. You can drag back lights, but they are visible only around the perimeter of the sphere.
• Color — lets you choose the color for each light. The default color is white.
• Highlight size — lets you control the size of each highlight

The Frame page contains the following controls:

• Circular — provides a curved frame edge
• Rounded square — provides a rounded square frame edge
• Thickness — specifies the thickness of the frame
• Material — lets you choose the material for the frame
• Color — lets you choose the color for the frame

Neon Glow

The Neon Glow effect gives an image a three-dimensional appearance by applying a neon effect and heightening the contrast of the edges. You can access the Neon Glow dialog box by choosing Effects [image] Artistic Effects [image] Neon Glow.

The Neon Glow dialog box contains the following controls:

• Detail — controls the number of colors and the brightness of colors. Increasing the detail level increases the number of strokes and the strength of the contrast between light and dark areas.
• Opacity — controls the strength of the effect. As the opacity increases, the image displays more of the effect and less of its original appearance.

Posterize

The Posterize effect reduces the number of bits for each color channel, which decreases the number of colors and levels of lightness in the image or selection. The result is a flatter-looking image that has bands of color rather than smooth gradients. You can access the Posterize dialog box by choosing Effects [image] Artistic Effects [image] Posterize.

The Posterize dialog box has the following control:

• Levels — divides the range of lightness levels (from 2 to 255) into a chosen number of equal increments. As the number of levels decreases, the image or selection appears flatter.

Solarize

The Solarize effect lets you convert all colors in an image or selection above a specific lightness value into their inverse on the scale from 0 to 255. The threshold level is the lightness value above which all colors are inverted. You can access the Solarize dialog box by choosing Effects [image] Artistic Effects [image] Solarize.

The Solarize dialog box contains the following control:

• Threshold — sets the threshold level. As the level increases, increasingly lighter colors are inverted.

Topography

The Topography effect gives an image a three-dimensional look so that the image appears to have been created from a system of terraces. You can access the Topography dialog box by choosing Effects [image] Artistic Effects [image] Topography.

The Topography dialog box contains the following controls:

• Width — controls the size of each terrace or layer
• Density — sets the number of terraces
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Color — lets you choose a color for the light shining on the sides of the terraces. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.


Applying environment maps and bump maps

When using the Balls and Bubbles effect or the Magnifying Lens effect, you can apply optional environment maps or bump maps. An environment map lets you add reflections, surface detail, and nuances. A bump map treats the source image like a three-dimensional surface, in which pixel luminance values determine height.

To apply an environment map

1. Choose Effects [image] Artistic Effects, and select one of the following effects:
• Balls and Bubbles
• Magnifying Lens
2. Do one of the following:
• In the Balls and Bubbles Effect dialog box, click the Maps tab.
• In the Magnifying Lens Effect dialog box, click the Properties tab.
3. Mark the Environment map check box.

To apply a bump map

1. Choose Effects [image] Artistic Effects [image] Balls and Bubbles.
The Balls and Bubbles Effect dialog box appears.
2. Click the Maps tab.
3. Mark the Bump map check box.


Applying Distortion effects

You can apply Distortion effects to an image and produce interesting results. Curlicues, Pixelate, and Warp are examples of effects that let you distort your image.

Curlicues

The Curlicues effect turns an image into a series of rows and columns composed of curls. You can access the Curlicues dialog box by choosing Effects [image] Distortion Effects [image] Curlicues.

The Curlicues dialog box contains the following controls:

• Number of columns— sets the number of curls in each row
• Number of rows — sets the number of curls in each column. If the number of columns is set at 5 and the number of rows is set at 4, then each of the four rows will have five curlicues.
• Symmetric — links the Rows and Columns values so that changing one changes the other. Unmark this check box if you want an equal number of rows and columns.
• Radius (%) — sets the radius of the curls. This value is a percentage of the smallest dimension — either the column width or the row height.
• Strength — controls the amount of rotation of each curl
• Clockwise — sets the direction of the curls

Displacement Map

You can warp, or displace, one image based on the contents of another image. For information about using the Displacement Map effect, see "Using the Displacement Map effect."

Lens Distortion

The Lens Distortion effect simulates barrel, fisheye, or pincushion distortion in an image. You can access the Lens Distortion dialog box by choosing Effects [image] Distortion Effects [image] Lens Distortion.

The Lens Distortion dialog box contains the following controls:

• Horizontal (%) — positions the center of the distortion horizontally in the image. Increasing the value moves the center of the distortion to the right. Decreasing the value moves the center of the distortion to the left.
• Vertical (%) — positions the center of the distortion vertically in the image. Increasing the value moves the center of the distortion toward the bottom. Decreasing the value moves the center of the distortion toward the top.
• Distortion type — lets you specify whether to choose Barrel, Fisheye, Fisheye (Spherical), or Pincushion distortion.
• Strength — determines the strength of the Barrel or Pincushion effects
• Field of view — determines the strength of the Fisheye or Fisheye (Spherical) effect
• Wrap — makes the image appear as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Pinch

The Pinch effect is a deformation that makes the image or selection appear pinched by pushing the contents in toward the center. You can access the Pinch dialog box by choosing Effects [image] Distortion Effects [image] Pinch.

The Pinch dialog box contains the following control:

• Strength (%) — determines how much of the image is pushed toward the center

Pixelate

The Pixelate effect divides an image into rectangles or squares of a specified size. You can access the Pixelate dialog box by choosing Effects [image] Distortion Effects [image] Pixelate.

The Pixelate effect dialog box contains the following controls:

• Block width — sets the width of the blocks in pixels
• Block height — sets the height of the blocks in pixels
• Symmetric — creates square blocks. You can create rectangular blocks by clearing the check box.

Polar Coordinates

The Polar Coordinates effect changes pixels by mapping them from Cartesian to polar coordinates, or from polar to Cartesian coordinates. You can access the Polar Coordinates dialog box by choosing Effects [image] Distortion Effects [image] Polar Coordinates.

The Polar Coordinates dialog box contains the following controls:

• Rectangular to polar — maps pixels from Cartesian to polar coordinates
• Polar to rectangular — maps pixels from polar to Cartesian coordinates
• Wrap — makes the image appear as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Punch

The Punch effect is a deformation that makes an image or selection appear punched out from behind so that the contents in the center expand toward the outer edges. You can access the Punch dialog box by choosing Effects [image] Distortion Effects [image] Punch.

The Punch dialog box contains the following control:

• Strength (%) — determines how much of the image is pushed out toward the edges

Ripple

The Ripple effect is a deformation that creates concentric rings similar to those produced by dropping a pebble in water. You can access the Ripple dialog box by choosing Effects [image] Distortion Effects [image] Ripple.

The Ripple dialog box contains the following controls:

• Horizontal — moves the central point of the ripples. The value is a percentage of the width of the image or selection. The default position, 50, corresponds to the center of the image or selection.
• Vertical — moves the central point of the ripples. The value is a percentage of the height of the image or selection. The default position, 50, corresponds to the center of the image or selection.
• Amplitude — controls the amplitude of each ripple, or the distance from the trough to the crest
• Wavelength — controls the distance from the crest of one ripple to the crest of the next
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Spiky Halo

The Spiky Halo effect is a deformation that you can use to create a radical pattern of waves or ripples. You can access the Spiky Halo dialog box by choosing Effects [image] Distortion Effects [image] Spiky Halo.

The Spiky Halo dialog box contains the following controls:

• Horizontal — moves the central point of the ripples. The value is a percentage of the width of the image or selection. Negative values move the halo to the left, and positive values move the halo to the right.
• Vertical — moves the central point of the ripples. The value is a percentage of the height of the image or selection. Negative values move the halo up, and positive values move the halo down.
• Amplitude — sets the apparent height of the waves. Lower values produce smoother ripples.
• Frequency — sets the number of rays for each quarter-circle
• Radius — sets the distance of the waves from the center. Lower numbers cause the waves to begin closer to the center.
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent —makes out-of-bounds pixels transparent (available only with layered images)

Twirl

The Twirl effect distorts an image by twisting or whirling it around its center. You can twirl an image up to two rotations in either direction. You can access the Twirl dialog box by choosing Effects [image] Distortion Effects [image] Twirl.

The Twirl dialog box has the following control:

• Degrees — sets the direction and amount of twirl. Dragging to the right creates a clockwise twirl; dragging to the left creates a counter-clockwise twirl.

Warp

The Warp effect makes a circular area of the image appear at a higher or lower zoom level. The area is distorted as if viewed through a convex or concave lens. You can access the Warp dialog box by choosing Effects [image] Distortion Effects [image] Warp.

The Warp dialog box has the following controls:

• Horizontal — moves the central point of the warp horizontally. The value is a percentage of the width of the image or selection. Negative values move the center to the left, and positive values move the center to the right.
• Vertical — moves the central point of the warp vertically. The value is a percentage of the height of the image or selection. Negative values move the center up, and positive values move the center down.
• Size — sets how far the effect continues from the center. The value is a percentage of the image size. As you lower the number, less of the image appears distorted.
• Strength — sets the level of the distortion. Positive values make the distorted image area appear closer, and negative values make it appear farther away.

Wave

The Wave effect distorts an image by creating undulating lines. You can determine the amount of distortion by setting the size of the wave. You can access the Wave dialog box by choosing Effects [image] Distortion Effects [image] Wave.

The Wave dialog box contains the following controls:

• Amplitude (in the Horizontal displacement group box) — sets the distance from the trough to the crest for horizontal ripples
• Amplitude (in the Vertical displacement group box) — sets the distance from the trough to the crest for vertical ripples
• Wavelength (in the Horizontal displacement group box) — sets the distance from the crest of one horizontal ripple to the crest of the next
• Wavelength (in the Vertical displacement group box) — sets the distance from the crest of one vertical ripple to the crest of the next
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Wind

The Wind effect blurs an image to make it look as though it has been blown by wind coming from either the left or the right. You can access the Wind dialog box by choosing Effects [image] Distortion Effects [image] Wind.

The Wind dialog box contains the following controls:

• Wind direction group box — lets you choose From Left or From Right for the wind direction
• Wind strength — controls the strength of the deformation. Increasing the strength increases the blurriness of the image.


Using the Displacement Map effect

You can warp, or displace, one image (the displacement map) based on the contents of another image (the source image). For example, you can apply text to an image that depicts something with an uneven surface, making it look like the text was there all along.

To apply a displacement map

1. Open the images you want to use as the displacement map and the source image.
2. Make the source image the active image.
3. Choose Effects [image] Distortion Effects [image] Displacement Map.
4. In the Displacement map group box, click the image drop-list, and choose an image to use as the displacement map.
If the displacement map and the source image don’t have the same dimensions, choose either the Stretch map to fit image option, or the Tile map to cover image option.
5. Type or set a value in the Blur control to set the amount of blur to apply to the displacement map.
Lower values produce jittery, pointillistic effects; higher values produce smoother warping effects.
6. In the Displacement properties group box, choose one of the following options:
• 2D offsets — uses the red and green channels to displace the image
• 3D surface — treats the source image as though it were a 3D surface in which pixel luminance values determine height
7. Type or set a value in the Intensity control to set the amount of displacement.
Lower values result in less change to the image; higher values yield greater deformation.
8. Type or set a value in the Rotation control to determine the rotation of the displacement data.
9. In the Edge mode group box, choose one of the following options to determine how to handle out-of-bounds displacement:
• Wrap — treats the image as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)
• Horizontal offset % — sets the horizontal center point of the blur
• Vertical offset % — sets the vertical center point of the blur
• Protect center % — determines how much to diminish blurring at the image center. Higher values increase the radius of the unblurred center area.
• If your image is rectangular, you can make the blurring elliptical rather than circular by marking the Elliptical check box. If the image is square, this option has no effect.


Applying Edge effects

Edge effects are applied to the edges in an image or selection. You can dilate, enhance, erode, find, and trace the edges in an image to create interesting results.

These effects work on grayscale and 16 million–color (24-bit) images only. For more information about increasing the color depth of an image, see "Increasing the color depth of an image."

Dilate

The Dilate effect enhances the light areas of an image or selection. You can access the Dilate dialog box by choosing Effects [image] Edge Effects [image] Dilate.

Enhance

The Enhance effect increases the contrast along the edges in an image. You can access the Enhance dialog box by choosing Effects [image] Edge Effects [image] Enhance.

Enhance More

The Enhance More effect applies a stronger contrast to the edges in an image than the Enhance effect does. You can access the Enhance More dialog box by choosing Effects [image] Edge Effects [image] Enhance More.

Erode

The Erode effect enhances the dark areas in an image. You can access the Erode dialog box by choosing Effects [image] Edge Effects [image] Erode.

Find All

The Find All effect enhances the contrast between light and dark in an image by darkening the image and then highlighting the edges. You can access the Find All dialog box by choosing Effects [image] Edge Effects [image] Find All.

Find Horizontal

The Find Horizontal effect enhances the contrast between light and dark in an image by darkening the image and then highlighting the horizontal edges. You can access the Find Horizontal dialog box by choosing Effects [image] Edge Effects [image] Find Horizontal.

Find Vertical

The Find Vertical effect enhances the contrast between light and dark in an image by darkening the image and then highlighting the vertical edges. You can access the Find Vertical dialog box by choosing Effects [image] Edge Effects [image] Find Vertical.

High Pass

The High Pass effect emphasizes color transitions between highlight and shadow colors. You can use it with other imaging operations to create or enhance special effects such as embossing or line-drawing effects. The High Pass effect preserves the contrast of edges and areas of high detail while leaving the rest of the image a neutral gray. You can access the High Pass dialog box by choosing Effects [image] Edge Effects [image] High Pass.

The High Pass dialog box contains the following controls:

• Radius — sets the radius of the blur effect as a percentage
• Desaturate — removes all color, leaving a gray result. The results of the High Pass effect are close to monochrome, even when this check box is unmarked. You can mark this check box, however, to prevent subtle color shifts that can occur when sharpening is applied to an image. This option works by removing any color artifacts that remain after sharpening.

Trace Contour

The Trace Contour effect traces a series of single-pixel lines around areas of contrast and turns the remaining pixels white. You can access the Trace Contour dialog box by choosing Effects [image] Edge Effects [image] Trace Contour.


Applying Geometric effects

You can change the shape or perspective of an image by applying Geometric effects. For example, you can turn an image into a sphere or cylinder, skew it, or change its vertical or horizontal perspective.

Circle

The Circle effect deforms your image or selection by turning it into a sphere. You can access the Circle dialog box by choosing Effects [image] Geometric Effects [image] Circle.

The Circle dialog box contains the following controls:

• Wrap — treats the image as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Cylinder–Horizontal

The Cylinder–Horizontal effect stretches the image or selection as though wrapping it around a horizontal cylinder. You can access the Cylinder–Horizontal dialog box by choosing Effects [image] Geometric Effects [image] Cylinder–Horizontal.

The Cylinder–Horizontal dialog box has the following control:

• Strength (%) — determines how much of the image appears wrapped

Cylinder–Vertical

The Cylinder–Vertical effect is a deformation that stretches the image or selection as though wrapping it around a vertical cylinder. You can access the Cylinder–Vertical dialog box by choosing Effects [image] Geometric Effects [image] Cylinder–Vertical.

The Cylinder–Vertical dialog box has the following control:

• Strength (%) — determines how much of the image appears wrapped

Pentagon

The Pentagon effect deforms your image or selection by turning it into a pentagon. You can access the Pentagon dialog box by choosing Effects [image] Geometric Effects [image] Pentagon.

The Pentagon dialog box contains the following controls:

• Wrap — treats the image as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Perspective–Horizontal

The Perspective–Horizontal effect creates a perspective along the horizontal axis by narrowing the left or right side of the image or selection. You can access the Perspective–Horizontal dialog box by choosing Effects [image] Geometric Effects [image] Perspective–Horizontal.

The Perspective–Horizontal dialog box contains the following controls:

• Distortion — sets the length of the shortened edge to the unchanged edge. Moving the slider to the left or typing a negative number reduces the length of the left side of the image. Moving the slider to the right or typing a positive number reduces the length of the right side of the image.
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Perspective–Vertical

The Perspective–Vertical effect creates a perspective along the vertical axis by narrowing the top or bottom of the image or selection. You can access the Perspective–Vertical dialog box by Effects [image] Geometric Effects [image] Perspective–Vertical.

The Perspective–Vertical dialog box contains the following controls:

• Distortion — sets the length of the shortened edge to the unchanged edge. Moving the slider to the left or typing a negative number reduces the length of the upper side of the image. Moving the slider to the right or typing a positive number reduces the length of the bottom side of the image.
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Skew

The Skew effect tilts an image or selection along its horizontal or vertical axis up to 45 degrees in either direction. You can access the Skew dialog box by choosing Effects [image] Geometric Effects [image] Skew.

The Skew dialog box contains the following controls:

• Horizontal — tilts the image to the left or right. Positive numbers tilt the image to the right; negative numbers tilt it to the left.
• Horizontal — tilts the image to the left or right, depending on the Skew Angle setting
• Vertical — tilts the image up or down, depending on the Skew Angle setting
• Skew Angle — sets the tilt angle. When the Horizontal option is selected, positive numbers tilt the image to the right, and negative numbers tilt it to the left. When the Vertical option is selected, positive numbers lower the left side and raise the right side, and negative numbers raise the left side and lower the right side.
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Transparent — makes out-of-bounds pixels transparent (available only with layered images)

Spherize

The Spherize effect wraps a selection or layer around a sphere. You can access the Spherize dialog box by choosing Effects [image] Geometric Effects [image] Spherize.

The Spherize dialog box contains the following controls:

• Strength — determines the strength of the effect
• Circle — wraps the selection or layer around a circular sphere
• Ellipse — wraps the selection or layer around an elliptical sphere


Applying Illumination effects

You can use an Illumination effect to apply a sunburst or spotlights to images.

These effects work on grayscale and 16 million–color (24-bit) images only. For more information about increasing the color depth of an image, see "Increasing the color depth of an image."

Lights

The Lights effect uses up to five spotlights to apply lighting to an image. You can set the intensity, direction, color, and origin of the light source. You can access the Lights dialog box by choosing Effects [image] Illumination Effects [image] Lights.

The Lights dialog box contains the following controls:

• Darkness — determines the darkness of the non-illuminated areas of the image
• Light source buttons — lets you choose the spotlights you want to apply. You can also click the light dots on the image in the Before pane.
• On — lets you turn individual spotlights on or off. To turn a spotlight off, you can click the light source button (or the spotlight in the Before pane) and then unmark the On check box.
• Color — lets you choose a color for the spotlight. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Intensity — sets the brightness of the spotlight
• Direction — sets the lighting direction. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can drag the needle, click in the circle, set or type a number in the control, or click the spotlight in the Before pane and drag its center arm.
• Horizontal — positions the light source horizontally. For each light, a value of 0 indicates the center of the image. Positive values produce movement to the right, and negative values produce movement to the left.
• Vertical — positions the light source vertically. For each light, a value of 0 indicates the center of the image. Positive values produce upward movement, and negative values produce downward movement.
• Scale — controls the size of the image area that is covered by light
• Smoothness — determines the smoothness of the transition from the light area to the dark area at the edge of the cone. At lower settings, the edge is sharp. Increasing the value produces a more gradual transition.
• Cone Size — sets the width of the light, or cone size. As you increase the size to 89, the cone widens. You can also alter the width by dragging either handle of the light source in the Before pane.
• Asymmetry — lengthens or shortens the asymmetry

Sunburst

The Sunburst effect simulates the appearance of an image and light source viewed through a camera lens. You can adjust the light origin, the amount of radiating light, and the brightness of the halos, or glare spots. You can access the Sunburst dialog box by choosing Effects [image] Illumination Effects [image] Sunburst.

The Sunburst dialog box contains the following controls:

• Color — lets you choose a color for the effect. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Brightness in the Light spot group box — controls the strength of the light source
• Horizontal — indicates the horizontal location of the light origin. A value of 0 corresponds to the far left side of the image, and a value of 100 corresponds to the far right side of the image. You can also set this value by dragging the crosshairs in the Before pane.
• Vertical — indicates the vertical location of the light origin. You can also set this value by dragging the crosshairs in the Before pane.
• Density — determines how many rays of light radiate from the light source
• Brightness in the Rays group box — controls the lightness of the light rays
• Brightness in the Circles group box — controls the visibility of the halos, or glare spots


Applying Image effects

You can apply an Image effect to your image. This group of effects lets you offset an image, curl the corners of an image, or tile an image.

Offset

The Offset effect shifts the image on the canvas so that pixels are wrapped around to the opposite edge as they move off the canvas. You can access the Offset dialog box by choosing Effects [image] Image Effects [image] Offset.

The Offset dialog box has the following controls:

• Horizontal offset — lets you move the image horizontally on the page when the Custom option is selected
• Vertical offset — lets you move the image vertically on the page when the Custom option is selected
• Center — positions the image so that one corner is exactly in the middle of the page
• Custom — lets you adjust the position of the image horizontally and vertically on the page
• Wrap — treats the image as if it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Page Curl

The Page Curl effect makes the image appear as though a corner of it has been rolled up. You can access the Page Curl dialog box by choosing Effects [image] Image Effects [image] Page Curl.

The Page Curl dialog box contains the following controls:

• Color in the Curl settings group box — lets you select a color for the curled-back corner of the image page. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Radius — determines the amount of the curl. As you increase the value, the curl loosens.
• Corner buttons — let you select which corners to curl
• Width — determines the width of the curl. You can also specify the desired width by dragging the arm in the Before pane.
• Height — determines the height of the curl. You can also specify the desired height by dragging the arm in the Before pane.
• Color in the Edge mode group box — lets you select a color for the background underneath the curled area of the page. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Seamless Tiling

The Seamless Tiling effect helps you convert a selection into a seamless custom pattern, which you can use for painting, adding text, or creating Web page backgrounds. You can access the Seamless Tiling dialog box by choosing Effects [image] Image Effects [image] Seamless Tiling.

The Seamless Tiling dialog box contains the following controls:

• Show tiling preview — opens a preview window that displays the tile you are designing
• Edge — blends the edges of the image
• Corner — blends the image at the corners
• Mirror — mirrors the edges of the image
• Horizontal — places the tiles horizontally on the image
• Vertical — places the tiles vertically on the image
• Bidirectional — places the tiles both horizontally and vertically on the image. If you choose Bidirectional, you must choose a setting from the Corner style group box.
• Horizontal offset (%) — positions the center of the tiling effect horizontally in the image. The position is a percentage of the width of the image. At 50, the tiling starts at the center of the image. You can increase the value to move the center to the right and decrease the value to move the center to the left.
• Vertical offset (%) — positions the center of the tiling effect vertically in the image. The position is a percentage of the height of the image. At 50, the tiling starts at the center of the image. You can increase the value to move the center toward the bottom and decrease the value to move the center toward the top.
• Width (%) — sets the width of the tile
• Transition (%) — lets you determine the degree of blending when the Edge option is selected
• Linear — lets you choose a linear corner when the Corner option is selected
• Curved — lets you choose a curved corner when the Corner option is selected


Applying Photo Effects

You can apply different Photo Effects to your images to simulate some traditional photo techniques and processes.

Black and White Film

You can simulate taking a photo with black-and-white film. You can also modify the effect by choosing from a variety of color filters that change the contrast in the black-and-white image.

Infrared Film

You can simulate the look created when you take a photo with black-and-white infrared film and an infrared pass lens filter on the camera. To enhance the effect, you can adjust settings for film grain and flare.

Original photo (left) and the same photo with the Infrared Film effect applied (right)

Sepia Toning

You can simulate the look created when you take a photo with sepia film. Sepia-toned images are similar to black-and-white photos (also known as grayscale photos), except the tones are brown instead of gray.

Time Machine

The Time Machine lets you recreate some popular photographic styles from the past. It lets you choose from seven styles, which range from the year 1839 to the 1980s. For information about the Time Machine, see "Creating vintage-style photos with the Time Machine."

Film and Filters

Corel Paint Shop Pro Photo lets you experiment with effects that are inspired by different types of camera film and filters. For information about applying film and filter effects, see "Applying film and filter effects to photos."

To apply the Black and White Film effect

1. Choose Effects [image] Photo Effects [image] Black and White Film.
The Black and White Film dialog box appears.
2. From the Filter Color drop-list, choose a filter color.
This step simulates shooting the photo with a colored filter applied to the camera lens. Choose None to simulate shooting the photo without a filter.
3. Type or set a value in the Strength control to determine the saturation of the filter color.
The Strength control is unavailable if you choose None from the Filter Color drop-list.
4. Click OK.

To apply the Infrared Film effect

1. Choose Effects [image] Photo Effects [image] Infrared Film.
The Infrared Film dialog box appears.
2. Type or set a value in the Strength control to determine the overall strength of the Infrared effect.
Higher settings make greens appear brighter and blues appear darker. Setting the value to 0 creates a grayscale image.
3. Type or set a value in the Flare control to apply a halo effect to lighter areas in the photo.
Higher settings intensify the halation effect, producing soft edges throughout the photo. Lower settings minimize the halation effect.
4. Type or set a value greater than 0 in the Grain control to add a more realistic infrared graininess to the photo.
5. Click OK.

To apply the Sepia Toning effect

1. Choose Effects [image] Photo Effects [image] Sepia Toning.
The Sepia Toning dialog box appears.
2. Type or set a value in the Amount to age control to determine the strength of the effect.
Higher settings increase the effect by increasing the amount of brown in the image.


Creating vintage-style photos with the Time Machine

The Time Machine lets you recreate some vintage photographic styles. It lets you choose from seven styles, which range from the year 1839 to the 1980s.

The table below describes each style.

Daguerreotype — Widely used from 1839 to 1855, the daguerreotype was the first popular form of photography. Images were captured directly on a thin piece of silver-plated copper. Because no negative was produced, copies could not be made, so each image was unique. Daguerreotypes are often characterized by their reflective quality, a darkening at the edges, and a dark blue-gray or brown-black color.

Albumen — Widely used from 1855 to the 1890s, this inexpensive photographic method produced paper-based photos. Negatives were captured on glass, and the print was then created on paper that used albumen from egg whites to bind the light-sensitive chemicals to the paper. Albumen photos are often characterized by their glossy finish, and soft, warm, brown tones.

Cyanotype — Invented in 1841, this simple, inexpensive photographic method became popular from the late 19th century to the early 20th century. The images are created when ultraviolet light converts the light-sensitive chemicals on the paper to Prussian blue. Cyanotypes are characterized by their brilliant blue color. Although this process did not lend itself to portrait photography, the permanence of the images made them popular for scientific and engineering purposes. For example, this method was used for creating blueprints.

Platinum — Popular from 1873 to 1920, this photographic method used platinum-based developing materials and placed the paper in direct contact with the negative. Although the resulting high-quality prints remained stable over time, the high price of platinum made this method expensive. Platinum prints are often characterized by their wide tonal range and silvery-black colors. This method was revived by artists in the 1960s.

Box camera — The box camera was popular from 1900 to the 1960s. The simplicity and portability of the camera meant that anyone could take photos. Photos taken with box cameras have different characteristics, which reflect the age of the camera, the type of film, and the skill of the photographer.

Early Color — Autochrome was a popular method of producing early color photographs. This method was developed by the Lumière brothers (Auguste and Louis Lumière) in 1904. It used potato starch granules, dyed red, green, and blue, to create colored images on glass, similar to a slide. Autochromes are often characterized by softer colors and a slightly grainy quality.

Cross Process — Cross-processing is a modern photography technique that creates unique color effects by mismatching the film and the chemicals used to develop the film. For example, you can achieve this effect by processing slide film in chemicals designed for color negative film. Cross-processed photos are often characterized by skewed colors, high saturation, and extreme highlights.

Time Machine settings

The Time Machine dialog box includes thumbnails that let you preview each effect on your photo. It also contains an information box that gives you a brief description of the effect.

You can adjust each effect by using the Intensity slider in the Time Machine dialog box. The Intensity slider changes the appearance of the effect in different ways, depending on the effect you choose. For example, the Intensity slider may adjust the color, brightness, or contrast.

You can also apply edges to your photos that simulate the look of the edge of the paper on vintage-style photos. For example, the Photo Edges feature can simulate the dark edges of daguerreotypes, the uneven blue edges of cyanotypes, and the scalloped edges that were popular during the box camera era. Photo Edges are added to the outside edge of a photo.

You can also apply edge and frame effects by using the Picture Frame dialog box. For more information, see "Adding picture frames to images."

To create vintage-style photos with the Time Machine

1. Choose Effects [image] Photo Effects [image] Time Machine.
2. Click one of the thumbnails above the timeline to choose an effect.
3. Move the Intensity slider to adjust the appearance of the effect.
• You can add or remove edge effects for photos. Unmark the Photo Edges check box to remove the edges, or mark the check box to apply the edges.


Applying film and filter effects to photos

Whether you are a novice or an experienced photographer, you can experiment in Corel Paint Shop Pro Photo with effects that are inspired by different types of camera film and filters. You can choose from a list of preset film effects, called Film Looks, or you can choose from a list of preset filter effects, called Creative Filters. You can also combine a film effect with a filter effect to create a unique style.

Film Looks

Film Looks are inspired by the effects achieved when you use different types of film in a traditional camera. Film Looks are described by the type of effect they achieve, rather than a film name, which makes them easier to identify. You can experiment with them even if you’ve never worked with different types of film. Unlike the Creative Filters, which apply a color to the entire photo, Film Looks can change what is emphasized in a photo by making some colors more dramatic or more subtle. Some Film Looks also change the contrast or softness of photos.

The Vibrant Foliage Film Look enhances blues and greens.

The following Film Looks are available:

Film Look | Purpose | Description
Vivid | General purpose | Increases the saturation and contrast in a photo to make the colors more vivid
Vivid skin tones | Portraits | Enhances skin tones
Muted reds | General purpose, changes emphasis | Makes reds more subtle
Enhanced reds | General purpose, changes emphasis | Emphasizes reds
Vibrant foliage | Landscapes | Enhances blues and greens
Warm earth tones | Landscapes | Enhances reds, oranges, and yellows
Glamour | Portraits | Creates a soft glow

You can also apply the following film effects:

• Black-and-white — for information about how to apply a black-and-white photo effect, see "To apply the Black and White Film effect."
• Sepia toning — for information about how to apply a sepia tone effect, see "To apply the Sepia Toning effect."
• Infrared — for information about how to apply an infrared film effect, see "To apply the Infrared Film effect."
Creative Filters

Creative Filters simulate the effect achieved when you use color filters on the lens of your camera. Although the color is applied across the entire photo, Corel Paint Shop Pro Photo maintains the luminance of the image, to achieve a color toning effect. You can use a preset color or choose a custom color.

The Sunset filter adds a warm orange tone to your photos.

The following Creative Filters are available:

Creative Filter | Description
Night effect | Applies a dark blue filter to make a photo look like it was taken at dusk or in moonlight
Cooling | Cools image colors
Warming | Applies a subtle warming effect
Orange | Warms colors to intensify photos with fall colors or other warm tones
Champagne | Applies a subtle warming effect that works well with portraits, especially when combined with the Glamour Film Look.
Sunset | Simulates the orange-red lighting conditions that occur at sunset
Custom | Lets you choose a filter color

To apply film and filter effects to a photo

1. Choose Effects [image] Photo Effects [image] Film and Filters.
2. In the Film and Filters dialog box, perform one or more tasks from the following table, and click OK.

To | Do the following
Apply a film look | Choose a style from the Film looks drop-list.
Apply a filter | Choose a filter from the Creative filters drop-list.
Choose a custom filter color | Click the Filter color swatch, and choose a color from the Color dialog box.
Change the amount of color applied by a filter | Type a value in the Density box. Higher numbers increase the amount of color; lower numbers decrease the amount of color.


Applying Reflection effects

The reflection effects include such effects as a kaleidoscope or an intricate pattern.

Feedback

The Feedback effect makes the image appear reflected in concentric squares or circles. You can access the Feedback dialog box by choosing Effects [image] Reflection Effects [image] Feedback.

The Feedback dialog box contains the following controls:

• Opacity — controls the strength of the effect. As the Opacity increases, the image displays more of the effect and less of its original appearance.
• Intensity — sets the number of image repetitions
• Horizontal offset — positions the center of the feedback effect horizontally in the image. The position is a percentage of the width of the image. At 50, the feedback effect starts at the center of the image. Increasing the value moves the center to the right. Decreasing the value moves the center to the left.
• Vertical offset — positions the center of the feedback effect vertically in the image. The position is a percentage of the height of the image. At 50, the feedback effect starts at the center of the image. Increasing the value moves the center toward the bottom. Decreasing the value moves the center toward the top.
• Elliptical — makes the feedback elliptical (oval). You can unmark the check box to return to the rectangular (default) shape of the feedback.

Kaleidoscope

The Kaleidoscope effect turns a pie-shaped area of an image or selection into a circular pattern. The result is similar to the pattern seen in a kaleidoscope. You can access the Kaleidoscope dialog box by choosing Effects [image] Reflection Effects [image] Kaleidoscope.

The Kaleidoscope dialog box contains the following controls:

• Horizontal offset — determines the horizontal origin of the effect. Negative values move the pie origin to the left. Positive values move the pie origin to the right. The values are a percentage of the width of the range.
• Vertical offset — determines the vertical origin of the effect. Negative values move the pie origin up. Positive values move the pie origin down. The values are a percentage of the height of the image.
• Rotation angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Scale factor — controls how much of the pie-shaped area is enlarged or reduced when you create the kaleidoscope pattern. As you decrease the scale, the pattern repeats itself more frequently.
• Number of petals — determines the repetitions of the pattern. The number of repetitions controls the width of the pie. When you enter a lower value, the arc is repeated fewer times.
• Number of orbits — sets the number of times the circles of the pattern repeat
• Radial suction — controls where in the pie the image information is used to create the pattern. As you increase the value, this area is pushed toward the outer edge of the pie.
• Wrap — treats the image as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Pattern

The Pattern effect turns any image or selection into an intricate geometric pattern. You can use these patterns to create seamless tiles for the background of your Web page. You can access the Pattern dialog box by choosing Effects [image] Reflection Effects [image] Pattern.

The Pattern dialog box contains the following controls:

• Horizontal offset — determines the horizontal origin of the effect. Negative values move the origin to the left. Positive values move the origin to the right. The values are a percentage of the width of the range.
• Vertical offset — determines the vertical origin of the effect. Negative values move the origin up. Positive values move the origin down. The values are a percentage of the height of the image.
• Rotation angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Scale factor — controls the size of the pattern. The default of 0 uses the original scale of the image. As you decrease the scale, the pattern repeats itself more frequently.
• Number of columns — sets the number of times the pattern is repeated from the left side to the right side of the image at a scale factor of 0
• Number of rows — sets the number of times the pattern is repeated from the top to the bottom of the image at a scale factor of 0
• Horizontal shift — moves the pattern with the image window. You can place a specific section of the pattern at the center. You can use this box along with the Scale factor box to create a seamless pattern.
• Vertical shift — moves the pattern with the image window. You can place a specific section of the pattern at the center. You can use this box along with the Scale factor box to create a seamless pattern.

Rotating Mirror

The Rotating Mirror effect reflects an image or selection along a radial angle. You can access the Rotating Mirror dialog box by choosing Effects [image] Reflection Effects [image] Rotating Mirror.

The Rotating Mirror dialog box contains the following controls:

• Horizontal offset — moves the center point of the reflection line away from the image center. The value is a percentage of the width of the image. Negative horizontal values move the reflection line to the left, while positive values move it to the right. The horizontal offset does not affect horizontal lines.
• Vertical offset — moves the center point of the reflection line away from the image center. The value is a percentage of the height of the image. Negative values raise the reflection line, and positive values lower it. The vertical offset does not affect vertical lines.
• Rotation angle — sets the angle of the rotation line. The angle corresponds to the degrees of a circle, so entering 0 and 180 creates reflection along a vertical line. Entering 90 and 270 creates reflection along a horizontal line. You can create diagonal lines between the corners by entering 45, 135, 225, and 315.
• Wrap — treats the image as though it were a tile repeating in each direction
• Repeat — finds the edge pixel of each side and repeats it outward infinitely
• Color — lets you choose a color to represent out-of-bounds pixels. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Reflect — reflects the edge pixel on each side


Applying Texture effects

You can apply the Texture effects to your images. These effects make the surfaces of your images resemble those of various materials, such as leather, mosaic tiles, and polished stone.

Blinds

The Blinds effect makes the image appear to be drawn on vertical or horizontal window blinds. You can access the Blinds dialog box by choosing Effects [image] Texture Effects [image] Blinds.

The Blinds dialog box contains the following controls:

• Width — sets the width of the blinds
• Opacity — controls the strength of the effect. As the Opacity increases, the image displays more of the effect and less of its original appearance.
• Color — lets you choose a color other than the default of black. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Horizontal — makes the blinds horizontal. You can unmark the check box to return the blinds to the default, vertical orientation.
• Light from left/top — lets you reverse the direction of light from the default setting, which is from the right side for a vertical orientation or the bottom for a horizontal orientation. The hard edge of the blinds is opposite to the light direction.

Emboss

The Emboss effect converts the image into a bas-relief. The effect highlights the areas of contrast with black or white pixels, and it colors the low-contrast areas a medium gray. Color appears in areas of higher contrast. You can access the Emboss dialog box by Effects [image] Texture Effects [image] Emboss.

Fine Leather

The Fine Leather effect makes the image appear embossed on fine-grained leather. You can access the Fine Leather dialog box by choosing Effects [image] Texture Effects [image] Fine Leather.

The Fine Leather dialog box contains the following controls:

• Color — lets you choose a color for the light shining on the image. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle. To set the value, you can click in the circle, drag the needle, or set or type a number in the control.
• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Transparency — controls how much of the original image is visible. As you increase the value, more of the image shows through the furrows.
• Number of furrows — controls how many leather furrows, or lines, are applied
• Length of furrows — controls the length of the furrows, or lines

Fur

The Fur effect gives the image the appearance of being covered in fur or bristles. You can access the Fur dialog box by choosing Effects [image] Texture Effects [image] Fur.

The Fur dialog box contains the following controls:

• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Density — controls the strength of the effect. Increasing the value adds more fur to the image.
• Length — sets the length of the individual strands of fur
• Transparency — controls how much of the image is visible. As you increase the value, the fur effect becomes more transparent, letting more of the image show through.

Mosaic–Antique

The Mosaic–Antique effect makes an image appear to be created from antique tiles. You can access the Mosaic–Antique dialog box by choosing Effects [image] Texture Effects [image] Mosaic–Antique.

The Mosaic–Antique dialog box contains the following controls:

• Number of columns — sets the number of columns of tiles. As you increase the number, you reduce the size of the tiles.
• Number of rows — sets the number of rows of tiles. As you increase the number, you reduce the size of the tiles.
• Symmetric — links the values for the numbers of rows and columns so that changing one value changes the other value. You can unmark this check box to have an unequal number of rows and columns.
• Tile diffusion — sets how much of the original image shows through the tiles. Increasing the opacity blurs the tiles.
• Grout width — sets the number of pixels between the tiles
• Grout diffusion — sets the opacity of the pixels between the tiles
• Lock transparency fill color — sets the fill color for the transparency

Mosaic–Glass

The Mosaic–Glass effect makes the image appear to be created from glass tiles. You can access the Mosaic–Glass dialog box by choosing Effects [image] Texture Effects [image] Mosaic–Glass.

The Mosaic–Glass dialog box contains the following controls:

• Number of columns — sets the number of columns of tiles. As you increase the number, the tiles become smaller.
• Number of rows — sets the number of rows of tiles. As you increase the number, the tiles become smaller.
• Symmetric — links the values for the numbers of rows and columns so that changing one value changes the other value. You can unmark this check box to have an unequal number of rows and columns.
• Glass curvature — sets the distortion of the tiles and the width and opacity of the area between them. As you increase the value, each tile displays a larger area of the image. The effect is similar to that produced by using the zoom-out setting of a camera lens.
• Edge curvature — sets the distortion of the area around the edges of the tiles. Larger values produce rounder edges and increase the zoom-out effect.
• Grout width — sets the number of pixels between the tiles
• Grout diffusion — sets the opacity of the pixels between the tiles
• Lock transparency fill color — sets the fill color for the transparency

Polished Stone

The Polished Stone effect makes the image appear carved on a hard, shiny surface. You can access the Polished Stone dialog box by choosing Effects [image] Texture Effects [image] Polished Stone.

The Polished Stone dialog box contains the following controls:

• Blur — determines the softness of the image. As you increase the value, the image becomes less sharp.
• Detail — controls the scale of the relief. As you increase the value, smaller areas of contrast are shown in relief.
• Polishing — controls the size of the polished area. As you increase the value, the roughness decreases and the surface appears smoother.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Color — lets you choose a color for the light shining on the edges of the forms. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Rough Leather

The Rough Leather effect makes the image appear embossed on leather with a coarse grain. You can access the Rough Leather dialog box by choosing Effects [image] Texture Effects [image] Rough Leather.

The Rough Leather dialog box contains the following controls:

• Light color — lets you choose a color for the light shining on the leather surface. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Leather color — lets you choose a color for the leather background. To change the leather color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Luminance — adjusts the overall brightness of the image
• Contrast — controls the roughness of the leather and the colors
• Sharpness — controls the sharpness of the edges in the image
• Blur — determines the blur of the original image

Sandstone

The Sandstone effect makes the image appear as though it is carved from sandstone. You can access the Sandstone dialog box by choosing Effects [image] Texture Effects [image] Sandstone.

The Sandstone dialog box contains the following controls:

• Blur — determines the softness of the original image
• Detail — controls the scale of the relief. As you increase the setting, the smaller areas of the contrast are shown in relief.
• Luminance — adjusts the overall brightness of the image
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Color — lets you choose a color for the light shining on the edges of the forms. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Sculpture

The Sculpture effect accentuates the edges of the image so that they appear embossed or sculpted and overlays the result with a colored pattern. The patterns are 24-bit RGB images stored in the Patterns folder. You can access the Sculpture dialog box by choosing Effects [image] Texture Effects [image] Sculpture.

The Sculpture dialog box contains the following controls:

• Pattern — lets you select the pattern. The image’s color is the result of the pattern color combined with the light color.
• Size — resizes the pattern to a percentage of its original dimensions. You can decrease the value to make the pattern tiling more pronounced and increase the value to enlarge the pattern.
• Smoothness — controls the slope (sharpness) and thickness of the edges
• Depth — controls the height of the sculpting
• Ambience — adjusts the overall brightness of the image
• Shininess — determines how reflective the surface appears
• Color — lets you choose the color of the light shining on the image. The pattern color and saturation affect the light color. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Intensity — adjusts the brightness of the directional light. Note that the Ambience value determines the brightness of the entire image before the intensity is applied.
• Elevation — shows the angle of elevation of the light source above the image. At a setting of 90 degrees, the light source is positioned directly overhead. As you lower the value, the light source moves closer to the image, producing longer shadows.

Soft Plastic

The Soft Plastic effect makes the image look as though it were molded from plastic. You can access the Soft Plastic dialog box by choosing Effects [image] Texture Effects [image] Soft Plastic.

The Soft Plastic dialog box contains the following controls:

• Blur — determines the softness of the original image
• Detail — controls the scale of the relief
• Density — controls the number of areas of relief. Lower values produce fewer larger areas and a softer look. Higher values add relief to smaller areas, producing a denser effect.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Color — lets you choose a color for the light shining on the edges of the forms. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.

Straw Wall

The Straw Wall effect makes the image look like it is covered in straw. You can access the Straw Wall dialog box by choosing Effects [image] Texture Effects [image] Straw Wall.

The Straw Wall dialog box contains the following controls:

• Blur — determines the softness of the original image
• Density — controls the number of straws covering the image
• Length — determines the length of the straws
• Width — determines the width of the straws
• Transparency — controls how much of the image is visible
• Color — lets you choose a color for the light shining on the edges of the forms. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.

Texture

The Texture effect makes the image appear three-dimensional, as though it had a textured surface. You create the textures by using seamless tiles of 8-bit grayscale images that are stored in the Textures folder. You can access the Texture dialog box by choosing Effects [image] Texture Effects [image] Texture.

The Texture dialog box contains the following controls:

• Texture swatch — lets you choose the texture
• Size — resizes the texture to a percentage of its original dimensions. You can decrease the scale to make the tiling more pronounced and increase the scale to enlarge the texture.
• Smoothness —controls the slope (sharpness) and thickness of the edges
• Depth — controls the height of the edges
• Ambience — adjusts the overall brightness of the image
• Shininess — determines how reflective the surface appears
• Color — lets you choose a color for the light shining on the image. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Intensity — adjusts the brightness of the directional light. Note that the Ambience value determines the brightness of the entire image before the Intensity effect is applied.
• Elevation — shows the angle of elevation of the light source above the image. At a setting of 90 degrees, the light source is positioned directly overhead. As you lower the value, the light source moves closer to the image, producing longer shadows.

Tiles

The Tiles effect makes the image appear to be created from tiles. The tiles can be of varying shape, depth, and shininess. You can access the Tiles dialog box by choosing Effects [image] Texture Effects [image] Tiles.

The Tiles dialog box contains the following controls:

• Tile Shape — lets you select a triangular, square, or hexagonal tile
• Tile Angularity — reshapes the tiles. As you increase the value, the original tile shape changes to multiple shapes that align more closely with the edges of the image.
• Tile Size — lets you increase or decrease the size of the tiles
• Border Size — controls the grout, which is the width of the space between tiles. Note that the grout is always black.
• Smoothness — controls the slope (sharpness) and thickness of the edges
• Depth — controls the height of the edges
• Ambience — adjusts the overall brightness of the image
• Shininess — determines how reflective the surface appears
• Color — lets you choose a color for the light shining on the image. To change the light color, you can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Angle — affects which edges appear light and shadowed. The needle points to the direction of the light source, measured in degrees of rotation around the circle.
• Intensity — adjusts the brightness of the directional light. Note that the Ambience value determines the brightness of the entire image before the Intensity effect is applied.
• Elevation — shows the angle of elevation of the light source above the image. At a setting of 90 degrees, the light source is positioned directly overhead. As you lower the value, the light source moves closer to the image, producing longer shadows.

Weave

The Weave effect makes an image appear to be created with a woven pattern. You can weave the strands loosely or tightly. You can also fill the gaps between strands with any color. You can access the Weave dialog box by choosing Effects [image] Texture Effects [image] Weave.

The Weave dialog box contains the following controls:

• Gap size — sets the pixel size of the area between the woven strands
• Width — sets the pixel width of the woven strands
• Opacity — controls the strength of the effect
• Weave color — lets you choose a weave color. You can click a color in the original image, click the color box to access the Color dialog box, or right-click the color box to access the Recent Colors dialog box.
• Gap color — lets you choose a gap color. You can click the color box to access the Color dialog box, or right-click the color box to access the Recent Color dialog box.
• Fill gaps — fills the area that appears between the strands with a color. You can unmark the check box to fill the gap area with the image.


Adding picture frames to images

You can add picture frames to your images to provide an eye-catching final touch. You can choose square or oval frames, modern or classic frames, mats or photo edges, or a variety of other styles.

The frame is applied on a separate layer, which allows you to edit it like any other layer.

You can add a frame around your image.

To add a picture frame to an image

1. Choose Image [image] Picture Frame.
The Picture Frame dialog box appears.
2. In the Picture Frame group box, choose a frame from the drop-list.
3. In the Orientation group box, choose one of the following options:
• Frame canvas — sizes the frame to the canvas. The frame layer is named “Picture Frame” on the Layers palette. Successive frames reside on layers named “Picture Frame 1,” “Picture Frame 2,” and so on.
• Frame current layer — sizes the frame to the current layer (which may have a different size than the canvas). For example, if you are creating a collage of photos for a scrapbook and each photo is on a separate layer, you can frame each photo by choosing this option. The frame layer is named after the original layer with the words “Picture Frame” appended to the name.
4. Choose one of the following options:
• Frame inside of the image — resizes the frame to fit within the image canvas
• Frame outside of the image — increases the canvas size to accommodate the frame. The added canvas uses the current background color if the frame is applied to the Background layer. If the frame is applied to any other layer, the extra canvas is transparent.
5. Mark any of the following check boxes:
• Flip frame — reverses the frame along its horizontal axis
• Mirror frame — reverses the frame along its vertical axis
• Rotate frame right — lets you rotate the frame clockwise when the image is taller than it is wide
6. Click OK.
• If the width and height differ by a considerable amount, the frame appears thicker along the shorter sides.
• If you select a frame in step 2 that contains transparent areas, you can choose to keep these frame area transparent, or you can substitute a color. To maintain frame transparency, mark the Keep transparent check box. To substitute a color, unmark the check box, and choose a color from the color box.


Creating your own effects

You can create your own effects (or filters), which you can save and reuse.

To create your own effects

1. Choose Effects [image] User Defined.
The User Defined Filter dialog box appears.
2. In the Presets drop-list, select a filter to use as a starting point.
3. In the Filter matrix group box, type or set values in the controls to modify the coefficients that process pixels to create the effect.
4. Click OK.
Corel Paint Shop Pro Photo applies the effect to the image.

You can also |
Use random values to create an effect | Click the Randomize Parameters button [image] to automatically adjust the coefficients.
Save a user-defined effect | Click the Save button [image] , type a name in the Save Preset dialog box, and click OK.
Reuse a user-defined effect | In the Presets drop-list, select the user-defined effect.


Combining images

Paint Shop Pro lets you combine two images into a third image. The new image is the product of the color data from the two source images combined on a pixel-by-pixel basis according to the arithmetical function you select, such as Add, Subtract, Multiply, or Difference.

If you want to combine images without these functions, you can simply use layers to paste a second image over a background image, and use masking to adjust the transparency. For information about copying and pasting images as layers, see "Duplicating layers." For information about masking, see "Working with masks."

To combine images by using the Arithmetic command

1. Open the two images you want to combine.
2. Choose Image [image] Arithmetic.
The Image Arithmetic dialog box appears.
3. In the Image #1 and Image #2 drop-lists, select the images to combine.
The size of the image you choose in the Image #1 drop-list determines the size of the new image.
4. In the Function group box, choose one of the following options for combining the images:
• Add — Image 1 Value + Image 2 Value
• Subtract — Image 1 Value – Image 2 Value
• Multiply — Image 1 Value × Image 2 Value
• Difference — Absolute Value of (Image 1 Value – Image 2 Value)
• Lightest — Maximum of (Image 1 Value, Image 2 Value)
• Darkest — Minimum of (Image 1 Value, Image 2 Value)
• Average — (Image 1 value + Image 2 Value) / 2
• Or — Binary Or
• And — Binary And
The color data from the two images is combined on a pixel-by-pixel basis according to the function you choose.
5. From the Channel group box, do one of the following:
• To produce a 24-bit image, mark the All channels check box to use all the color channels in both images to produce a 24-bit image
• To produce a grayscale image, choose a color channel option for each image. In the Modifier group box, type or set values in the following controls:
• Divisor — divides the color values by the value you specify. This value can reduce the effects of the other selections.
• Bias — shifts each color value by amount you specify.
These modifiers are applied to the color values produced by the Formula and the Channel selections.
6. Mark or unmark the Clip color values check box to determine how Corel Paint Shop Pro Photo handles final color values that are greater than 255 and less than 0.
When the Clip color values check box is marked, color values less than 0 become 0, and color values greater than 0 become 255.
When the Clip color values check box is unmarked, color values less than 0 are calculated as 256 plus the value, and color values greater than 0 are calculated as 256 minus the value.
7. Click OK.


Using the Picture Tube tool

You can use the Picture Tube tool to paint with a collection of objects. For example, you can add butterflies and beetles to a picnic setting or frame a picture with flowers. You can use one of the picture tubes included with Corel Paint Shop Pro Photo or create your own.

The Picture Tube tool lets you apply various preset images to your photos to create unique effects.

Picture tubes are PspTube files. Each picture tube file is made up of a series of images arranged in rows and columns, called cells. Picture tubes may have any number of cells. As you paint with the Picture Tube tool, Corel Paint Shop Pro Photo paints one image from the picture tube after another. Many picture tubes create discrete images (such as zoo animals), and others create the effect of a continuous image (such as grass).

Each picture tube file contains a series of images.

To make picture tube elements easier to edit, it is helpful to paint them on a separate layer.

You cannot use the Picture Tube tool on vector layers.
Where can I get more picture tubes?

You can create your own picture tubes. You can use picture tubes from a previous version of Corel Paint Shop Pro Photo. For more information, see "To use picture tubes from previous versions of Corel Paint Shop Pro".

You can also download free picture tubes from the Web by checking the Corel Web site (www.corel.com) or by using the keyword phrase “free picture tubes” in an online search engine.

This tool works only on raster layers in grayscale and 16 million–color images. Using this tool on a 256-color or lower raster image automatically promotes the image to the appropriate color depth. To convert a vector layer to a raster layer, choose Layers [image] Convert to Raster Layer. For more information about increasing the color depth of an image, see "Increasing the color depth of an image."
Picture Tube settings

When you click the Settings button [image] on the Tool Options palette, the Picture Tube Settings dialog box appears. You can use this dialog box to update the current Tool Options palette settings and to modify the look of the current picture tube. However, you can also make the settings permanent by marking the Save as default for this Picture Tube option.

• Current Picture Tube name and path — The name and path of the picture tube appear at the top of this dialog box.
• Cell arrangement — The Cells across and Cells down fields display the current cell layout of the tube. The ranges for these values depend on how the tube was created. The Total cells field shows the product of multiplying the Cells across value by the Cells down value.
• Placement options — Modifying any of these settings updates the corresponding setting on the Tool Options palette. Note that the Scale setting can be modified only if the current picture tube was created with Paint Shop Pro 9.
• Save as default for this Picture Tube — Mark this check box if you want to save any modifications made in the Picture Tube Settings dialog box. If you do not mark this check box, the changes affect only the current use of the picture tube.

To paint with a picture tube

1. On the Tools toolbar, choose the Picture Tube tool [image].
2. On the Tool Options palette, select a picture tube from the Picture Tube drop-list.
Most picture tube previews show the first image rather than all images in the picture tube. To view all images, select the desired picture tube and then paint with it, or open the .PspTube file in Corel Paint Shop Pro Photo.
3. If necessary, adjust the following:
• Scale — determines the percentage (10% to 250%) for reducing or enlarging each image in the picture tube and scaling the step
• Step — determines the distance in pixels (1 to 500) between the centers of each picture tube cell that you paint
• Placement mode — determines how the images are placed. Choose Continuous to space the images evenly by step size, or choose Random to randomly space the images, with intervals ranging from 1 pixel to the step size.
• Selection mode — determines how Corel Paint Shop Pro Photo selects images to paint from the cells within the picture tube. Random selects images randomly; Incremental selects images one by one from top left to bottom right; Angular selects images based on the direction you drag; Pressure selects images based on the pressure you apply on a pressure-sensitive tablet; and Velocity selects images based on the speed with which you drag.
4. In the image window, click to paint with one picture tube image, or drag to paint with multiple picture tube images.
• You can make further changes to the behavior of the current picture tube by clicking the Settings button [image] on the Tool Options palette and adjusting settings in the Picture Tube Settings dialog box.

To create a picture tube

1. Choose View [image] Change Grid, Guide & Snap Properties.
2. Click the Grid tab.
3. In the Current image settings group box, type or set the Horizontal grids and Vertical grids, and click OK.
Values for the grid positions are the values in pixels for the width and height of the cells. Images must be no larger than this cell size.
4. Choose File [image] New.
The New Image dialog box appears.
5. Set the following options:
• Image Dimensions — sets a width and height (in pixels) that are multiples of the horizontal and vertical grid spacing. The width and height of the image determine the total number of cells in the image. For example, if the grid spacing is 100 pixels, you can create an image that is 400 pixels wide by 300 pixels high. These dimensions would produce 12 cells (four across and three down).
• Image Characteristics — Choose Raster Background as the layer type, 8 bits/channel or 16 bits/channel as the Color depth, and mark the Transparent check box.
6. Click OK.
If the grid is not visible, choose View [image] Grid.
7. Create one image in each grid square. These squares are the picture tube cells.
To change the size of cells, change the grid size, and then use the Canvas Size command.
8. Choose File [image] Export [image] Picture Tube.
The Export Picture Tube dialog box appears.
9. Set the following options:
• Cell arrangement — Enter the number of cells across and down. Set these fields to match your arrangement of images in step 7. The Total cells field should match the number of images you placed in the tube file.
• Placement options — Choose the default options for this picture tube. You can change these options when you apply the picture tube.
• Tube name — Enter the file name of the tube. The extension .PspTube is automatically added to the file name.
10. Click OK.
• You can make further changes to the behavior of the current picture tube by clicking the Settings button [image] on the Tool Options palette and adjusting settings in the Picture Tube Settings dialog box.
• If you want to use one image as a paint brush, export the image as a picture tube. Use a cell arrangement of one cell across by one cell down. The image must contain one raster layer that is not the background. To promote the background to a layer, choose Layers [image] Promote to Layer. Choose the Picture Tube tool, and select the new picture tube you created.

To use picture tubes from previous versions of Corel Paint Shop Pro

1. Choose the Picture Tube tool [image] from the Tools toolbar.
2. On the Tool Options palette, click the Presets drop-list, and click the File Locations button [image].
3. In the File Locations dialog box, choose Picture Tubes from the File types list.
4. Click the Add button.
The Browse for Folder dialog box appears.
5. Choose the folder where the previous version of Corel Paint Shop Pro Photo picture tubes are stored, and click OK.
The folder path is added to the Picture Tube folders list.
6. Click OK.


Warping images

You can distort image areas by using the warp brushes on image pixels to produce a warping effect. You can twirl areas of images, contract or expand parts of images, and create many interesting effects. The effect of the Warp Brush is often time-dependent, which means that the longer you hold the brush over an area, the more the brush produces the effect.

The Warp Brush tool can be used to create caricatures.

You can also warp images by using a grid. When you use the Mesh Warp tool, a grid or mesh is placed on the image. The grid intersections have mesh points, or nodes, that you drag to create deformations. For more information about warping by using a grid, see "To warp image areas by using a grid."

To warp image areas by using a brush

1. On the Tools toolbar, choose the Warp Brush tool [image].
2. On the Tool Options palette, choose the type of warp in the Warp Modes group box:
• Push [image] — pushes pixels in the direction of the stroke for an effect similar to smearing paint. This warp mode is time-independent.
• Expand [image] — pushes pixels away from the center of the brush
• Contract [image] — pulls pixels into the center of the brush
• Right Twirl [image] — rotates pixels clockwise around the center of the brush
• Left Twirl [image] — rotates pixels counterclockwise around the center of the brush
• Noise [image] — causes random movements of pixels under the brush
• Iron Out [image] — removes unapplied warps. This warp mode is time-independent.
• Unwarp [image] — removes unapplied warps
3. Specify the brush options, such as size and hardness.
For more information about setting brush options, see "Choosing brush options."
Unlike other brushes, the size of the Warp Brush tool can be adjusted only by using the control on the Tool Options palette, not by using the keyboard.
4. Type or set a value in the Strength control to determine the strength of the warping effect.
Full strength is 100%; minimum strength is 1%.
5. Choose settings for the Edge mode, Draft quality, and Final apply controls.
6. Drag in the image.
• For the time-dependent warp modes, you can also place the cursor at one position (instead of dragging) and hold down the mouse button to repeat the effect in one area.
• To unwarp an area, click the Iron Out button or Unwarp button on the Tools Options palette, and click over the area that you want to restore.

To warp image areas by using a grid

1. On the Tools toolbar, select the Mesh Warp Tool [image].
2. Drag the nodes in one of the following ways to deform the image:
• Drag a node to move it.
• Press Shift while dragging a node to move the entire row or column.
• Press Ctrl while dragging a node to deform the row or column into a smooth curve.
3. Choose settings from the Tool Options palette:
• Draft Quality — specifies the quality of the preview that appears while you edit the mesh nodes. Increasing the quality can slow the warping process in large images.
• Final Apply — determines the quality of the applied effect. Unmark the Best Quality check box to create a finished mesh warp at the lower quality of the mesh preview.
• Mesh horizontal and Mesh vertical — specifies the number of mesh lines within the frame. The border lines are not counted. You can change the grid size as you work. Entering new Mesh values reconfigures the grid and returns it to the original position. The image retains any deformations you have made.
• Symmetric — creates a grid that evenly covers the image. If your image is not square, there will be different values for Mesh horizontal and Mesh vertical. Unmark this check box to adjust the Mesh horizontal and Mesh vertical settings independently.
• Show grid — hides and shows the mesh warp grid.
4. Click Apply on the Tool Options palette.
• You can save the position of the mesh nodes (the deformation map) to apply the deformation to other images. For information about saving and loading deformation maps, see "Working with deformation maps."
• You can also double-click the image to apply the effect.
• Choose Edit [image] Undo to undo changes to the mesh as you edit. To cancel the mesh warp before it is applied, click Cancel.


Working with deformation maps

You can save the deformations you create with the Mesh Warp tool to warp other images. Corel Paint Shop Pro Photo creates a deformation map file that contains the positions of the nodes and the number of mesh lines. You can save the mesh during the warping process or after you have applied the deformation. After you save a deformation map, you can load it into other images.

To save a deformation map

1. On the Tools toolbar, choose the Warp Brush tool [image].
2. On the Tool Options palette, in the Deformation map group box, click the Save deformation map button [image].
The Save Deformation Map dialog box appears.
3. In the New deformation map group box, type a name for the map file.
4. In the Deformation map group box, choose a deformation map style from the drop-list.
5. In the Checkerboard size drop-list, choose a checkerboard size to help you to preview the deformation effect.
This information is not saved with the map file.
6. Click Save.
The file is added to the default Deformation Maps folder.

To load a deformation map

1. On the Tools toolbar, choose the Warp Brush tool [image].
2. On the Tool Options palette, choose one of the following options from the Edge mode drop-list:
• Background — fills areas between the edge of the image and the edge of the warp with the current background color
• Fixed — fills areas between the edge of the image and the edge of the warp with replicated edge pixels
• Wraparound — fills areas between the edge of the image and the edge of the warp with material from the opposite side of the image
3. On the Tool Options palette, click the Open deformation map button [image].
The Load Deformation Map dialog box appears.
4. In the Deformation map group box, choose a deformation map style from the drop-list.
5. In the Operation group box, choose one of the following options:
• Replace current map — replaces the existing mesh nodes with the new map. Any adjustments you have made but not applied are lost.
• Add to current map — adds the settings from the new deformation map to the mesh nodes. Any adjustments you have made are retained.
6. In the Mapping group box, choose one of the following options:
• Fit to canvas — adjusts to fit the image canvas
• Fit to layer — adjusts to fit the current layer
• Current size centered on — retains original map size and positions it in the center of the canvas or layer
7. In the Preview group box, choose a checkerboard size from the drop-list to obtain the best preview of the deformation.
8. Click Load.


Working with text

Corel Paint Shop Pro Photo lets you add text to images and create interesting text effects.

In this section, you’ll learn about

• applying text
• formatting text
• fitting text to a path
• moving text
• applying effects to text
• converting text to curves
• filling text with image patterns
• sizing and transforming text


Applying text

Corel Paint Shop Pro Photo lets you apply different types of text to your images. You can apply vector text, raster text, and text as a selection. The type of text you apply depends on the effect you want to create.

Vector text

Vector text, which is used in most instances, is the most versatile type of text because you can edit the text characters at any time. For example, you can change the words, font type, style, and alignment. Unlike raster text, vector text retains its crisp, sharp edges when you resize it. For more information about vector objects, see "Drawing and editing vector objects."

You can add text to your photos.

When you use raster-only tools, such as the Mesh Warp tool, or apply raster-only commands, such as an effect, the vector text is converted to a raster layer, and it can no longer be edited as text.

Raster text

You cannot edit raster text after you apply it. Therefore, you should not apply it unless you know you won’t need to change the words and formatting. You create raster text as a floating selection on a new raster layer, so you can easily move and transform it before you apply it to your image. When you defloat raster text, the text is merged with the underlying raster layer. If a vector layer is active when you defloat the raster text, Corel Paint Shop Pro Photo creates a new raster layer.

Text selection

You can create a selection in the shape of text and edit it as you would any other selection. You can use a text selection to create special effects; for example, you can fill the characters in a text selection with an image. As with raster text, you cannot edit selection-based text. For more information about selections, see "Working with selections."

You can fill text with an image by creating the text as a selection.

Text formatting options

When you create text, you can specify formatting options such as font, font size, and alignment, as well as character and line spacing. For more information about text formatting options see "Formatting text."

You can delete vector, raster, or selection-based text at any time.

To create text

1. On the Tools toolbar, choose the Text tool [image].
2. On the Materials palette, click the Foreground and Stroke Properties box, and choose a color for the text outline.
If the Materials palette is not displayed, choose View [image] Palettes [image] Materials.
If you want to create text with no outline, click the Transparent button [image] below the Foreground and Stroke Properties box.
3. On the Materials palette, click the Background and Stroke Properties box, and choose a color for the text fill.
If you want to create hollow text, click the Transparent button [image] below the Background and Fill Properties box, and set the Tool Options palette setting Stroke to 1 or greater.
4. On the Tool Options palette, choose one of the following text types from the Create As drop-list:
• Vector — creates fully editable text that resides on a vector layer. This text type is the default and is used in most instances.
• Selection — creates a selection marquee in the shape of the text characters. The marquee is filled with the underlying layer.
• Floating — creates raster text as a floating selection. The selection can be moved, but the text characters cannot be edited.
5. On the Tool Options palette, choose a font, font size, units, and font style.
The Units drop-list offers two options — Points (for print output) and Pixels (for Web output).
6. In the image window, click where you want to apply the text, type the text in the Text Entry dialog box, and click Apply.

• For information about using the Materials palette to choose colors for the text outline and fill, see "Using the Materials palette."
• To display the same text the next time you open the Text Entry dialog box, mark the Remember Text check box.

To delete text

1. On the Tools toolbar, choose the Pick tool [image].
2. Point to the text, and when the pointer icon changes, click to select the text.
A bounding box surrounds the text.
3. Press Delete.
• You can delete a character or words in a vector text block by clicking the text block with the Text tool [image], deleting the characters or words in the Text Entry dialog box, and clicking Apply.


Formatting text

The text formatting options in Corel Paint Shop Pro Photo let you control the appearance of text. You can set these options when you create vector, raster, or selection text. If you create vector text, you can reformat the text at any time by changing your text formatting settings. You cannot change the characters or formatting of raster text. You can modify raster text only by using the Pick tool.

You can use the following text options to format your text:

• Font, Size, Units, and Font Style — let you choose a typeface, type size, units based on intended output (print or Web), and type style (bold, italic, underline, or strikethrough)
• Alignment — lets you center multiple lines of text or align them on a left or right margin
• Direction — lets you set the horizontal or vertical direction of the text
• Kerning — lets you change the space between characters
• Leading — lets you change the line spacing
• Tracking — lets you set equal spacing between characters
• Anti-alias — lets you smooth the edges of text characters

You can also change the color of vector text. For information about using the Materials palette to choose colors for the text outline and fill, see "Using the Materials palette."

How can you identify vector text?

Vector text, like other vector objects, can be identified by the vector icon [image] that appears next to the text in the Layers palette.

To change font attributes

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, perform a task from the following table, and click Apply in the Text Entry dialog box.

To | Do the following
Change the font | Choose an option from the Font drop-list.
Change the font size | Choose an option from the Size drop-list.
Change the units of measurement for the font | From the Units drop-list, choose Points for print output or Pixels for Web output.
Apply bold formatting to text | Click the Bold button [image] .
Apply italic formatting to text | Click the Italic button [image] .
Underline the text | Click the Underline button [image] .
Apply a line through text | Click the Strikethrough button [image] .

To change text alignment

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
3. In the Text Entry dialog box, select the characters that you want to edit.
4. On the Tool Options palette, choose one of the following buttons:
• — aligns the left edge of each text line to the initial cursor position
• — centers each text line on the initial cursor position
• — aligns the right edge of each text line to the initial cursor position
5. In the Text Entry dialog box, click Apply.

To set text direction

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, choose one of the following options from the Direction drop-list:
• Horizontal and Down [image] — positions text horizontally, with subsequent lines below the top line
• Vertical and Left [image] — positions each character vertically, with subsequent lines to the left of the top line
• Vertical and Right [image] — positions each character vertically, with subsequent lines to the right of the top line
4. In the Text Entry dialog box, click Apply.

To change horizontal spacing between characters

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, type or set a value in the Kerning control.
Positive values increase the spacing; negative values decrease the spacing.
4. In the Text Entry dialog box, click Apply.
• Kerning values are expressed as 1.000 being equal to one em space — the width of capital letter M for a given font and font size.
• You can use the built-in kerning values for the current font by marking the Auto Kern check box.

To change vertical spacing between lines of text

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, type or set a value in the Leading control.
Positive values increase the spacing; negative values decrease the spacing.
4. In the Text Entry dialog box, click Apply.

To set equal spacing between characters

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, type or set a value in the Tracking control.
4. In the Text Entry dialog box, click Apply.

To smooth jagged edges in text

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, choose an option from the Anti-alias drop-list:
• Off — applies no anti-aliasing (edges appear jagged)
• Sharp— applies a slight degree of edge smoothing
• Smooth — applies a stronger degree of edge smoothing
4. In the Text Entry dialog box, click Apply.
• Anti-aliasing may increase the number of colors in an image, which may cause stray colors to appear along the edges of text. Anti-aliasing may also make it difficult to reduce the file size and to maintain image quality.


Fitting text to a path

Every vector object has a path that defines its shape. You can fit vector text to a path to create fun and interesting effects.

Corel Paint Shop Pro Photo aligns the text along the path, starting from the spot where you click to insert it. You can also set the alignment style for the text: left-aligned text starts where you click; centered text is centered on the spot where you click; and right-aligned text ends where you click. When you fit your text to a path, you can adjust the distance between the text and the path.

Text is displayed differently on open and closed paths. Open paths are lines on which the start and end nodes do not meet; closed paths are shapes such as circles, squares, and rectangles. On open paths, text that is longer than the path hangs from the end. The angle of the last line segment determines the direction in which the text hangs. On closed paths, text that is longer than the path wraps around itself. For more information about lines and shapes, see "Editing shapes".

To fit text to a path

1. Create a vector line or shape.
2. Click the Text tool [image].
3. On the Tool Options palette, choose Vector from the Create As drop-list, and set the other text controls.
If the Materials palette is not displayed, choose View [image] Palettes [image] Materials.
4. On the Materials palette, click the Foreground and Stroke properties box, and choose a color for the text outline.
5. Click the Background and Fill properties area, and choose a color for the text fill.
6. Click the line or shape.
7. To position text on a vector object or path without attaching it to the object or path, hold down Alt and click the path or shape.
8. In the Text Entry dialog box, type the text.
9. Click Apply.
• If you want to warp the text around the curved section of a path, mark the Warp check box. If the path is not curved, the effect is not apparent. Warping is set on a per-character basis, so you can warp specific characters in a text block.

To attach an unattached text object to a path

1. Choose the Pick tool [image].
2. Select the text.
3. Hold down Shift, and click the vector object.
Both the text and the vector object are selected.
4. Choose Objects [image] Fit Text to Path.
• After you align text to a vector object, you can make the object invisible. On the Layers palette, click the Visibility button [image] next to the object.

To detach text from its associated path

1. Choose the Pick tool [image].
2. Select the text.
3. Choose Objects [image] Detach Object from Path.

To adjust the position of text fitted to a path

1. On the Tools toolbar, choose the Text tool [image].
2. Click the text.
The Text Entry dialog box appears.
3. On the Tool Options palette, set a value in the Offset control.
Positive values position the text above the path; negative values position the text below the path.
4. In the Text Entry dialog box, click Apply.


Moving text

You can move vector and raster text anywhere in an image. You can move the text after it is fitted to the path by selecting it and dragging it along the path. Corel Paint Shop Pro Photo aligns text based on the nearest point where the text meets the path.

To move raster text that is on a layer with other raster information, such as raster shapes or brush strokes, you must isolate the text. Use a selection tool like the Magic Wand tool to select and move the text. For more information about making selections, see "Creating selections".

To move text

1. On the Tools toolbar, choose the Pick tool [image].
2. Click the text you want to move.
A bounding box surrounds the text.
3. Position your cursor over the selected text, and when the cursor changes to four arrows [image], drag the text anywhere in the image.
• You can also move text to another layer by cutting and pasting it onto another layer.

To move text along a path

1. Choose the Pick tool [image].
2. Drag the text to the desired position.
As you drag the text, a small, square icon moves with it. This icon indicates one of the following:
• the start of the text if the text was left-aligned
• the midpoint of the text if the text was centered
• the end of the text if the text was right-aligned


Applying effects to text

You can use raster text to create an unlimited variety of text effects. For example, you can apply a drop shadow or a beveled edge, or you can turn text into brush strokes or colored chalk. To apply an effect to vector text, you must first convert the vector text to raster text.

To apply effects to raster text

1. Apply raster text to a transparent layer on an image.
2. On the Tool Options palette, choose the Magic Wand tool [image].
3. Select the text.
4. Choose the Effects menu, and select an effect.
• For information about layers, see "Working with layers".
• For information about applying text to images, see "Applying text".

To apply effects to vector text

1. On the Tool Options palette, choose the Pick tool [image].
2. Select the text.
3. Choose Selections [image] From Vector Object.
4. Choose Edit [image] Paste As New Layer.
5. On the Tool Options palette, choose the Magic Wand tool [image].
6. Select the text.
7. Choose the Effects menu, and select an effect.


Converting text to curves

You can edit vector text by converting it to curves and then adding, deleting, and moving nodes. Nodes are the tiny squares that appear along the object’s outline.

You can convert letters to individual curve objects, or you can convert the entire string of text into one curve object, with each letter as a separate contour within the object path.

To convert vector text to curves

1. On the Tool Options palette, choose the Pick tool [image].
2. Select the text.
3. Do one of the following:
• To convert the entire text object into one vector object, choose Objects [image] Convert Text to Curves [image] As Single Shape. This command produces one path containing a contour for each letter.
• To convert each letter to a separate vector object with its own path, choose Objects [image] Convert Text to Curves [image] As Character Shapes. A vector layer is created for each letter, and the layers are grouped in the Layers palette.
• If you convert each letter to a separate vector object, you must select the letters individually in order to edit the nodes.
• You can edit a curve object by using the Pen tool [image] in Edit mode. For more information, see "Adding and closing contours".


Filling text with image patterns

You can fill text with one image or you can fill it with repeated images to create a pattern.

To fill text with one image

1. Open a copy of the image.
2. On the Tools toolbar, choose the Text tool [image].
• On the Tool Options palette, choose Selection from the Create As drop-list, and set the other text controls.
3. In the image window, click where you want to create the text selection, type the text in the Text Entry dialog box, and click Apply.
4. Copy the text selection to a new image.
• For information about applying text, see "Applying text".
• You can reposition the selection marquee on the image by choosing any selection tool from the Tools toolbar and holding down the right mouse button while dragging the marquee to a new position.

To fill text with a repeated image

1. Open the image you want to use to fill the text.
2. On the Materials palette, click the Background and Fill properties box.
3. In the Material properties dialog box, click the Pattern tab.
4. Choose the image from the drop-list.
5. Apply text to the image.
• For information about applying text, see "Applying text".


Sizing and transforming text

You can transform raster and vector text interactively. For example, you can resize, rotate, shear, distort, or apply perspective to text.

You can also resize and reshape vector text by editing its nodes and contours. For more information, see "Working with nodes".

To resize and transform text

1. On the Layers palette, choose a layer.
2. Choose the Pick tool [image], and select the text.
A bounding box with handles appears on the selection or the layer.
3. Drag a corner handle to resize the text.
If you want to change the current proportions, right-click and drag a handle.
4. Perform any of the actions in the following table to transform the text.

To | Do the following
Move the entire text block | Drag the bounding box.
Change the center of rotation | Drag the rotation pivot point.
Rotate the text | Drag the rotation handle
Change the perspective symmetrically | Hold down Ctrl and drag a corner handle horizontally or vertically.
Change the perspective asymmetrically | Hold down Shift and drag a corner handle.
To shear text | Hold down Shift while dragging a side handle.
To distort text | Hold down Ctrl and Shift while dragging a handle.

• To make the deform handles on a layer easier to see, drag the corner of the image window to make it larger than the image.


Drawing and editing vector objects

You can use Corel Paint Shop Pro Photo drawing tools to create any type of object — from simple lines and shapes to complex illustrations.

In this section, you’ll learn about

• raster and vector objects
• selecting vector objects
• drawing rectangles and squares
• drawing circles and ellipses
• creating preset shapes
• editing shapes
• saving shapes as presets
• working with nodes
• sizing, shaping, and rotating vector objects
• aligning, distributing, and arranging vector objects
• grouping and ungrouping vector objects
• converting objects to paths
• adding and closing contours
• editing contours and paths
• drawing lines
• saving custom line styles
• drawing curves
• copying and moving vector objects


Understanding raster and vector objects

When you draw raster objects, you are really painting on a raster layer. Even though you create a raster object in the same way as a vector object, the result is a pixel-based shape. You can edit the pixels with raster editing tools.

You can only draw raster objects on raster layers. If you draw a raster object on a vector layer, Corel Paint Shop Pro Photo creates a new raster layer for your object.

A vector object’s properties — such as its outline color, fill color, size, and location — can be easily changed. You can also edit the paths, contours, line segments, and nodes that make up vector objects.

You can only draw vector objects on vector layers. If you try to draw a vector object on a raster layer, Corel Paint Shop Pro Photo creates a new vector layer for the vector object.

For more information on vector and raster objects, see "Creating images". For information about vector, floating, and selecting text, see "Working with text".

The anatomy of a vector object

In order to understand vector objects, you must be familiar with the following terms.

• Object — anything you create with the Pen or Preset Shape tool. Each object is represented by its own bounding box. An object has properties you can control such as line style and fill color. Each object contains one path made up of contours and nodes. For more information, see "Aligning, distributing, and arranging vector objects".
• Path — includes all of the contours in an object. The properties of the path are controlled by the object’s properties. A path’s direction flows from its start to its end point. Some paths are closed, in which their start and end points are the same.

An example of a closed path

An example of an open path

• Contour — contains at least one line segment. A contour can be open or closed. Some of a contour’s properties are determined by the object’s properties, such as the line style, fill color, and anti-aliasing.
• Node — a point on a path or contour that lets you define its shape. For more information about nodes, see "Working with nodes".

An example of a contour

• Line Segment — the straight or curved line between two nodes. For more information, see "Drawing lines".


Selecting vector objects

You must select a vector object in order to edit it. You can select one or more objects on the same layer, or you can select objects on different layers. You can select vector objects by using the Pick tool or by using the Layers palette. The Pick tool lets you select one or more vector objects quickly. The Layers palette lets you select vector objects regardless of whether they overlap or are currently showing in the image window. For more information about showing and hiding layers, see "To display or hide a layer."

To select vector objects with the Pick tool

1. On the Tools toolbar, choose the Pick tool [image].
2. Click the object you want to select.
• If you want to select multiple objects, hold down Shift, and click the objects.

To select vector objects from the Layer palette

1. On the Layers palette, click the plus sign (+) next to a layer to view all of its objects.
2. Click the layer name for the vector object.
The layer name appears in bold type.
• If you want to select multiple objects, hold down Shift and click each object name.


Drawing rectangles and squares

You can draw squares and rectangles.

To draw a rectangle or square

1. On the Tools toolbar, select the Rectangle tool [image].
If you want to place the rectangle or square on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the rectangle or square. If this check box is unmarked, the rectangle or square is placed on a raster layer. Placing a rectangle or square on a vector layer makes it easier to edit.
2. On the Materials palette, click the Background and Fill properties box, and choose a fill color.
3. Click the Foreground and Stroke properties box, and choose an outline color.
4. On the Tool Options palette, click one of the following buttons:
• Draw Rectangle
• Draw Square
If you want to display the shape’s nodes, mark the Show Nodes check box.
5. Drag to draw the shape.
6. Click the Apply button [image].

You can also |
Set the radii for the shape’s corners | Type or set values in the Horizontal Radius and Vertical Radius controls.
Choose a line style and width | Choose an option from the Line Style drop-list, and type or set a value in the Width control beside the drop-list.
Smooth the shape’s edges | Mark the Anti-alias check box.
Change the way the line segments join | Choose an option from the Join drop-list. If you choose Miter join, you can also type or set a value in the Miter Limit control.
Size the shape | Mark the Show nodes check box. Type or set values in the Width and Height controls.
Move the shape | Mark the Show nodes check box. Type or set values in the Left and Top controls.

• You can save your settings as a preset. For more information, see "Using and creating presets".


Drawing circles and ellipses

You can draw circles and ellipses.

To draw a circle or ellipse

1. On the Tools toolbar, select the Ellipse tool [image].
If you want to place the circle or ellipse on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the circle or ellipse. If this check box is unmarked, the circle or ellipse is placed on a raster layer. Placing a circle or ellipse on a vector layer makes it easier to edit.
2. On the Materials palette, click the Background and Fill properties box, and choose a fill color.
3. Click the Foreground and Stroke properties box, and choose an outline color.
4. On the Tool Options palette, click one of the following buttons:
• Draw Circle
• Draw Ellipse
If you want to display the shape’s nodes, mark the Show Nodes check box.
5. Drag to draw the shape.
6. Click the Apply button [image].

You can also |
Set the radii | Mark the Show Nodes. Type or set values in the Radius X and Radius Y controls.
Set the center horizontal (center X) and vertical (center Y) position | Mark the Show Nodes check box. Type or set values in the Center X and Center Y controls.

• You can save Tool Options palette settings as presets. For more information, see "Using and creating presets".
• If you have not displayed nodes in the shape, you can still set the radii and the center horizontal and vertical positions by clicking the Edit Mode button [image] on the Tools Options palette.


Drawing symmetric shapes

You can draw polygons and stars.

To draw a symmetric shape

1. On the Tools toolbar, select the Symmetric Shape tool [image].
If you want to place the symmetric shape on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the symmetric shape. If this check box is unmarked, the symmetric shape is placed on a raster layer. Placing a symmetric shape on a vector layer makes it easier to edit.
2. On the Materials palette, click the Background and Fill properties box, and choose a fill color.
3. Click the Foreground and Stroke properties box, and choose an outline color.
4. On the Tool Options palette, click one of the following buttons:
• Draw Polygon
• Draw Stellated
If you want to display the shape’s nodes, mark the Show Nodes check box.
5. Type or set a value in the Number of sides control.
6. Drag to draw the shape.
7. Click the Apply button [image].

You can also |
Apply rounded outer corners to the shape | Mark the Rounded Outer check box.
Apply rounded inner corners to the stellated shape | Mark the Rounded Inner check box.
Set the radius for the stellated shape | Type or set a value in the Radius control.

• You can save Tool Options palette settings as presets. For more information, see "Using and creating presets".
• You can also choose line style options such as style, stroke width, and join and miter limit settings. For more information, see "Drawing lines".


Creating preset shapes

You can draw preset shapes such as callouts, arrows, flowers, and gears.

To draw a preset shape

1. On the Tools toolbar, choose the Preset Shape tool [image].
If you want to place the preset shape on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the preset shape. If this check box is unmarked, the preset shape is placed on a raster layer. Placing a preset shape on a vector layer makes it easier to edit.
2. On the Tool Options palette, choose an option from the Shapes List drop-list.
If you want to filter the options, choose a category from the Category drop-list.
3. Drag to create the shape.
If you want to apply a custom fill, unmark the Retain style check box. On the Materials palette, click the Background and Fill properties box, and choose a fill color. Click the Foreground and Stroke properties box, and choose an outline color. If you do not want the line segments to have a fill, click the Transparent button [image].
4. Drag to draw the shape.
5. Click the Apply button [image].

You can also |
Choose a line style | Select an option from the Line Style drop-list.
Choose a stroke width (in pixels) | Type or set a value in the Width control.
Smooth the appearance of a shape | Mark the Anti-alias check box.
Apply a join style | Choose an option from the Join drop-list. If you choose Miter Join, type or set a value in the Miter limit control to set the degree of pointedness. The higher the value, the more pointed the join is.
Create a shape with the same aspect ratio as the one in the Shapes list list | Hold down Shift while you drag.
Place the centerpoint of the shape where you click | Right-click and drag.

• You can save a Tool Options palette settings as presets. For more information, see "Using and creating presets".


Editing shapes

You can edit the basic properties of vector objects, such as the line width, line style, and anti-aliasing. You can also rename an object in the Layers palette. You can also hide or display vector objects.

To modify vector object properties

1. Select the vector object you want to edit.
If you want to edit multiple objects, choose the Pick tool [image], hold down Shift, and marquee select the objects.
2. On the Tool Options palette, click the Properties button [image].
The Vector Property dialog box appears.
3. Adjust any of the settings.
4. Click OK.

To edit a shape by using the Tool Options palette

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click Edit Mode button [image].
3. Click the shape you want to edit.
4. Adjust any of the available settings on the Tool Options palette.
• Edit mode lets you edit shapes in a variety of ways; however, you can also edit shapes by using the Pick tool [image] to move, rotate, align, and stretch shapes.


Saving shapes as presets

You can also save any vector object as a preset. Preset shapes are stored in shape libraries, in the My Documents/My PSP Files/Preset Shapes folder. You can also store shape libraries in a different folder. For more information, see "Setting file locations".

To save a shape as a preset

1. On the Tools toolbar, choose the Pick tool [image].
2. Select the shape you want to save as a preset.
If you want to save multiple shapes, marquee select the shapes.
3. Choose File [image] Export [image] Shape.
The Export Shape Library dialog box appears.
4. Type a name for the library file, and click OK.
The library file is saved in the default Preset Shapes folder.

To delete a shape library

1. Choose a library file from the Preset Shapes folder.
2. Press Delete.


Working with nodes

Nodes are square points on line and curve objects. You can change the shape of a line or curve object by dragging one or more of its nodes.

Nodes have zero, one, or two control arms. The length and direction of the control arms determine the shape of the contour at the node. The straight or curved line between two nodes is a line segment. There are four types of nodes: symmetrical, asymmetrical, cusp, and smooth.

You can use symmetrical nodes to create smooth, flowing curves on either side of a node. Any adjustments to one control arm are mirrored by the other.

You can use asymmetrical nodes to obtain a different amount of curve on each side of the node, but keep a smooth flow through the node. You can adjust the length of each control arm, but the not the direction.

You can use cusp nodes to create extreme changes in direction. You can adjust the length and direction of each control arm independently.

You can use smooth nodes to create a smooth transition between straight and curved line segments.

You can select a node to edit, or you can move it. Moving a node alters the shape of a vector object. If an object has more than one contour, you can move all of its nodes. You can also move the path to move the entire object. You can edit the contour of a vector object by adding, merging, or deleting nodes anywhere along a path.

You can merge nodes on a contour while retaining the line segments on each side. The line segments are combined into one line segment between remaining nodes. If the contour is curved at the node, Corel Paint Shop Pro Photo attempts to retain the curve.

You can also delete a node to remove the node and the line segments on each side.

To select a node

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click Edit Mode button [image].
3. Click a vector object.
The object's nodes appear.
4. Click the node.
The selected node appears with a solid gray fill.

You can also |
Select multiple nodes | Hold down Shift, and click the nodes.
Select all nodes on a contour | Double-click one node. If the object has only one contour, this selects all nodes in the path.
Select all nodes in a path (all nodes in the object) | Right-click a node, and choose Edit [image] Select All.
Select the next or previous node on a contour | Hold down Shift, and press [ or ].
Deselect a selected node | Hold down Shift, and click the node.

• To view the selected node more easily, click the Visibility icon [image] on the Layers palette next to the vector object you are working on. This hides the fill and outline for the object. For more information about showing and hiding layers, see "To display or hide a layer."
• Start and end nodes are easy to find. The cursor displays “START” or “END” when you hold it over the node. If the shape is closed, the cursor displays “CLOSE.”

To move a node

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click Edit Mode button [image].
3. Select a node, and then drag it to a new position.
• You can constrain a node’s line segments to 45-degree increments by holding down Shift as you drag.

To add a node on a contour

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click one of the following buttons:
• Edit Mode
• Knife Mode
3. Click the contour.
4. Hold down Ctrl, and click where you want to add a node.
The cursor displays “+ADD.”

To add a new start or end node

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Drawing Lines and Polylines button [image].
3. Select the start or end node of the contour.
4. Click to add another node.
The contour automatically connects to the new node.

To merge one or more nodes

1. On the Tools toolbar, select the Pen tool [image].
2. Select the node you want to merge.
If you want to select multiple nodes, hold down Shift and click.
3. Right-click a node, and choose Edit [image] Merge.

To transform nodes

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
If you cannot see all of the options on the Tool Options palette, click the More button [image].
3. Select one or more nodes.
4. Choose Objects [image] Transform Selected Nodes, and choose one of the following commands:
• Flip — moves selected nodes along the vertical axis (those on top go the bottom and vice versa). On a single node, the command flips the node’s control arms.
• Mirror — moves selected nodes along the horizontal axis (those on the left go to the right and vice versa). On a single node, the command mirrors the node’s control arms.
• Rotate — rotates the selected nodes by the current rotation setting. Applied to a single node, the control arms (if any) will rotate.
• Skew X — moves selected nodes to the left or right (along the horizontal axis) using the current skew setting
• Skew Y — moves selected nodes to the left or right (along the vertical axis) using the current skew setting
• Contract — moves the selected nodes closer to each other by the current contraction setting. This command cannot be applied to a single node.
• Expand — moves the selected nodes away from each other by the current expansion setting. This command cannot be applied to a single node.
5. Where applicable, type a value for the selected transformation setting.
6. Click the Apply button [image].

To adjust a curve using a node’s control arms

1. Select a node to display its control arms.
Cusp nodes may have no control arms.
2. Move the cursor over a control handle until the cursor changes to two rotating arrows.
3. Drag the handle.
• To constrain the control arms to fixed angles (45-degree increments), hold down Shift as you drag.

To straighten a curve between two nodes

1. Select two consecutive nodes.
2. Right-click one node, and then choose Node Type [image] Convert to Line.

To delete a node

1. Select a node.
2. Press Delete.
• If you delete a node in the middle of an open contour, the vector object becomes two separate contours. If you delete a node in a closed contour, the contour opens.


Sizing, shaping, and rotating vector objects

You can transform vector objects and vector text interactively. For example, you can drag the handles on a bounding box to size, shape, or rotate objects. You can also transform vector objects by editing their nodes. For more information, see "Working with nodes".

You can also size vector object to make them the same width, height, or both.

To size and shape a vector object

1. On the Tools toolbar, choose the Pick tool [image] .
2. Select the object.
3. Perform any of the steps in the following table.

To | Do the following
Size a vector object | Drag a corner or edge handle. If you want to resize while changing the current proportions, right-click and drag a handle.
Change perspective symmetrically | Hold down Shift, and drag a corner handle.
Shear a vector object | Hold down Shift, and drag a side handle.
Distort a vector object | Hold down Ctrl + Shift, and drag a handle.

To rotate vector objects

1. On the Tools toolbar, choose the Pick tool [image].
2. Select an object.
3. Drag the rotation handle.
• To change the center of rotation, hold down Ctrl, and drag the rotation pivot point to a new location.

To make vector objects the same size

1. On the Tools toolbar, choose the Pick tool [image].
2. Select the first vector object.
The first object controls how all the other vector objects are resized.
3. Hold down Shift, and click the other objects you want to resize.
4. On the Tool Options palette, choose one of the following options from the Same Size group box:
• Make Same Height
• Make Same Width
• Make Same Width and Height
• To change the object’s proportions while resizing, select the object with the Pick tool [image], and then right-click and drag a corner handle.


Aligning, distributing, and arranging vector objects

You can align, distribute, and arrange vector objects on the canvas. For example, you can align their edges, distribute them evenly, center them on the image canvas, or arrange their order (from top to bottom) on a layer. Each object you draw on a layer is stacked on top of the next.

To move a vector object

1. On the Tools toolbar, choose the Pick tool [image].
2. Select the object.
If you want to move multiple objects, hold down Shift and select the objects.
A bounding box surrounds the selected objects.
3. Drag the object or objects to a new position.

You can also |
Move an object one pixel at a time | Press an arrow key.
Move an object 10 pixels at a time | Hold down Ctrl, and press an arrow key.
Move an object 50 pixels at a time | Hold down Shift, and press an arrow key.
Move an object 100 pixels at a time | Hold down Shift + Ctrl, and press an arrow key.

To align vector objects

1. On the Tools toolbar, choose the Pick tool [image].
2. Select the first vector object.
3. Hold down Shift, and select the other objects you want to align.
4. In the Tool Options palette, click one of the following buttons in the Object Alignment group box:
• Align Top
• Align Bottom
• Align Left
• Align Right
• Align Vertical Center
• Align Horizontal Center
• To move an object, select it on the Layers palette, and drag it up or down in the list.

To evenly distribute objects

1. On the Tools toolbar, choose the Pick tool [image].
2. Hold down Shift, and marquee select the objects.
You must have three or more objects selected to distribute them in relation to each other.
3. In Tool Options palette, click one of the following buttons in the Object Distribution group box:
• Distribute Vertical Top
• Distribute Vertical Center
• Distribute Vertical Bottom
• Distribute Horizontal Right
• Distribute Horizontal Center
• Distribute Horizontal Left

To align vector objects to the canvas

1. On the Tools toolbar, choose the Pick tool [image].
2. Select an object.
If you want to align multiple objects, hold down Shift and marquee select the objects.
3. In the Tool Options palette, click one of the following buttons in the Position On Canvas group box:
• Center in Canvas
• Align Horizontally Center in Canvas
• Align Vertically Center in Canvas

To distribute vector objects on the canvas

1. On the Tools toolbar, choose the Pick tool [image].
2. Select an object.
If you want to distribute multiple objects, marquee select the objects.
3. In the Tool Options palette, click one of the following buttons in the Position On Canvas group box:
• Space Evenly Horizontal
• Space Evenly Vertical

To arrange vector objects

1. On the Tools toolbar, choose the Pick tool [image].
2. Select an object.
3. Right-click the object, choose Arrange, and select one of the following options:
• Bring to Top — moves an object to the top
• Send to Bottom — moves an object to the bottom
• Move Up — moves an object up one position
• Move Down — moves an object down one position
• You can also arrange vector objects by dragging them up or down in the Layer palette.


Grouping and ungrouping vector objects

You can group several objects or groups of objects to move, resize, reshape, and change their lines and materials.

When you group objects on different layers, Corel Paint Shop Pro Photo automatically moves them to the layer of the first object you select. Each group is labelled on the Layers palette and the objects in the group are shown as components.

To group or ungroup vector objects

To | Do the following
Group objects | Using the Pick tool [image] , select the objects you want to group. On the Tool Options palette, click the Group button [image] .
Ungroup objects | Using the Pick tool [image] , select the group. On the Tool Options palette, click the Ungroup button [image] .

To group objects by using the Layers palette

1. On the Layers palette, click the first object you want to group.
2. Hold down Shift, and click each object you want to add to the group.
3. Right-click, and choose Group.
• If you group objects from several layers, Corel Paint Shop Pro Photo moves them to the layer of the first object you selected.
• Click the plus sign (+) next to the group name to show the group’s components.

To remove an object from a group

• On the Layers palette, drag the object to another group or layer.


Converting objects to paths

You can convert any selected vector object, including text, to a fully editable path (as though it were created by the Pen tool). This allows you to use the Pen tool’s full complement of node-editing commands to modify the converted object.

This example shows graphics converted to paths.

To convert a vector object to an editable path

1. On the Tools toolbar, choose the Pick tool [image].
2. Select an object.
If you want to convert multiple objects to paths, marquee select the objects.
3. Right-click the objects, and choose Convert to Path.


Adding and closing contours

You can add new contours to any existing object. The new contour will have the same properties, including color, material, line style, and so on, as the selected object. You can also duplicate contours.

To add a contour to an object

1. On the Tools toolbar, click the Pen tool [image].
2. In the Tool Options palette, click the Edit Mode button [image].
3. Select an object.
4. Click one of the following buttons:
• Draw Lines and Polylines
• Draw Point-to-point Bézier Curves
• Draw Freehand
5. Drag on the object to create the contour.

To close a contour

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image] .
3. Select a contour.
4. Click the Close selected open contours button [image].
• When you close a contour, Corel Paint Shop Pro Photo draws a segment from the contour’s start node to its end node.


Editing contours and paths

You can edit the contours and paths of vector objects. You can join contours by connecting their end points. You can also reverse the direction of paths and contours. The direction of a contour flows from the start node to the end node. When you place the cursor over the start node, a “START” message appears next to the cursor. When you place the cursor over the end node, an “END” message appears. If the object has a closed path, a “CLOSE” message appears.

You can duplicate contours.

For more information about the different types of nodes, see "Modifying lines and curves".

To join two contours

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Select one of the contours you want to join.
All of the nodes in the object are displayed.
4. Select the start or end node of the first contour you want to join.
You can only join contours in the same object.
5. Hold down Shift, and select the start or end node of the second contour.
6. Right-click, and choose Edit [image] Join.
• You can also join contours manually. Drag a node on the first contour over the second contour’s start or end node. When the cursor displays “JOIN,” release the mouse button.

To break a contour at a node

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Select the node where you want to break the contour.
4. Right-click the node, and choose Edit [image] Break.
• The path or contour breaks and a new node is added on top of the current node. The node square changes to a node-on-node indicator [image].

To move a path

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Drag any contour in the path.

To move a contour

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Hold down Shift, and move the cursor over the contour until the cursor displays “SUB.”
4. Drag the contour.
• You can also move a contour by double-clicking a node to select all nodes, and then dragging one of the nodes.

To reverse a path or contour

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Click on a contour or path.
4. Select a node.
If you want to reverse multiple contours, select one node from each contour.
5. Right-click the path or contour, choose Edit, and then choose one of the following:
• Reverse Path
• Reverse Contour

To duplicate a contour

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Select one or more nodes.
4. Choose Objects [image] Edit, and select one of the following options:
• Duplicate — copies the selected contour and pastes it directly on top of the original contour
• Duplicate & Offset — copies the selected contour and pastes it at an offset from the original contour. The default offset is 10 pixels in the X and Y directions.
• You can adjust the offset from the original contour by adjusting the settings in the Duplication X and Duplication Y controls on the Tool Options palette.

To delete a contour

1. On the Tools toolbar, select the Pen tool [image].
2. In the Tool Options palette, click the Edit Mode button [image].
3. Click on a contour.
4. Double-click one node to select all nodes.
5. Press Delete.
• You cannot delete a path. A path is deleted with its object or when all of its contours are deleted.


Drawing lines

You can draw straight lines, freeform lines, and line segments. You can edit the nodes in a line to create curves.

You can also adjust the line options of existing vector objects.

To draw a line segment

1. On the Tools toolbar, choose the Pen tool [image].
If you want to place the line segment on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the line segment. If this check box is unmarked, the line segment is placed on a raster layer. Placing a line segment on a vector layer makes it easier to edit.
2. On the Materials palette, click the Foreground and Stroke properties box, and choose a color for the outline.
3. If you are drawing connected line segments and you want to apply a fill, click the Background and Fill properties box, and choose a color for the text fill. If you do not want the line segments to have a fill, click the Transparent button [image].
If you are drawing a single, unconnected line segment, it is not necessary to choose settings from the Background and Fill properties box.
4. On the Tool Options palette, click the Draw Lines and Polylines button [image].
5. Choose a line style from the Line Style drop-list.
6. Type or set a line width (in pixels) value in the Width control.
7. Drag in the image window to create the line.
8. On the Tool Options palette, click the Apply button [image].

You can also |
View the object’s nodes while drawing | Mark the Show Nodes check box.
Smooth the appearance of the line | Mark the Anti-alias check box.
Choose a join setting | Select an option from the Join drop-list. If you select Miter Join, you can type or set a value in the Miter limit control to set the degree of pointedness.
Create a vertical, horizontal, or 45-degree line | Hold down Shift while dragging.
Connect each line segment | Mark the Connect Segments check box.

• You can save your settings in the Tool Options palette settings for subsequent use. For more information about saving settings as presets, see "Using and creating presets".

To draw a curved or straight line

1. On the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Draw Point to Point button [image].
3. Drag in the image window to create the line.
4. Do one of the following:
• To create a straight line, click where you want the next node.
• To create a curved line, click and drag. When the curve is the right shape, release the mouse button.
If you want to draw lines at fixed angles (45 degree increments), hold down Shift as you drag.

To draw a free-form line

1. On the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Draw Freehand button [image].
3. Drag in the image window to create the line.

To draw line segments

1. On the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Draw Line and Polylines button [image].
3. Drag in the image window to create the line.


Saving custom line styles

You can design your own line styles and save them as presets.

To design and save a custom line style

1. On the Tools toolbar, choose one of the following tools:
• Pen tool
• Rectangle tool
• Ellipse tool
• Symmetric Shape tool
• Preset Shape tool
• Text tool
2. On the Tool Options palette, click the Line Style drop-list, and click Custom.
If you want to copy an existing line style, choose that style from the Line Style drop-list, and click Custom.
3. In the Styled Line Editor dialog box, choose settings from any of the following controls:
• First cap — lets you pick a style for the first segment in the line
• Last cap — lets you pick a style for the last segment in the line
If you want to specify a size for the cap, click the Size button, and type or set a value in the Width and Height controls. To make the height and width equal, mark the Link axes check box.
4. Do one of the following:
• If you are creating a new line, click Save As New. Type a name in the Styled Line Name field, and click OK.
• If you are editing an existing line, click Save.

You can also |
Undo the changes | Click the Undo button [image] .
Reset the line to the original style | Click the Reset button [image] .
Create separate end caps for the middle dashes in the line | Mark the Different segment caps check box, and choose settings from the Segment Start and Segment End group boxes.
Add dashes or gaps | Type or set a value in the Length control, and click Add.
Delete dashes or gaps | Select a dash or gap, and click Delete.
Remove all dashes and gaps | Click Clear.

• The preview area at the bottom of the Styled Lines Editor dialog box displays the changes you make to the line. The edit area has a ruler you can use to size dashes and gaps (in pixels).
• Saved styles appear in the Line Style drop-list on the Tool Options palette.


Drawing curves

You can draw Bézier and freehand curves.

To draw an object with Bézier curves

1. On the Tools toolbar, choose the Pen tool [image].
If you want to place the line segment on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the line segment. If this check box is unmarked, the line segment is placed on a raster layer. Placing a line segment on a vector layer makes it easier to edit.
2. On the Materials palette, click the Foreground and Stroke properties box, and choose a color for the outline.
If you want to apply a fill to the curve, click the Background and Fill properties box, and choose a color. If you do not want to apply a fill to the curve, click the Transparent button [image].
3. In the Tool Options palette, click the Draw Point to Point button [image].
4. Mark the Show Nodes check box.
5. Click where you want to place the first node, and drag.
As you drag, the arrow-end of the control arm handle points in the same direction. Release the mouse button when the first control arm reaches the desired length.
6. Click where you want to place the second node, and drag.
As you drag, the curve segment appears on the image canvas.
If you marked the Connect Segments option, you can continue adding segments in this manner.
7. On the Tool Options palette, click one of the following buttons to complete the Bézier curve object:
• Create New Contour button [image] — creates an open shape where the first and last segments are not connected
• Close Contour button [image] — creates a closed shape where the first and last segments are connected
8. Click the Apply button [image].

You can also |
Automatically connect each curve segment | Mark the Connect Segments check box.
Choose a line style | Choose an option from the Line Style drop-list.
Set a line width | Type or set a value in the Width control.
Smooth the line’s edges | Mark the Anti-alias check box.

• You can save Tool Options palette settings as presets. For more information, see "Using and creating presets".

To draw a freehand curve

1. On the Tools toolbar, choose the Pen tool [image].
If you want to place the line segment on the current vector layer, mark the Create on Vector check box on the Tool Options palette. If no vector layer exists, marking this check box creates one for the line segment. If this check box is unmarked, the line segment is placed on a raster layer. Placing a line segment on a vector layer makes it easier to edit.
2. On the Materials palette, click the Foreground and Stroke properties box, and choose a color for the outline.
If you want to apply a fill to the curve, click the Background and Fill properties box, and choose a color. If you do not want the curve to have a fill, click the Transparent button [image].
3. On the Tool Options palette, click the Draw Freehand button [image].
If you want to display the curve’s nodes, mark the Show Nodes check box.
4. Type or set a value in the Tracking control to set the distance in pixels between nodes.
Higher values create smoother, less precise lines with fewer nodes; lower values create more segmented, precise lines with more nodes.
5. Drag to create the curve.
6. Click the Apply button [image].

You can also |
Connect multiple curve objects | Mark the Connect Segments check box.
Smooth the curve’s edges | Mark the Anti-alias check box.
Choose a join setting | Select an option from the Join drop-list. If you selected Miter Join, you can type or set a value in the Miter limit control to set the degree of pointedness.
Choose a line style | Choose an option from the Line style drop-list.
Set a line width | Type or set a value in the Width control.


Modifying lines and curves

You can edit the properties of lines and curves. You can reshape a curve by changing its nodes the shape of the contour at a node by changing the node type, by modifying its line segments on either side of a node, or by connecting line segments. You can also cut a line segment. When you cut a closed path or contour, you open it. When you cut an open path or contour, you create two separate contours.

To edit a line or curve

1. On the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Select the shape.
4. Modify any of the settings on the Tool Options palette.
• You can also edit the curve by clicking the Pick tool [image], selecting the curve, and modifying any of the settings on the Tool Options palette.

To adjust a line segment by changing the nodes

1. On the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Right-click a node, choose Node Type, and select one of the following options:
• Convert to Line — straightens the segment before and after the node
• Line Before — straightens the segment before the node
• Line After — straightens the segment after the node
• Curve Before — curves the segment before the node
• Curve After — curves the segment after the node

To connect multiple line segments

1. Create as many connected line segments as you want.
2. On the Tool Options palette, click one of the following buttons:
• Create New Contour [image] — connects line segments in an open shape
• Close Contour [image] — connects line segments in a closed shape
3. Click the Apply button [image].
• You can save a set of Tool Options palette settings as presets. For more information, see "Using and creating presets".

To cut a line segment

1. From the Tools toolbar, choose the Pen tool [image].
2. On the Tool Options palette, click the Knife Mode button [image].
3. Drag across the contour where you want to cut it.
• When you click the Knife Mode button, you can cut through all selected contours in an object.


Copying and moving vector objects

You can copy and move vector objects by using Cut, Copy, and Paste commands. For more information about moving objects precisely, see "To move a vector object."

To copy or move a vector object

1. On the Tools toolbar, select the Pen tool [image].
2. On the Tool Options palette, click the Edit Mode button [image].
3. Click on a contour, and then double-click one node to select all nodes.
4. Choose Objects [image] Edit and select one of the following commands:
• Copy — copies the selected contour to the Windows clipboard
• Cut — removes the selected contour to the Windows clipboard. If the object has only one contour, the command removes the entire object.
5. Click where you want to copy or move the contour.
6. Choose Edit and choose one of the following options:
• Paste As New Vector Selection — pastes vector objects within the same layer
• Paste As New Layer — pastes vector objects as a new layer
• Paste As New Image — pastes vector objects as a new image


Working with brushes

Brush tools offer countless ways to work creatively with your images. For example, you can apply soft- or hard-edged brush strokes of any color or material, paint with another image as a source, retouch images to correct colors or contrast, replace colors, or paint with picture tubes. You can also erase pixels by making them transparent.

Brush tools work only on raster layers, and they produce the best results when applied to grayscale or 16 million–color images. They are less effective when applied to images of other color depths.

You can also work with painting tools within a selection so that only the selected pixels are affected. For more information about making selections, see "Working with selections."

In this section, you’ll learn about

• choosing brushes
• choosing brush options
• using brushes
• customizing brush settings
• creating brush tips and presets
• importing and sharing brush tips


Choosing brushes

You can choose from the following brush tools:

• Paint Brush — creates strokes of color that simulate an artist’s paintbrush. Brush strokes can have hard or soft edges. The Paint Brush is a multipurpose tool that can be used to edit an image by applying color to areas as small as a single pixel. It can be used to adjust transparency in specific areas or to create a selection. For more information, see "To create a selection by using a Painting tool."
• Airbrush — simulates an airbrush or spray can. The longer you apply the brush to an area, the more pronounced the effect becomes.
• Warp Brush — produces a warping effect on image pixels. You can twirl areas of the image, contract or expand parts of the image, and create other interesting effects. For more information, see "Warping images."
• Picture Tube — lets you paint with a collection of preset objects. For example, you can add butterflies and beetles to a picnic setting, fill an aquarium with fish, or frame a picture with holly. You can use the picture tubes included with Corel Paint Shop Pro Photo or create your own. For more information, see "Using the Picture Tube tool."
• Eraser — causes pixels to become transparent. For more information, see "Erasing image areas."
• Background Eraser — erases pixels selectively. For more information, see "Erasing image areas."
• Clone Brush — lets you edit your image by using parts of the image, or parts of another image, as a paint source. For more information, see "Removing flaws and objects."
• Color Replacer — replaces a color in a selection or layer with another color. For more information, see "Replacing colors, gradients, or patterns."
• Retouch Brush tools — let you retouch images. Some retouch brushes mimic photographic effects. Others change pixels based on lightness, saturation, hue, or color values. Some retouch brushes are similar to color correction commands in the effects they produce. For more information, see "Adjusting images."


Choosing brush options

The brush options help you create hundreds of different brush strokes. You can experiment with the options until you achieve the effect you want.

You can further customize the basic brush settings by specifying additional options on the Brush Variance palette. For more information about using the Brush Variance palette, see "Customizing brush settings."

The following options are available on the Tool Options palette for painting tools:

• Shape — specifies the shape of the brush tip. You can create a rectangular, elliptical, or angled brush tip by starting with the round or square shape and modifying it with the Thickness and Rotation options.
• Size — determines the size of the brush in pixels. You can adjust the Size value by using the keyboard as well as by setting the Size control in the Tool Options palette. For more information, see "To adjust the brush size by using the keyboard."
• Hardness — determines the sharpness of the brush edges. A setting of 100 produces the sharpest edge; lower values produce an increasingly softer, fading edge.
• Step — determines the time interval that elapses between applications of paint, with each application defined as a single, continuous brush stroke. Lower values produce a smoother, more continuous appearance; higher values create a choppier appearance.
• Density — determines the evenness of coverage produced by the brush stroke (or for the Eraser tool, the evenness of the erasure). Higher values produce more even coverage; lower values produce spottier coverage, which resembles a spray-painted effect. When using the Airbrush tool, you should set Density to values lower than 100.
• Thickness — determines the width of the brush stroke. A setting of 100 produces a brush tip that is completely round or completely square, depending on the Shape setting. As the Thickness setting decreases, the brush becomes increasingly narrow.
• Rotation — applies rotation to a noncircular brush tip.
• Opacity — determines how well the paint covers the image surface. At 100% opacity, the painted brush stroke completely covers the surface beneath it. At 1% opacity, the paint stroke is almost completely transparent. For the Eraser tool, this setting determines the level of erasing, so that a setting of 100% produces the most transparent result.
• Blend mode — determines how painted pixels are blended with pixels on underlying layers. The blend modes are the same as layer blend modes. With the Paint Behind blend mode, for example, painting is done behind the image on the active layer. No paint is visible when the topmost layer and the active layer are both fully opaque. For more information about blend modes, see "Blending layers."
• Rate — determines the rate at which the Airbrush tool applies paint (from 0 to 50). A value of 0 applies a consistent amount of paint even when the speed of the brush stroke varies. Higher values apply more paint when the brush slows down or pauses.
• Stroke — lets you build up paint on existing paint strokes that were applied with the Continuous check box marked. If the Continuous check box is not marked, or if the check box is marked but no strokes have been made, the Stroke button is grayed (unavailable).
• Continuous — specifies whether paint builds up when multiple brush strokes are applied over the same area with opacity set at less than 100%. If this check box is marked, painting produces a continuous color, and repainting an area has no effect. To repaint an area, you must click the Stroke button. If the Continuous check box is unmarked (the default), each brush stroke over the same area applies more paint; the color darkens until it reaches 100% opacity.
• Wet Look Paint — mimics wet paint, with soft color inside and a darker ring near the edge. The effect is more visible with lower values for the Hardness setting.


Using brushes

When you choose a brush, you can modify its settings to achieve the effect you want. You can also reset the brush to its default settings.

When applying paint, you can undo and redo multiple brush strokes.

To use a brush

1. On the Tools toolbar, choose a brush tool.
2. On the Materials palette, choose the foreground and background colors and materials.
3. On the Tool Options palette, choose a tool from the Presets drop-list.
4. Choose a preset brush tip from the brush tip drop-list [image].
5. Specify the brush options, such as shape, size, opacity, hardness, thickness, and rotation.
6. Do one of the following:
• To apply the foreground color or material, drag in the image.
• To apply the background color or material, hold down the right mouse button, and drag in the image.
• With the Airbrush tool, you can build up color in one area by clicking and holding the mouse at one position.
• To paint a straight line, click once at the beginning point, press Shift, and then click the end point. To continue the straight line, move to the next point, press Shift, and then click again.

To reset a brush to its default settings

1. On the Tool Options palette, click the Presets drop-list.
2. Click the Reset to Default button [image].

To undo the most recent brush stroke

• Click the Undo button [image] on the Standard toolbar.
• You can also press Ctrl + Z or use the History palette to undo the stroke.

To undo multiple brush strokes

• Click the Undo button [image] on the Standard toolbar multiple times.
• You can also press Ctrl + Z multiple times or use the History palette to undo multiple strokes.
• You can redo strokes by clicking the Redo button [image] on the Standard toolbar, by pressing Ctrl + Alt + Z, or by using the History palette.


Customizing brush settings

The Brush Variance palette lets you customize the settings in the Tool Options palette for particular brush options. You can also make random adjustments by increasing the Jitter percentage.

You may find the most benefit to using Brush Variance palette settings if you use a pen tablet or a 4D mouse.

To customize brush settings

1. Choose View [image] Palettes [image] Brush Variance.
2. On the Tools toolbar, choose a brush tool.
3. On the Tool Options palette, set the brush options.
4. On the Brush Variance palette, set the brush variance for each option (Color Blend, Hue, Saturation, Lightness, Size, Opacity, Thickness, Rotation, Density):
• Normal — applies no variance
• Pressure — applies variance to the selected brush attribute according to the pressure from a tablet stylus
• Tilt Angle — applies variance based on the angle between the tablet stylus and the tablet
• Tilt Direction — applies variance based on the rotation angle of the brush tip
• Orientation — applies variance based on the rotation angle around the stylus (for 4Dmouse only)
• Fingerwheel — lets you control the variance in the brush attribute by using the wheel on an airbrush stylus
• Z-Wheel — lets you control the brush attribute by using a 4D mouse wheel that is set to behave according to the current application.
• Direction — controls brush variation based on the angle between consecutive mouse points on a path
• Fade In — fades the brush impression from small to large
• Repeating Fade In — repeatedly fades the brush impression from small to large
• Fade Out — fades the brush impression from large to small
• Oscillating Fade — repeatedly fades the brush impression in and out by oscillating between small and large
Options marked with an asterisk (*) in the Brush Variance palette are available only to users with pressure-sensitive tablets. The options available depend on the type of tablet being used.
5. Type or set a value in the Fade rate (pixels) control to select a threshold for the number of pixels over which the fading in and fading out occurs.
Lower values produce faster fading; higher values produce slower fading.
6. Type or set a value in the Position Jitter (%) control to select a percentage for randomly adjusting the brush impression location.
Mark the Scale check box if you want the jitter to scale proportionally when you change the brush size.
7. Type or set a value in the Impressions per step control to indicate how many brush impressions per step are made of the brush stroke.
• To reset brush variance options to their default values, click the Reset Brush Variance palette button [image].
• If you have a variance loaded with a brush and then load another brush without loading its variance, the new brush can take on the variance settings from the previous brush. Click the Reset Brush Variance palette button [image] to clear any leftover variance settings.
• You can save your modified brush as a brush tip or as a preset. For more information about saving brushes and presets, see "Creating brush tips and presets."


Creating brush tips and presets

By modifying the brush options, you can create your own brush tips to use with the painting tools. When you create a brush tip, all options selected for the brush are saved, including the brush shape, step, density, thickness, size, hardness, and rotation settings. You can also include the variance settings in creating a brush tip. The settings that you save can be applied to any tool that has a brush tip control in the Tool Options palette.

You can also make a selection, and then turn that selection into a custom brush with a width and height of up to 500 × 500 pixels.

In addition to brush tips, you can create brush presets. When you create a preset, all settings specified for a particular tool are saved, including all of the parameters and variance settings. The tool preset is available only when you select that particular tool.

To create a brush tip

1. On the Tools toolbar, choose a painting tool.
2. On the Tool Options palette, modify the settings for the brush.
3. Click the brush tip drop-list [image] to display current brush tips.
4. Choose File [image] Export [image] Custom Brush.
5. Complete the fields in the Create Brush Tip dialog box.
6. Click OK.
The new brush appears in the brush tip drop-list. You can use the new brush with any of the painting tools that display this drop-list.
• You can also open the Create Brush Tip dialog box by clicking the Create Brush Tip button [image] in the brush tip drop-list.
• To save the new brush in a folder other than the default Brushes folder, click Edit Paths in the Create Brush Tip dialog box. For more information on changing file locations, see "Setting file locations."

To create a brush tip from a selection

1. Make a selection of the area you want to convert into a custom brush.
2. On the Tools toolbar, choose a painting tool.
3. On the Tool Options palette, click the brush tip drop-list [image] to display current brush tips.
4. Click the Create Brush Tip from Selection button [image].
A preview of the new brush appears in the Create Brush Tip dialog box.
5. Enter a name for the brush in the Name box.
6. Select a step value.
7. Click OK.
The new brush appears in the brush tip drop-list. You can use the new brush with any of the painting tools that appear in the drop-list.
• To save the new brush in a folder other than the default Brushes folder, click Edit Paths in the Create Brush Tip dialog box. For more information on changing file locations, see "Setting file locations."

To create a brush preset

1. Choose a painting tool and modify any of the tool options.
2. On the Tool Options palette, click the Presets drop-list.
3. Click the Save preset button [image].
The Save Preset dialog box appears.
4. Type a name for the brush preset.
You cannot use the names “Default” or “Last Used.”
5. To enter additional preset information, click Options, and then enter information in the Author, Copyright, and Description fields.
6. Click OK.
• You can exclude any of the current brush settings from the preset by clicking the Save icon [image] associated with those settings in the Preset Includes list. A red “X” appears over the icon [image], indicating that this brush setting will not be saved with the preset.


Importing and sharing brush tips

You can import custom brushes or create your own. For information about creating custom brushes, see "Creating brush tips and presets."

After you create a custom brush tip, you can share it with others by sending them the brush file. If the brush uses a custom shape, you must share both the brush file and the custom shape file for that brush.

To import a custom brush

1. Choose File [image] Import [image] Custom Brush.
The Import Custom Brush dialog box appears.
2. Click Open.
3. In the Open dialog box, navigate to the brush file that you want to import, and click Open.
4. In the Import Custom Brush dialog box, select the custom brushes that you want to import, and click Add.
If you want to import multiple brushes, click Add All.
5. Click OK to import the custom brushes.

To share brush tips

1. Navigate to X:Program files\Corel\Corel Paint Shop Pro Photo\Corel_01, where “X” indicates the drive on which you installed Corel Paint Shop Pro Photo.
Navigate to the folder in which you saved your custom brushes if it is different from the default Brushes folder.
2. Provide the brush files (with a .PspBrush extension) to the person with whom you wish to share the brush tip. You could, for example, attach the brush files in an e-mail.
The recipient of the brush files should save them in the same folder on their system.
• If you are sharing brushes created from selections, you must share both the PspBrush file and the associated PSP Script file.


Painting and drawing with the Art Media tools

The Art Media tools let you create digital artwork that closely mimics real-world media, pigments, paints, and artists’ tools.

In this section, you’ll learn about

• working with Art Media layers
• working with the Mixer palette
• working with Art Media tools
• using the Oil Brush tool
• using the Chalk tool
• using the Pastel tool
• using the Crayon tool
• using the Colored tool
• using the Marker tool
• using the Palette Knife tool
• using the Smear tool
• using the Art Eraser tool


Working with Art Media layers

Art Media layers are automatically created when you use the Art Media tools. You can also convert Art Media layers to raster layers.

You can choose to create a new image with an Art Media layer. You can also choose a canvas texture on which to apply the Art Media pigment, and you can apply a fill color or a canvas color to the texture.

Paint strokes applied with the Oil Brush and Palette Knife tools are applied wet, so that you can smear or mix colors together. To add to the effect, you can dry or wet an Art Media layer at any time.

To create an Art Media layer

• Choose Layers [image] New Art Media layer.
• You can also create a new Art Media layer by clicking the New Art Media Layer button [image] on the Layers palette.

To dry or wet an Art Media layer

• Choose Layers, and click one of the following options:
• Dry Art Media layer
• Wet Art Media layer
• The Dry Art Media layer command and the Wet Art Media layer command can be selectively undone in the History palette.

To modify Art Media layer properties

1. On the Layers palette, double-click the Art Media layer to display the Layer Properties dialog box.
2. Click the Canvas Texture tab.
3. Modify any of the layer’s properties.


Working with the Mixer palette

You can use the Mixer palette to blend colors and create paint swatches similar to those you would create by using a traditional artist’s palette. Once you have created a color, you can use the Art Media brushes to apply it to the canvas.

If you blend colors too much, you can undo the 20 most recent Mixer Tube tool or Mixer Knife tool actions. You can also redo color mixing actions.

The history of the actions in the Mixer palette is lost when you close the program; however, you can close the Mixer palette at any time while the program is open and not lose your changes.

By default, the Mixer pages you create are 500 × 500 pixels. However, you can also create larger, custom mixer pages. You can also save the Mixer area as a Mixer page, which you can reload and use in another Corel Paint Shop Pro Photo session.

To mix colors

1. On the Materials palette, set the Foreground and Stroke Property box to Color, and choose a color from the Frame, Rainbow, or Swatch tab.
When any Art Media tool is active, the mode buttons below the Foreground and Stroke Property and Background and Fill Property boxes are inactive.
2. On the Mixer palette, select the Mixer Tube tool [image].
3. In the Mixer area, drag to apply paint strokes.
If you want to change the width of the stroke, change the setting in the Size box.
You can choose another color by repeating step 1.
4. Choose the Mixer Knife tool [image], and drag in the Mixer area to smear colors together.
• You can toggle between the Mixer Knife tool and the Mixer Tube tool by using the right-mouse button. For example, you can apply paint by holding down the left mouse button and dragging; and you can mix the paint by holding down the right mouse button and dragging.

To undo and redo color mixing

• On the Mixer palette, click one of the following buttons:
• Unmix [image] — lets you undo a Mixer Tube tool or Mixer Knife tool action
• Remix [image] — lets you redo a Mixer Tube tool or Mixer Knife tool action
• You cannot undo or redo Mixer Tube and Mixer Knife tool actions by choosing Edit [image] Undo or Edit [image] Redo, by clicking the Undo and Redo buttons on the Standard toolbar, or by pressing Ctrl + Z or Ctrl + Alt + Z.

To use Mixer palette colors

1. On the Mixer palette, choose the Mixer Dropper tool [image], and click a color in the Mixer area.
Dragging around the Mixer area on the Materials palette updates the Foreground and Stroke property box with the current sampling position.
2. On the Tools toolbar, choose an Art Media tool.
3. Begin painting.
The strokes will be applied on an Art Media layer. If this layer type is not the active layer, one is created automatically once you begin using the Art Media tool.
4. To choose another color, use the Mixer Dropper tool to choose the desired color from the Mixer area.

You can also |
Pan to other areas of the Mixer page | Hold down the Navigate button [image] to display the entire Mixer page. Drag to enclose the desired area of the page.
Clear the Mixer page | On the Mixer palette, choose Clean Page.

• The size of the Dropper tool is determined by the Size setting on the Tool Options palette.
• By default, the Oil Brush tool and the Palette Knife tool create wet paint strokes, and the other tools create dry paint strokes. You can dry the Art Media layer, or make it wet again by choosing Layers [image] Dry Art Media layer or Layers [image] Wet Art Media layer. For more information on each Art Media tool, see "Working with Art Media tools".

To create a custom Mixer page

1. Choose File [image] New to display the New Image dialog box.
2. In the Image Dimensions group box, type values to set the dimensions for the Mixer page.
The width and height must be at least 500 pixels.
3. In the Image Characteristics group box, choose an option from the Art Media Background area.
4. Choose a texture from the Texture drop-list.
The texture acts like an invisible surface on which Art Media pigments are applied.
5. Click OK.
At this point you can apply Art Media pigment to the image.
6. On the Standard toolbar, click the Save button [image] to display the Save As dialog box.
7. Navigate to X: Program Files\Corel Paint Shop Pro Photo XI\Corel_16, where “X” indicates the drive on which Corel Paint Shop Pro Photo is installed.
8. Save the new image in the .PspImage file format.

You can also |
Save the Mixer area as a page | On the Mixer palette, choose Save Page or Save Page As, and type a name for the page.

• You can also access Mixer pages in the My Documents\My PSP Files\Mixer Pages folder.
• You can fill the Mixer page with a color by marking the Enable fill color check box in the New Image dialog box, clicking the Color box, and choosing a fill color. Be aware, however, that you cannot sample this color, nor will the Art Media tools affect the color.

To load Mixer area pages

1. Click the Load Mixer Page button [image].
2. Navigate to X: Program Files\Corel Paint Shop Pro Photo XI\Corel_16, where “X” indicates the drive on which Corel Paint Shop Pro Photo is installed.
• You can also load a mixer page by clicking the Access button on the Mixer menu, and choosing Load Page.


Working with Art Media tools

You can use the Art Media tools when working on Art Media layers. The Art Media tools let you simulate the rich, expressive results you get when working on physical pigment media such as paint, chalk, pastel, and pencil.

Although the Art Media tools support Presets, they do not support custom brush tips like the Paint Brush tool and other raster painting tools.
The wet pigment media tools

The Oil Brush and Marker tools simulate the effect of painting with real wet pigment and tools. The Oil Brush even creates the effect of running out of paint at the end of a stroke. To get more paint, simply release the mouse button, and then drag more paint strokes.

The Oil Brush tool and the Palette Knife tool let you produce strokes with multiple colors on the brush head. This simulates the effect you can achieve by using a real painting palette and multiple wet pigments. Additionally, when the Oil Brush or Palette Knife is active, you can dry the wet strokes you have applied. For more information, see "To dry or wet an Art Media layer."

The dry pigment media tools

The Chalk, Pastel, Crayon, and Colored Pencil tools let you create effects that simulate artwork that you create with dry pigment media. Unlike the Oil Brush tool, the dry tools don’t run out of pigment media. Furthermore, the pigment applied with these tools has less volume than that which is applied by using the Oil Brush tool.

The Palette Knife, Smear, and Art Eraser tools

You can use the Palette Knife to apply and smear art media pigments. You can also use the Smear tool blend pigments as though you are using a finger or a cloth.

You can use the Art Eraser tool to erase pigment. However, if you are using the Art Eraser tool to erase pigment created with multiple paint strokes (such as those applied by the Oil Brush tool), it may take multiple strokes to clean the area. If you are using the tool to erase pigment created with the Chalk tool or the Colored Pencil tool, you’ll achieve results with fewer strokes.

Creating artistic rendering of photos

You can give a photograph image the look of a painting or drawing. By dragging the Artistic Media tool over a color, you select the pigment or paint color by sampling the data below the center of the brush regardless of the layer type. When you hold down the mouse button to begin the stroke, note that a single sample is performed, and the resulting color is used for the duration of the stroke.

To use an Art Media tool

1. On the Tools palette, choose one of the following tools:
• Oil Brush
• Chalk
• Pastel
• Crayon
• Colored Pencil
• Marker
• Palette Knife
• Smear
• Art Eraser
2. On the Tool Options palette, click the Presets button and choose a preset brush.
If you want to adjust the preset brush, change any of the settings on the Tool Options palette.

To adjust the brush size by using the keyboard

To | Do the following
Increase or decrease brush size interactively | Hold down Alt, and drag.
Increase brush size by 1 pixel | Hold down Alt, and press C.
Increase brush size by 20 pixels | Hold down Shift + Alt, and press C.
Decrease brush size by 1 pixel | Hold down Alt, and press X.
Decrease brush size by 20 pixels | Hold down Shift + Alt, and press X.

To create an artistic rendering of a photo

1. With the image open, choose an Art Media tool that applies paint or pigment.
2. Mark the Trace check box on the Tool Options palette.
3. Place the cursor over the image where you want to sample an underlying color and drag to apply a stroke using the sampled color.
The resulting color is used for the duration of the stroke.
• You can experiment with your results by adjusting the brush size and zoom level.
• You can achieve accurate results by creating a color-based selection by using the Magic Wand tool, and applying the pigment or paint to the color sampled area.


Using the Oil Brush tool

You can use the Oil Brush tool to simulate a dense medium that blends color by mixing with a thick medium, rather than through an overlay function. You can load the Oil Brush tool [image] with multiple colors. You can smear and blend colors by mixing them with oil that is already on the canvas.

There are a number of options for managing the reloading of the Oil Brush tool head between strokes. You can

• reload the brush with a solid color
• reload the brush by sampling from the Mixer page
• reload the brush with its current contents and optional amounts of color from the Mixer page
• leave the brush unloaded, and dip into the palettes or canvas after each stroke

Paint strokes applied by the Oil Brush tool are wet in terms of how strokes interact with other strokes by smearing or mixing together. For more information see "To dry or wet an Art Media layer."

Oil Brush tool options

Oil Brush tool options include

• Shape — defines the shape of the brush tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head. This setting is active only when the Fixed angle Head Tracking option is chosen.
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — determines whether the tool head bends around the path of the user’s stroke, or remains at a fixed angle
• Head Loading — defines the percentage of material on the brush at the start of the stroke
• Viscosity — defines the rate at which the material on the brush is applied, and thus the length of the stroke before your paint runs out
• Firmness — defines the amount of splay in the brush, how the rendered line gets wider with more pressure, and how well it penetrates the surface on to which it is painting
• Bristle size — affects the underlying noise function for texture and application of paint
• Auto Clean check box — cleans the brush and reloads it with fresh paint at the start of a new stroke
When unmarked, the brush head is not cleaned at the start of the stroke. Instead, the dirty head has a small amount of the current color added to whatever dirty head state exists from the previous stroke.
• Clean button — cleans the head and start the next stroke with fresh paint or pigment
The Auto Clean check box and the Clean button are only available with the Oil Brush and Palette Knife tools.
• Trace check box — allows the current Art Media tool to select the pigment or paint color by sampling the data below the center of the brush regardless of the layer type.
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Chalk tool

The Chalk tool [image] lets you create consistent, dry media over the course of a stroke. The pigment penetrates the canvas texture according to the pressure setting you choose. The Chalk tool does not have a bristle component to the stroke; instead, it is applied with a flat or angled edge that is affected by the texture of the canvas.

Chalk tool options

Chalk tool options include

• Shape — defines the shape of the chalk tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — defines whether the tool head bends around the path of the stroke, or whether it remains at a fixed angle
• Trace check box — allows the Chalk tool to select the pigment color by sampling the data below the center of the tool regardless of the layer type. (This feature works much the same way as the Clone Brush’s Sample Merged tool option).
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Pastel tool

Pastel is a dry media, softer than chalk, but like chalk it has infinite brush loading. Applied with the Pastel tool [image], its dry pigment tends to penetrate the canvas texture proportional to the pressure with which you apply it. Pastel pigments have a fixed viscosity that is slightly less than chalk, meaning the strokes you apply leave some volume on the canvas as they break from the pigment stick. Pastels do not have a bristle component to the stroke, instead presenting a flat or angled surface of the stick. The stroke edges fall off and break up based on the texture of the canvas.

Pastel is slightly shiny, interacts with itself by smearing slightly, and dirtying the tool head slightly when applied with light pressure. It loads the canvas more than chalk, breaking up more when applied, and this gives the appearance of volume to the surface.

Pastel tool options

Pastel tool options include

• Shape — defines the shape of the pastel tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — determines whether the tool head bends around the path of the user’s stroke, or remains at a fixed angle
• Trace check box — allows the Pastel tool to select the pigment color by sampling the data below the center of the tool regardless of the layer type.
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Crayon tool

Crayon is a dry media similar to chalk but with a wetter feel that prevents powdering. The tool has infinite pigment loading. As applied by the Crayon tool [image], its dry pigment tends to penetrate the canvas texture proportional to the pressure with which you apply it. This is due to Corel Paint Shop Pro Photo mimicking a solid tool head. The pigment leaves a slightly waxy volume that can smear for a short distance as it is painted over. Crayons do not have a bristle component to the stroke, instead presenting a flat or angled tool surface. The body of the stroke tends to have a fall-off and break up affected strongly by the canvas texture. However, crayon pigment is less transparent than chalk and does not powder.

Crayon is a little more shiny than pastel, smears itself slightly less, but does apply a tiny amount of matter to the canvas and can smooth over bumps if used repeatedly. This is because the volume that is laid down is viscous enough to fill dents but also dense enough to prevent large-range smearing.

Crayon tool options

Crayon tool options include

• Shape — defines the shape of the crayon tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — controls whether the tool head bends around the path of the user’s stroke, or remains at a fixed angle
• Trace check box — allows the Crayon tool to select the pigment color by sampling the data below the center of the tool regardless of the layer type.
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Colored Pencil tool

The Colored Pencil tool [image] lets you apply dry pencil strokes that blend when you apply light pressure, and overlay when you apply firm pressure. The Colored Pencil tool does not apply bump to a surface, and it will only smear when you apply pressure to the canvas. You can use the Smear tool to blend colored pencil strokes.

Colored Pencil tool options

Colored Pencil tool options include

• Shape — defines the shape of the pencil tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — controls whether the tool head bends around the path of the user’s stroke, or remains at a fixed angle
• Style — determines the behavior of the Colored Pencil tool tip when using a stylus
Choose Tilt to change the style through a linear progression based upon the stylus tilt. Choose Tip to mimic using the very tip of a pencil. Choose Edge to mimic using the pencil’s edge.
• Softness — defines the softness of the pencil lead, controlling how easily pressure or velocity break up the lead and cause it to powder into the canvas dents, or to smudge when applied
• Trace check box — allows the Colored Pencil tool to select the pigment color by sampling the data below the center of the tool
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Marker tool

The Marker tool [image] lets you apply pigment that resembles drawing with a marker on a canvas. Marker pens are a slightly wet medium, though generally not wet enough to interact with other wet media. The pigment goes on the canvas with a multiply function, simulating the interaction of using a pen repeatedly on the same spot. Pens generally have a very sharp fall-off at the stroke edge, and there is full canvas penetration even at light pressure.

Marker tool options

Marker tool options include

• Shape — defines the shape of the marker tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — controls whether the tool head bends around the path of the stroke, or whether it remains at a fixed angle
• Trace check box — allows the Marker tool to select the pigment color by sampling the data below the center of the tool, regardless of the layer type
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Palette Knife tool

The Palette Knife tool [image] interacts with the medium on the canvas. Generally, you use it with strokes placed by the Oil Brush tool as this is the only tool that applies large amounts of its medium. As the mass of the medium reduces in a spot, there is less to smear and using the Palette Knife tool has less effect. This means that the Crayon tool, which applies very little medium, is only slightly affected by the Palette Knife tool.

The method of loading or cleaning the Palette Knife tool is similar to the Oil Brush tool. You can clean it automatically after each stroke, retain the color picked up from the canvas, or allow manual cleaning. You can use the Palette Knife tool to apply pigment or smear it.

Paint strokes applied by the Palette Knife tool are wet in terms of how strokes interact with other strokes by smearing or mixing together. For more information, see "To dry or wet an Art Media layer."

Palette Knife tool options

Palette Knife tool options include

• Shape — defines the shape of the knife tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
This setting is only active when the Fixed angle Head Tracking option [image] is enabled.
• Rotation — defines the angle of head rotation
• Head Tracking — controls whether the tool head bends around the path of the user’s stroke, or remains at a fixed angle
• Head Loading — defines the percentage of material on the brush at the start of the stroke
• Auto Clean check box — cleans the tool and dips it into fresh paint at the start of a new stroke
• Clean button — cleans the head and start the next stroke with fresh paint or pigment.
This button is only active when the Auto Clean check box is not marked.
• Trace check box — allows the Palette Knife tool to select the pigment or paint color by sampling the data below the center of the tool regardless of the layer type.
When you hold down the mouse button to begin the stroke, note that a single sample is performed and the resulting color is used for the duration of the stroke.


Using the Smear tool

The Smear tool [image] lets you smear existing pigment, including pigment that has no volume on the canvas, such as pencil strokes. The tool simulates the effects of dragging a cloth or finger through chalk or pencil strokes on a canvas.

You can use the Smear tool to create a smudging effect on dry pigment, or to create a smearing effect on wet pigment.

Smear tool options

Smear tool options include

• Shape — defines the shape of the tool tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — controls whether the tool head bends around the path of the stroke, or whether it remains at a fixed angle


Using the Art Eraser tool

The Art Eraser tool [image] lets you erase art media from an image. While this tool is not strictly realistic, it does provide you with the flexibility to erase mistakes, rather than undoing entire strokes.

Art Eraser tool options

Art Eraser tool options include

• Shape — defines the shape of the eraser tip
• Size — defines the size of the tool head in pixels
• Thickness — defines the aspect ratio of the tool head
• Rotation — defines the angle of head rotation in degrees
• Head Tracking — controls whether the brush head bends around the path of the stroke, or whether it remains at a fixed angle


Customizing Corel Paint Shop Pro Photo

In Corel Paint Shop Pro Photo, you can customize workspaces, the menu system, toolbars, keyboard shortcuts, application preferences, file format preferences and associations, resources, and view options.

In this section, you’ll learn about

• viewing and hiding toolbars and palettes
• using custom workspaces
• customizing the menu system
• customizing toolbars
• creating custom toolbars
• customizing keyboard shortcuts
• setting Undo preferences
• setting View preferences
• setting Display and Caching preferences
• setting Palette preferences
• setting Units preferences
• setting Transparency and Shading preferences
• setting Warnings preferences
• setting PhotoSharing preferences
• setting Auto Action preferences
• setting miscellaneous preferences
• setting Organizer preferences
• setting Multimedia preferences
• setting file format preferences
• setting file format associations
• setting file locations
• managing resources
• setting plug-in preferences
• selecting Web browsers
• setting autosave preferences
• resetting all preferences
• adjusting general view options
• accessing tools and commands from previous versions of Paint Shop Pro


Viewing and hiding toolbars and palettes

You can choose which toolbars and palettes are displayed.

To select which toolbars and palettes are displayed

1. Choose View [image] Customize to display the Customize dialog box.
2. Click the Toolbars tab.
3. Mark the check box next to the name of the toolbar you want to display.
• You cannot hide the Menu bar and Layer Palette toolbar.
• You can also open the Customize dialog box by right-clicking the Menu bar, Tool palette, or Tool Options palette, and choosing Customize.


Using custom workspaces

The Corel Paint Shop Pro Photo workspace consists of palettes, toolbars, and open images. You may find that the way you arrange the workspace while editing photos may differ from the arrangement while using the Web tools. Fortunately, Corel Paint Shop Pro Photo allows you to save and use any number of workspace arrangements.

Workspace files do not include an actual copy of any open images. Workspace files only reference the name and location of an image. If you delete an image from your computer, it does not display in a workspace.
Saving custom workspaces

When you save a workspace, Corel Paint Shop Pro Photo saves the information in a .PSPWorkspace file. The following information is stored:

• ruler, grid, and guide information
• menu, palette, and toolbar settings, locations, and docking status
• full screen edit mode status
• open images, including zoom levels and scroll bar locations
Loading workspaces

You can load a custom workspace. Tool, menu, and palette positions change to reflect the workspace you are loading.

If you had two windows open for the same image when you saved the workspace, they both open again. If an image from the workspace is already open, Corel Paint Shop Pro Photo applies the workspace settings to the open image.

Deleting saved workspaces

If you no longer want to use a saved workspace, you can delete it.

To save the current workspace

1. Choose File [image] Workspace [image] Save.
The Save Workspace dialog box appears.
2. In the New Workspace Name field, type a name for the new workspace.
3. Click Save.
• If your workspace contains any modified images that you have not saved, you are prompted to save the changes to your image. To save the image changes and the workspace, click Yes. To save the workspace, but not the image changes, click No. To abort saving the workspace and the image changes, click Cancel.
• You can open the Save Workspace dialog box by pressing Shift + Alt + S.
• You can save the workspace in a folder other than the program default folder, by clicking the File Locations button in the Save Workspace dialog box. For more information about editing paths, see "Setting file locations."

To load a workspace

1. Choose File [image] Workspace [image] Load.
The Load Workspace dialog box appears.
2. Click one of the following:
• Yes — saves the current workspace before loading another one
• No — does not save the current workspace before loading another one
3. Select the workspace file you want to load.
4. Click Load.
• You can open the Save Workspace dialog box by pressing Shift + Alt + L.
• You can load the workspace from a folder other than the program default folder, by clicking the File Locations button in the Save Workspace dialog box. For more information about editing paths, see "Setting file locations."
• You can also load a recently used workspace by choosing it from the list of recent workspaces located at the bottom of the File [image] Workspace menu.

To delete a saved workspace

1. Choose File [image] Workspace [image] Delete.
The Workspace dialog box appears.
2. Select the workspace file you want to delete.
3. Click Delete.
• You can open the Delete Workspace dialog box by pressing Shift + Alt + D.


Customizing the menu system

When you display the Customize dialog box, the entire Corel Paint Shop Pro Photo workspace transforms into customize mode. You can choose which menus display and how a menu opens when you select it. You can also reset the menus to the default settings.

To animate the menu system

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Menu tab.
3. In the Show Menus For drop-list, select the menu you want to modify.
4. From the Menu animations drop-list, choose one of the following animation styles for menu opening:
• None — applies no animation effect
• Unfold — opens the menu starting from its top-right corner to its bottom-left corner
• Slide — opens the menu from top to bottom
• Fade — gradually opens the entire menu, from a faded look to fully visible
5. Click Close.

To hide menu icons

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Menu tab.
3. Unmark the Menu icons check box.

To reset the menus

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Menu tab.
3. In the Application Frame Menus group box, click Reset.


Customizing toolbars

When you display the Customize dialog box, the entire Corel Paint Shop Pro Photo workspace transforms into customize mode. You can click and drag almost any menu command or tool to any other menu or toolbar. You can add or delete commands from the menus on the Menu bar.

To move a toolbar button

• With the Customize dialog box displayed, drag the item to another toolbar.

To add a command button to a toolbar

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Commands tab.
3. From the Categories list, select a category.
Corel Paint Shop Pro Photo groups related commands into categories. For example, click the File category to display all File menu commands. To list all Corel Paint Shop Pro Photo commands at once, choose All Commands.
4. From the Commands list, drag a command to a toolbar.

To remove a command button from a toolbar

1. With the Customize dialog box displayed, drag the item to an empty workspace area or an empty area outside a toolbar.
2. Release the mouse button when you see the cursor change to this shape: .

To reset all toolbars

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Toolbars tab.
3. Click Reset All.
All toolbars revert to the default settings.
• You can reset a specific toolbar to its default settings by choosing it from the Toolbars list and clicking Reset.
• You can also open the Customize dialog box by right-clicking the Menu bar, Tool palette, or Tool Options palette, and choosing Customize.

To add a separator to a toolbar

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Right-click the toolbar button to the left of which you want to add the separator.
3. Choose Include Separator from the context menu that appears.
A separator is added to the left of the button you clicked.
• You can rearrange a button in relation to the separator by dragging the button to the desired location.
• You can delete a separator from a toolbar. With the Customize dialog box displayed, right-click the toolbar button directly to the right of the separator, and choose Include Separator.
• You can also open the Customize dialog box by right-clicking the Menu bar, Tool palette, or Tool Options palette, and choosing Customize.

To duplicate a toolbar button or menu item

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Hold down Ctrl and click the button or menu item you want to duplicate.
A copy of that item appears.
• You can delete a duplicated toolbar button or menu item by right-clicking it and choosing Delete.
• You can also open the Customize dialog box by right-clicking the Menu bar, Tool palette, or Tool Options palette, and choosing Customize.


Creating custom toolbars

You can create a custom tool bar with your favorite commands and tools.

To create a custom toolbar

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Toolbars tab.
3. Click New.
The Toolbar Name dialog box appears.
4. Type a name for the new toolbar, and click OK.
A small, empty toolbar appears, and the new toolbar is added to the Toolbar list.
Drag the new toolbar off to the side of the Customize dialog box so you can see it better.
5. Click the Commands tab.
6. In the Categories list, choose the menu containing commands you want to load onto the custom toolbar.
7. From the Commands list, drag command icons onto the new toolbar.
8. When you are done adding commands, click Close.
• You can add separator bars, if necessary, to place commands into desired groups. For more information about customizing toolbars, see "Customizing toolbars."
• You can also open the Customize dialog box by right-clicking the Menu bar, Tool palette, or Tool Options palette, and choosing Customize.

To delete a custom toolbar

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Toolbars tab.
3. In the Toolbars list, select the name of the custom toolbar you want to delete.
4. Click Delete.
5. Click Close.


Customizing keyboard shortcuts

You can view existing keyboard shortcuts, assign a keyboard shortcut to menu commands, bound scripts, and tools, and even modify keyboard shortcuts.

To view the default keyboard shortcut

1. Choose Help [image] Keyboard Map.
The Help Keyboard dialog box appears.
2. In the Category drop-list, select a category.
Corel Paint Shop Pro Photo groups related commands into categories. For example, if you pick the File category, all the commands in the file menu are displayed. To list all commands at once, choose All Commands.
The commands and their shortcut keys are displayed in the list, sorted by command name. Click any column heading (Command, Keys, or Description) to sort alphabetically by that column.
• You can print the list of the current category of shortcut keys by clicking the Print [image] button in the toolbar of the Keyboard Map dialog box. You can also select commands and copy their information to the clipboard by clicking the Copy [image] button.

To assign a keyboard shortcut

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Keyboard tab.
3. In the Category drop-list, select a category.
Corel Paint Shop Pro Photo groups related commands into categories. For example, if you pick the File category, all the commands in the file menu are displayed. To list all commands at once, choose All Commands.
4. In the Commands list, select a command name.
The description of the command and any assigned shortcut keys are displayed.
5. Click in the Press New Shortcut Key field.
6. Press the new keyboard shortcut you want to assign to the command.
The shortcut appears in the Press New Shortcut Key field. If the shortcut is already assigned to another command, a message displays above the field.
7. Click Assign.
8. Assign more shortcut keys, or click Close.

To assign a keyboard shortcut to a bound script

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Keyboard tab.
3. In the Category drop-list, select Bound Scripts.
4. In the Commands list, select the bound script to which you want to assign a keyboard shortcut.
5. Click in the Press New Shortcut Key field.
6. Press the new keyboard shortcut you want to assign to the bound script.
The shortcut appears in the Press New Shortcut Key field. If the shortcut is already assigned to another command, a message displays above the field.
7. Click Assign.
8. Assign more shortcut keys, or click Close.
• For more information on bound scripts, see "Binding scripts to icons."

To modify a keyboard shortcut

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Keyboard tab.
3. In the Category drop-list, choose the menu associated with the command, script, or tool for which you want to modify the keyboard shortcut.
4. In the Commands list, click the item for which you want to modify the keyboard shortcut.
5. In the Current Keys field, click the shortcut.
6. Click Remove.
7. Click inside the Press New Shortcut Key field so the cursor is blinking, and press the keyboard keys you want to assign as the new shortcut.
If the keyboard combination you entered is already assigned, a message is displayed above this field. If the keyboard combination is not assigned, “Assigned to: [Unassigned]” displays above the field.
8. Click Assign.
9. Click Close.


Setting Undo preferences

The Undo settings control some behavior of the Undo and Redo commands, as well as one option for the History palette.

To set Undo and Redo preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Undo.
3. To enable Corel Paint Shop Pro Photo to undo actions, mark the Enable the undo system check box.
This enables you to set all the items in this area of the Undo page.
4. Perform one or more of the following tasks and click OK.

To | Do the following
Set the amount of disk space undo and redo steps can use | Mark the Limit undo/redo disk usage to check box, and type or set a value in the control.
Set the number of undo and redo steps for each open image | Mark the Limit undo/redo to check box, and type or set a value in the control. The default is 250.
Make the redo process faster | Mark the Enable fast redo check box. This may slightly slow down the undo process, so if you rarely perform a redo, but use undo frequently, you may want to unmark this check box.
Set the number of non-undoable steps retained after the last non-undoable step limit has been reached | Type or set a value in the Non-undoable steps after last undoable step control.


Setting View preferences

The View settings lets you control some image window behaviors. You can choose how the image window and magnification level behave when you resize an image.

To set view preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose View.
3. Perform one or more of the following tasks and click OK.

To | Do the following
Resize an image window when you zoom in | In the Zooming group box, mark the Fit image to window when zooming in check box. The image window resizes to include as much of the image as will fit.
Resize an image window when you zoom out | In the Zooming group box, mark the Fit image to window when zooming out check box. The image window resizes to include as much of the image as will fit.
Automatically reset the magnification level to display an entire image on opening | In the New images group box, mark the Auto size check box.
Automatically resize the image window when you resize an image | In the After changing size group box, mark the Fit window to image check box.
Automatically reset the magnification level to display an entire image after resizing | In the After changing size group box, mark the Auto size check box.


Setting display and caching preferences

You can set display and caching preferences.

To set display and caching preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Display and Caching.
3. Perform one or more of the following tasks, and click OK.

To | Do the following
Automatically use the last file format used to save an image | In the Presentation group box, mark the Re-use last type used in save-as dialog box check box.
Hide Dropper tool color information | In the Presentation group box, unmark the Display all color dropper ToolTips check box.
Use a crosshair cursor for all tool cursors | In the Presentation group box, mark the Use precise cursors check box. A crosshair cursor displays instead of the tool button shape.
Make a brush tool cursor reflect its size and shape | In the Presentation group box, mark the Show brush outlines check box.
Determine the rescaling quality for the Zoom tool | Adjust the Zoom / Rescaling Quality slider.
Set thumbnail sizes in the Effects Browser | In the Effects browser thumbnails group box, set or type a value in the Size (Pixels) control.
Save an image cache of your entire merged image | In the Caching Options group box, mark the Merged Image check box.
Save an image cache of all the layers below the active one | In the Caching Options group box, mark the Merged Below Active Layer check box.
Save an image cache of the merged image for each group | In the Caching Options group box, mark the Merged Group check box.
Save an image cache of all the group layers below the active one | In the Caching Options group box, mark the Merged Below Active Layer check box.


Setting palette preferences

You can control the behavior of palettes, such as how palettes dock, as well as some properties of the Materials and Layers palettes. For more information about Layers palette settings, see "To modify the look of the Layers palette."

To set palette preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Palettes.
3. Perform one or more of the following tasks, and click OK.

To
Do the following
Set the color mode in which to display color information
In the Materials Palette group box, choose either the Display colors in RGB format option or Display colors in HSL format option.
This determines how color information is displayed in the Materials palette and Dropper tool.
Set how color values display in ToolTips or in a Color dialog
In the Materials Palette group box, choose either the Decimal display option or the Hexadecimal display option.
Set how paletted images display available colors in the Rainbow tab or in a Color dialog
In the Materials Palette group box, choose either Show rainbow picker or Show document palette. Note that this option only applies to images with 256 or fewer colors.
Show 16-bit color values in ToolTips
Mark the Display 16-bit values check box. Note that this option only applies to 16-bit images.
Make palettes undockable
In the Allow docking of group box, unmark check boxes for the palettes you want to make undockable.
Set whether palettes appear automatically
In the Automatically Show Palettes group box, choose one of the following:
• Always — displays palettes appropriate to the tools and commands you are using. For example, if you perform a layers-related action, the Layers palette will display.
• Never — displays palettes only when you choose to open them
• With Learning Center — displays palettes appropriate to the topics accessed in the Learning Center palette. This is the default setting.
Set Layers palette display options
In the Layers palette group box, do the following:
• Tooltip thumbnails — sets the size at which a layer’s thumbnail will appear in the tooltip.
• Palette thumbnails — to display a layer’s thumbnail within the palette, mark this check box and then set the desired size.
• Right pane — mark this check box to enable the display of a layer’s settings in the right side of the palette.


Setting Units preferences

You can set ruler options and the default resolutions for images that do not contain resolution information, such as scanned images.

To set Units preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Units.
3. Perform one or more of the following tasks, and click OK.

To | Do the following
Choose a unit of measurement for the rulers | In the Rulers group box, choose a unit of measurement option from the Display units drop-list.
Display rulers in black and white | In the Rulers group box, choose the Black on White option.
Display rulers in color | In the Rulers group box, choose the Toolbar colors option. The ruler color matches the toolbar color.
Snap vector objects to the pixel’s center | In the Vector coordinates group box, mark the Snap to center of pixel while moving check box.
Set the default resolution for images that do not contain resolution information | In the Default Resolution group box, choose the unit of measure from the drop-list and enter a value in the control.


Setting Transparency and Shading preferences

You can choose the grid size and color scheme. You can also choose a color and opacity for the shaded areas that falls outside of the selected area when using the Crop tool.

To set transparency preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Transparency and Shading.
3. Perform one or more of the following tasks, and click OK.

To | Do the following
Customize grid colors | In the Grid group box, choose a color scheme for the Scheme drop-list, and click the color boxes to set the grid colors.
Set the grid size | In the Grid group box, choose a size option from the Grid size drop-list.

To set crop tool and shading options

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Transparency and Shading.
3. In the Shading group box, mark the Enable crop shade area check box to activate shading outside the crop rectangle.
4. Click the Color box, and choose a shading area color.
5. Type or set a value in the Opacity control to set how opaque the shading area color is.
6. If you want the crop rectangle to appear every time you use the tool, mark the Automatically display crop rectangle check box.
7. If you want the floating crop toolbar to appear every time you use the tool, mark the Enable floating crop toolbar check box.


Setting Warnings preferences

You can control how warning dialog boxes display.

By default, Corel Paint Shop Pro Photo displays a warning dialog box whenever you are about to perform an operation that will result in lost information or one that cannot be applied to the image in its current state.

To set Warnings preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Warnings.
3. Perform one or more of the following tasks, and click OK.

To | Do the following
Prevent a specific warning from appearing | Unmark the check box beside the warning description.
Prevent all warnings from appearing | Click Disable All.


Setting photo sharing preferences

You can choose a photo sharing service.

To select a photo sharing service

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose PhotoSharing.
3. Choose an option from the Select a photo sharing service list.
4. Click OK.
• The current photo sharing service provider is highlighted in the Select a photo sharing service list.


Setting Auto Action preferences

You can automate actions that must be performed in order to further edit an image.

For example, you can only apply effects to 16-bit images. However, most of the Effects menu items are active even if the active image is 8-bit. When you select an effect in an 8-bit image, the Auto Actions dialog box opens telling you Corel Paint Shop Pro Photo must convert the image to 16-bit to proceed with the effect.

To set the preferences for an Auto Action

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Auto Action.
3. Select an Auto Action from the Auto Action Prompt list and choose one of the following options:
• Never — prevents the action from happening
Choosing Never makes certain menu commands inactive if an Auto Action is required to complete the command. Some items in the list do not have this option available.
• Always — performs the action silently without prompting you
• Prompt — asks if you want to perform the action
4. Click OK.
• You can set all actions in the list to a certain option by clicking Always All, Never All, or Prompt All.
• You can reset all the actions in the list to the default settings by clicking Reset.


Setting miscellaneous preferences

You can control a variety of preferences on the Miscellaneous page of the General Program Preferences dialog box.

To set the number of files that appear in the Recent Files list

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. Type or set a value in the Recently used file list control.
• You must restart Corel Paint Shop Pro Photo before the new settings take effect.
• You can view the list by choosing File [image] Recent Files.

To set tolerance to background color when pasting a transparent selection

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. Type or set a value in the Tolerance to background color when pasting a transparent selection control.
• When you paste data as a transparent selection, Corel Paint Shop Pro Photo adds it to the current image, defines it as a selection, and deselects all the pixels that match the current background color. The tolerance value you enter determines how closely the background color must match the transparent color for it to become transparent. The tolerance scale is 0% (only image pixels with a perfect match to the current background color are made transparent) to 100% (all image pixels are made transparent).

To set clipboard data preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. From the Clipboard Data on Exit list, choose an option to determine how Corel Paint Shop Pro Photo handles any clipboard data when you exit the program:
• Ask — asks you what to do with the clipboard data
• Delete — deletes clipboard data on exit
• Leave — leaves data in the clipboard on exit

To redraw when you move an object

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. Mark the Force full window redraw when positioning image elements check box.
The information in the active window is redrawn whenever you move objects in the image.

To hide the program splash screen on startup

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. Unmark the Show splash screen when application starts check box.

To disable pressure support for puck-type pointing devices

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Miscellaneous.
3. Mark Disable pressure support for puck-type pointing devices the check box.


Setting Organizer Preferences

You can set controls for how Organizer image thumbnails appear, as well as select file formats and folders to exclude from viewing within the Organizer.

To set Organizer preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Organizer.
3. Perform one or more of the following tasks and click OK.

To | Do the following
Display thumbnails in a column | In the Thumbnail Images group box, mark the Display variable width thumbnail images check box.
Show photo ratings on thumbnails | In the Thumbnail Images group box, mark the Show ratings with thumbnail images check box.
Show the image file name on thumbnails | In the Thumbnail Images group box, mark the Show file name with thumbnail images check box.
Exclude specific file formats from appearing in the Organizer | In the Excluded Items group box, click the File Format Exclusions button. From the left side of the File Format Exclusions dialog box, mark the check boxes of the file formats you want to exclude. To mark all formats simultaneously, click Select All. To remove the check marks from all selected formats, click Remove All.
Specify specific folders that cannot be cataloged | In the Excluded Items group box, click the Folder Exclusions button. The Ignore Folders dialog box lists the folders currently excluded from being cataloged in the Organizer. To add a folder to this list, click Add and then use the Browse for Folder dialog to select the folder. To allow a currently ignored folder to be catalog, select the folder from the list, and then click Delete. To reset the list of ignored folders to the default list, click the Reset to Default button.


Setting Multimedia preferences

You can change the default output size of an exported video. You can specify whether you plan to play the video from a DVD, the Web, or on a high-definition television.

If your exported video fails to play, you can select a different video or audio compression method.

To set multimedia preferences

1. Choose File [image] Preferences [image] General Program Preferences.
2. From the left pane, choose Multimedia.
3. Perform one or more of the following tasks and click OK.

To | Do the following
Change the video size | Choose a new size from the Video Size drop-list.
Change the video compression | Choose a new compressor from the Video Compressor drop-list.
Change the audio compression | Choose a new compressor from the Audio Compressor drop-list.


Setting file format preferences

You can specify how Corel Paint Shop Pro Photo handles images in the following formats:

• General — this tab lets you set options for auto-rotate and raw camera images.
• Windows Metafile — WMF is the Microsoft Windows native vector format.
• Kodak PhotoCD — PCD is used by many photo developers. This format can provide multiple image resolutions in one file.
• Portable Network Graphics — PNG is used for Web graphics. You can set preferences for opening and saving PNG files.
• PostScript — Corel Paint Shop Pro Photo can read PostScript files (including multi-page files) through level 2 and open them as raster images. When converting, Corel Paint Shop Pro Photo can anti-alias objects and retain transparency information.
• RAW Graphics — Corel Paint Shop Pro Photo can read and save RAW graphics image formats. This format (which is not to be confused with Raw Camera Data images) is commonly used in graphics images in the scientific and computer gaming industries.

For a full list of supported file formats, see "Files supported by Corel Paint Shop Pro Photo."

What’s the difference between Raw camera data images and RAW (Graphics) file format images?
Raw camera data images contain unprocessed sensor data captured by high-end digital cameras from Canon, Fuji, Kodak, Minolta, Nikon, Olympus, and Pentax. The data from these images in no way resembles or responds like RAW graphics image data.
RAW graphics images are basic raster data format images with no compression, and may include an optional non-standard header which is not supported by Corel Paint Shop Pro Photo. These graphics images are used primarily by game developers and by the scientific community. Game developers use RAW graphics images for custom image texturing, bumpmapping, and shading. The scientific community uses these images for custom application-based image analysis.
Corel Paint Shop Pro Photo can create and edit RAW graphics images as well as provide conversion from standard formats (such as TIF, JPEG, or TGA) into the RAW graphics format.
You can correct the tint, or color cast, certain types of lighting may cause. For example, if the photo was shot indoors in fluorescent lighting, and the camera was set for outdoor lighting conditions, the photo may have a green color cast. In this case, you can choose an option that applies correction for a photo taken in fluorescent light.

To set General image preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the General tab.
3. Mark the Rotate images automatically upon opening using EXIF data check box to have photos taken in the portrait orientation open without you needing to rotate them.
This option only applies to digital cameras that let you preview portrait mode photos without having to rotate the camera body.
4. Mark the Open Camera Raw images with Smart Photo Fix check box to automatically display this command dialog upon opening a raw camera image.

To set WMF image preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the Metafile / Import tab.
3. In the Load options group box, choose one of the following options:
• Prompt for size and options each time a file is opened — prompts you to choose settings for each WMF image you open
• Use file header information when available — uses the file header default size. If you open a file without a header, the size defaults to the values you type in the Default size when header is not available group box.
4. Click OK.

You can also |
Import WMF vector data as objects you can edit with vector tools | Mark the Import vector data check box.
Smooth curved polylines (vector data only) | Mark the Apply smoothing check box.

To set PCD file format preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the PCD tab.
3. Choose one of the following resolution setting options:
• 96 x 64
• 192 x 128
• 384 x 256
• 768 x 512
• 1536 x 1024
• 3072 x 2048
• 6144 x 4096
4. Click OK.
• You can have Corel Paint Shop Pro Photo ask you to pick a resolution each time you open a PCD file by choosing the Ask when loading each file option.

To set PostScript file import preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the PostScript tab.
3. Unmark the Prompt for size and options each time a PostScript file is opened check box.
4. Set or type a value in the Resolution control.
5. Choose a page size option from the Page size drop-list.
6. Choose an image mode option from the Image mode drop-list.
7. Click OK.

You can also |
Choose to be prompted to set options every time you open a PostScript file | Mark the Prompt for size and options each time a PostScript file is opened check box.
Switch the page orientation to landscape | Mark the Landscape check box.
Anti-alias PostScript objects as they are converted to raster images | Mark the Anti-aliasing check box.
Use a white background instead of the default transparent background | Mark the Render transparency check box

• By default, if a PostScript file has a bounding box, the program matches the canvas size to the bounding box.

To set PNG preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the PNG tab.
3. Choose one of the following options:
• Load and Save transparency to/from layer transparency
• Load and Save transparency to/from alpha channel

To set RAW file preferences

1. Choose File [image] Preferences [image] File Format Preferences.
The File Format Preferences dialog box appears.
2. Click the RAW tab.
3. In the Save options group box, type or set a value in the Header size control to set the header size of the file.
4. In the 24 bit options group box, choose one of the following color order options:
• RGB order
• BGR order
5. Choose one of the following color order options:
• Planar mode — stores the color data in separate 8-bit planes
• Interleaved — stores pixels contiguously
• You can flip the image upside down by marking the Flip top and bottom check box.


Setting file format associations

File format associations control how Corel Paint Shop Pro Photo interacts with many types of file formats.

Adding and removing file format associations

You can have certain file formats automatically open in Corel Paint Shop Pro Photo. For example, when you associate the JPEG file format with Corel Paint Shop Pro Photo, all JPEG files open in Corel Paint Shop Pro Photo when you double-click them from the Windows desktop. The associated JPEG files also display Corel Paint Shop Pro Photo icons.

Changing file format extensions

File format extension changes do not take effect until the next time you start Corel Paint Shop Pro Photo. File extensions that have been associated with Corel Paint Shop Pro Photo will have an asterisk (*) after the name.

What if I want to open a file in another program?
When you associate a file format with Corel Paint Shop Pro Photo, you can still open the file in other programs by using the Open command in the program of your choice.

To associate a file format with Corel Paint Shop Pro Photo

1. Choose File [image] Preferences [image] File Format Associations.
The File Format Associations dialog box appears.
2. Mark one of the following check boxes for the file format:
• To associate all listed formats, click the Select All button.
• To associate all listed formats that are not already associated with other applications, click the Select Unused button.
• To associate no file formats with Corel Paint Shop Pro Photo, click the Remove All button.
3. Click OK.

To set file extensions

1. Choose File [image] Preferences [image] File Format Associations.
The File Format Associations dialog box appears.
2. Select the file format that contains the extensions you want to set.
3. Click Extensions.
The Extensions dialog box appears.
The preferred extension (the extension that Corel Paint Shop Pro Photo uses to save files) is at the top of the list.
4. Perform one or more of the following tasks and click OK.

To | Do the following
Add a file extension | Click Add. Type in the new extension and click OK.
Delete a file extension | Select the extension from the list and click Delete.
Reset a format to its default extension(s) | Select the extension from the list, and click Reset.
Make an extension the preferred choice | Mark the Enable the redo system check box.
Set the number of non-undoable steps retained after the last non-undoable step limit has been reached | Select the extension and click Preferred.


Setting file locations

Corel Paint Shop Pro Photo resources include such items as scripts, picture tubes, patterns, gradients, displacement maps, and workspaces. The full listing of resources displays along the left side of the File Locations dialog box. Corel Paint Shop Pro Photo saves and searches for resources in several default folders on your computer. By changing File Locations preferences, you can change where Corel Paint Shop Pro Photo looks for and saves these resources. You can also control how plug-ins are used and which Web browsers are used to preview your images.

By default, all new files you create are saved in the appropriate subfolder in the ...My Documents\My PSPPXI Files folder. Most default program resources are stored in the appropriate folder in the path X:\Program Files\Corel Paint Shop Pro Photo XI, where “X” indicates the drive on which Corel Paint Shop Pro Photo is installed.

You can add or delete folders for Corel Paint Shop Pro Photo to store and retrieve the various resources. Deleting a folder means that Corel Paint Shop Pro Photo no longer looks in the folder for any items. The folder, however, is not deleted from your computer.

You can also change the file location for specific resources.

To change file locations for a resource

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select the resource that you want to change file locations for.
The default folders where the specified resource can be saved to are listed on the right side of the dialog box.
3. Click Add.
The Browse Folder dialog box appears.
4. Navigate to the folder you want to add, and click OK.
5. In the Folder options group box, mark the Enable check box.
If you want to enable the folder’s subfolders, mark the Use sub folders check box.
When these check boxes are unmarked, Corel Paint Shop Pro Photo cannot search for folders and their subfolders.
6. From the Save to drop-list, choose the folder in which you want the current resource saved.
7. Click OK to save your settings and return to Corel Paint Shop Pro Photo.
• You can open the File Locations dialog box by clicking the File Locations button [image], which appears in many Corel Paint Shop Pro Photo dialog boxes.

To add file locations for a resource

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select the resource file type for which you want to add locations.
3. Click Add.
The Browse for Folder dialog box appears.
4. Click the Create New Folder button and then enter the name for the new folder.
5. Click OK to add the new folder to the list.
6. Click OK to close the File Locations dialog box.
• The Cache and CMYK Profiles resource file types can have only one location. You can only change the file location from one folder to another. For more information on changing file locations, see "Setting file locations."
• You can open the File Locations dialog box by clicking the File Locations button [image], which appears in many Corel Paint Shop Pro Photo dialog boxes.

To delete file locations for a resource

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select the resource file type that you want to delete file locations for.
3. In the list of folders, select the folder you want to delete.
4. Click Remove.
5. Click OK.
• You can open the File Locations dialog box by clicking the File Locations button [image], which appears in many Corel Paint Shop Pro Photo dialog boxes, as well as in the Presets drop-list (located in the Tool Options palette) for tools.


Managing resources

Corel Paint Shop Pro Photo resources include such items as scripts, picture tubes, patterns, gradients, displacement maps, and workspaces. The full listing of resources displays along the left side of the File Locations dialog box. Using a consistent method for managing these resources can make your workflow easier. This is where the Resource Manager dialog box comes in.

Wherever you find a Presets control, such as in the Tool Options palette, or in the Presets drop-list for in an effects dialog box, you can access the Resource Manager dialog box.

You can delete, rename, copy, and move resources. You can also create your own resource categories.

To access the Resource Manager dialog box

• Click a Presets control, and click the Resource Manager button [image].

To delete a resource

1. Click a Presets control, and click the Resource Manager button [image].
2. If necessary, from the Category drop-list choose the category where the resource resides.
3. Click the resource from the list.
4. Click Delete.

To rename a resource

1. Click a Presets control, and click the Resource Manager button [image].
2. If necessary, from the Category drop-list choose the category where the resource resides.
3. Click the resource from the list.
4. Click Rename.
The Rename Resource dialog box appears.
5. Type the new name for the resource, and click OK.

To copy a resource to another location

1. Click a Presets control, and click the Resource Manager button [image].
2. If necessary, from the Category drop-list choose the category where the resource resides.
3. Click the resource from the list.
4. Click Copy.
The Save As dialog box appears.
Note: At this point, you can also rename the file by typing a new name in the File Name field.
5. Navigate to the folder where you want to move the resource and click Save.
Note: You cannot copy a resource without renaming it to a folder currently being scanned using the File Locations dialog box.

To move a resource to another location

1. Click a Presets control, and click the Resource Manager button [image].
2. If necessary, from the Category drop-list choose the category where the resource resides.
3. Click the resource from the list.
4. Click Move.
The Browse for Folder dialog box appears.
5. Navigate to the folder where you want to move the resource, and then click OK.
Note: The folder to which you move the resource must be listed in the File Locations dialog box for the resource to appear in the visual resource drop-list and in the Resource Manager dialog box. For information about setting file locations, see "Setting file locations."

To create a resource category

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. In the File types list on the left side of the dialog box, click the resource for which you want to create a new category folder.
3. In the folders list, click the folder under which the custom category subfolder will reside.
4. In the Folder Options group box, mark the Enable and Use sub folders check boxes.
5. Click Create Sub Folder.
The Enter Name dialog box appears.
6. Type a name for the custom category subfolder, and click OK to close the Enter Name dialog box.
7. Click OK.
• To have the new category appear in the Categories drop-list, you must first save, copy, or move a resource to the folder you created.


Setting plug-in preferences

Corel Paint Shop Pro Photo allows you to use Adobe-compatible plug-ins. The .8B* filename extension is the most common plug-in filename extension. You can choose to limit the use of plug-ins to plug-ins of that filename extension, or you can choose to use plug-ins of any extension.

To enable plug-ins

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Plug-ins.
3. Mark the Enable plug-ins check box.

You can also |
Load plug-ins with any extension | Unmark the Limit Loaded plug-in files to those with an .8B* extension check box.
Open the file in the plug-in before it opens in Corel Paint Shop Pro Photo | Mark the Allow file format plug-ins to request pre-filtering of support file types check box.

To add plug-in locations

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Plug-ins.
3. Click Add.
A new blank item appears in the folder list, and the Browse for Folder dialog box appears.
4. Navigate to the folder you want to add, and click OK to return to the File Locations dialog box.
5. In the Folder options dialog box, mark the Enable check box.
6. Click OK.
• You can also add any subfolders stored in the plug-in folder you add by marking the Use sub folders check box.


Selecting Web browsers

Corel Paint Shop Pro Photo allows you to preview your images with Web browsers. You can add, change, or delete Web browser(s) to use.

To delete Web browsers

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Web Browsers.
3. Select a browser from the list.
4. Click Delete to remove the browser from the list.
5. Click OK.

To change Web browsers

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Web Browsers.
3. Select a browser from the list.
4. Click Edit.
The Browser Information dialog box appears.
5. Click Browse.
The Web Browser Path dialog box appears.
6. Navigate to the folder containing the Web browser executable file (with a file name extension .exe), and click Open.
7. Click OK.

To add Web browsers

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Web Browsers.
3. Click Add.
The Browser Information dialog box appears.
4. Click Browse.
The Web Browser Path dialog box appears.
5. Navigate to the folder containing the Web browser executable file (with a file name extension .exe), and click Open.
6. Click OK.


Setting autosave preferences

Corel Paint Shop Pro Photo lets you automatically save all open images on a set schedule. These autosaved files can help you recover your work if your computer crashes. When Corel Paint Shop Pro Photo starts after a crash, it opens any autosaved files it finds.

You must save your file initially for the Autosave feature to function. The feature does not save new, unsaved files.

To set the autosave preferences

1. Choose File [image] Preferences [image] Autosave Settings.
The Autosave dialog box appears.
2. Mark the Enable autosave check box.
3. Type or set a value in the Minutes control.
• To find out where Corel Paint Shop Pro Photo saves the autosaved files, select File [image] Preferences [image] File Locations and select the Undo/Temporary Files folder from the File Type list.


Resetting all preferences

You can revert various program preferences back to their defaults.

To reset application preferences

1. Choose File [image] Preferences [image] Reset Preferences.
The Reset the Application dialog box appears.
2. Mark any of the following check boxes:
• Reset general preferences — resets all general program preference settings to the program defaults
• Reset file locations — resets all file location settings to the program defaults
• Reset workspace to default configuration — resets the current workspace to the program defaults
• Reset dialog box positions and last used settings — resets dialog boxes so they appear in their default positions and use default settings
• Delete all cache files — deletes all existing cache files
• Make all toolbars/palettes visible and on screen — makes all toolbars and palettes visible
3. Click OK.
• You can reset the entire application to its default state by holding down Shift while launching the program. All customization is cleared when you reset the program.


Adjusting general view options

You can customize how Corel Paint Shop Pro Photo displays icons, screen tips, and captions.

To set toolbar and palette view options

1. Choose View [image] Customize.
The Customize dialog box appears.
2. Click the Options tab.
3. In the Toolbars and Palettes group box, mark any of the following check boxes:
• Show Screen Tips on toolbars — displays the screen tips that appear over tools and buttons
• Show shortcut keys in Screen Tips — displays the shortcut keys (if available) that appear in screen tips
• Large icons — displays larger toolbar icons
• Use Quadrant Rollups — makes floating palettes roll up toward the nearest quadrant of the workspace
4. In the Personalized Menus and Toolbars group box, mark any of the following check boxes:
• Menus show recently used commands first — simplifies menus to show only recently used commands
• Show full menus after a short delay — displays all menu items after a delay if the Menus show recently used commands first check box is marked
• You can set the speed at which palettes roll up by marking the Animate Auto Hide check box and adjusting the slider.
• You can erase the memory of your recently used menu commands by clicking Reset my usage data.


Accessing tools and commands from previous versions of Paint Shop Pro

You can access and restore tools and commands that have been removed from the workspace. These commands were removed to accommodate improved features and functionality. To view a list of recommended tools and commands, see "A quick reference for users of previous versions of Paint Shop Pro."

To access tools and commands from previous versions of Paint Shop Pro

1. Choose View [image] Customize.
The Customize dialog box appears.
2. In the Commands tab, perform a task from the following table and click Close.

To | Do the following
Add commands | In the Categories list, click Unused Commands, find the command you want, and drag it to a menu.
Add tools | In the Categories list, click Tools, choose the tool you want, and drag it to the Tools toolbar.


Automating tasks

Corel Paint Shop Pro Photo has many time-saving automation features. You can use scripts to automate an action or set of actions, and presets to save dialog box or tool settings for later use. You can also perform the same action to a number of images at the same time.

In this section, you’ll learn about

• scripting basics
• working with scripting tools and features
• running a saved script
• stopping or undoing a script
• recording and saving a script
• editing scripts in Corel Paint Shop Pro
• editing scripts using a text-editing application
• trouble-shooting a script
• binding scripts to icons
• using and creating presets
• processing files in batches
• renaming files in batches


Scripting basics

Scripts are a series of commands that you record and play back. This can be a great time-saver, because instead of having to make the changes to each image, you simply have to play back the script. The commands you recorded in the script are performed on the image.

Corel Paint Shop Pro Photo has a full-featured scripting engine based on the Python programming language. You can get more information on this language at www.python.org. Although you can write your own scripts using Python syntax, Corel Paint Shop Pro Photo has a built-in script recorder that can do this work for you, allowing you to script almost any action within the application.

If, however, you choose to write a script in the Python language, note that Python uses indentation to determine scoping, so you must be very careful about mixing spaces and tabs. We recommend that you use a Python-aware editor such as PythonWin or Idle if you choose to write your own scripts.

• Available from the Corel Knowledge Base (accessible from www.support.corel.com) is a document titled Scripting for Script Authors, which contains complete and advanced scripting information for Corel Paint Shop Pro Photo XI. To find this document, choose Paint Shop Pro from the Products and Services drop-list, then enter script in the Search Text field.


Working with scripting tools and features

You can find most scripting commands both in the File [image] Script submenu and on the Script toolbar. You’ll find it much easier and faster working with scripts using the Script toolbar. Some commands, however, are accessible only using the menu.

The following table describes the buttons on the Script toolbar.

Tool | Description
 | The Select Script drop-list lets you choose the scripts saved in the Scripts-Trusted and Scripts-Restricted folders.
 | The Run Selected Script button lets you run the script displayed in the Select Script drop-list.
 | The Edit Selected Script button opens the Script Editor so you can edit the script displayed in the Select Script drop-list.
 | The Interactive Script Playback Toggle button lets you switch between Silent and Interactive mode when running scripts. When the button shows a border, it is set to Interactive mode.
 | The Run Script button lets you navigate to and select the script you want to load.
 | The Stop Script button lets you stop the running script.
 | The Start Script Recording button lets you begin recording actions that will comprise a script.
 | The Pause Script Recording button lets you pause the recording of a script. You can click it again to resume recording.
 | The Cancel Script Recording button lets you cancel script recording.
 | The Save Script Recording button lets you stop recording a script and prompts you to save it.

To display the Script toolbar

• Choose View [image] Toolbars [image] Script.

To access a script command from a menu

• Choose File [image] Script, and choose a script command.
• You can only choose the Clear Output Window and Single Step commands from the menu. You can, however, add those commands to the Script toolbar. For more information, see "Customizing toolbars."

To display the Script Output palette

• Choose View [image] Palettes [image] Script Output.
• The Script Output palette displays information such as previously-used commands, Python syntax errors, or runtime errors.

To clear the Script Output palette

• Choose File [image] Script [image] Clear Output Window.


Running a saved script

You can run a saved script by selecting the script from the Select Script drop-list, or by navigating to the folder where the script is located. You can also add folders containing scripts to the Select Script drop-list.

When you have scripted actions that involve dialog boxes, you can choose to run the script in Silent mode, so the dialog boxes do not appear as the script runs. Conversely, you can choose to run the script in Interactive mode, so that dialog boxes appear for user interaction. For more information, see "To set a playback mode for a script action or command."

To run a script listed in the Select Script drop-list

1. Click the Select Script drop-list to display the scripts.
2. Click the script that you want to run.
3. Click the Run Selected Script button [image].
• You can add any folder to the list of folders that the Select Script drop-list displays by clicking the drop-list and clicking the File Locations button [image]. In the File Locations dialog box, click Add and navigate to the folder that contains the scripts.

To run a script not listed in the Select Script drop-list

1. Click the Run Script button [image] to open the Run Script dialog box.
2. Choose the folder that contains the script you want to run.
3. Select the script.
4. Click Open.

To run a script on all open images

1. Click an open image to make it active.
2. Choose a script from the Select Script drop-list.
3. Click the Run Selected Script button [image].
4. Click another open image to make it active.
5. Press Ctrl + Y.
6. Repeat steps 1-3 for each open image.
• You can also run a script that is not listed in the Select Script drop-list. Follow the steps in "To run a script listed in the Select Script drop-list", and then repeat steps 4-6 in the procedure above.
• You can also run the script on another open image by dragging its action from the History palette and dropping it onto the image.

To toggle between Interactive and Silent script playback mode

• Click the Toggle Execution Mode button [image] on the Script toolbar.
When the button has a border around it, it is in Interactive mode.
• If you’ve edited the script and set part or all of it to run in either Silent or Interactive mode, clicking the Toggle Execution Mode button [image] will not override that setting. If a script is set to Default mode, the state of this button will override the Toggle Execution Mode setting. The Toggle Execution Mode setting affects only those steps and commands set to Default mode within the script.


Stopping or undoing a script

You can stop a script while it is running. You can also undo a script after you’ve run it.

To stop a running script

• Click the Stop Script button [image].
• The Stop Script button is only active while the script is running. Depending on the script, this may only be a few seconds.

To undo an applied script

• Click the Undo button [image] on the Standard toolbar.


Recording and saving a script

Scripts are particularly useful for tasks with many steps. Most actions you can perform in Corel Paint Shop Pro Photo are scriptable; however, be aware of the following guidelines:

• You cannot script user interface customizations, CMYK profile creation or editing, operations inside the Organizer, operations inside of Print Layout, or gradient creation.
• You cannot script the floating, docking, or arranging of toolbars, palettes, and windows.
• You can script Materials palette and Mixer palette operations, as well as Tool Options palette selections, but you cannot record them. To script these actions, you must use a text editor application.
• Only plug-ins that support scripting are scriptable.
• Outside of the above restrictions, most actions you perform in Corel Paint Shop Pro Photo are scriptable.

Before you start recording a script, it’s a good idea to write down the specific actions you want to record. Ideally, your actions should be as efficient as possible.

Restricted and trusted scripts

The scripts in Corel Paint Shop Pro Photo are created in the Python programming language, which can unfortunately also be used to create and execute malicious scripts. Because of this potential danger, Corel Paint Shop Pro Photo includes two folders, automatically created in two locations during installation, each folder containing script files of distinct modes. These folders are

• Scripts-Restricted — contains scripts that do not reside in a trusted folder
• Scripts-Trusted — contains any trusted scripts

These folders reside inside in the following paths:

• X:\Program Files\Corel Paint Shop Pro Photo XI\ (where “X” indicates the drive on which you installed Corel Paint Shop Pro Photo)
• \My Documents\My PSPPXI Files

When you create and save a script for the first time, you’re directed to save the script in the appropriate path in My Documents\My PSPPXI Files\. After that, you’ll be directed to save to the most recently used folder.

When the application searches for scripts, restricted scripts are searched before trusted scripts.

Here are some considerations about restricted scripts:

• If a script is run from an unconfigured path, it is treated as restricted.
• If a path appears in both the restricted and trusted lists, it is treated as restricted.
• Presets, Material palette swatches, and Print Layout templates (which are essentially scripts) are treated as restricted.
Commands that cannot be used in a restricted script
Some commands cannot be run from a script stored in the Scripts-Restricted folder. The table below lists a number of these commands. If you want to run a script that contains any of these commands, you must move it to the Scripts-Trusted folder.

Command | Menu location
FileSave | File [image] Save
FileSaveAs | File [image] Save As
FileSaveCopyAs | File [image] Save Copy As
GIFExport | File [image] Export [image] GIF Optimizer
PNGExport | File [image] Export [image] PNG Optimizer
JPEGExport | File [image] Export [image] JPEG Optimizer
FileLocations | File [image] Preferences [image] File Locations
FileClose | File [image] Close
FileCloseAll | File [image] Close All
FileSend | File [image] Send
BatchConvert | File [image] Batch [image] Process
BatchRename | File [image] Batch [image] Rename
Mapper | File [image] Export [image] Image Mapper
Slicer | File [image] Export [image] Image Slicer
FileExit | File [image] Exit

To record and save a script

1. Click the Start Script Recording button [image].
2. Perform the actions that comprise the script.
3. Click the Save Script Recording button [image].
The Save As dialog box appears.
4. Choose the folder where you want to store the script.
5. Type a name for the script, and click Save.

You can also |
Remove any undone commands from a script | In the Save As dialog box, mark the Remove Undone Commands check box.
Save Materials palette settings used by actions with a tool in a script | In the Save As dialog box, mark the Save Materials check box. If this check box is cleared, the current material is used with the given tool when the script is run, rather than the material that was used when the script was recorded. This option only applies to recorded actions with a tool, not with a material setting in a dialog box.
Display interactive dialog boxes in their position during recording | In the Save As dialog box, mark the Save Dialog Positions check box. You may not want to use this option if you intend to share the script with others. Enabling this check box not only records the dialog position, but whether the Before/After preview area is displayed, whether the dialog is maximized, and whether the Preview on Image check box is marked. You can leave these preferences up to other users of your script.
Add descriptive information to a script | In the Save As dialog box, click Description, and type information in the Author, Copyright, and Description boxes. The information you enter is displayed when you edit the script.


Editing scripts in Corel Paint Shop Pro

You can edit scripts using the Corel Paint Shop Pro Photo user interface, or by editing the script’s Python code in a text editor application. For more information about editing scripts, see "Editing scripts using a text-editing application."

To edit the currently selected script

1. Click the Edit Selected Script button [image] to display the Script Editor dialog box.
The commands and actions that comprise the script appear in the Script Commands group box.
2. Make changes to the script.
Specific editing actions can be found in the table below.
Command names shown in italics with the words “NOT editable” cannot be selected for editing.
3. Click Save.
4. Click Close.

You can also |
Disable a script action or command | Unmark the check box beside the action or command.
Remove a script action or command | Click the action or command, and click Delete.
View or edit the Python code associated with the script | Click Text Editor. The text editor assigned in the File Locations dialog box opens the script. Unless you specify another application, the default editor is Notepad.

• If the script format is unreadable, or if the script was created and edited manually in a text editor, the Corel Paint Shop Pro Photo Script Editor cannot open the script. Instead, the script opens in the default text editor that is specified in the File Locations dialog box. For more information, see "Editing scripts using a text-editing application."
• If the script you want to edit is not in the Select Script drop-list, choose File [image] Script [image] Edit and choose the folder where the script is saved. When you open the script, its information appears in the Script Editor dialog box.

To set a playback mode for a script action or command

1. Click the Edit Selected Script button [image] to display the Script Editor dialog box.
2. In the Scripts Commands group box, choose one of the following options from the Mode drop-list:
• Default — uses whatever mode was specified in the Run Script command.
• Silent — skips all dialog boxes associated with that command or action when you run the script. Use this mode when you feel it’s best to avoid interacting with a dialog in the script.
• Interactive — allows for user interaction with dialog boxes and other settings


Editing scripts using a text-editing application

You can edit the Python code in the text editor of your choice. The editor application designated for script editing will open.

To edit Python code

1. Click the Edit Selected Script button [image] to display the Script Editor dialog box.
2. Click Text Editor.
The text editor assigned in the File Locations dialog box opens the script.
• Until you specify another application, the default editor is Notepad.

To change text-editing applications

1. Choose File [image] Preferences [image] File Locations to display the File Locations dialog box.
2. In the File Types list, choose Python Source Editor.
3. Click Browse, and choose a text-editing application.
The Python Source Editor Path dialog box appears.
4. Click Open.
5. Click OK.
• You can also click the File Locations button [image] in the Select Script drop-list to open the File Locations dialog box.


Troubleshooting a script

To selectively apply actions to the current image and identify any scripting problems, you can run a script step-by-step.

To step through a script

1. Choose File [image] Script [image] Single Step.
Corel Paint Shop Pro Photo is in Script Single Step mode.
2. Run the desired script.
The Step Script dialog box appears, listing the script’s name and first action.
3. Click any of the following as you step through the script’s commands and actions:
• Continue — applies the command to the image and moves on to the next command in the script
• Skip Command — does not apply the command to the image and moves on to the next command in the script
• Stop Scripts — cancels this operation and closes the Step Script dialog box
Corel Paint Shop Pro Photo remains in Script Single Step mode until you toggle off this command by choosing File [image] Script [image] Single Step again.
• When using this feature, it’s helpful to display the Script toolbar by choosing View [image] Toolbars [image] Script.


Binding scripts to icons

You can quickly and easily bind a script to any of 50 icons, and then drag the icon to a custom or existing toolbar, or to a menu. By dragging the icon onto a toolbar or menu you can have easier, quicker access to your favorite scripts, and can execute them with a single click.

You can use an icon for any number of scripts. For example, you could assign a script to the red light bulb icon [image] and drag it to the Photo toolbar. You could then assign a different script to the same icon and drag it to the Adjust menu.

After you create a bound script, you can assign a keyboard shortcut to it as another way to execute the script. For more information about using shortcuts, see "Customizing keyboard shortcuts."

To assign a script to a menu or toolbar icon

1. Choose View [image] Customize to display the Customize dialog box.
2. Click the Scripts tab.
3. Choose the script you want to assign to an icon from the drop-list.
4. Choose an icon, and then click Bind.
The icon and its associated script appear in the list in the Bound Scripts group box.
5. From the Bound Script group box, drag the icon or script into a menu or toolbar.
• When you position the cursor over the toolbar’s script icon, you’ll see the path name and file name associated with the script. If you drag the script icon into a menu, the menu displays the script’s name, and the script’s path appears in the status bar.

To unbind a script from an icon

1. Choose View [image] Customize to display the Customize dialog box.
2. Click the Scripts tab.
3. In the Bound Script group box, choose the icon or script name.
4. Click Remove.
• When you unbind a script from an icon, you also remove it from the user interface and from any keyboard shortcut assigned to it.

To remove a bound script icon from a menu or toolbar

1. Choose View [image] Customize to display the Customize dialog box.
2. Drag the script’s icon into the Corel Paint Shop Pro Photo workspace.


Using and creating presets

Presets are scripts that define the behavior, properties, or settings of a dialog box or tool. Many dialog boxes and tools come with predefined, ready–to–use presets; however, you can also design and save your own presets. This is useful if you frequently use the same settings in a dialog box or with a tool. By using presets, you can save the settings and they'll appear in the Presets drop-list associated with that dialog box or tool.

To choose a preset

• In the Presets drop-list, select the desired preset from the list.

On the left is the Pan tool’s Presets drop-list button in the Tool Options palette, and on the right the Presets drop-list button in the Charcoal effect dialog box.

To reset values to default settings

• In the Presets drop-list, click the Reset to default button [image].
• To reset a dialog box to the settings that displayed when you opened the dialog box, hold down Shift and click the Reset to default button.

To save settings as a preset

1. Modify the settings in the dialog box or the Tool Options palette.
2. Click the Save preset button [image] to display the Save Preset dialog box.
3. Type a name for the preset.
You cannot use “Default” or “Last Used” as the name for a preset.
If you want to enter additional preset information, click Options, and type text in the Author, Copyright, and Description fields.
4. Click OK.
• The Preset includes group box shows the data saved with a preset.

To edit a preset

1. Modify the settings in the dialog box or the Tool Options palette.
2. Click the Save Preset button [image].
3. Type the same preset name in the preset name box.
4. Click Options.
If you want to omit any data from the Preset includes group box, click the Include/Exclude button [image] associated with the data.
A red “X” appears over the button [image] associated with the item.
5. Click OK.

To delete a preset

1. In the Presets drop-list, click the Resource Manager button [image].
2. In the Resource Manager dialog box, select the preset you want to delete.
3. Click Delete.


Processing files in batches

You can process multiple files using the Batch Process feature. Corel Paint Shop Pro Photo can make copies of original files, convert them and then save the copies in the output folder you select.

To convert multiple files to a new format

1. Choose File [image] Batch Process to open the Batch Process dialog box.
2. Click Browse, and choose the file you want to process from the Select Files dialog box.
If you want to choose adjacent files, hold down Shift as you click; to choose non-adjacent files, hold down Ctrl as you click.
3. Click Select.
The files you choose appear in the Files to process list in the Batch Process dialog box.
4. In the Save Mode group box, choose an option:
• New Type — This is the most basic option, requiring only that a new output type be set in the Type field of the Save Options group box. You can also choose to run a script with this option. This option reads in the file, runs the script (if defined) against the file, saves the file to its new location and/or name, and converts it to the new file format.
• Copy — This option requires that a script be defined in the Script group box. This option reads in the file, runs the script against the file, and saves the file to a new location and/or name. With this option selected, the Type field and Options button of the Save Options group box are disabled.
• Overwrite — This option requires that a script be defined in the Script group box. This option reads in the file, runs the script against the file, and saves the file to its original location (the original file is overwritten). With this option selected, all Save Options group box settings are disabled.
• Script Save — This option requires that a script be defined in the Script group box. This option reads in the file, and runs the script against the file. With this option selected, all Save Options group box settings are disabled. Because no save is performed, only use this option when you know the script performs a save. If not, this option has no effect.
5. Click Options to open the Save Options dialog box.
Not all file formats have associated options. If the file format you choose does not have any options, the Options button is unavailable.
6. Choose options from the Compression and Color Channels group boxes.
7. Click Start to open the Batch Progress dialog box and start the batch conversion.
The Current Step pane displays each filename and its conversion status. The Job Progress bar indicates the conversion progress.
8. Click OK.
Unless you specify another output folder, Corel Paint Shop Pro Photo saves the converted files in the same folder as the source files.

You can also |
Rename converted files | Click Modify, choose an option from the Rename Options list, and click Add. You can rename the file with the current date, document name, position of the file in the renaming process, the current time, and custom text.
Stop the conversion | Click Abort.
Run a script during the file format conversion | In the Script group box, mark the Use Script check box and choose a script from the drop-list.
Save a log file | In the Batch Progress dialog box, click Save Log, and choose the folder in which you want to save the log.

To run a script on multiple files

1. Choose File [image] Batch Process to open the Batch Process dialog box.
2. Click Browse to open the Select Files dialog box.
3. Choose the folder where the files are stored.
4. Do one of the following:
• To select adjacent files, hold down Shift and click the files.
• To select non-adjacent files, hold down Ctrl and click the files.
5. Click Select.
The files appear in the Files to process list in the Batch Process dialog box.
6. In the Save Mode group box, choose one of the following options:
• New Type — runs the script and saves the processed files as a new file type. You can choose to save the output files to another folder by clicking Browse.
• Overwrite — runs the script and saves the file to its original location, overwriting the original file
• Save Script — runs the script but does not save the file. Use this option when the script performs a save on the file.
If you choose Copy, you can rename the converted files by clicking Modify, choosing an option from the Rename Options list, and clicking Add. You can rename the file with the current date or time, a document name, the position of the file in the renaming process, or by custom text.
If you choose Overwrite, you can clear the Stop on error check box to avoid having to confirm the overwriting of each file.
7. In the Script group box, mark the Use Script check box.
8. Choose a script from the drop-list.
9. Click Start.
The Batch Progress dialog box opens and the batch conversion starts. The Current Step pane displays each filename and its conversion status. The Job Progress bar indicates the conversion progress.
10. Click OK.

You can also |
Stop the script | Click Abort.
Stop the script if Corel Paint Shop Pro Photo encounters an error | Mark the Stop on error check box. If you don’t mark it, the program processes all the images without stopping. The error messages appear in the Batch Conversion Status dialog box.
Run the script in Silent Mode | Mark the Run script in silent mode check box.
Save a log file | In the Batch Progress dialog box, click Save Log, and choose the folder in which you want to save the log.


Renaming files in batches

You can rename multiple files at the same time.

To rename files in a batch

1. Choose File [image] Batch Rename to open the Batch Rename dialog box.
2. Click Browse.
3. Choose the folder that contains the source files.
4. Do one of the following:
• To select adjacent files, hold down Shift, and click the files.
• To select non-adjacent files, hold down Ctrl, and click the files.
5. Click Select.
The files appear in the Files to rename list in the Batch Rename dialog box.
6. Click Modify to open the Modify Filename Format dialog box.
7. Choose any of the following renaming options from the Rename Options list:
• Custom Text — to add text to the converted files
• Date — to add the current date to the file name
• Document Name — to add the original file name to the new file name, and to change the case
• Sequence — to add the numerical position of a file in the renaming process
• Time — to add the current time to the file name
8. Click Add for each option you want to move into the Included list.
The file naming scheme appears at the bottom of the dialog box.
9. Click OK.
If you want to stop the renaming process when Corel Paint Shop Pro Photo encounters an error, mark the Stop on error check box in the Batch Rename dialog box.
10. Click Start.
• You can use click the Move Up [image] and Move Down [image] buttons in the Modify Filename Format dialog box to rearrange the order of options you choose from the Rename Options list.


Printing

Corel Paint Shop Pro Photo provides extensive options for printing your work.

In this section, you’ll learn about

• printing images
• creating layouts
• editing templates
• editing and saving layouts
• printing with CMYK color separations
• understanding printing


Printing images

Corel Paint Shop Pro Photo offers many ways to print images. You can print from the Organizer, use a template, or use a custom layout to meet specific size requirements.

You can print contact sheets (left), print to standard photo sizes (center), or create custom print layouts (right).

You can print your images directly from the Organizer. For example, you can print a contact sheet from the Organizer.

Templates help you simplify image placement and sizing. You can use templates to lay out and print images in standard sizes, including 4 × 6 inches, 5 × 7 inches, and 10 × 15 centimeters. You can use a Corel Paint Shop Pro Photo template, or you can create your own custom template from a page layout that you create.

Creating your own layouts gives you the flexibility to print images to any size and lets you create a custom page for projects such as scrapbooks. For more information about creating layouts, see "Creating layouts."

If you are preparing images for professional output, you can print an image to a file, which lets a service bureau send the file directly to an output device. If you are unsure about which settings to choose, consult the service bureau. You can also print crop and registration marks. Crop marks represent the size of the paper and print at the corners of the page. You can print crop marks to use as guides to trim the paper. Registration marks are required to line up film for proofing or printing plates on a color press. They print on each sheet of a color separation.

To print the active image

1. Choose File [image] Print.
2. In the Printer group box, click Printer.
The Print dialog box appears.
3. Choose a printer from the Name drop-list, and click OK.
4. Click the Placement tab, and type or set a value in the Number of copies control.
5. In the Orientation group box, choose one of the following options:
• Portrait
• Landscape
6. In the Size and Position group box, set any of the following controls:
• Width and Height — lets you specify width and height values to set the image size
• Scale — lets you resize the image by entering a percentage
• Fit to page — fits the image to the printed page
• Center on page — centers the image on the printed page
• Upper left of page — positions the image in the upper-left corner of the printed page
• Custom offset — lets you enter values in the Left offset and Top offset boxes
7. Click the Options tab.
8. In the Print Output group box, choose one of the following options:
• Color
• Greyscale
• CMYK separations
If you choose the CMYK separations option, you can print CMYK labels on each color plate or page by marking the CMYK plate labels check box in the Print Marks group box.
9. Click Print.

You can also |
Print the filename below the image | Mark the Image Name check box in the Print Marks group box.
Print a negative of the image | Mark the Negative check box in the Color Options group box.
Print a color background around the image | Mark the Background check box, click the color box, and choose a color from the color palette.

• You can script most print options; however, because of variations in printer drivers, not all printer settings are scriptable. For more information about scripting, see "Scripting basics".
• For more information about printing options, see "Creating layouts".

To print a contact sheet

1. In the Organizer, navigate to the files that you want to print.
If the Organizer is not displayed, choose View [image] Palettes [image] Organizer.
2. Perform a task from the following table.

To | Do the following
Print selected images | Hold down Ctrl, and click the thumbnails that you want to print. Click the Print Contact Sheet button [image] , choose settings in the Print Contact Sheet dialog box, and click Print.
Print all the images in a selected folder | Right-click in the Organizer window and choose Select All. Click the Print Contact Sheet button [image] , choose settings in the Print Contact Sheet dialog box, and click Print.

• For more information about printing options, see "Understanding printing".

To print to a file

1. Choose File [image] Print.
2. Mark the Print to File check box.
3. Click Print.
4. Type a name in the Output File Name box.

To print images by using a template

1. In the Organizer, select the thumbnails of the images that you want to print.
2. Choose File [image] Print Layout.
The Print Layout window appears.
3. Click File [image] Open Template.
The Templates dialog box appears.
4. In the Category group box, choose a category from the list.
Thumbnails of the templates in each category appear in the window on the right. Custom templates that you saved appear under the User Defined category. If the custom template was saved with images, the cells are filled with color.
5. Select a template, and click OK.
If you previously saved images with the template, the images appear in the template cells and in the thumbnail list. Cells are grayed in the template thumbnail for templates with missing images.
6. Drag images into the template cells.
If you want to fill the template with copies of the same image, click a thumbnail and click the Fill Template with Image button [image].
7. Click File [image] Print.
• For information about saving templates with links to images, see "Setting file locations".
• You can remove an image from a template by selecting the image and pressing Delete.
• You can also open images by choosing File [image] Open Image.

To print crop and registration marks

1. Choose File [image] Print.
2. In the Printer group box, click Printer.
The Print dialog box appears.
3. Choose a printer from the Name list box, and click OK.
4. Click the Options tab.
5. In the Print Marks group box, mark one or more of the following check boxes:
• Corner Crop Marks — prints crop marks at the corners of the image
• Center Crop Marks — prints crop marks at the center of the image edges
• Registration Marks — prints registration marks at the corners of the image


Creating layouts

You can create a print layout and position images individually, or you can apply the same settings to all of the images.

By rotating and zooming, you can change the print layout of your images. Images are displayed at 100% magnification by default. You can zoom in to get a closer look at image detail, or zoom out to view a larger portion of the image.

When you use a print layout, you can add descriptive text captions, undo or redo the changes you make, and save the layout for future use as a template.

To add images to a layout

1. Open the image that you want to print.
If you want to select more than one file, hold down Ctrl, and click the files. If the files are in sequential order, click the first file, and then press Shift and click the last file.
2. Choose File [image] Print Layout to open the Print Layout window.
Thumbnails of the selected images appear on the left side of the window; the page layout appears in the main workspace.
If you want to add additional images to the Print Layout window, choose File [image] Open Image, and choose the images.
3. Drag the thumbnails into a template cell or onto the custom layout page.

You can also |
Print the page with the current settings | Click the Print button [image] .
Change the print setup options | Choose File [image] Print Setup. In the Print Setup dialog box, make changes to any of the settings.
Close the Print Layout window | Click the Close Print Layout button [image] .

To position images in a layout

1. Choose a cell.
2. Click one of the following buttons:
• Free format [image] — lets you manually resize and position the image in the cell
• Size and Center [image] — retains the image size and centers it in the cell
• Fill Cell with the image [image] — centers the image and scales it to fill the cell. The aspect ratio is maintained, but parts of the image may not be visible.
• Fit and center [image] — centers the image and scales the image to fit entirely inside the cell. The image aspect ratio is maintained.
• Fit and adjust left [image] — aligns the image to the leftmost side of the cell and scales it to fit entirely inside the cell. The image aspect ratio is maintained.
• Fit and adjust right [image] — aligns the image to the rightmost side of the cell and scales it to fit entirely inside the cell. The image aspect ratio is maintained.
• Fit and adjust top [image] — aligns the image to the top of the cell and scales it to fit entirely inside the cell. The image aspect ratio is maintained.
• Fit and adjust bottom [image] — aligns the image to the bottom of the cell and scales it to fit entirely inside the cell. The image aspect ratio is maintained.
• You can display the grid if you want to position images with precision.

To rotate an image in a layout

1. Select an image.
If you want to rotate multiple images, hold down Shift, and select the images.
2. On the toolbar, click one of the following buttons:
• Rotate Right
• Rotate Left

To zoom

To | Do the following
Zoom in | Click the Zoom In 10% button [image] .
Zoom out | Click the Zoom Out 10% button [image] .
Zoom in on a specific area | Click the Zoom to Rectangle button [image] . Drag in the page layout to choose an area to zoom in on.
Zoom to the fill the workspace with the layout | Click the Zoom to Page button [image] .

To create a caption

1. Choose File [image] Print Layout to open the Print Layout window.
Thumbnails of the open images appear on the left side of the window; the page layout appears in the print layout workspace.
2. Drag the thumbnails into a template cell or onto the custom layout page.
3. Click the Create a Text Field button [image].
4. Drag to create the text box.
5. In the Text Field dialog box, type the text that you want to appear on the printed page.
6. Set the font, font attribute, and alignment controls.
To continue to use these settings, mark the Retain text settings check box.
7. Click OK.

You can also |
Move the text box in the image | Drag the text box.
Size the text box | Drag the corner handles in or out.
Rotate the text | Right-click the text box, and choose Rotate Right or Rotate Left.

To undo or redo a change to a layout

• Choose Edit [image] Undo to undo a change to a layout, or Edit [image] Redo to redo a change to a layout.

To change the Print Layout workspace

1. In the Print Layout window, choose View [image] Options.
The Print Layout Options dialog box appears.
2. Choose a unit of measurement from the Units drop-list.
3. In the Auto Arrange group box, mark one or both of the following check boxes:
• Use borders — creates a border around all images. This option requires you to set values in the Horizontal border size and Vertical border size controls.
• Stretch to fit — automatically enlarges images to fit, while maintaining their aspect ratios
4. In the Template options group box, do one or both of the following:
• To apply the new default placement option to all cells of the current template, mark the Apply to current template check box.
• To specify the default placement of images in template cells, choose an option from the Default Placement drop-list.
5. In the Grid Settings group box, mark any of the following check boxes:
• Show Grid — displays the grid
• Snap-to-Grid — snaps images to the gridlines where you position them
If you marked the Show Grid check box, you can also mark the Dot Grid check box to use a dotted-line grid. Clear the check box to use a solid-line grid.
6. Click OK.

You can also |
Change the grid color | Click the Grid color area, and choose a color from the color palette.
Change the horizontal and vertical spacing | Set values in the Horizontal Spacing and Vertical Spacing controls.


Editing templates

In Print Layout mode, you can make changes to multiple cells at the same time. However, the position and size of a cell are locked when the layout is saved as a template, so template cells cannot be moved or resized. You can add descriptive text to a template, which can be helpful for future browsing.

If a print layout contains images that you want to print repeatedly, you can save the layout as a template with links to the images. Whenever you open the template, it displays the images in the layout.

If you no longer need a print template that was saved, you can easily delete it.

When you print a template on thick paper, such as glossy photo paper, the images in the printed template may not fit perfectly inside the cell borders. You can correct this by adjusting the position of the template layout in Corel Paint Shop Pro Photo.

To edit template cells

1. Click the cell you want to edit.
If you want to edit multiple cells, hold down Ctrl while clicking the cells.
2. Choose Edit, and then choose the commands you want to apply to the template cells.

To enter descriptive text for a template

1. Load a template, or create a new template.
2. On the Print Layout toolbar, click the Save button [image].
The Save dialog box appears.
If you want to create a specific name for the template, enter it in the Name field.
3. In the Details field, enter the information you want.
If you want to save the template with the images it contains, mark the Save with images check box.
4. Click OK.
If you did not change the template name, you are prompted to overwrite the template or cancel the action.

To move the template position

To | Do the following
Move the template 1/20th of an inch (1.25 mm) | Hold down Ctrl, and press the arrow keys.
Move the template 1/10th of an inch (2.5 mm) | Hold down Ctrl and Shift, and press the arrow keys.

• If your printer consistently misprints the same way, adjust the template position, and save it with a name that specifies its use with that printer.

To revert a template with images to a layout

1. Open the template you want to edit.
2. Click the Custom Template button [image].
A dialog box appears, asking whether to keep the current images in the new template.
3. Click Yes.

To save a template with images

1. Click the Save Template button [image].
The Save dialog box appears.
2. Enter a name for the new template in the Name field.
3. Mark the Save with Images check box.
4. Click OK.

To delete a template

1. Choose File [image] Print Layout.
2. In the Print Layout window, click Open Template [image].
The Templates dialog box appears.
3. Choose a category from the Select A Category list.
4. Select the thumbnail of the template you want to delete.
5. Click Delete.


Editing and saving layouts

Corel Paint Shop Pro Photo includes many templates with different layouts that you can use to print your images. The layouts you create can be saved as templates.

You can arrange images in a layout automatically or manually. Before you arrange images automatically, you must choose whether to include borders. If you do not use borders, Corel Paint Shop Pro Photo may arrange the images with touching edges. You must also choose whether to size the images to fit the layout. If you do not choose this option, Corel Paint Shop Pro Photo keeps them the same size or, if necessary, makes them smaller to fit the layout. Corel Paint Shop Pro Photo divides the page into sections of equal size and places each image in a section. Only images on the page or in the workspace are used.

Horizontal and vertical gridlines help you position items evenly on a page. You can display or hide grids and set preferences for grid spacing and appearance. When you display grids, they appear in any image window that is open.

You can snap images to the nearest gridline on the layout.

To resize an image in print layout

1. Click the Resize button [image] on the toolbar.
2. Choose one of the following options:
• Percent of original — resizes an image by a percentage you specify in the Width or Height boxes
• Actual / Print size — resizes an image by the dimensions you specify in the Width or Height boxes without changing its aspect ratio

• Resizing an image for printing can result in poor image quality. When you enlarge an image, it loses detail and sharpness. As a general rule, it is best to avoid enlarging or reducing an image by more than 25 percent.
• You can also resize an image manually by dragging a corner handle.

To use borders in a print layout

1. Choose View [image] Options.
2. Mark the Use Borders check box, and type or set values in the Horizontal border size and Vertical border size controls.
The default border width is 0.5 inches (1.27 centimeters).
3. Click OK.

• If you want to resize images to fit in their cells, mark the Stretch to fit check box.
• As you decide where to move images, you can place them temporarily in the workspace around the page.
• You can also arrange images manually by dragging the image to a new position on the page.

To display the grid

• Choose View [image] Show Grid.

To snap images to the layout grid

• Choose View [image] Snap to Grid.

To change layout grid settings

1. Choose View [image] Options.
The Print Layout dialog box appears.
2. In the Grid Settings group box, mark any of the following check boxes:
• Show Grid — displays the grid
• Snap-to-Grid — snaps images to the gridlines when you position them
If you mark the Show Grid check box, you can mark the Dot Grid check box to use a dotted-line grid instead of a solid-line grid.

You can also |
Change the grid color | Click the Grid color area, and choose a color from the color palette.
Change the horizontal and vertical spacing | Set values in the Horizontal Spacing and Vertical Spacing boxes.

To save a custom layout as a template

1. Click the Save Template button [image].
The Save dialog box appears.
2. Enter a name for the new template in the Name field.
If you want to save the image links with the template, mark the Save with Images check box.
3. Click OK.

To rotate an image in a layout

1. Select the image.
2. Choose Image, and then choose one of the following commands:
• Rotate clockwise 90
• Rotate counterclockwise 90

To position an image in a layout

• Drag the image to a new position on the page.


Printing CMYK color separations

Corel Paint Shop Pro Photo converts images for color printing by replacing the RGB (Red, Green, and Blue) colors you see on the monitor with the CMYK (Cyan, Magenta, Yellow, and Black) colors used in printing. You can then print a separate page for each CMYK color, which is useful if your work will be handled by a prepress service provider or a high-quality printer.

Printing CMYK color separations differs from splitting color channels. When you split color channels, Corel Paint Shop Pro Photo treats white as having full color and black as having no color. When you print CMYK separations, Corel Paint Shop Pro Photo treats black as having full color and white as having no color.

To print CMYK color separations

1. Choose File [image] Print.
The Print dialog box appears.
2. Click the Options tab.
3. In the Print Output group box, choose CMYK Separations.
4. Click Print.
• You can also choose other print options. For more information, see "Printing images".


Understanding printing

Whether you are new to printing or would like a quick review, this reference section can help you understand some of the factors that affect the printing of your images.

Image and printer resolution

Laser and ink-jet printers work by applying dots of black or colored ink to paper. Whereas image resolution is measured in pixels per inch (ppi), printer resolution is measured in dots per inch (dpi). The printed image size is expressed in inches and is calculated as the image size in pixels divided by pixels per inch. For information about viewing image information, see "To view digital photo information."

Images with higher dpi values have more data and result in higher print quality. You can resize images, to create a larger print size, but the print quality can decrease due to the reduced print resolution (ppi). For information about resizing images, see "Resizing images."

It is best to consider the resolution of the printer when you choose a resolution for the image you are creating. You can use the following guidelines to determine the image size for printing:

• For a 300-dpi printer, use an image that is 72 to 120 ppi.
• For a 600-dpi printer, use an image that is 125 to 170 ppi.
• For a 1200-dpi printer, use an image that is 150 to 200 ppi.
Image color and lightness

Computer monitors display color by combining red, green, and blue light on the screen. Color printers, however, use a combination of cyan, magenta, yellow, and black inks. The differences between these two color modes can cause images to appear darker on paper than on the screen. As you become familiar with how your printer handles color, you can adjust your images to compensate for these differences. If the printed image appears too dark, you can adjust the brightness or contrast.

Paper quality

The texture and color of the paper used for printing affect the quality of the printed image. For example, porous paper can cause colors to bleed into each other, colored paper can alter the image colors, and off-white paper can reduce the contrast and vibrancy of the image colors. For recommendations on which paper to use for printing, refer to the documentation supplied with your printer.

File formats

Saving your image in the PspImage format provides the most flexibility if you plan to print your image on a personal printer. Corel Paint Shop Pro Photo prints all layers in an image, so you do not need to flatten the image by merging the layers. If you are using a black-and-white printer, you can print your images in grayscale.

If you are sending the image to a printing service, you need to flatten the image — that is, merge the layers — before you save the image. The program automatically flattens an image when you save it in most formats other than PspImage. It is best to consult with your printing service about file format, resolution, and color depth requirements.


Creating images for the Web

You can save and optimize images for the Web to reduce the image file size and make images load more quickly. Using the Web tools, you can create backgrounds for your Web pages, and map and slice images to create hotspots or rollovers. You can also protect your images by adding watermarks with creator and copyright information.

In this section, you’ll learn about

• saving images for the Web
• working with GIF files
• working with JPEG files
• working with PNG files
• previewing images in Web browsers
• slicing images
• mapping images
• creating image rollovers
• using digital watermarks


Saving images for the Web

Because the majority of Web browsers recognize GIF and JPEG images, these two formats are used most often for saving Web images. Newer versions of the Web browsers can also recognize the more recent PNG format, and many Web browsers also support Windows Wireless Bitmap (WBMP) and iMode formats, which are popular formats for wireless devices.

When you save images for the Web, there are three major considerations: layers, color depth, and file size.

Layers

Because none of the current Web browsers can display layered images, you need to flatten an image before saving it for the Web.

Color depth

Some computers are only capable of displaying up to 256 colors. If an image on a Web page contains more colors, the Web browser uses its own dithering method to display the image. This can produce color distortion. If you reduce the color depth of the image to 8 bits (256 colors) before placing it on your Web page, its appearance will be more consistent. For more information about color depth, see "Working with advanced color features."

Web file formats and file sizes

File size affects the majority of users accessing a Web page. As the size of an image file increases, it takes more time to download, so viewers have a longer wait. You should use a file format that reduces the image size while keeping the quality as high as possible.

Choose from the following file formats when saving images for use on the Web:

• GIF — this format compresses line art and images with areas of similar colors. It supports 8-bit (256) color. There are two versions of GIF: 89a, which can save transparency and information, and 87a, which cannot. Both are recognized by most browsers and use lossless compression.
• JPEG — this format efficiently compresses photographic images. It supports 24-bit (16.7 million) color, uses lossy compression, and is recognized by most browsers.
• PNG — this increasingly popular format efficiently compresses images. It supports up to 24-bit (16.7 million) color and uses lossless compression. It is not as widely used as JPEG, so some features of this format are not available for older browsers.
• Wireless Bitmap (WBMP) — this format is used with many wireless devices. The images are black and white and have lossless compression.
What’s the difference between lossy and lossless compression?
Lossy compression is a compression method that eliminates data to reduce the file size. Lossless compression retains all of the original image data and reduces the file size by storing patterns of pixels in the image.

To flatten an image

• Choose Layers [image] Merge [image] Merge All (Flatten).


Working with GIF files

Corel Paint Shop Pro Photo lets you optimize GIF files to maximize quality while minimizing file size. You can save images with or without transparency, depending on how you want to display them on your Web pages.

Paletted images (those with 256 or fewer colors, such as GIF or PNG files) do not support transparent backgrounds, but you often need to make part of your image transparent for a Web page. For example, you may have a round logo and want the background of the Web page to display around the logo. In this case, you can choose not to display one color. Most Web browsers support this option, effectively making that color transparent.

The GIF Optimizer dialog box contains four tabs where you configure the transparency, color, and format options of the file. The fifth tab displays estimated download times of the image at various modem speeds.

GIF Optimizer Transparency tab

You can choose to base transparency on existing image or layer transparency, or you can sample a color in the image that you want to make transparent. If you have a selection in your image, you can base the transparency on the selection.

GIF Optimizer Partial Transparency tab

A GIF file cannot contain partially transparent pixels. All pixels must be either transparent or opaque (visible). Original images may contain partially transparent pixels if the image does not have a background layer, and you have reduced the opacity of a layer, added a mask, feathered a selection, or used a brush at a reduced opacity setting. You can determine whether the partially transparent pixels become transparent or opaque, and whether they are blended with another color.

If you mark the None option in the Transparency tab, the options in this tab are unavailable.
GIF Optimizer Colors tab

GIF images have an 8-bit color depth, which means they can display up to 256 colors. Because these colors are stored in a palette, an image containing 256 or fewer colors is called a paletted image. To reduce file size, you can have fewer than 256 colors. You can use the options in this tab to select the number of colors and the type of palette used.

GIF Optimizer Format tab

GIF images can be interlaced or non-interlaced, which affects how the image is displayed on a computer with a slow Internet connection. You can also save the image to an older version of the GIF format to enhance compatibility with older applications.

GIF Optimizer Download Times tab

This tab displays the size of the compressed file and estimated download times for four different Internet speeds. If the file size is too large, you can decrease it by reducing the number of colors.

Using the Transparent GIF wizard

You can open the Transparent GIF wizard from the GIF Optimizer dialog box. This wizard guides you through the steps of optimizing a GIF file.

What is interlacing?
Interlacing is a method that lets you display a Web-based image on the screen at a low, blocky resolution. As the image data loads, the image quality improves.

To optimize and save a GIF file

1. Choose File [image] Export [image] GIF Optimizer.
The GIF Optimizer dialog box appears, and the preview windows show the current image on the left and the resulting GIF file on the right.
2. Click the Transparency tab, and choose one of the following options:
• None — produces a GIF file that does not use a transparency setting
• Existing image or layer transparency — uses the current transparency information from the image
• Inside the current selection — for images with a selection, makes everything within the selection transparent
• Outside the current selection — for images with a selection, makes everything outside the selection transparent
• Areas that match this color — bases the transparency on a color you select. Click the color box to select a color or choose a color from the image by moving the cursor over the image, and clicking a color. Then set or type a tolerance factor in the Tolerance control to determine how closely colors must match the selected color before they become transparent.
3. Click the Partial Transparency tab and choose one of the following options:
• Use full transparency for pixels below x% opacity — determines the opacity value at which pixels become transparent. Pixels below the opacity value you set become transparent. Pixels above the opacity value become opaque. As you lower the value, you reduce the number of transparent pixels.
• Use a 50% dither pattern — makes partially transparent pixels opaque using either the color chosen for blending or the image color (depending on the blending option), then applies a 50% dither pattern to make colors look more natural
• Use error diffusion dither — makes partially transparent pixels opaque using either the color chosen for blending or the image color (depending on the blending option), then applies an error diffusion dither to make colors look more natural
4. Choose one of the following options to determine how partially transparent pixels are blended:
• Yes — blends the partially transparent pixels with the color in the Blend color box. To choose a new color, click the color box, and choose a color from the Color dialog box. Partially transparent pixels below the value you set above are blended with this color.
• No — uses the existing image color at 100% opacity
5. Click the Colors tab, and type or set a value in the How many colors do you want? control to determine the number of colors you want in the image.
As you remove colors, the size of the file decreases, but so does the quality of the image. Use the preview windows to help you determine the best balance between file size and image quality.
6. Type or set a value in the How much dithering do you want? control.
The range is 16 to 256 colors. This determines the way Corel Paint Shop Pro Photo arranges pixels in an image to compensate for missing colors in the adjacent pixels.
7. Choose one of the following options to determine the image palette:
• Existing Palette — lets you use an existing image palette
• Standard/Web-safe — lets you use the Web-safe palette for images that you want to use on the Web
• Optimized Median Cut — lets you reduce the image to only a few colors. If you choose this option, you can mark the Boost selected colors check box to give the colors more weight by a factor of the value you set. The selected colors stand out from the rest of the image. To boost colors, make a selection of an area that contains these colors and then mark this check box.
• Optimized Octree — lets you optimize an image that contains only a few colors
Depending on your needs, you may want to try both the Optimized Median Cut and the Optimized Octree options and choose the one that gives you the best results.
8. In the Options group box, mark the Include Windows colors check box to include the 16 standard Windows colors in the palette.
If the image will be used on the Web, mark the check box.
9. Click the Format tab, and choose one of the following options:
• Non-interlaced — produces an image that downloads one line at a time, starting from the top
• Interlaced — produces an image that is displayed incrementally in several passes, and detail is added each time
Choose the Interlaced option with larger images so that the viewer can get an idea of how the image looks while waiting for it to download.
10. Choose one of the following options:
• Version 89a — lets you save transparency information. It is selected automatically if the image contains transparent pixels.
• Version 87a — lets you save an image that does not contain a transparency setting
11. Click OK to open the Save As dialog box, and navigate to the folder in which you want to save the new image and type a name for the file.
12. Click Save.

To use the Transparent GIF wizard

1. Choose File [image] Export [image] GIF Optimizer.
The GIF Optimizer dialog box appears.
2. Click Use wizard, and follow the instructions.
3. Click Finish to close the wizard and open the Save As dialog box, where you type a name and select a location for saving the GIF file.

You can also |
Choose a color within the image | On page 1 or 2 of the wizard, move the cursor over the image, and click a color. The color swatch displays the color you clicked.
Choose a color using the Color dialog box | On page 1 or 2 of the wizard, click the color swatch to open the Color dialog box. For more information about the controls in the Color dialog box, see "To choose a color from a dialog box."
Change a setting | On page 5 of the wizard, click Back to return to the previous pages, change the settings you want, and return to page 5 to view the results.

• A GIF image cannot contain partially transparent pixels. If the image contains them, the Transparent GIF wizard blends them with the color you choose. Reducing layer opacity, adding a mask, feathering a selection, and using a brush set at reduced opacity are some of the actions that can produce partially transparent pixels.
• You can click the Download Times tab to preview the file size of the compressed file and view an estimate of the download time at four modem speeds.


Working with JPEG files

Corel Paint Shop Pro Photo lets you optimize JPEG files to maximize image quality and minimize file size.

Each time you open and save a JPEG, image data is discarded. It is a good idea to keep a copy of the original image.
JPEG Optimizer Quality tab

You can use compression to reduce the size of the JPEG file. When you compress a JPEG image, you delete image information. As you increase the compression, you lower the quality of the image. You can use the image preview window to help you find the best balance between file size and image quality.

You can also reduce the file size with chroma subsampling, which averages the color information for every 2 × 2 square of pixels. You can change this setting to have a larger area of color information averaged.

JPEG Optimizer Background Color tab

This tab is available when you have transparent areas in your image. You can determine how transparent pixels in your image are blended with a background by choosing a background color. For example, if you are placing an image on a Web background, you can select the same background color in the JPEG Optimizer to ensure the image blends seamlessly with the Web page.

JPEG Optimizer Format tab

You can determine how an image appears as it is being loaded. You can optimize the JPEG so that the image downloads one line at a time, starting from the top.

If you have a large image, you can choose to have the image display incrementally in several passes; detail is added with each pass. This allows the viewer to see the image as it is being downloaded.

JPEG Optimizer Download Times tab

You can view the size of the compressed file and estimated download times for four modem speeds.

Using the JPEG wizard

You can open the JPEG wizard from the JPEG Optimizer dialog box. This wizard guides you through the steps of optimizing a JPEG file.

To optimize and save a JPEG file

1. Choose File [image] Export [image] JPEG Optimizer.
The JPEG Optimizer dialog box appears. The preview windows show the current image on the left and the resulting JPEG file on the right.
2. Click the Quality tab, and set or type a value in the Set compression value to control.
3. Choose a color sampling method from the Chroma Subsampling drop-list if you want to change the default setting.
4. Click the Background Color tab, click the Background color box, and choose a color.
5. Click the Format tab and choose one of the following options:
• Standard — downloads one line a time, starting from the top
• Progressive — displays the image incrementally in several passes, and detail is added each time
6. Click OK to open the Save As dialog box, navigate to the folder in which you want to save the new image, and type a name for the file.
7. Click Save.
• You can click the Download Times tab to preview the file size of the compressed file and view an estimate of the download time at four modem speeds.

To use the JPEG wizard

1. Choose File [image] Export [image] JPEG Optimizer.
The JPEG Optimizer dialog box appears.
2. Click Use wizard and follow the instructions.


Working with PNG files

Corel Paint Shop Pro Photo lets you optimize PNG files to maximize quality and minimize file size.

The PNG Optimizer dialog box contains three tabs where you configure the color, transparency, and format options of the file. The fourth page displays estimated download times of the image at various modem speeds.

PNG Optimizer Colors tab

You can choose the color depth for the PNG file — the greater the color depth, the longer it takes to download the image. Use this tab to select a color depth for your PNG image and, for paletted images, the method of color reduction, number of colors, and amount of dithering.

PNG Optimizer Gamma tab

PNG images contain a gAMA chunk, which controls gamma levels of an image. The gamma setting helps the image appear consistent across multiple display devices. If in doubt, you should use the default PC value.

PNG Optimizer Transparency tab

You can choose to base transparency on existing image or layer transparency, or you can sample the color in the image that you want to make transparent. If you have a selection in your image, you can base the transparency on the selection. You can also base transparency on the Alpha channel.

PNG Optimizer Format tab

PNG images can be interlaced or non-interlaced, which affects how the image is displayed on a computer with a slow Internet connection.

PNG Optimizer Download Times tab

This tab displays the size of the compressed file and an estimate of the download time at four modem speeds.

Using the PNG wizard

You can open the PNG wizard from the PNG Optimizer dialog box. The wizard guides you through the steps of optimizing a PNG file.

To optimize and save a PNG file

1. Choose File [image] Export [image] PNG Optimizer.
The PNG Optimizer dialog box appears. The preview windows show the current image on the left and the resulting PNG file on the right.
2. Click the Colors tab, and choose one of the following image type options:
• Palette-Based — for images with 256 colors or less
• Grayscale (8-bit)
• 16.7 million color (24-bit)
If you choose the Palette-Based method, you can choose the number of colors in the image and the amount of dithering applied.
3. Click the Transparency tab, and choose one of the following transparency types:
• No transparency — saves the image without transparency
• Single color transparency — lets you make one color transparent by clicking a color swatch or clicking a color in the image, and entering a value in the Tolerance control.
• Alpha channel transparency — uses the current selection or alpha channel transparency of the image. You can choose which part of the image will be transparent by choosing Existing image or layer transparency, Inside the current selection, or Outside the current selection option.
4. Click the Gamma tab, and set or type a value in the Gamma control if you want to change the default value.
5. Click the Format tab, choose one of the following options:
• Non-interlaced — the image downloads one line at a time, starting from the top
• Interlaced — the image is displayed incrementally in several passes; detail is added with each pass. Use this option with larger images so that the viewer can get an idea of how the image looks while waiting for it to download
6. Click OK to open the Save As dialog box, navigate to the folder in which you want to save the new image, type a name for the file, and click Save.
• You can click the Download Times tab to preview the file size of the compressed file and an estimate of the download time at four modem speeds.

To use the PNG wizard

1. Choose File [image] Export [image] PNG Optimizer.
The PNG Optimizer dialog box appears.
2. Click Use wizard and follow the instructions.
3. Click Finish to close the wizard and open the Save As dialog box, where you type a name and select a location for saving the GIF file.

To | Do the following
Choose a color within the image | On page 2 or 3 of the wizard, move the cursor over the image, and click a color. The color swatch displays the color you clicked.
Choose a color using the Color dialog box. | On page 2 or 3 of the wizard, click the color swatch to open the Color dialog box. For more information about the controls in the Color dialog box, see “Choosing a color from the Color tab”.
Change a setting | On page 6 of the wizard, click Back to return to the previous pages, change the settings you want, and return to page 6 to view the results.


Previewing images in Web browsers

You can use your Web browser to see how your active image will look on the Web. Corel Paint Shop Pro Photo creates an HTML page that displays your image in Windows Bitmap, GIF, JPEG, or PNG format. You can select up to three browsers. You can also change the Web browser in which you preview images, and you can add and delete Web browsers.

To preview image files in Web browsers

1. Choose View [image] Preview in Web Browser.
The Preview in Web Browser dialog box opens.
2. In the Select Image Formats list, click each format in which you want to preview your image.
3. Do one of the following to select a background color for the Web page:
• Click the Background color box, and choose a color from the Color dialog box.
• Right-click the Background color box, and choose a recently used color.
4. In the Image Size group box, do one of the following:
• Mark the Use default check box to keep the original image dimensions.
• Unmark the Use default check box and type or set new image dimensions (in pixels) in the Width and Height controls.
5. Click Preview.
If you choose only Windows Bitmap in the Select Image Formats list, the program opens the Web Browser and displays the image.
If you selected any other format, the program opens the appropriate optimization dialog box. Select your choices for optimizing the image, and click OK.
• For each format, the browser displays the file size, color depth, and approximate download times at the bottom of the image.

To change Web browsers

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types drop-list, select Web Browsers.
3. Select a browser from the list.
4. Click Edit.

To add Web browsers

1. Choose File [image] Preferences [image] File Locations
The File Locations dialog box appears.
2. From the File types list, select Web Browsers.
3. Click Add.
The Browser Information dialog box appears.
4. Click Browse.
The Web Browser Path dialog box appears.
5. Navigate to the folder containing the Web browser executable file (with an .exe filename extension), and click Open.
6. Click OK.

To delete Web browsers

1. Choose File [image] Preferences [image] File Locations.
The File Locations dialog box appears.
2. From the File types list, select Web Browsers.
3. Select the browser you want to delete.
4. Click Delete to remove the browser from the list.
5. Click OK.


Slicing images

When you slice an image, you divide it into several smaller images that you can save in different formats or at different levels of optimization. Because these optimized images can take less time to download than one large image, your Web pages may load more quickly.

Slicing an image also can reduce the number of graphics you need to save. If your Web site displays the same logo or other graphic in more than one image, you only need to save that section once if you slice the images; you reload the same logo or graphic section into all the images.

Using the Image Slicer, you can create a table from the image, saving the location of each sliced section as a region in the table, and generating the HTML code for the column and cells. Then, you copy this code into your source files so that the image can be reassembled when the user downloads the Web page.

You can also create rollovers, which are areas that display secondary images when the user clicks or moves a mouse over them.

Creating and editing cells

When slicing an image, you divide it into cells and edit the cell boundaries. You do this with the tools in the Tools groups box of the Imager Slicer dialog box.

Tool | Description
 | The Arrow tool lets you make a cell active or move its borders.
 | The Grid tool lets you create a grid of evenly spaced cells, either over the entire image or within another cell.
 | The Slice tool lets you create a horizontal or vertical line.
 | The Eraser tool lets you delete slice lines.
 | The Pan tool lets you drag the image in the preview to view hidden areas of the image.
 | The Zoom buttons let you magnify a specific area of the image.

Assigning slice cell properties

After you have created sliced cells, you can assign URLs, alternate text, and targets to each cell. You also have the option to have the cell appear in the downloaded image. By omitting cells, you can add cells from other images (such as logos or text) and create images in non-rectangular shapes.

When you assign alternative text, the text displays while the image is loading, if the image does not download, or if the user has images disabled in the Web browser. This text also appears as a ToolTip in some versions of Internet Explorer.

Setting slice preferences

You can select colors for the border lines of the active and inactive areas.

Saving and loading slice settings

When you save the slice settings, you save the cell arrangement and the information you typed in the Image Slicer dialog box. You can then reload them into the same image or use them with a different image.

Saving slices

You can save slices to a folder on your hard drive so you can use or edit them.

To slice an image into cells

1. Choose File [image] Export [image] Image Slicer.
The Image Slicer dialog box appears.
2. Choose the Slice tool [image] and click in the image where you want create a slice line.
To create a vertical line, drag vertically; to create a horizontal line, drag horizontally.
3. Choose the Arrow tool [image] and click inside the cell to make it active.
The cell boundary information displays in the lower portion of the Cell Properties group box.
4. In the URL drop-list, type the address of the Web page where you want the cell to appear.
If you want to select addresses already used in the image, select the address you want from the URL drop-list.
5. In the Alt text box, enter text that the browser can display while the cell is downloading.
6. Choose one of the following target frames or window options from the Target drop-list:
• _blank — loads the linked page in a new browser window
• _parent — loads the linked page in the parent window or frameset of the link. If the link is not in a nested frame, the image loads in the full browser window.
• _self — loads the linked page in the same window or frame as the link
• _top — loads the linked page in the full browser window and removes all frames
7. Click Save.
The HTML Save As dialog box appears.
8. Navigate to the folder where you want to save the HTML code and click Save.

You can also
Create cells with consistent spacing and size.
Click the Grid tool [image]. Click in the preview window to open the Grid Size dialog box, and type or set values in the Rows and Columns controls.
Move a slice line or border
Click the Arrow tool [image] , and move the cursor over a line. When the cursor changes to the double-sided arrow [image], drag the line to a new position. To move only the segment within the current cell, hold down Shift while clicking the line.
Delete a line or border
Click the Eraser tool [image] , and move the cursor over the line. When the cursor changes to an eraser-shape, click to delete the line. If deleting the line would create an invalid area, Corel Paint Shop Pro Photo displays an icon [image] to indicate that you cannot erase the line.
Omit a cell from the downloaded image
Click the cell with the Arrow tool, and unmark the Include cell in table check box.
Save slice settings to the clipboard so you can paste them into the HTML code
Click Save to Clipboard to open the HTML Destination Folder dialog box, navigate to the folder where the HTML file is saved, and click OK to save the slice settings.
Open the HTML file, place the cursor where you want to insert the HTML slice code, and press Ctrl + P.
Create a rollover for a cell
Click Rollover Creator. For more information about creating image rollovers, see "Creating image rollovers".

• You can move lines up, but not across, adjacent parallel lines. You can move individual lines and lines that are part of a grid. As you drag a line, Corel Paint Shop Pro Photo moves the longest segment that can be repositioned without creating a non-rectangular cell.

To set slice preferences

1. In the Image Slicer dialog box, click Preferences.
2. Click the Active tile border color color box, and choose a color.
3. Click the Inactive tile border color color box, and choose a color.
4. In the Maximum history list size control, type or set the number of entries listed in the URL and Alt Text drop-lists in the Cell Properties group box in the Image Slicer dialog box.
5. Click OK.
• If you want to be prompted for a file location and name for your slices when you save the HTML code, mark the Prompt for image folder on Save or Save As check box.

To save slice settings

1. In the Image Slicer dialog box, click Save Settings.
The Save Slice Settings dialog box appears.
2. Navigate to the folder in which you want to save the settings file.
3. Type a name for the file and click Save.
The file is saved in the JSD format.

To load slice settings

1. In the Image Slicer dialog box, click Load Settings.
The Load Slice Settings dialog box appears.
2. Select the JSD file you want to load, and click Open.
• If you are loading a grid to a different image, Corel Paint Shop Pro Photo automatically adjusts the grid size if the dimensions of the image are not the same.


Mapping images

An image map is a graphic that contains a mapped area (called a region or hotspot), that links to a URL. The cell can be a circle, rectangle, or irregular shape. When you move the mouse over the cell, the cursor changes to a hand indicating that you can click that area to jump to another Web page.

Creating map areas

You create and edit image map areas with the tools in the Tools group box of the Image Mapper dialog box.

Tool | Description
 | The Arrow tool lets you modify a hotspot area.
 | The Move tool lets you move a hotspot area.
 | The Polygon tool lets you create an irregular-shaped hotspot area.
 | The Rectangle tool lets you create a square or rectangular hotspot area.
 | The Circle tool lets you create a circular or elliptical hotspot area.
 | The Eraser tool lets you delete a hotspot area.
 | The Pan tool lets you drag the image in the preview to view hidden areas of the image.
 | The Zoom buttons let you magnify a specific area of the image.

Assigning map area properties

After you have created the map areas (or regions), you can assign URLs, alternate text, and targets.

Saving image maps

You can save image maps to a folder on your hard drive so you can use or edit them. You can also save map settings to the clipboard so you can paste them into the HTML code. When you save the map settings, you save the map area arrangement and the information you typed in the Image Mapper dialog box. You can then reload them into the same image, or use the settings with a different image.

Setting map preferences

After you have created the map areas (or regions), you can assign URLs, alternate text, and targets.

To create and save a map area

1. Choose File [image] Export [image] Image Mapper.
The Image Mapper dialog box appears.
2. Choose one of the following tools and draw in the preview window to create a hotspot:
• Rectangle tool [image] — drag the cursor to enclose a square or rectangular-shaped hotspot area
• Circle tool [image] — drag the cursor to enclose a circular or elliptical hotspot area
• Polygon tool [image] — click to set the starting point and continue moving the cursor and clicking to enclose an irregular-shaped hotspot area. Double-click to complete the polygon.
3. In the URL drop-list, type the address of the Web page to which you want to link.
If you want to select addresses already used in the image, click the arrow in the box and select the address you want from the URL drop-list.
If you do not want to link to a Web page, type #.
4. In the Alt text box, type the text that displays if image does not load or if the user has images disabled in their Web browser.
5. Choose one of the following target frame options from the Target drop-list:
• _blank — loads the linked page in a new browser window
• _parent — loads the linked page in the parent frameset of the link. If the link is not in a nested frame, the image loads in the full browser window.
• _self — loads the linked page in the same frame as the link
• _top — loads the linked page in the full browser window and removes all frames
6. Click Save.
The HTML Save As dialog box appears.
7. Navigate to the folder where you want to save the HTML code, and click Save.
The Image Map Save As dialog box appears.
8. Navigate to the folder where you want to save the image and click Save.

You can also
Select an existing map area
Click the Arrow tool [image] , and click a map area.
Change the shape or size of a map area
Click the Arrow tool, click the shape to select it, and hover over one of the green points that appear until the cursor changes to a four-point arrow. Drag the point to a new position.
Move the map area
Click the Move tool [image], click inside the map area, and then drag it to a new position.
Erase a map area
Click the Eraser tool [image] and then click inside the map area.
Remove all map areas
Click Clear.
Preview the image map in a Web browser
Click the Preview button [image] and test the map area in the Web browser.
Save map area information to the clipboard so you can paste it into the HTML code
Click Save to Clipboard to open the HTML Destination Folder dialog box, navigate to the folder where the HTML file is saved, and click OK to save the slice settings.
Open the HTML file, place the cursor where you want to insert the HTML slice code, and press Ctrl + V.
Create a rollover for a map area
Click Rollover Creator. For more information about creating image rollovers, see "Creating image rollovers".

To set map preferences

1. In the Image Mapper dialog box, click Preferences.
The Map Preferences dialog box appears.
2. Click the Active tile border color box, and choose a color.
3. Click the Inactive tile border color box, and choose a color.
4. In the Maximum history list size control, set or type the number of entries listed in the URL and Alt Text drop-lists in the Cell Properties group box in the Image Mapper dialog box.
5. Click OK.

To save map settings

1. Click Save Settings As.
The Save Map Settings dialog box appears.
2. Navigate to the folder in which you want to save the settings file.
3. Type a name for the file and click Save.
The file is saved in the JMD format.

To load map settings

1. Open the image in which you want to load map settings.
2. Choose File [image] Export [image] Image Mapper.
The Image Mapper dialog box appears.
3. Click Load Settings.
The Load Map Settings dialog box appears.
4. Navigate to and select the JMD file you want to load.
5. Click Open.


Creating image rollovers

A rollover is an image or section of an image that changes appearance when the user activates it. Web designers frequently create rollovers for the buttons of a navigation bar. When a user clicks a button, the browser displays the linked Web page (or file), and the rollover area displays a different button.

You can assign a rollover to an image that is sliced and mapped by choosing an image file that will display when the user performs a specific mouse action.

To create image rollovers

1. Create the image to be used as the rollover image. Often this second image is a duplicate of the original, but modified to appear differently when the mouse rolls over the original image.
2. Do one of the following:
• Choose File [image] Export [image] Image Mapper.
• Choose File [image] Export [image] Image Slicer.
If necessary, navigate to an image region, and use the appropriate tool (for example, the Polygon, Rectangle, or Circle tool) to specify the region where you want to add a rollover.
3. Click Rollover Creator.
The Rollover Creator dialog box appears.
4. Mark any of the following check boxes to determine which actions activate the rollover:
• Mouse over
• Mouse out
• Mouse click
• Mouse double-click
• Mouse up
• Mouse down
5. Click the Open button [image].
The Select Rollover dialog box appears.
6. Navigate to and select the graphics file you want to use.
If you do not select a file, then the original file is used.
7. Click Open.
In the Rollover Creator dialog box, the file path appears in the box beside the check box.
8. Click Close to return to the Image Mapper or Image Slicer dialog box.
• You can view your work in a Web browser window by clicking the Preview button [image].


Using digital watermarks

A digital watermark is a permanent proof of authenticity for an image. While a computer can detect it, it is invisible to the viewer. A watermark contains information about the creator, the copyright, and the image. When a viewer chooses to see this information, the program opens a dialog box that contains a link to the Digimarc web page.

Reading a digital watermark

Whenever Corel Paint Shop Pro Photo opens an image, it automatically checks for a digital watermark. If one is detected, the program displays a copyright symbol in front of the filename on the title bar, and the Watermark Information dialog box appears. If Corel Paint Shop Pro Photo does not detect a watermark, it displays a message stating that no watermark was found. You can also view the Digimarc database page to get information about the creator.

Embedding a digital watermark

A digital watermark can only be embedded on a layer once since this prevents its quality from being degraded by further changes to the layer. If you try to embed a watermark in a layered image, Corel Paint Shop Pro Photo displays a message recommending that you flatten the image before proceeding.

When you embed a watermark, you can select the following options:

• creator ID
• image copyright dates
• image attributes
• restrictions on use
• watermark durability

You only need to configure the creator ID the first time you embed a watermark. You can change the copyright date, image attributes, and durability each time you embed a watermark.

Setting the watermark durability

The watermark durability indicates how visible watermarks are on the image. For images to be printed, use stronger watermarks. For images to be displayed on a monitor, use weaker watermarks because they are not as visible. While stronger watermarks are easier to detect, and harder to remove, they are also more visible in the image. You can make two copies of the image and apply a stronger watermark to the copy you are printing and a weaker one to the copy you are displaying electronically.

Personalizing the Creator ID

Customizing the watermark with your own identification number is a two-step process:

• First, register with Digimarc to obtain your own ID number.
• Second, type the information in the Personalize Creator ID dialog box.

To read a digital watermark

• Choose Image [image] Watermarking [image] Read Watermark.
• You can view the Digimarc database page to get information about the watermark creator by clicking Web Lookup in the Watermark Information dialog box.

To embed a watermark

1. Choose Image [image] Watermarking [image] Embed Watermark.
The Embed Watermark dialog box appears.
2. In the Image Attributes group box, mark any of the following check boxes to determine the restrictions shown when the program displays the watermark information:
• Restricted Use
• Do Not Copy
• Adult Content
3. In the Copyright Information group box, type either one or two years in the Copyright year(s) boxes.
Digimarc accepts years from 1922 to the present.
4. Click OK.
• A layer can contain only one watermark. You cannot embed a new watermark in a layer that already contains one.

To set the watermark durability

1. Choose Image [image] Watermarking [image] Embed Watermark.
The Embed Watermark dialog box appears.
2. From the Target Output drop-list, choose the medium in which the image is to be displayed:
• Monitor
• Print
If you select Print for an image with a resolution under 300 dpi, Corel Paint Shop Pro Photo displays a message recommending that you increase the image resolution before embedding the watermark.
3. To set the watermark strength, type a number from 1 to 16, or use the default values in the Watermark Durability control.
The default for the Monitor option is 8 and for the Print option is 12.
4. To verify that the watermark information is embedded correctly, mark the Verify check mark.
The program checks that the watermark has been applied and displays its attributes and durability.

To personalize the Creator ID

1. Choose Image [image] Watermarking [image] Embed Watermark.
The Embed Watermark dialog box appears.
2. Click Personalize.
The Personalize Creator ID dialog box appears.
3. To register with Digimarc, click Register.
Your Web browser opens and navigates to the Digimarc Web page. Follow the on-screen instructions to receive a Creator ID number, a PIN number, and a password. You should write them down for later use. Close the browser to return to the Personalize Creator ID dialog box.
4. Type the PIN and Creator ID numbers in the appropriate boxes.
5. Click OK.
The Embed Watermark dialog box appears.
6. Click OK.
If the Verify check box is marked, the Embed Watermark: Verify dialog box appears. It lets you know that the watermark has been embedded and displays the creator, copyright, image attribute, and durability information from the Embed Watermark dialog box.
• If your computer does not have Web access, phone Digimarc using the toll-free number to register and receive your Creator ID number, a PIN number, and a password.


E-mailing and photo sharing

Corel Paint Shop Pro Photo gives you options for e-mailing your images or sharing them through a photo-sharing service.

In this section, you’ll learn about

• e-mailing photos, videos, and slide shows
• sending images to a photo-sharing service


E-mailing photos, videos, and slide shows

You can e-mail photos, videos, and slide shows directly from Corel Paint Shop Pro Photo. You can e-mail these items from the image window, a photo tray, or the Organizer.

You can e-mail items in the following ways. Note that you can only send videos and slide shows as attachments.

• Embedded Photos — You can embed photos so they display in the body of your e-mail message. This means the person who receives your e-mail can see the photos as soon as they open your e-mail. Embedded photos only appear in e-mail that uses the HTML message format. This is a standard message format, but if you know your recipient uses plain text or Rich Text Format (RTF), use the Attachments option.
• Attachments — You can send photos, videos, or slide shows (saved as .SnapfireShow files) as file attachments. Each item is attached as an individual file, the original file format is preserved, and the e-mail recipient can choose how they want to view the photos and videos.
Choosing a size for your photos

You can resize your photos to reduce the dimensions or to reduce the overall size of the e-mail. For example, you may want to reduce the size of a photo so you can send it to a cell phone. The Maximum Photo Size setting lets you choose the maximum width of the photos in pixels (px) without affecting the proportions of the image. For example, if your photo is 2048 px × 1536 px, and you choose a maximum photo size of 640 px, then your image is resized to 640 px × 480 px. The dimension information for each image is displayed above the preview thumbnail in the E-mail dialog box and the total e-mail size estimate is displayed beside the preview thumbnail.

E-mail application

To send items using e-mail, you must connect to the Internet and your computer must have a default e-mail application that supports the MAPI Standard (such as Microsoft Outlook, Outlook Express, or WordPerfect Mail) and be configured to use the MAPI e-mail client.

To e-mail photos, videos, or slide shows

1. Choose File [image] E-mail, and choose one of the following options:
• Active image — lets you send the image that is currently active in the image window
• All open images — lets you send all the images that are open in the image window
• All selected items — lets you send all the items (photos, videos, or slide shows) that you currently have selected in the Organizer or a photo tray
2. In the E-mail dialog box, choose one of the following options:
• Embedded photos — displays images in the body of your e-mail message.
• Attachments (original file format) — sends items as individual file attachments. This option preserves the original file formats.
3. Choose a size setting from the Maximum photo size drop-list.
This setting is not available for slide shows and videos.
The total size of your e-mail is displayed beside the preview.
• Some e-mail providers limit the size of e-mails, which could prevent e-mails larger than 1 MB from being sent or received. You can reduce the size of the e-mail by choosing a smaller Maximum photo size setting or by selecting fewer photos.
• The Embedded Photos option is available only for e-mail clients that support extended MAPI, such as Outlook.
• You can review the items you are sending by clicking the playback arrows that appear under the Preview thumbnail.
• You can also e-mail photos from the Organizer by selecting the photos, and clicking the Share as E-mail button [image] on the Organizer toolbar.
• You can also create and e-mail slide shows directly from the Quick Review mode.


Sending images to a photo-sharing service

Photo-sharing services allow you to store and share your images online, and to order high-quality prints and greeting cards. You can choose from a list of supported photo-sharing services.

Before you can add, share, and print pictures using a photo-sharing service, you must create an account with the service. For more information about creating an account, go to the Web site for the photo-sharing service.

Troubleshooting photo-sharing log in issues
• If you are unable to log in to the photo-sharing service, make sure that you have entered the correct e-mail address or username and password.
• If you are unable to log in from a corporate network, you may need to modify the Proxy Server settings on your computer. Check with your Network Administrator to get the Proxy Server information for your corporate network.

To choose a photo-sharing service

1. Choose File [image] Preferences [image] General Program Preferences.
2. In the left pane, click PhotoSharing.
3. Choose a photo-sharing service from the list of available services.
4. Click OK.
• To find out if support for additional photo-sharing services is available, choose Help [image] Check for Updates. Your computer must be connected to the Internet.

To send images to a photo-sharing service

1. In the Organizer, select the images that you want to upload to a photo-sharing service.
If the Organizer is not displayed, choose View [image] Palettes [image] Organizer.
2. On the Organizer toolbar, click the Order Prints button [image] .
3. Follow the instructions in the Photo Upload dialog box.
• If you have not created an account for the photo-sharing service, you can click the Create New Account link on the first page (Step 1) of the Photo Upload dialog box.


Working with advanced color features

Corel Paint Shop Pro Photo has many advanced color features that let you work with color in many ways. For example, you can change the color depth of your images to prepare them for printing or the Web. You can control how your monitor displays colors and manage colors for output. You can also split images into color channels.

In this section, you’ll learn about

• understanding color depth
• viewing color depth information
• increasing the color depth of an image
• decreasing the color depth of an image
• understanding color reduction methods
• understanding palette options
• working with image palettes
• understanding color and color models
• understanding how monitor colors and print colors differ
• calibrating your monitor
• working with color management
• using with color channels


Understanding color depth

Color depth, also called bit depth, refers to the number of colors each pixel in an image can display. As the color depth increases, the number of colors an image can display increases. Each pixel’s color information is stored in a certain number of computer bits — from 1 bit to 48 bits. In a 1-bit image, each pixel can display only one of two colors — black or white. In images with greater bit depth, each pixel can display one of an increasingly large number of colors. High end digital camera photos saved in the camera’s Raw format contain the most colors, but they also require the more hard drive space to store, and more system memory while you display and work on them.

In Corel Paint Shop Pro Photo, you can use the following color depths:

• 2 colors
• 16 colors
• 256 colors
• 8-bit per channel RGB
• 8-bit per channel Grey
• 16-bit per channel RGB
• 16-bit per channel Grey

Before you change the color depth of your image, consider the following:

• Many effect and correction commands work on higher color depth images only. After you finish working on an image, you can decrease its color depth and save it in another format.
• Computer monitors also have a color depth that is determined by the monitor’s capabilities as well as the selected color setting. If you display an image with a higher color depth than the monitor can display, the image has some color distortion.
• Some file formats limit the number of supported colors so that images display correctly on a variety of monitor types. For example, GIF images, a popular format for the Web, contain up to 256 colors (8-bit depth).


Viewing color depth information

You can use Corel Paint Shop Pro Photo to view the color depth information for images. You can also check the color depth of a monitor to ensure it supports the color depth of the images with which you are working.

The number of colors actually used in an image is usually less than the color depth. For example, a 16 million-color image is capable of displaying that many colors, but may only use 50,000 colors. You can use Corel Paint Shop Pro Photo to view the number of colors used in an image or layer.

To view the color depth of an image

• Choose Image [image] Image Information.
The Current Image Information dialog box appears. The color depth value for the image is displayed in the Pixel Depth/Color field in the Image group box.
• You can also view the color depth information on the Status bar. The color depth information appears after the two numbers that display the pixel dimensions of the image.
• You can also view color depth information on Overview palette by pressing F9, clicking the Info tab, and viewing the Color Depth field.

To view the color depth of a monitor

1. Choose Help [image] About Corel Paint Shop Pro Photo.
2. Click System Info.
3. Scroll down to the Video Driver Information section, and view the Number of Colors field.

To view monitor settings

1. On the Windows taskbar, click Start [image] Control Panel.
2. Click Appearance and Themes.
3. Double-click the Display icon.
4. Click the Settings tab.
• If your operating system is Windows 2000, click Start [image] Settings [image] Control Panel. Then, double-click the Display icon, and click the Settings tab.

To view the number of colors in an image

• Choose Image [image] Count Image Colors.

To view the number of colors in a layer

1. On the Layers palette, click the layer that you want to check.
2. Choose Layers [image] Count Layer Colors.


Increasing the color depth of an image

If an image has a color depth of less than 24-bit, you may want to increase the color depth so you can use a wider range of effect and correction commands, many of which only work on images with 16 million colors. Depending on the color depth of your image, you can also increase an image to 16 colors (4-bit) or 256 colors (8-bit).

To increase the color depth of an image

• Choose Image [image] Increase Color Depth, and choose one of the following:
• 16 color palette
• 256 color palette
• RGB - 8 bits/channel
• RGB - 16 bits/channel
Color depths not available for the active image are grayed out.
• If your image has a palette, for example if you have a 256 color (8-bit) image, and you need to maintain the palette colors, you can save the palette before increasing the color depth. After editing the image, you can reload the palette. For more information, see "Working with image palettes".
• If you are increasing or decreasing several images to the same color depth, you can add a button to the toolbar that you can click to automatically set color depth. For more information, see "Customizing toolbars".


Decreasing the color depth of an image

If you are creating an image for on-screen viewing, you can decrease the number of colors to reduce the file size and ensure the image displays properly.

Before decreasing the color depth, consider the following:

• Most Corel Paint Shop Pro Photo effect and correction commands work on 16 million-color and grayscale images only.
• When you decrease the color depth, Corel Paint Shop Pro Photo flattens the image, which merges the data on all layers. However, you can add vector layers to images of any color depth.

If you are creating images for the Web, we recommend that you work with 16 million color (24-bit) images in the Pspimage file format. After editing the images, you can reduce the color depth of the images and prepare them for the Web by exporting the images using the GIF optimizer, JPEG optimizer, or PNG Optimizer.

Depending on the current color depth of your image, you can decrease its color depth to the color depths described below.

2 colors (1-bit)

You can create a black-and-white image by decreasing the color depth of an image to 2 colors. For example, if your image is already black-and-white, you can change the color depth to two colors to reduce the file size.

16 Colors (4-Bit)

When you have an image that has only a few colors, you can decrease the color depth of an image to 16 colors (4-bit). This color depth is useful for simple graphics on Web pages that you want to load quickly. The resulting image has an image palette that contains 16 specific colors. You can change any of those colors by editing the image palette. For information, see "Working with image palettes."

256 colors (8-Bit)

When you decrease the color depth of an image to 256 colors (8-bit), you can choose a Web-safe palette to ensure your image displays as expected regardless of the Web browser or monitor used to view the image. You can only convert color images to 256 Colors (8-bit). For information about converting images to 8-bit grayscale, see "To create an 8-bit grayscale image."

Grayscale (8-bit)
You can convert a color image to an 8-bit grayscale image that uses up to 256 shades of gray.
32K and 64K Colors (24-Bit)

You can reduce the number of colors used in a 24-bit image by decreasing the color depth to 32K (32,000) or 64K (64,000) colors. Displaying images with 32K or 64K colors on older monitors results in better refresh rates than displaying 24-bit images with 16 million colors.

Decreasing color depth to a selected number of colors

You can decrease the number of colors used in an image by specifying the number of colors that you want to use. When you specify the number of colors, Corel Paint Shop Pro Photo converts the image to the appropriate color depth. For example, if you specify 16 or fewer colors, the image is saved as a 4-bit image. If you specify 17 to 256 colors, the image is saved as an 8-bit image. Specifying the number of colors is advantageous when saving to some file formats, such as GIF, because the file compression is sensitive to the number of colors in the image. For example, by using 100 colors instead of 256 colors, a smaller GIF file is created, even though both files are 8-bit images. Smaller files result in faster download times.

To decrease the color depth to 2 colors

1. Choose Image [image] Decrease Color Depth [image] 2 Color palette.
2. In the Palette Component group box, choose the color channel to use for the final image.
Choosing the Grey values option produces the best results in most cases. However, if the image consists mainly of a single color, selecting that color channel may produce the best results.
3. In the Reduction Method group box, choose a color reduction method.
For more information about color reduction, see "Understanding color reduction methods".
4. In the Palette Weight group box, select an option:
• Weighted — weighted palettes produce less dithering and sharper edges
• Non-weighted — non-weighted palettes produce more dithering and softer edges
Note: Dithering places pixels of different colors or gray levels next to each other to simulate missing colors or grays.
5. Click OK.
• You can also create a black-and-white image by choosing Adjust [image] Brightness and Contrast [image] Threshold. With this command, the color depth does not change. For more information, see "To convert a photo’s pixels to black and white."

To decrease the color depth to 16 colors

1. Choose Image [image] Decrease Color Depth [image] 16 Color palette.
2. In the Palette group box, choose a palette option.
For more information about setting Palette options, see "Working with image palettes".
3. In the Reduction Method group box, choose a color reduction method.
For more information about color reduction, see "Understanding color reduction methods".
Note: The Ordered Dither option is available only for the Windows color palette.
4. In the Options group box, mark or unmark these check boxes:
• Boost marked colors by — when you have a selection in your image, this option lets you make the colors in the selection more important by a factor of the value you enter
• Reduce color bleeding — makes the left-to-right bleed effect of colors less noticeable when you choose the Optimized Median Cut or the Optimized Octree palette and the Error Diffusion reduction method
5. Click OK.
• If you want to emphasize the importance of certain colors in the conversion, create a selection of the area that you want to use before you decrease the color depth.

To decrease the color depth to 256 colors

1. Choose Image [image] Decrease Color Depth [image] 256 Color palette.
2. In the Palette group box, choose a palette option. For more information about setting Palette options, see "Working with image palettes".
3. In the Reduction Method group box, choose a color reduction method.
For more information about reducing colors, see "Understanding color reduction methods".
Note: The Ordered Dither option is available only for the Standard/Web-safe color palette.
4. In the Options group box, choose any of the following options:
• Boost marked colors by — when you have a selection in your image, this option lets you make the colors in the selection more important by a factor of the value you enter
• Include Windows’ colors — lets you include the 16 standard Windows colors in the converted image palette when you choose the Optimized Median Cut or the Optimized Octree palette option
• Reduce color bleeding — makes the left-to-right bleed effect of colors less noticeable when you chose the Optimized Median Cut or the Optimized Octree palette and the Error Diffusion reduction method
5. Click OK.
• If you want to emphasize the importance of certain colors in the conversion, create a selection of the area that you want to use before you decrease the color depth.

To create an 8-bit grayscale image

• Choose Image [image] Greyscale.

To decrease the color depth to 32K or 64K colors

1. Choose Image [image] Decrease Color Depth, and choose one of the following:
• 32K Colors (8 bits/channel) — reduces the number of colors to 32,000
• 64K Colors (8 bits/channel) — reduces the number of colors to 64,000
2. In the Reduction Method group box, select a color reduction method.
For more information about reducing colors, see "Understanding color reduction methods".
3. Click OK.

To decrease the color depth to a selected number of colors

1. Choose Image [image] Decrease Color Depth [image] X Colors (4/8-bit).
2. Type or set the number of colors (from 2 to 256) in the Number of colors control.
3. In the Palette group box, select the palette options.
For more information about setting Palette options, see "Working with image palettes".
4. In the Reduction Method group box, choose a color reduction method.
For more information about reducing colors, see "Understanding color reduction methods".
5. In the Options group box, choose any of the following options:
• Boost marked colors by — when you have a selection in your image, this option lets you increase the colors in the selection by a factor of the value you enter
• Include Windows’ colors — lets you include the 16 standard Windows colors in the converted image palette when you choose the Optimized Median Cut or the Optimized Octree palette
• Reduce color bleeding — reduces the left-to-right bleed effect when you choose the Optimized Median Cut or the Optimized Octree palette and the Error Diffusion reduction method
6. Click OK.
• If you want to emphasize the importance of certain colors in the conversion, create a selection of the area that you want to use before you decrease the color depth.


Understanding color reduction methods

When you decrease the color depth of an image, you must select a color reduction method. Depending on the color depth you select, two or three of these methods are available:

• Nearest Color — replaces the original color of a pixel with the color in the newly generated palette that is closest to the original RGB value. This method eliminates dithering and produces a high-contrast image. This method works well with most simple graphics.
• Error Diffusion — replaces the original color of a pixel with the most similar color in the palette, but spreads the discrepancy between the original and new colors to the surrounding pixels. As it replaces a color (working from the top left to the bottom right of the image), it adds the “error,” or discrepancy, to the next pixel, before selecting the most similar color. This method produces a natural-looking image and often works well for photos or complex graphics. With the Error Diffusion method, you select the Floyd-Steinberg, Burkes, or Stucki algorithm for the dithering pattern.
• Ordered Dither — adjusts adjacent pixels so that two colors give the illusion of a third color and intermingles pixels to produce patterns based on a known palette. You can use this method to give the image the appearance of containing more colors than it actually does. Images may appear to be composed of cross-hatches and dots and may have distinct light and dark areas.

When you decrease an image’s color depth, don’t be intimidated by the mathematical algorithms that make up the color reduction methods and the palette options. It’s recommended that you start with the default settings. If you like the result, try out several other combinations of settings. It take can take some experimentation to find the right options.


Understanding palette options

When you decrease the color depth of an image, you must select a palette option. Depending on the color depth you select, two or three of these methods are available:

Optimized Median Cut — measures and ranks each color by how frequently it occurs in the image, then uses the most frequently occurring colors to determine the new palette. Even if your image contains fewer colors than the palette that is generated, this method may not represent each color exactly. The method, therefore, is not as accurate as the Optimized Octree method, but it is better at weighting color importance.

Optimized Octree — creates an eight-level “tree” with eight branching nodes totaling 256 individual “leaves” or colors to determine the new palette. This method attempts to reproduce each color in the original image, so if your image contains fewer colors than the palette that is generated, every color in the image is represented. This method is faster and more accurate than Optimized Median Cut, but is not as good at weighting color importance.

Windows — changes each pixel’s color to the nearest color in the Windows palette

Standard/Web-Safe Palette — changes each pixel’s color to the nearest color in the standard Web-safe palette. You can use this method to create images for the Web that can be viewed without color distortion on most monitors.


Working with image palettes

An image palette is a collection of colors that an image uses — similar to a painter’s palette. An image palette is a subset of all the colors your monitor can display. Not all images have image palettes — only images with color depths between 16 and 256 colors have palettes that you can fine-tune and edit.

Images with a color depth of 16 million colors do not have an image palette because they can contain all the colors your computer can display. For these images, you can load an image palette to decrease the image’s color depth to 256 colors (8-bit). Loading a palette produces the same result as decreasing color depth, except that you are controlling which colors are used in the converted image. For more information about color depth, see "Understanding color depth".

You can also create and save your own palettes. Preset palettes are located in the Palettes folder of the Corel Paint Shop Pro Photo program folder. When you save a palette, you can load it into other images. This ia a good way to maintain consistent colors across several images. Saving a palette is also useful if you are making many color changes and want to save a backup copy of the palette.

If you are using a palette with the current image only, you don’t need to save it as a separate file because the palette colors are saved with the image itself

Editing the palette of a grayscale image

If you edit the color palette for a grayscale image, you are prompted to change the image to 8-bit indexed color. This allows you to add color to your grayscale image.

Using the Web-Safe color palette

Corel Paint Shop Pro Photo includes a Web-safe, 256-color palette, the Safety palette. Images using this palette can be viewed without color distortion on most computer monitors. There are three ways to use this palette on an image:

• You can load the Safety palette into your image. For 16 million color (24-bit) images, this flattens the layers and reduces the image’s color depth to 256 colors (8-bit), which limits the available commands.
• You can decrease the image’s color depth to 256 colors and select the Standard/Web-Safe Palette option. Decreasing the color depth also flattens layers and makes some commands unavailable.
• You can edit the image in 16 million colors (saving it to the PspImage file format), then use the GIF Optimizer or PNG Optimizer to export a copy of the image. These optimizers use the Web-safe palette by default and decrease the color depth in the saved image. This is recommend because it does not change the color depth or flatten the layers of your original PspImage file. For more information about saving optimized images, see "Saving images for the Web."
Making a palette color transparent

Paletted images (those with 256 or fewer colors) do not support transparent backgrounds, but you often need a way to make part of your image transparent when you are using an image on a Web page. For example, you may have a round logo and you want the background of the Web page to display around the logo.

Most Web browsers can choose not to display one color, effectively making it transparent. In Corel Paint Shop Pro Photo, you have two ways to make a color transparent:

• You can make one color in an image palette transparent. The color can be the background color or any color from the image. To set a transparent color, the image must have only one layer and use an image palette, which means the image must have a color depth less than 16 million colors (24-bit).
• You can edit a 16 million-color image, save it to the PspImage file format, then use the GIF or PNG optimizer to export a copy of the image. With these optimizers you can set the transparency of the image. This is recommend because it does not change the color depth or flatten the layers of your original PspImage file. For more information saving optimized images, see "Saving images for the Web.".

To edit an image palette of 16 to 256 color images

1. Choose Image [image] Palette [image] Edit Palette.
This command is not available for 16 million color images.
2. Perform one or more tasks from the following table, and click OK.

To | Do the following
Change the sort order of the colors | Select an option from the Sort Order drop-list.
Replace a color | Double-click the color, choose a color from the Color Picker, and click OK.
Reset the palette to the original colors | In the Edit Palette dialog box, click Revert.

To save an image palette

1. Choose Image [image] Palette [image] Save Palette.
The Save Palette dialog box appears.
2. Type a name for the palette in the Filename box.
3. Click Edit Paths.
The File Locations dialog box appears.
4. Choose the folder where you want to save the palette in the Palette Folder group box.
If you save the palette in the Palettes folder of the Corel Paint Shop Pro Photo program folder, you can access the palette as a preset.
5. Click OK.
6. In the Save as type drop-list, select a palette format option:
PSP palette — the default palette format
Microsoft palette — palette format used for other applications
7. Click Save.
Corel Paint Shop Pro Photo automatically adds the .PspPalette filename extension when you save the file.

To load an image palette

1. Choose Image [image] Palette [image] Load Palette.
The Load Palette dialog box appears.
2. In the Palette drop-list, click the File Locations button [image].
The File Locations dialog box appears.
3. Choose the folder which contains the palette you want to load, and choose a palette.
Preset image palettes are stored in the Palettes folder of the Corel Paint Shop Pro Photo program folder.
4. Click OK.
5. In the Apply Palette Using group box, select on of the following options:
• Nearest color matching — changes each image color to the color in the palette that is the closest match
• Error diffusion dithering — attempts to maintain the image appearance by dithering colors that are not in the palette. Dithering places pixels of different colors next to each other to simulate missing colors.
• Maintain indexes — assigns each color in the palette a sequential index number and does the same for each color in the image. Each color in the image is then changed to the like-numbered color in the palette.
6. Click Load.
The palette is loaded and the image colors are updated.
• If you load a palette and do not like the results, you can revert to the original image by pressing Ctrl + Z to undo the action.

To load the Web-safe color palette

1. Choose Image [image] Palette [image] Load Palette.
The Load Palette dialog box appears.
2. In the Palette drop-list, click the File Locations button [image].
The File Locations dialog box appears.
3. Navigate to the Palettes folder in the Corel Paint Shop Pro Photo program folder, and choose Safety.pal.
4. In the Apply Palette Using group box, choose one of the following options:
• Nearest color matching — changes each image color to the color in the palette that is the closest match.
• Error diffusion dithering — attempts to maintain the image’s appearance by dithering colors that are not in the palette. Dithering places pixels of different colors next to each other to simulate missing colors.
• Maintain indexes — assigns each color in the palette a sequential index number and does the same for each color in the image, then changes each color in the image to the like-numbered color in the palette. This option is not available for 16 million-color images.
5. Click Load.

To make one image color transparent

1. Choose Image [image] Palette [image] Set Palette Transparency.
If you are prompted to reduce the color depth and number of layers, click Yes to continue and then choose the options for decreasing color depth.
2. On the Set Palette Transparency dialog box, choose one of the following options:
• Set the transparency value to the current background color — makes the background color transparent
• Set the transparency value to a palette entry — specifies a color to be transparent. Click the color in the image, or click the color box to select from the current color picker.
If you want to view the transparency, click Proof.
3. Click OK.
The color is now transparent; however, it may still be displayed until you hide it.

To view or hide the transparency of a color

• Choose Image [image] Palette [image] View Palette Transparency.


Understanding color and color models

We usually think of color as a quality inherent in an object — for example a red car or a green frog. But color is really what we see as a result of three factors interacting: light, the object, and the observer. As rays of light hit the object, the object absorbs some light and reflects some light. We see the reflected light and perceive it as color. Different colors reflect light of different wavelengths. Human eyes are able to perceive thousands of colors in the visible spectrum of light.

When you apply ink to paper, the colors we see result from the light that the ink reflects. Computer monitors use emitted light rather than reflected light. The colors we see result from light emitted from the screen.

To describe how color is produced or perceived, we use color models. Computer monitors display colors by producing varying amounts of red, green, and blue light — the RGB color model. Human eyes perceive color by its hue, saturation, and lightness levels — the HSL color model. With Corel Paint Shop Pro Photo you can select colors using either the RGB or HSL color model. You can also output images using the CMYK (Cyan, Magenta, Yellow, Black) model, which is used for high-end printing applications.

RGB is the default color model in Corel Paint Shop Pro Photo. For information about changing the default color model, see "To set palette preferences." Corel Paint Shop Pro Photo uses your preferred color model (RGB or HSL) whenever color values are displayed. When you select colors from the Color Picker, you are able to enter RGB or HSL values regardless of your preference setting. The color model used to display color values on-screen has no effect on how colors are printed.

RGB model

All colors on your computer screen are created by mixing red, green, and blue light in varying proportions and intensities. When these primary colors are mixed in equal proportions, they create yellow, cyan, and magenta. Adding all the colors together creates white.

Each primary color (red, green, and blue) is assigned a value from 0 (none of the color present) to 255 (the color at full strength). For example, pure red is produced by combining a red value of 255, a green value of 0, and a blue value of 0. Yellow is a combination of a red value of 255, a green value of 255, and a blue value of 0. Setting all three values to 255 produces white; setting all three values to 0 produces black. When all three colors are set to the same value, the result is gray.

HSL model

The HSL model is based on how the human eye perceives color using the characteristics of hue, saturation, and lightness. Each characteristic is assigned a value from 0 to 255. The three characteristics are described as follows:

• Hue — the color reflected from an object, such as red, yellow, or orange. Each hue value is assigned based on its position on the color wheel. On the Color Picker’s Color wheel, colors are assigned counter-clockwise from the top. Red is at the top (value 0) and as you move around the wheel the colors go through orange, yellow, green, blue, purple, and back to red.
• Saturation — the purity or vividness of the color. Saturation represents the amount of gray in the color, from 0 (entirely gray) to 255 (fully saturated color).
• Lightness — the perceived amount or intensity of light in the color. Lightness ranges from 0 (no light, or black) to 255 (total lightness, or white). At 50 percent lightness, or a value of 128, a color is considered pure. For example, pure red has a hue of 255, a saturation of 255 (100 percent) and a lightness of 128 (50 percent). For pure blue, the hue is 170, saturation is 255 and lightness is 128.
CMYK model

The CMYK model is based on the fact that ink on paper both absorbs and reflects light. As white light strikes the ink, part of the color spectrum is absorbed and part is reflected back to your eyes (resulting in the color you see).

In this model, the primary colors cyan (C), magenta (M), and yellow (Y) combine in varying proportions to produce a variety of colors. When the three colors are combined, they produce black. Because impurities in the ink make it difficult to produce a true black, a fourth color, black (K), is added.

Combining inks in this way is called four-color process printing. It is used by printing services and high-end color printers.

Although you cannot create images in Corel Paint Shop Pro Photo using the CMYK model, you can produce color separations that can be printed on CMYK printers. There are two ways to do this: You can split the images into CMYK channels, or you can print color separation pages.

CMYK channels are simply four separate grayscale images that represent the percentage and location of cyan, magenta, yellow, and black in the image. For more information about working with color channels, see "Using color channels".

When you print CMYK separations, Corel Paint Shop Pro Photo prints a separate grayscale page for each primary color. You can then use these pages as “color plates” when working with a printing service. For more information about CMYK color separations, see "Printing CMYK color separations."


Understanding how monitor colors and print colors differ

Computer monitor colors and printed colors may often be quite different — which is a challenge when you are trying to match a certain color. Colors can also appear different from monitor to monitor.

Image colors on a monitor are influenced by a variety of factors:

• the color range, called the color gamut, of the input device (such as the scanner or camera)
• the manufacturer and age of the monitor
• the monitor’s brightness and contrast settings

When you print an image, you introduce other factors that influence color:

• the quality and absorption properties of the paper
• the color gamut of the printer
• the conversion of RGB values from the monitor to the CMYK values of the printer’s ink

This conversion is a challenge because of the different approaches to color between monitors and printers. Because monitors use light to display color, they use additive colors—when you add them together, they produce white. Conversely, when you remove all monitor colors you produce black. Because printers use ink to display color, they use subtractive colors—when you remove colors, you produce white, and when you add all printer colors you produce black. As a result, monitors and printers have different color gamuts. Although they share many of the same colors, there are some colors a monitor can display that a printer can’t print and some colors a printer can print that a monitor can’t display.

Given all the factors that go into producing colors, how do you go about making colors accurate and consistent? Try these options:

• You can calibrate your monitor every few months.
• You can get to know the differences between your monitor’s colors and your printer’s colors so you can adjust your images as needed. You can do this by printing out several photos or other images and comparing them to the image on-screen. For example, your printer may always print colors darker than your monitor displays them. Knowing this, you can modify the lightness of your images accordingly.
• You can use Windows Color Management, which helps to improve color consistency across devices.


Calibrating your monitor

It is important that the colors represented on your monitor are reasonably accurate and meaningful. For example, red should really look red and not like a shade of orange or purple, and 50% gray shouldn’t look like light gray or dark gray.

In Corel Paint Shop Pro Photo, you can use a wizard that steps you through the process of calibrating your monitor so it displays accurate colors. At the end of the process, you can save a color profile for your monitor and apply the adjustments.

To calibrate your monitor

1. Choose File [image] Color Management [image] Monitor Calibration.
The Monitor Calibration wizard appears.
2. Click the Maximize button [image].
Maximizing the dialog box eliminates distracting background colors.
3. Follow the instructions in the wizard, and click Finish to exit the wizard.
4. In the Save As dialog box, type a name for your monitor profile in the File Name box, and click Save.
If you have Administrator privileges for your computer, the profile becomes the active monitor profile.
If you do not have Administrator privileges for your computer, a message appears informing you to contact your System Administrator to install the profile.
• You can also calibrate red, green, and blue tones for your monitor by marking the Advanced options check box when it appears on a wizard page.
• You can clear the calibration settings for a wizard page by clicking Reset.


Working with color management

If you are preparing professional quality digital images, you can enable or disable color management settings. Additionally, every RGB image in Corel Paint Shop Pro Photo has a profile associated with it. By default, these advanced color settings are enabled, allowing the application to make use of a consistent color working space. You can define advanced features for color working spaces and profiles. For example, you can set a CMYK profile that determines how CMYK images are processed when you split or combine CMYK channels, or when you output to a CMYK TIF file.

To set up profiles for color management

1. Close any open images.
2. Choose File [image] Color Management [image] Color Management.
The Color Management dialog box appears.
The recommended working space for Corel Paint Shop Pro Photo is sRGB.
If necessary, mark the Enable Color Management check box to access the controls in this group box.
3. Choose the Basic color management option to access controls for your monitor and printer.
4. In the Monitor Profile drop-list, choose the monitor profile you want to use.
If you’re using multiple monitors with your computer, the profile you choose only applies to the primary display.
5. In the Printer Profile drop-list, choose the printer profile you want to use.
If you’re using multiple printers with your computer, the profile you choose only applies to the primary printer.
6. In the Rendering Intent drop-list, choose the setting that matches your intended output.
This setting affects how the option you choose in the Printer Profile drop-list is used.
7. Click OK.
• Only valid and correctly installed profiles appear in the profile lists.
• If you have Administrator privileges for your computer, the profile you save becomes the active monitor profile. If you are a restricted user, you must contact your System Administrator to install the profile.
• You can set your printer to simulate a printing press by choosing the Proofing option, choosing a device in the Emulated Device Profile drop-list, and choosing the appropriate option in the Rendering Intent drop-list.

To define a color working space and CMYK profile

1. Close any open images.
2. Choose File [image] Color Management [image] Color Working Space.
The Color Working Space dialog box appears.
The recommended working space for Corel Paint Shop Pro Photo is sRGB.
3. In the Color Working Space drop-list, choose a color space.
4. In the CMYK Profile drop-list, choose a profile to be used for the CMYK-related operations in the application.
The drop-list includes the default CMYK profile and any profiles that you have added.
5. Click OK.


Using color channels

Image files store color information in channels, or planes, of colors. You can separate an image into RGB, HSL, or CMYK color channels. An RGB image has three channels: red, green, and blue. An HSL image has three channels: hue, saturation, and lightness. Although you cannot create or edit an image using the CMYK model, you can still split the image to four channels: cyan, magenta, yellow, and black.

You can create a new grayscale image for each color channel; the original image is not affected. For example, an HSL image is split into separate grayscale images named “Hue,” “Saturation,” and “Lightness.” Each grayscale image represents the percentage and location of a color (such as red) or a characteristic (such as lightness) within the image.

You can edit the grayscale images and use them to create interesting effects or masks. You can then combine them again. If you split an image into CMYK channels, you can then send the four grayscale images to a printing service. You can also print CMYK separations directly.

You can split images into RGB, HSL, or CMYK color channels regardless of the type of color model (RGB or HSL) you choose as a display preference.

Color channels give you increased image-editing options. You can create a color shift by splitting an image into HSL channels, modifying the Hue channel, then combining the channels. You can also use a channel grayscale to create a selection.

To split an image into color channels

1. Choose Image [image] Split Channel, and choose one of the following:
• Split to RGB
• Split to HSL
• Split to CMYK
A new grayscale image opens for each color channel.

To combine color channels

1. Open each color channel file.
2. Choose Image [image] Combine Channel, and choose one of the following:
• Combine from RGB
• Combine from HSL
• Combine from CMYK
3. For each Channel Source drop-list, select the name of the file that contains that channel. For example, in the Combine RGB dialog box, select the file Red1 as the red channel source.
Note: If you are combining channels that you split with the Split Channel command, mark the Sync check box to have Corel Paint Shop Pro Photo automatically fill in the Channel Source boxes with matching file names.
4. Click OK.
A new file is created from the selected channels.

See Also

Previous Document Back to Top